package main

import (
	"fmt"

	"gopkg.in/ini.v1"
)

var (
	AppMode  string
	HttpPort string
	Key      string
	Cert     string
	IsHttps  bool
)

func Init() {
	fmt.Println("第一处")
	file, err := ini.Load("../conf/conf.ini")
	if err != nil {
		fmt.Println("服务器配置文件读取错误，请检查文件路径:", err)
	}
	LoadServer(file)
}

func LoadServer(file *ini.File) {
	AppMode = file.Section("service").Key("AppMode").String()
	IsHttps, _ = file.Section("service").Key("IsHTTPS").Bool()
	Key = file.Section("service").Key("Key").String()
	Cert = file.Section("service").Key("Cert").String()
	HttpPort = file.Section("service").Key("HttpPort").String()
}
