package e

var TypeMap = map[string]string{
	"content":    "",
	"work":       "",
	"exhibition": "exhibition",
	"bundle":     "",
	"show":       "",

	"leave":              "oa", // 事假
	"sick":               "oa", // 病假
	"annualLeave":        "oa", // 年假
	"dayOff":             "oa", // 调休
	"maritalLeave":       "oa", // 婚假
	"matingCheckLeave":   "oa", // 孕检假
	"maternityLeave":     "oa", // 产假
	"paternityLeave":     "oa", // 陪产假
	"parentalLeave":      "oa", // 育儿假
	"nursingLeave":       "oa", // 独生子女护理假
	"funeralLeave":       "oa", // 丧假
	"abortLeave":         "oa", // 流产假
	"breastFeedingLeave": "oa", // 哺乳假
	"makeUp":             "oa", // 补卡
	"overTime":           "oa", // 加班
	"outWork":            "oa", // 外勤
	"turnover":           "oa", // 离职
	"turnover-1":         "oa", // 离职
	"turnover-2":         "oa", // 离职
	"turnover-3":         "oa", // 离职
	"turnover-4":         "oa", // 离职
	"turnover-5":         "oa", // 离职
	"turnover-6":         "oa", // 离职
	"turnover-7":         "oa", // 离职
	"turnover-8":         "oa", // 离职
	"turnover-9":         "oa", // 离职
	"turnover-10":        "oa", // 离职
	"turnover-11":        "oa", // 离职
	"turnover-12":        "oa", // 离职
	"turnover-13":        "oa", // 离职
	"turnover-14":        "oa", // 离职
	"turnover-15":        "oa", // 离职
	"turnover-16":        "oa", // 离职
	"turnover-17":        "oa", // 离职
	"turnover-18":        "oa", // 离职
	"turnover-19":        "oa", // 离职
	"turnover-20":        "oa", // 离职
	"turnover-21":        "oa", // 离职
	"turnover-22":        "oa", // 离职
	"turnover-23":        "oa", // 离职
	"turnover-24":        "oa", // 离职
	"turnover-25":        "oa", // 离职
	"turnover-26":        "oa", // 离职
	"turnover-27":        "oa", // 离职
	"turnover-28":        "oa", // 离职
	"businessTrip":       "oa", // 出差
	"goOut":              "oa", // 外出

	"annualLeaveApply":      "oa", // 年假申请
	"maritalLeaveApply":     "oa", // 婚假申请
	"matingCheckLeaveApply": "oa", // 孕检假申请
	"maternityLeaveApply":   "oa", // 产假申请
	"paternityLeaveApply":   "oa", // 陪产假申请
	"parentalLeaveApply":    "oa", // 育儿假申请
	"nursingLeaveApply":     "oa", // 独生子女护理假申请
	"funeralLeaveApply":     "oa", // 丧假

	"financialFormApply": "", // 财务表单审批

}

var CheckLeaveApplyMap = map[string]string{
	"annualLeave":      "annualLeaveApply",      // 年假
	"maritalLeave":     "maritalLeaveApply",     // 婚假
	"matingCheckLeave": "matingCheckLeaveApply", // 孕检假
	"maternityLeave":   "maternityLeaveApply",   // 产假
	"paternityLeave":   "paternityLeaveApply",   // 陪产假
	"parentalLeave":    "parentalLeaveApply",    // 育儿假
	"nursingLeave":     "nursingLeaveApply",     // 独生子女护理假
	"funeralLeave":     "funeralLeaveApply",     // 丧假
}

var TitleMap = map[string]string{
	"content":    "",
	"work":       "",
	"exhibition": "exhibition",
	"bundle":     "",
	"show":       "",

	"事假":      "oa", // 事假
	"病假":      "oa", // 病假
	"年假":      "oa", // 年假
	"调休":      "oa", // 调休
	"婚假":      "oa", // 婚假
	"孕检假":     "oa", // 孕检假
	"产假":      "oa", // 产假
	"陪产假":     "oa", // 陪产假
	"育儿假":     "oa", // 育儿假
	"独生子女护理假": "oa", // 独生子女护理假
	"丧假":      "oa", // 丧假

	"补卡": "oa", // 补卡
	"加班": "oa", // 加班
	"外勤": "oa", // 外勤
	"离职": "oa", // 离职
	"出差": "oa", // 出差
	"外出": "oa", // 外出

	"年假申请":      "oa", // 年假申请
	"婚假申请":      "oa", // 婚假申请
	"孕检假申请":     "oa", // 孕检假申请
	"产假申请":      "oa", // 产假申请
	"陪产假申请":     "oa", // 陪产假申请
	"育儿假申请":     "oa", // 育儿假申请
	"独生子女护理假申请": "oa", // 独生子女护理假申请
	"丧假申请":      "oa", // 丧假申请

	"financialFormApply": "", // 财务表单审批

}

var MakeUp = "makeUp"

const (
	MakeUpNum           = "makeUpNum"
	CheckChickIn        = "checkChickIn"
	LeaveApplyTypes     = "leaveApplyTypes"
	ChickInWifi         = "chickInWifi"
	MaritalLeaveBalance = "maritalLeaveBalance"
)

const (
	IsNotOver = iota + 1
	IsOver
)

const (
	OutWorkOut  = "out"
	OutWorkBack = "back"
)

// 或签 会签
const (
	AndSignType   = "AND"
	OrSignType    = "OR"
	ErrorSignType = "签核类型错误"
)
