package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/ai_images"
	"github.com/gin-gonic/gin"
)

func AiImageRoute(r *gin.RouterGroup) {

	aiRoute := r.Group("api/ai")

	//帐号
	useRoute := aiRoute.Group("user")
	useRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider))
	{
		useRoute.POST("list", ai_images.CoinAccounts) //帐号列表
	}

	//积分
	coinRoute := aiRoute.Group("coin")
	coinRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider))
	{
		coinRoute.POST("/acquire/list", ai_images.AcquireList) //获取积分列表
		coinRoute.POST("/custom/list", ai_images.CustomList)   //使用列表
	}
	//浏览器
	feed := aiRoute.Group("feedback")
	feed.Use(middleware.CheckLogin(service.AccountProvider))
	{
		feed.POST("create", ai_images.Create)
		feed.POST("remove", ai_images.Remove)
		feed.POST("detail", ai_images.Detail)
		feed.POST("list", ai_images.List)
		feed.POST("update", ai_images.Update)
	}
}
