package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/domain_name"
	"github.com/gin-gonic/gin"
)

// DomainNameRoute 域名管理
func DomainNameRoute(r *gin.RouterGroup) {
	domainNameRoute := r.Group("/domain_name")

	domainNameRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	{
		domainNameRoute.POST("create", domain_name.Create)
		domainNameRoute.PUT("update", domain_name.Update)
		domainNameRoute.POST("list", domain_name.List)
		domainNameRoute.DELETE("deleted", domain_name.Deleted)
		domainNameRoute.POST("download", domain_name.Download)
	}
}
