// Package router -----------------------------
// @file      : examV2.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/5/13 上午11:12
// -------------------------------------------
package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/exam"
	"github.com/gin-gonic/gin"
)

func ExamV2Route(r *gin.RouterGroup) {
	auth := r.Group("")
	auth.Use(middleware.CheckLogin(service.AccountProvider))

	examAuth := auth.Group("examV2")
	{
		examAuth.POST("cert/create", exam.CertHandler.CreateCert)
		examAuth.POST("cert/delete", exam.CertHandler.DeleteCert)
		examAuth.POST("cert/update", exam.CertHandler.UpdateCert)
		examAuth.POST("cert/detail", exam.CertHandler.GetCertDetail)
		examAuth.POST("cert/query", exam.CertHandler.GetCertList)
		examAuth.POST("cert/getMyCert", exam.CertHandler.GetMyCert)
		examAuth.POST("cert/check", exam.CertHandler.CheckCert)
	}

}
