package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/launch"
	"github.com/gin-gonic/gin"
)

// LaunchRoute 专利申请
func LaunchRoute(r *gin.RouterGroup) {
	launchRoute := r.Group("/launch")
	launchRoute.Use(middleware.CheckLogin(service.AccountProvider))
	{
		launchRoute.POST("conference/create", launch.CreateConference)
		launchRoute.POST("conference/update", launch.UpdateConference)
		launchRoute.POST("conference/deleted", launch.DeletedConference)
		launchRoute.POST("conference/list", launch.FindConference)
	}
	{
		launchRoute.POST("contract/create", launch.CreateContract)
		launchRoute.POST("contract/update", launch.UpdateContract)
		launchRoute.POST("contract/deleted", launch.DeletedContract)
		launchRoute.POST("contract/list", launch.FindContract)
	}
	{
		launchRoute.POST("sort/create", launch.CreateSort)
		launchRoute.POST("sort/list", launch.FindSort)
	}
	{
		launchRoute.POST("/download/packaged", launch.DownloadPackaged)
	}
}
