package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	service_loanbill "github.com/fonchain_enterprise/fonchain-main/pkg/service/loanbill"
	"github.com/gin-gonic/gin"
)

func LoanBillRoute(r *gin.RouterGroup) {
	//noAuth := r.Group("")
	auth := r.Group("")
	auth.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	//需要登陆保护
	loanbill := auth.Group("loanbill")
	{
		loanbill.POST("project-list", service_loanbill.ProjectList)
		loanbill.POST("update-bill", service_loanbill.UpdateBill)
		loanbill.POST("bill-detail", service_loanbill.BillDetail)
		loanbill.POST("bill-list", service_loanbill.BillList)
		loanbill.POST("bill-list-export", service_loanbill.BillListExport)
		loanbill.POST("billstatus-update", service_loanbill.BillStatusUpdate)
		loanbill.POST("voucher-update", service_loanbill.VoucherUpdate)
		loanbill.POST("copyright-artwork-list", service_loanbill.CopyrightArtworkList)
		loanbill.POST("del-bill", service_loanbill.BillDel)
		loanbill.POST("testll", service_loanbill.Test)
	}
	// 不需要登录的接口
	//loanbillNoLogin := noAuth.Group("loanbill")
	//{
	//}
}
