package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/ocr"
	"github.com/gin-gonic/gin"
)

func OcrRoute(r *gin.RouterGroup) {
	//noAuth := r.Group("")
	auth := r.Group("")
	auth.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	ocrAuth := auth.Group("ocr")
	{
		ocrAuth.POST("card-info", ocr.CardInfo)
	}
}
