package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/patent"
	"github.com/gin-gonic/gin"
)

// PatentRoute 专利申请
func PatentRoute(r *gin.RouterGroup) {
	parentRoute := r.Group("/patent")

	parentRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	{
		parentRoute.POST("create", patent.Create)
		parentRoute.POST("/before/create", patent.BeforeCreate)
		parentRoute.PUT("update", patent.Update)
		parentRoute.POST("list", patent.List)
		parentRoute.POST("info", patent.Info)
		parentRoute.DELETE("deleted", patent.Deleted)
	}
}
