package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/pay_bill"
	"github.com/gin-gonic/gin"
)

// PayBillRoute 库管接口
func PayBillRoute(Router *gin.RouterGroup) {
	v1yRoute := Router.Group("api/paybill")
	v1yRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider))
	{

		//v1yRoute.Use(middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
		v1yRoute.POST("secret/des", pay_bill.Des)
		v1yRoute.POST("secret/update", pay_bill.Update)
		v1yRoute.POST("secret/send", pay_bill.Send)

		//新的v2 付款单
		v1yRoute.POST("/list", pay_bill.PayBillList)
		v1yRoute.POST("date/list", pay_bill.DateList)
		v1yRoute.POST("/statics", pay_bill.StaticsInfo)
		v1yRoute.POST("/process/update", pay_bill.UpdateProcessStatus) //更新 流程状态
		v1yRoute.POST("/update", pay_bill.UpdatePayBill)
		v1yRoute.POST("/history", pay_bill.PayBillProcesses)
		v1yRoute.POST("/excel", pay_bill.ExcelBill)
		v1yRoute.POST("/all", pay_bill.ArtistAll)
		v1yRoute.POST("/search", pay_bill.ArtistBill)
		v1yRoute.POST("/rollback", pay_bill.RollbackState)
		v1yRoute.POST("/nocount", pay_bill.NoCount)
		v1yRoute.POST("/editadd", pay_bill.UpdateAddress)
		v1yRoute.POST("/updateTalentAgency", pay_bill.SyncArtShowTalentAgency)

	}

}
