package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	websocketController "github.com/fonchain_enterprise/fonchain-main/pkg/service/websocket/controller"
	websocketServer "github.com/fonchain_enterprise/fonchain-main/pkg/service/websocket/server"
	"github.com/gin-gonic/gin"
)

func websocketRoute(r *gin.RouterGroup) {
	noAuth := r.Group("")
	auth := r.Group("")
	noAuth.GET("/ws/info", websocketServer.HandleWebSocket)
	websocketServer.Register("similar-result", websocketController.SimilarResult)

	auth.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider), middleware.AutoLog(service.AccountProvider, service.GrpcLogImpl))
	auth = auth.Group("socket")
	{
		auth.POST("login", websocketController.Login)
		auth.POST("info", websocketController.Info)
	}
}
