package router

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/middleware"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/work_day_meal"
	"github.com/gin-gonic/gin"
)

func workMealDayRoute(r *gin.RouterGroup) {
	workDayMealRoute := r.Group("/api/workdaymeal")
	workDayMealRoute.Use(middleware.CheckLogin(service.AccountProvider), middleware.CheckAuth(service.AccountProvider, service.RuleProvider))
	//需要登陆保护
	{
		workDayMealRoute.POST("now/nextWorkDay", work_day_meal.NowNextWorkDay) //获取当天下一个工作日
		workDayMealRoute.POST("list", work_day_meal.MealList)                  //工作餐列表
		workDayMealRoute.POST("user/detail", work_day_meal.UserWorkDayMeal)    //用户某天的点餐记录
		workDayMealRoute.POST("sure", work_day_meal.SureWorkDayMeal)           //申请预约
		workDayMealRoute.POST("cancel", work_day_meal.CancelWorkDayMeal)       //取消预约
	}

}
