package account

import (
	"github.com/fonchain_enterprise/fonchain-main/api/account"
	"github.com/fonchain_enterprise/fonchain-main/api/exam"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

func ShopRegisterOnlyTel(c *gin.Context, info *exam.UserInfo) (*account.RequestStatus, error) {
	tempNick := info.Name

	userByTelReq := account.UserByTelRequest{
		Tel:    info.TelNum,
		Domain: e.Domain_Mall,
	}

	//查询是否有该账号
	userByTelRes, err := service.AccountProvider.UserByTel(c, &userByTelReq)
	if err != nil {
		return nil, err
	}

	if userByTelRes.IsExist == true {
		return &account.RequestStatus{ID: userByTelRes.Info.ID}, nil
	}

	//账号服务
	registerRequest := account.RegistRequest{
		NickName: info.Name,
		TelNum:   info.TelNum,
		Password: tempNick + "fontree",
		Extend:   &account.Extend{},
		Domain:   e.Domain_Mall,
	}

	res, err := service.AccountProvider.Register(c, &registerRequest)
	if err != nil {
		return nil, err
	}

	return res, nil

}
