package ai_images

import (
	"fmt"
	"github.com/fonchain_enterprise/fonchain-main/api/coin"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
	"github.com/gin-gonic/gin/binding"
)

func CustomList(c *gin.Context) {
	var req coin.CustomListRequest
	fmt.Println("1--------1123-12-3")

	if err := c.ShouldBindBodyWith(&req, binding.JSON); err != nil {
		service.Error(c, e.InvalidParams, err)
		return
	}

	res, err := service.CoinProvider.CustomList(c, &req)
	if err != nil {
		service.Error(c, e.Error, err)
		return
	}

	service.Success(c, res)

	return
}

func AcquireList(c *gin.Context) {
	var req coin.AcquireListRequest

	if err := c.ShouldBindBodyWith(&req, binding.JSON); err != nil {
		service.Error(c, e.InvalidParams, err)
		return
	}

	res, err := service.CoinProvider.AcquireList(c, &req)
	if err != nil {
		service.Error(c, e.Error, err)
		return
	}

	service.Success(c, res)

	return
}
