package approval

import (
	"context"
	"errors"
	"fmt"
	"github.com/fonchain_enterprise/fonchain-main/api/approval"
	"github.com/fonchain_enterprise/fonchain-main/api/site_sign_in"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"strconv"
)

func passSendInfoToSiteSignIn(detail *approval.CheckIn) error {
	siteSignInInfo := new(site_sign_in.SiteF)
	siteSignInInfo.Name = detail.SaleAddress
	siteSignInInfo.Address = detail.DetailAddress
	if detail.Latitude != "" {
		siteSignInInfo.Latitude, _ = strconv.ParseFloat(detail.Latitude, 64)
	}
	if detail.Longitude != "" {
		siteSignInInfo.Longitude, _ = strconv.ParseFloat(detail.Longitude, 64)
	}
	fmt.Println("==================================== siteSignInInfo ====================================")
	fmt.Printf("siteSignInInfo ======== %+v\n", siteSignInInfo)
	fmt.Println("==================================== siteSignInInfo ====================================")

	res, err := service.GrpcSiteSignInImpl.SaveSite(context.Background(), siteSignInInfo)
	if err != nil {
		return errors.New(e.ErrorSendInfoToSiteSignIn)
	}

	fmt.Println("==================================== SaveSite ====================================")
	fmt.Println("res ======== ", res)
	fmt.Println("==================================== SaveSite ====================================")

	if res.Msg != "success" {
		return errors.New(e.ErrorSendInfoToSiteSignIn)
	}

	return nil
}
