// Package area -----------------------------
// @file      : areaBankInfoCrawler2.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/7/23 下午3:36
// -------------------------------------------
package area

import (
	"fmt"
	"github.com/fonchain_enterprise/utils/bankQuery"
	"strconv"
	"time"
)

type BankInfoCrawler2 struct {
} // 省、市、区
func (b BankInfoCrawler2) Request2(province, city, bankName, lBankName, card string) (data []bankQuery.Record2, err error) {
	var pageTotal int
	res, err := bankQuery.BankQuery2(bankQuery.QueryReq2{
		Bank:     bankName,
		Province: province,
		City:     city,
		Key:      lBankName,
		Card:     card,
		Page:     "1",
	})
	if err != nil {
		return
	}
	pageTotal, _ = strconv.Atoi(res.TotalPage)
	fmt.Println("数据总页数", pageTotal)
	data = append(data, res.Record...)
	for p := 2; p <= 5; p++ { //最大查询页数为5页
		fmt.Println("当前页数", p)
		res, err = bankQuery.BankQuery2(bankQuery.QueryReq2{
			Card:     card,
			Bank:     bankName,
			Province: province,
			City:     city,
			Key:      lBankName,
			Page:     fmt.Sprintf("%d", p),
		})
		if err != nil {
			return
		}
		data = append(data, res.Record...)
		time.Sleep(time.Millisecond * 200)
	}
	return
}
func (b BankInfoCrawler2) Request3(province, city, bankName, lBankName, cardNo string) (data []bankQuery.Bank, err error) {
	res, err := bankQuery.BankQuery3(bankQuery.QueryReq3{
		BankName: bankName,
		CardNo:   cardNo,
		Keyword:  lBankName,
		City:     city,
		Province: province,
		Page:     "1",
	})
	if err != nil {
		return
	}
	//pageTotal, _ = strconv.Atoi(res.TotalPage)
	//fmt.Println("数据总页数", pageTotal)
	data = append(data, res.Data...)
	for p := 2; p <= 5; p++ { //最大查询页数为5页
		fmt.Println("当前页数", p)
		res, err = bankQuery.BankQuery3(bankQuery.QueryReq3{
			BankName: bankName,
			CardNo:   cardNo,
			Keyword:  lBankName,
			City:     city,
			Province: province,
			Page:     fmt.Sprintf("%d", p),
		})
		if err != nil {
			return
		}
		data = append(data, res.Data...)
		time.Sleep(time.Millisecond * 200)
	}
	return
}
