// Package asArtshow -----------------------------
// @file      : dto_artistIndex.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/3/3 8:28
// -------------------------------------------
package asArtshow

import "github.com/fonchain_enterprise/fonchain-main/api/artistinfoArtshow"

type ArtistIndexInfo struct {
	Id                  int64   `gorm:"primarykey;"  json:"id" form:"id"`
	CreatedAt           string  `gorm:"column:created_at" json:"createdAt"`
	UpdatedAt           string  `gorm:"column:updated_at" json:"updatedAt"`
	DeletedAt           int64   `gorm:"column:deleted_at;type:bigint" json:"deletedAt"`
	ArtistUid           string  `gorm:"column:artist_uid;comment:画家uid" json:"artistUid"`
	Title               string  `gorm:"column:title;comment:" json:"title"`     //艺术家-展览(exhibition) 、 艺术家-资历（seniority） 、艺术家-专业（specialized） 、艺术家-影响力（Influence）、艺术家-收藏（collect）
	Class               string  `gorm:"column:class;comment:指数类别" json:"class"` //exhibition 、seniority 、specialized 、Influence 、collect
	TitleScore          float32 `gorm:"column:title_score;comment:总分" json:"titleScore"`
	Score               string  `gorm:"column:score;comment:前端定义的分数列表" json:"score"` //
	Types               string  `gorm:"column:types;comment:" json:"types"`
	Status              int64   `json:"status" gorm:"column:status;default:2;comment:2=锁定 3=解锁"` //跟随用户的锁定和解锁状态,用于控制数据的展示
	LockTime            string  `json:"lockTime" gorm:"column:lock_time;comment:锁定时间"`
	AuditStatus         int64   `json:"auditStatus" gorm:"column:audit_status;default:5;comment:审核状态：2= 待审核,3= 审核失败,4= 审核通过,5= 待补充"`
	AuditMark1          string  `json:"auditMark1" gorm:"column:audit_mark1;comment:审核备注1"`
	AuditMark2          string  `json:"auditMark2" gorm:"column:audit_mark2;comment:审核备注2"`
	ArtistUpdateAt      string  `json:"artistUpdateAt"`      //画家更新时间
	LatestOperator      int64   `json:"latestOperator"`      //最后审批人
	LatestOperationTime string  `json:"latestOperationTime"` //最后审批时间
}

type RequestGetArtistIndexListAtUserSide struct {
	Page      int64  `json:"page"`
	PageSize  int64  `json:"pageSize"`
	ArtistUid string `json:"artistUid"`
}

type RequestGenerateArtistIndexRecord struct {
	ArtistUids []string `json:"artistUids"`
}

type ArtistUserInfo struct {
	ArtistUid     string `json:"artistUid"`
	ArtistName    string `json:"artistName"`
	DataCreatedAt string `json:"dataCreatedAt"`
	DataUpdatedAt string `json:"dataUpdateAt"`
}

type ResponseGetLockedArtistList struct {
	Data []ArtistUserInfo
}
type ArtistIndexDetail struct {
	Id          int64  `json:"id"`
	ArtistUid   string `json:"artistUid"`
	Title       string `json:"title"`
	Class       string `json:"class"`
	TitleScore  int64  `json:"titleScore"`
	Score       string `json:"score"`
	Types       string `json:"types"`
	Status      int64  `json:"status"`
	LockTime    string `json:"lockTime"`
	AuditMark1  string `json:"auditMark1"`
	AuditMark2  string `json:"auditMark2"`
	AuditStatus int64  `json:"auditStatus"`
	CreatedAt   string `json:"createdAt"`
	UpdatedAt   string `json:"updatedAt"`
	DeletedAt   int64  `json:"deletedAt"`
	Editable    bool   `json:"editable"`
}

type GetArtistIndexListRequest struct {
	artistinfoArtshow.GetArtistIndexListRequest
	History bool `json:"history"` //是否查询历史记录
}
