// Package asContract -----------------------------
// @file      : contractDto.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/4/23 11:28
// -------------------------------------------
package asContract

import (
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoContract"
)

type BatchCreateContractRequest struct {
	ArtistUid    string                            `json:"artistUid"`
	ContractType []artistInfoContract.ContractType `json:"contractType"`
	ArtworkUids  []string                          `json:"artworkUids"`
}

type ContractListType struct {
	RelArtwork string `json:"relArtwork"`
	*artistInfoContract.Contracts
}
type GetContractArtistStatListRequest struct {
	artistInfoContract.ContractArtistStatType
	Page     int64  `json:"page"`
	PageSize int64  `json:"pageSize"`
	Where    string `json:"where"`
	Order    string `json:"order"`
	Sort     string `json:"sort"`
}
type ContractArtistStatType struct {
	artistInfoContract.ContractArtistStatType
	PenName string `json:"penName"`
}

type ContractArtworkListRequest struct {
	ArtistUid string `json:"artistUid"`
}
type ContractArtworkType struct {
	HasContract  int32  `json:"hasContract"` //1=未发起 2=已发起
	ArtworkName  string `json:"artworkName"`
	Tfnum        string `json:"tfnum"`
	HdPic        string `json:"hdPic"`
	ArtistPhoto  string `json:"artistPhoto"`
	Width        int32  `json:"width"`
	Length       int32  `json:"length"`
	Ruler        int32  `json:"ruler"`
	InscribeDate string `json:"inscribeDate"` //落款时间
	CreatedDate  string `json:"createdDate"`  //创作日期
}
