// Package asPush -----------------------------
// @file      : interface.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/12/19 14:03
// -------------------------------------------
package asPush

type IArtistInfoNotifyPush interface {
	//实名信息申请成功 画家宝所有版本都没用到
	RealNameApplySuccess(userId int64) error
	//实名信息审批结果通知 画家宝所有版本都没用到
	RealNameAuditResultNotice(userId int64, auditResult string) error
	//画作补充信息发起通知
	ArtworkSupplementNotice(userId int64) error
	//画作基本信息/补充信息审批通知
	ArtworkAuditResultNotice(userId int64, artworkName, auditType string, auditResult string, hasMany ...bool) error
	//画展补充信息发起通知
	ArtistArtshowSupplementBeginNotice(userId int64) error
	//画展审批通知
	ArtistArtshowSupplementAuditNotice(userId int64, auditType AuditType) error
	//画作系统数字化通知 digitState： 1=已分配、2=已完成
	ArtworkSystemDigitNotice(userId int64, artworkName string, digitState int) error
	//画作系统鉴证通知 authState: 1=开始鉴证、2=鉴证完成
	ArtworkSystemAuthNotice(userId int64, artworkName string, authState int) error
	//画作待寄出
	ArtworkWaitToBeMailedNotice(userId int64) error
	//画作待收货
	ArtworkWaitToBeReceivedNotice(userId int64) error
	//画作待签署
	ContractOnWaitToBeSignedNotice(userId int64) error
	//鉴证费用待支付
	AuthpaymentWaitToBePaidNotice(userId int64) error
	//邀请函待确认
	InvitationLetterWaitToBeConfirmedNotice(userId int64) error
	// 客服聊天消息推送(这个推送在画家宝客户端)
	//NewChatMessageNotice(userId int64, txtMessage string) error
}

type AuditType int

const (
	AuditType_Video = iota + 1
	AuditType_ArtistInex
	AuditType_ArtistSupplement
	AuditType_BrokerSupplement
)
