// Package asPush -----------------------------
// @file      : service.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/12/26 09:49
// -------------------------------------------
package asPush

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

type TestRequest struct {
	UserId   int64 `json:"userId"`
	NoticeId int64 `json:"noticeId"`
}

func Test(c *gin.Context) {
	var req TestRequest
	if err := c.ShouldBindJSON(&req); err != nil {
		service.Error(c, e.InvalidParams, err, err.Error())
		return
	}
	var err error
	push := NewArtistinfoUniPush()
	switch req.NoticeId {
	case 1: //画作基本信息审批
		//err = push.InvitationLetterWaitToBeConfirmedNotice(req.UserId)
		err = push.ArtworkAuditResultNotice(req.UserId, "", "基本信息审批", "不通过")
	case 2: //画作信息补充
		err = push.ArtworkSupplementNotice(req.UserId)
	case 3: //待寄出
		err = push.ArtworkWaitToBeMailedNotice(req.UserId)
	case 4: //待收货
		err = push.ArtworkWaitToBeReceivedNotice(req.UserId)
	case 5: //合同待签署
		err = push.ContractOnWaitToBeSignedNotice(req.UserId)
	case 6: //待支付
		err = push.AuthpaymentWaitToBePaidNotice(req.UserId)
	case 7: //邀请函
		err = push.InvitationLetterWaitToBeConfirmedNotice(req.UserId)
	}
	if err != nil {
		service.ErrorWithMark(c, e.Failed, err, "")
		return
	}
	service.Success(c)
}
