// Package asAccount -----------------------------
// @file      : accountJwt_test.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/5/22 13:36
// -------------------------------------------
package asUser

import (
	"github.com/fonchain_enterprise/fonchain-main/api/artistinfoArtshow"
	"github.com/gin-gonic/gin"
	"testing"
)

func TestUpdateOperationTime(t *testing.T) {
	type te interface {
		int64 | string
	}
	type args[T interface{ int64 | string }] struct {
		c       *gin.Context
		odType  artistinfoArtshow.OdType
		dataKey T
	}
	type testCase[T interface{ int64 | string }] struct {
		name string
		args args[T]
	}
	var test_int64 = testCase[int64]{
		name: "Test case for int64 type",
		args: args[int64]{
			c:       &gin.Context{},
			odType:  artistinfoArtshow.OdType_video,
			dataKey: 123,
		},
	}

	t.Run(test_int64.name, func(t *testing.T) {
		UpdateOperationTime(test_int64.args.c, test_int64.args.odType, test_int64.args.dataKey)
	})
}
