// Package asUser -----------------------------
// @file      : cron_syncDynamicUserData.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2024/1/23 13:53
// -------------------------------------------
package asUser

import (
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"github.com/robfig/cron/v3"
)

type SyncDynamicUserDataTask struct {
}

func (d *SyncDynamicUserDataTask) AddTimerTask(c *cron.Cron) error {
	go func() {
		if err := DynamicUserService.SyncAllOfDynamicUserData(); err != nil {
			logger.Error("初始化dynamic_user表数据失败,err:" + err.Error())
		}
	}()
	_, err := c.AddFunc("*/10 * * * *", func() {
		if err := DynamicUserService.SyncAllOfDynamicUserData(); err != nil {
			logger.Error("定时任务执行失败,err:" + err.Error())
		}
	})
	return err
}
