package asUser

import "github.com/fonchain_enterprise/fonchain-main/api/artistInfoUser"

type SendMsgRequest struct {
	TelNum      string `json:"telNum"`
	IsNewMobile bool   `json:"isNewMobile"`
}

type UserInfo struct {
	TelNum            string   `form:"telNum" json:"telNum" binding:"required,len=11"`
	CertificateNum    string   `form:"certificateNum" json:"certificateNum" binding:"required"`
	CertificateImg    string   `form:"certificateImg" json:"certificateImg" `
	JoinAssoTime      string   `from:"joinAssoTime" json:"joinAssoTime"`
	RealName          string   `form:"realName" json:"realName" binding:"required"`
	PenName           string   `form:"penName" json:"penName"`
	StageName         string   `form:"stageName" json:"stageName"`
	Sex               int      `form:"sex" json:"sex"`
	IdCard            string   `form:"idCard" json:"idCard" binding:"required"`
	IdCardFront       string   `form:"idCardFront" json:"idCardFront" binding:"required"`
	IdCardBack        string   `form:"idCardBack" json:"idCardBack" binding:"required"`
	Age               int      `form:"age" json:"age"`
	Ruler             int      `form:"ruler" json:"ruler"`
	ConAddress        []string `form:"conAddress" json:"conAddress"`
	Photo             string   `form:"photo" json:"photo" binding:"required"`
	Video             string   `form:"video" json:"video"`
	FddState          int      `form:"fddState" json:"fddState"`
	CustomerId        string   `form:"customerId" json:"customerId"`
	InvitedCode       string   `form:"invitedCode" json:"invitedCode"`
	InvitedName       string   `form:"invitedName" json:"invitedName"`
	WxAccount         string   `form:"wxAccount" json:"wxAccount"`
	QrCodeImg         string   `form:"qrCode" json:"qrCodeImg"`
	QrCodeImgDownload string   `form:"qrCodeDownload" json:"qrCodeImgDownload"`
	//HtmlType          string   `form:"htmlType" json:"htmlType"`
	//EnvType           string   `form:"envType" json:"envType"`
	IsRead        bool   `form:"isRead" json:"isRead"`
	MgmtAccId     int64  `form:"mgmtAccId" json:"mgmtAccId"`
	MgmtArtistUid string `form:"mgmtArtistUid" json:"mgmtArtistUid"` //艺术家uid
}

// 实名认证成功后，创建用户信息
type CreateUserInfoRequest struct {
	RealName       string   `json:"realName"`
	TelNum         string   `json:"telNum"`
	IdCard         string   `json:"idCard"`
	IdCardFront    string   `json:"idCardFront"`
	IdCardBack     string   `json:"idCardBack"`
	InvitedCode    string   `json:"invitedCode"`
	PenName        string   `json:"penName"`
	StageName      string   `json:"stageName"`
	WxAccount      string   `json:"wxAccount"`
	Sex            int      `json:"sex"`
	CertificateNum string   `json:"certificateNum"`
	ConAddress     []string `json:"conAddress"`
	Photo          string   `json:"photo"`
	CertificateImg string   `json:"certificateImg"` //中美协会证书url
	JoinAssoTime   string   `json:"joinAssoTime"`   //中美协会入会时间
	Htmltype       string   `json:"htmltype"`
	Envtype        string   `json:"envtype"`
}

type UpdateMobileRequest struct {
	//AccId   int64  `json:"accId"` //账号id
	Mobile  string `json:"mobile"`
	VerCode string `json:"verCode"` //验证码@
}

type UpdateUserAgreementRequest struct {
	AccId  int  `json:"accId"`
	IsRead bool `json:"isRead"`
}

type InvitedUser struct {
	UserId     int64  `json:"userId"`
	AccId      int64  `json:"accId"`
	ArtistUid  string `json:"artistUid"`
	TelNum     string `json:"telNum"`
	InviteCode string `json:"inviteCode"`
	Account    string `json:"account"`
	Photo      string `json:"photo"`
	IsRealName int64  `json:"isRealName"`
	FddState   int64  `json:"fddState"`
	RealName   string `json:"realName"`
	Sex        string `json:"sex"`
	Age        int64  `json:"age"`
	CreatedAt  string `json:"createdAt"`
	PenName    string `json:"penName"`
	StageName  string `json:"stageName"`
	IdCard     string `json:"idCard"`
	InviteTime string `json:"inviteTime"`
}

type GetInviteStaticListData struct {
	Idx          int64  `json:"idx"`          //序号
	RealName     string `json:"realName"`     //画家真实姓名
	TelNum       string `json:"telNum"`       //电话号码
	InviteCode   string `json:"inviteCode"`   //邀请码
	InvitePicUrl string `json:"invitePicUrl"` //邀请二维码
	InvitedCount int64  `json:"invitedCount"` //邀请人员总数
	ArtistUid    string `json:"artistUid"`
}

//	type GetInviterUserListRequest struct {
//		InvitedCode string `protobuf:"bytes,1,opt,name=invitedCode,proto3" json:"inviterCode,omitempty"` //受邀请者的邀请码 前端字段传错，后台这里转一下
//		Page        int64  `protobuf:"varint,2,opt,name=page,proto3" json:"page,omitempty"`
//		PageSize    int64  `protobuf:"varint,3,opt,name=pageSize,proto3" json:"pageSize,omitempty"`
//	}
//
//	type GetInvitedUserListRequest struct {
//		// string telNum =1;//可选 邀请者的电话号码
//		InviterCode string `protobuf:"bytes,2,opt,name=inviterCode,proto3" json:"invitedCode,omitempty"` //邀请人的邀请码 前端字段传错，后台这里转一下
//		Page        int64  `protobuf:"varint,3,opt,name=page,proto3" json:"page,omitempty"`
//		PageSize    int64  `protobuf:"varint,4,opt,name=pageSize,proto3" json:"pageSize,omitempty"`
//	}
type GetInvitedListByBackendSide2Request struct {
	artistInfoUser.GetInvitedUserListRequest
	ArtistIndexEditStatus       int `json:"artistIndexEditStatus"`       //1 已填写 2 未填写
	ArtistProfileEditStatus     int `json:"artistProfileEditStatus"`     //1 已填写 2 未填写
	ArtworkSupplementEditStatus int `json:"artworkSupplementEditStatus"` //1 已填写 2 未填写 3 无
	FddStateSelect              int `json:"fddStateSelect"`              //1 未认证 2 已认证
	CopyrightCommentEditStatus  int `json:"copyrightCommentEditStatus"`  //1 已填写 2 未填写 3 无
}
