// Package asAccount -----------------------------
// @file      : utils.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/8/18 9:40
// -------------------------------------------
package asUser

import (
	"errors"
	"github.com/fonchain_enterprise/fonchain-main/api/account"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/utils/secret"
	"github.com/gin-gonic/gin"
)

func GetJwtInfo(c *gin.Context) (accinfo *account.DecryptJwtResponse, err error) {
	authorization := c.GetHeader(e.Authorization)
	if authorization == "" {
		err = errors.New("未获取到token")
		return
	}
	jwt, err := secret.GetJwtFromStr(authorization)
	if err != nil {
		return
	}
	req := account.DecryptJwtRequest{
		Token: jwt,
	}

	accinfo, err = service.AccountProvider.DecryptJwt(c, &req)
	return
}
