package mailArtwork

import (
	"github.com/fonchain_enterprise/fonchain-main/api/mailArtwork"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service/artistInfo/asUtil"
	"github.com/gin-gonic/gin"
)

var Handler = &MailArtworkHandler{}

type MailArtworkHandler struct {
}

// 批量查询ViewArtistMailStat
func (a *MailArtworkHandler) GetViewArtistMailStatList(c *gin.Context) {
	var req GetViewArtistMailStatListRequest
	if err := c.ShouldBindJSON(&req); err != nil {
		service.Error(c, e.InvalidParams, err, "无效参数")
		return
	}
	var protoReq = mailArtwork.GetViewArtistMailStatListRequest{Query: &mailArtwork.ViewArtistMailStatType{}}
	asUtil.RequestDataConvert(&req, &protoReq)
	resp, err := service.GrpcMailArtworkImpl.GetViewArtistMailStatList(c, &protoReq)
	if err != nil {
		service.Error(c, e.Failed, err)
		return
	}
	service.ResponseList(c, resp.List, service.OptionPage(resp.Page, resp.PageSize, resp.Total), service.OptionMsg("查询成功"))
}
