package backend

import (
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoArtwork"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
	"golang.org/x/net/context"
)

func ExportFieldList(c *gin.Context) {
	var req artistInfoArtwork.ExportFieldListReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("ExportFieldList ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcArtistInfoArtworkImpl.ExportFieldList(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp.Data)
	return
}
