package dci

import (
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

type AreaCode struct {
	AreaName string `json:"areaName"`
	Code     string `json:"code"`
}

type AreaNode struct {
	//Area     AreaCode
	AreaName string `json:"areaName"`
	Code     string `json:"code"`
	Children []AreaCode
}

func GetAreaCode(c *gin.Context) {

	service.Success(c, GetAreaCodeData())

}
func GetAreaCodeData() (tree []AreaNode) {
	trees := make([]AreaNode, 0)

	// 创建北京市的区县数据
	beijingChildren := []AreaCode{
		{AreaName: "东城区", Code: "110101"},
		{AreaName: "西城区", Code: "110102"},
		{AreaName: "朝阳区", Code: "110105"},
		{AreaName: "丰台区", Code: "110106"},
		{AreaName: "石景山区", Code: "110107"},
		{AreaName: "海淀区", Code: "110108"},
		{AreaName: "门头沟区", Code: "110109"},
		{AreaName: "房山区", Code: "110111"},
		{AreaName: "通州区", Code: "110112"},
		{AreaName: "顺义区", Code: "110113"},
		{AreaName: "昌平区", Code: "110114"},
		{AreaName: "大兴区", Code: "110115"},
		{AreaName: "怀柔区", Code: "110116"},
		{AreaName: "平谷区", Code: "110117"},
		{AreaName: "密云区", Code: "110118"},
		{AreaName: "延庆区", Code: "110119"},
	}

	beijing := AreaNode{
		//Area: AreaCode{
		AreaName: "北京市",
		Code:     "11",
		//},
		Children: beijingChildren,
	}

	trees = append(trees, beijing)

	// 创建天津市的区县数据
	tianjinChildren := []AreaCode{
		{AreaName: "和平区", Code: "120101"},
		{AreaName: "河东区", Code: "120102"},
		{AreaName: "河西区", Code: "120103"},
		{AreaName: "南开区", Code: "120104"},
		{AreaName: "河北区", Code: "120105"},
		{AreaName: "红桥区", Code: "120106"},
		{AreaName: "东丽区", Code: "120110"},
		{AreaName: "西青区", Code: "120111"},
		{AreaName: "津南区", Code: "120112"},
		{AreaName: "北辰区", Code: "120113"},
		{AreaName: "武清区", Code: "120114"},
		{AreaName: "宝坻区", Code: "120115"},
		{AreaName: "滨海新区", Code: "120116"},
		{AreaName: "宁河区", Code: "120117"},
		{AreaName: "静海区", Code: "120118"},
		{AreaName: "蓟州区", Code: "120119"},
	}

	tianjin := AreaNode{
		//Area: AreaCode{
		AreaName: "天津市",
		Code:     "12",
		//},
		Children: tianjinChildren,
	}

	trees = append(trees, tianjin)

	// 创建河北省的市级数据
	hebeiCities := []AreaCode{
		{AreaName: "石家庄市", Code: "130100"},
		{AreaName: "唐山市", Code: "130200"},
		{AreaName: "秦皇岛市", Code: "130300"},
		{AreaName: "邯郸市", Code: "130400"},
		{AreaName: "邢台市", Code: "130500"},
		{AreaName: "保定市", Code: "130600"},
		{AreaName: "张家口市", Code: "130700"},
		{AreaName: "承德市", Code: "130800"},
		{AreaName: "沧州市", Code: "130900"},
		{AreaName: "廊坊市", Code: "131000"},
		{AreaName: "衡水市", Code: "131100"},
	}

	hebei := AreaNode{
		//Area: AreaCode{
		AreaName: "河北省",
		Code:     "13",
		//},
		Children: hebeiCities,
	}

	trees = append(trees, hebei)

	// 创建山西省的市级数据
	shanxiCities := []AreaCode{
		{AreaName: "太原市", Code: "140100"},
		{AreaName: "大同市", Code: "140200"},
		{AreaName: "阳泉市", Code: "140300"},
		{AreaName: "长治市", Code: "140400"},
		{AreaName: "晋城市", Code: "140500"},
		{AreaName: "朔州市", Code: "140600"},
		{AreaName: "晋中市", Code: "140700"},
		{AreaName: "运城市", Code: "140800"},
		{AreaName: "忻州市", Code: "140900"},
		{AreaName: "临汾市", Code: "141000"},
		{AreaName: "吕梁市", Code: "141100"},
	}

	shanxi := AreaNode{
		//Area: AreaCode{
		AreaName: "山西省",
		Code:     "14",
		//},
		Children: shanxiCities,
	}

	trees = append(trees, shanxi)

	// 创建蒙古自治区的市级数据
	mongoliaCities := []AreaCode{
		{AreaName: "呼和浩特市", Code: "150100"},
		{AreaName: "包头市", Code: "150200"},
		{AreaName: "乌海市", Code: "150300"},
		{AreaName: "赤峰市", Code: "150400"},
		{AreaName: "通辽市", Code: "150500"},
		{AreaName: "鄂尔多斯市", Code: "150600"},
		{AreaName: "呼伦贝尔市", Code: "150700"},
		{AreaName: "巴彦淖尔市", Code: "150800"},
		{AreaName: "乌兰察布市", Code: "150900"},
		{AreaName: "兴安盟", Code: "152200"},
		{AreaName: "锡林郭勒盟", Code: "152500"},
		{AreaName: "阿拉善盟", Code: "152900"},
	}

	mongolia := AreaNode{
		//Area: AreaCode{
		AreaName: "内蒙古自治区",
		Code:     "15",
		//},
		Children: mongoliaCities,
	}

	trees = append(trees, mongolia)

	// 创建辽宁省的市级数据
	liaoningCities := []AreaCode{
		{AreaName: "沈阳市", Code: "210100"},
		{AreaName: "大连市", Code: "210200"},
		{AreaName: "鞍山市", Code: "210300"},
		{AreaName: "抚顺市", Code: "210400"},
		{AreaName: "本溪市", Code: "210500"},
		{AreaName: "丹东市", Code: "210600"},
		{AreaName: "锦州市", Code: "210700"},
		{AreaName: "营口市", Code: "210800"},
		{AreaName: "阜新市", Code: "210900"},
		{AreaName: "辽阳市", Code: "211000"},
		{AreaName: "盘锦市", Code: "211100"},
		{AreaName: "铁岭市", Code: "211200"},
		{AreaName: "朝阳市", Code: "211300"},
		{AreaName: "葫芦岛市", Code: "211400"},
	}

	liaoning := AreaNode{
		//Area: AreaCode{
		AreaName: "辽宁省",
		Code:     "21",
		//},
		Children: liaoningCities,
	}

	trees = append(trees, liaoning)

	// 创建林省的市级数据
	jilinshengCities := []AreaCode{
		{AreaName: "长春市", Code: "220100"},
		{AreaName: "吉林市", Code: "220200"},
		{AreaName: "四平市", Code: "220300"},
		{AreaName: "辽源市", Code: "220400"},
		{AreaName: "通化市", Code: "220500"},
		{AreaName: "白山市", Code: "220600"},
		{AreaName: "松原市", Code: "220700"},
		{AreaName: "白城市", Code: "220800"},
		{AreaName: "延边朝鲜族自治州", Code: "222400"},
	}

	jilinsheng := AreaNode{
		//Area: AreaCode{
		AreaName: "吉林省",
		Code:     "22",
		//},
		Children: jilinshengCities,
	}

	trees = append(trees, jilinsheng)

	// 创建黑龙江省的市级数据
	heilongjiangCities := []AreaCode{
		{AreaName: "哈尔滨市", Code: "230100"},
		{AreaName: "齐齐哈尔市", Code: "230200"},
		{AreaName: "鸡西市", Code: "230300"},
		{AreaName: "鹤岗市", Code: "230400"},
		{AreaName: "双鸭山市", Code: "230500"},
		{AreaName: "大庆市", Code: "230600"},
		{AreaName: "伊春市", Code: "230700"},
		{AreaName: "佳木斯市", Code: "230800"},
		{AreaName: "七台河市", Code: "230900"},
		{AreaName: "牡丹江市", Code: "231000"},
		{AreaName: "黑河市", Code: "231100"},
		{AreaName: "绥化市", Code: "231200"},
		{AreaName: "大兴安岭地区", Code: "232700"},
	}

	heilongjiang := AreaNode{
		//Area: AreaCode{
		AreaName: "黑龙江省",
		Code:     "23",
		//},
		Children: heilongjiangCities,
	}

	trees = append(trees, heilongjiang)

	// 创建上海市的区级数据
	shanghaiDistricts := []AreaCode{
		{AreaName: "黄浦区", Code: "310101"},
		{AreaName: "徐汇区", Code: "310104"},
		{AreaName: "长宁区", Code: "310105"},
		{AreaName: "静安区", Code: "310106"},
		{AreaName: "普陀区", Code: "310107"},
		{AreaName: "虹口区", Code: "310109"},
		{AreaName: "杨浦区", Code: "310110"},
		{AreaName: "闵行区", Code: "310112"},
		{AreaName: "宝山区", Code: "310113"},
		{AreaName: "嘉定区", Code: "310114"},
		{AreaName: "浦东新区", Code: "310115"},
		{AreaName: "金山区", Code: "310116"},
		{AreaName: "松江区", Code: "310117"},
		{AreaName: "青浦区", Code: "310118"},
		{AreaName: "奉贤区", Code: "310120"},
		{AreaName: "崇明区", Code: "310151"},
	}

	shanghai := AreaNode{
		//Area: AreaCode{
		AreaName: "上海市",
		Code:     "31",
		//},
		Children: shanghaiDistricts,
	}

	trees = append(trees, shanghai)

	// 创建江苏省的市级数据
	jiangsuCities := []AreaCode{
		{AreaName: "南京市", Code: "320100"},
		{AreaName: "无锡市", Code: "320200"},
		{AreaName: "徐州市", Code: "320300"},
		{AreaName: "常州市", Code: "320400"},
		{AreaName: "苏州市", Code: "320500"},
		{AreaName: "南通市", Code: "320600"},
		{AreaName: "连云港市", Code: "320700"},
		{AreaName: "淮安市", Code: "320800"},
		{AreaName: "盐城市", Code: "320900"},
		{AreaName: "扬州市", Code: "321000"},
		{AreaName: "镇江市", Code: "321100"},
		{AreaName: "泰州市", Code: "321200"},
		{AreaName: "宿迁市", Code: "321300"},
	}

	jiangsu := AreaNode{
		//Area: AreaCode{
		AreaName: "江苏省",
		Code:     "32",
		//},
		Children: jiangsuCities,
	}

	trees = append(trees, jiangsu)

	// 创建浙江省的市级数据
	zhejiangCities := []AreaCode{
		{AreaName: "杭州市", Code: "330100"},
		{AreaName: "宁波市", Code: "330200"},
		{AreaName: "温州市", Code: "330300"},
		{AreaName: "嘉兴市", Code: "330400"},
		{AreaName: "湖州市", Code: "330500"},
		{AreaName: "绍兴市", Code: "330600"},
		{AreaName: "金华市", Code: "330700"},
		{AreaName: "衢州市", Code: "330800"},
		{AreaName: "舟山市", Code: "330900"},
		{AreaName: "台州市", Code: "331000"},
		{AreaName: "丽水市", Code: "331100"},
	}

	zhejiang := AreaNode{
		//Area: AreaCode{
		AreaName: "浙江省",
		Code:     "33",
		//},
		Children: zhejiangCities,
	}

	trees = append(trees, zhejiang)

	// 创建安徽省的市级数据
	anhuiCities := []AreaCode{
		{AreaName: "合肥市", Code: "340100"},
		{AreaName: "芜湖市", Code: "340200"},
		{AreaName: "蚌埠市", Code: "340300"},
		{AreaName: "淮南市", Code: "340400"},
		{AreaName: "马鞍山市", Code: "340500"},
		{AreaName: "淮北市", Code: "340600"},
		{AreaName: "铜陵市", Code: "340700"},
		{AreaName: "安庆市", Code: "340800"},
		{AreaName: "黄山市", Code: "341000"},
		{AreaName: "滁州市", Code: "341100"},
		{AreaName: "阜阳市", Code: "341200"},
		{AreaName: "宿州市", Code: "341300"},
		{AreaName: "六安市", Code: "341500"},
		{AreaName: "亳州市", Code: "341600"},
		{AreaName: "池州市", Code: "341700"},
		{AreaName: "宣城市", Code: "341800"},
	}

	anhui := AreaNode{
		//Area: AreaCode{
		AreaName: "安徽省",
		Code:     "34",
		//},
		Children: anhuiCities,
	}

	trees = append(trees, anhui)

	// 创建福建省的市级数据
	fujianCities := []AreaCode{
		{AreaName: "福州市", Code: "350100"},
		{AreaName: "厦门市", Code: "350200"},
		{AreaName: "莆田市", Code: "350300"},
		{AreaName: "三明市", Code: "350400"},
		{AreaName: "泉州市", Code: "350500"},
		{AreaName: "漳州市", Code: "350600"},
		{AreaName: "南平市", Code: "350700"},
		{AreaName: "龙岩市", Code: "350800"},
		{AreaName: "宁德市", Code: "350900"},
	}

	fujian := AreaNode{
		//Area: AreaCode{
		AreaName: "福建省",
		Code:     "35",
		//},
		Children: fujianCities,
	}

	trees = append(trees, fujian)

	// 创建江西省的市级数据
	jiangxiCities := []AreaCode{
		{AreaName: "南昌市", Code: "360100"},
		{AreaName: "景德镇市", Code: "360200"},
		{AreaName: "萍乡市", Code: "360300"},
		{AreaName: "九江市", Code: "360400"},
		{AreaName: "新余市", Code: "360500"},
		{AreaName: "鹰潭市", Code: "360600"},
		{AreaName: "赣州市", Code: "360700"},
		{AreaName: "吉安市", Code: "360800"},
		{AreaName: "宜春市", Code: "360900"},
		{AreaName: "抚州市", Code: "361000"},
		{AreaName: "上饶市", Code: "361100"},
	}

	jiangxi := AreaNode{
		//Area: AreaCode{
		AreaName: "江西省",
		Code:     "36",
		//},
		Children: jiangxiCities,
	}

	trees = append(trees, jiangxi)

	// 创建山东省的市级数据
	shandongCities := []AreaCode{
		{AreaName: "济南市", Code: "370100"},
		{AreaName: "青岛市", Code: "370200"},
		{AreaName: "淄博市", Code: "370300"},
		{AreaName: "枣庄市", Code: "370400"},
		{AreaName: "东营市", Code: "370500"},
		{AreaName: "烟台市", Code: "370600"},
		{AreaName: "潍坊市", Code: "370700"},
		{AreaName: "济宁市", Code: "370800"},
		{AreaName: "泰安市", Code: "370900"},
		{AreaName: "威海市", Code: "371000"},
		{AreaName: "日照市", Code: "371100"},
		{AreaName: "临沂市", Code: "371300"},
		{AreaName: "德州市", Code: "371400"},
		{AreaName: "聊城市", Code: "371500"},
		{AreaName: "滨州市", Code: "371600"},
		{AreaName: "菏泽市", Code: "371700"},
	}

	shandong := AreaNode{
		//Area: AreaCode{
		AreaName: "山东省",
		Code:     "37",
		//},
		Children: shandongCities,
	}

	trees = append(trees, shandong)

	// 创建河南省的市级数据
	henanCities := []AreaCode{
		{AreaName: "郑州市", Code: "410100"},
		{AreaName: "开封市", Code: "410200"},
		{AreaName: "洛阳市", Code: "410300"},
		{AreaName: "平顶山市", Code: "410400"},
		{AreaName: "安阳市", Code: "410500"},
		{AreaName: "鹤壁市", Code: "410600"},
		{AreaName: "新乡市", Code: "410700"},
		{AreaName: "焦作市", Code: "410800"},
		{AreaName: "濮阳市", Code: "410900"},
		{AreaName: "许昌市", Code: "411000"},
		{AreaName: "漯河市", Code: "411100"},
		{AreaName: "三门峡市", Code: "411200"},
		{AreaName: "南阳市", Code: "411300"},
		{AreaName: "商丘市", Code: "411400"},
		{AreaName: "信阳市", Code: "411500"},
		{AreaName: "周口市", Code: "411600"},
		{AreaName: "驻马店市", Code: "411700"},
		{AreaName: "济源市", Code: "419001"},
	}

	henan := AreaNode{
		//Area: AreaCode{
		AreaName: "河南省",
		Code:     "41",
		//},
		Children: henanCities,
	}

	trees = append(trees, henan)

	// 创建湖北省的市级数据
	hubeiCities := []AreaCode{
		{AreaName: "武汉市", Code: "420100"},
		{AreaName: "黄石市", Code: "420200"},
		{AreaName: "十堰市", Code: "420300"},
		{AreaName: "宜昌市", Code: "420500"},
		{AreaName: "襄阳市", Code: "420600"},
		{AreaName: "鄂州市", Code: "420700"},
		{AreaName: "荆门市", Code: "420800"},
		{AreaName: "孝感市", Code: "420900"},
		{AreaName: "荆州市", Code: "421000"},
		{AreaName: "黄冈市", Code: "421100"},
		{AreaName: "咸宁市", Code: "421200"},
		{AreaName: "随州市", Code: "421300"},
		{AreaName: "恩施土家族苗族自治州", Code: "422800"},
		{AreaName: "仙桃市", Code: "429004"},
		{AreaName: "潜江市", Code: "429005"},
		{AreaName: "天门市", Code: "429006"},
		{AreaName: "神农架林区", Code: "429021"},
	}

	hubei := AreaNode{
		//Area: AreaCode{
		AreaName: "湖北省",
		Code:     "42",
		//},
		Children: hubeiCities,
	}

	trees = append(trees, hubei)

	// 创建湖南省的市级数据
	hunanCities := []AreaCode{
		{AreaName: "长沙市", Code: "430100"},
		{AreaName: "株洲市", Code: "430200"},
		{AreaName: "湘潭市", Code: "430300"},
		{AreaName: "衡阳市", Code: "430400"},
		{AreaName: "邵阳市", Code: "430500"},
		{AreaName: "岳阳市", Code: "430600"},
		{AreaName: "常德市", Code: "430700"},
		{AreaName: "张家界市", Code: "430800"},
		{AreaName: "益阳市", Code: "430900"},
		{AreaName: "郴州市", Code: "431000"},
		{AreaName: "永州市", Code: "431100"},
		{AreaName: "怀化市", Code: "431200"},
		{AreaName: "娄底市", Code: "431300"},
		{AreaName: "湘西土家族苗族自治州", Code: "433100"},
	}

	hunan := AreaNode{
		//Area: AreaCode{
		AreaName: "湖南省",
		Code:     "43",
		//},
		Children: hunanCities,
	}

	trees = append(trees, hunan)

	// 创建广东省的市级数据
	guangdongCities := []AreaCode{
		{AreaName: "广州市", Code: "440100"},
		{AreaName: "韶关市", Code: "440200"},
		{AreaName: "深圳市", Code: "440300"},
		{AreaName: "珠海市", Code: "440400"},
		{AreaName: "汕头市", Code: "440500"},
		{AreaName: "佛山市", Code: "440600"},
		{AreaName: "江门市", Code: "440700"},
		{AreaName: "湛江市", Code: "440800"},
		{AreaName: "茂名市", Code: "440900"},
		{AreaName: "肇庆市", Code: "441200"},
		{AreaName: "惠州市", Code: "441300"},
		{AreaName: "梅州市", Code: "441400"},
		{AreaName: "汕尾市", Code: "441500"},
		{AreaName: "河源市", Code: "441600"},
		{AreaName: "阳江市", Code: "441700"},
		{AreaName: "清远市", Code: "441800"},
		{AreaName: "东莞市", Code: "441900"},
		{AreaName: "中山市", Code: "442000"},
		{AreaName: "潮州市", Code: "445100"},
		{AreaName: "揭阳市", Code: "445200"},
		{AreaName: "云浮市", Code: "445300"},
	}

	guangdong := AreaNode{
		//Area: AreaCode{
		AreaName: "广东省",
		Code:     "44",
		//},
		Children: guangdongCities,
	}

	trees = append(trees, guangdong)

	// 创建广西壮族自治区的市级数据
	guangxiCities := []AreaCode{
		{AreaName: "南宁市", Code: "450100"},
		{AreaName: "柳州市", Code: "450200"},
		{AreaName: "桂林市", Code: "450300"},
		{AreaName: "梧州市", Code: "450400"},
		{AreaName: "北海市", Code: "450500"},
		{AreaName: "防城港市", Code: "450600"},
		{AreaName: "钦州市", Code: "450700"},
		{AreaName: "贵港市", Code: "450800"},
		{AreaName: "玉林市", Code: "450900"},
		{AreaName: "百色市", Code: "451000"},
		{AreaName: "贺州市", Code: "451100"},
		{AreaName: "河池市", Code: "451200"},
		{AreaName: "来宾市", Code: "451300"},
		{AreaName: "崇左市", Code: "451400"},
	}

	guangxi := AreaNode{
		//Area: AreaCode{
		AreaName: "广西壮族自治区",
		Code:     "45",
		//},
		Children: guangxiCities,
	}

	trees = append(trees, guangxi)

	// 创建海南省的市级数据
	hainanCities := []AreaCode{
		{AreaName: "海口市", Code: "460100"},
		{AreaName: "三亚市", Code: "460200"},
		{AreaName: "三沙市", Code: "460300"},
		{AreaName: "儋州市", Code: "460400"},
		{AreaName: "五指山市", Code: "469001"},
		{AreaName: "琼海市", Code: "469002"},
		{AreaName: "文昌市", Code: "469005"},
		{AreaName: "万宁市", Code: "469006"},
		{AreaName: "东方市", Code: "469007"},
		{AreaName: "定安县", Code: "469021"},
		{AreaName: "屯昌县", Code: "469022"},
		{AreaName: "澄迈县", Code: "469023"},
		{AreaName: "临高县", Code: "469024"},
		{AreaName: "白沙黎族自治县", Code: "469025"},
		{AreaName: "昌江黎族自治县", Code: "469026"},
		{AreaName: "乐东黎族自治县", Code: "469027"},
		{AreaName: "陵水黎族自治县", Code: "469028"},
		{AreaName: "保亭黎族苗族自治县", Code: "469029"},
		{AreaName: "琼中黎族苗族自治县", Code: "469030"},
	}

	hainan := AreaNode{
		//Area: AreaCode{
		AreaName: "海南省",
		Code:     "46",
		//},
		Children: hainanCities,
	}

	trees = append(trees, hainan)

	// 创建重庆市的市级数据
	chongqingCities := []AreaCode{
		{AreaName: "万州区", Code: "500101"},
		{AreaName: "涪陵区", Code: "500102"},
		{AreaName: "渝中区", Code: "500103"},
		{AreaName: "大渡口区", Code: "500104"},
		{AreaName: "江北区", Code: "500105"},
		{AreaName: "沙坪坝区", Code: "500106"},
		{AreaName: "九龙坡区", Code: "500107"},
		{AreaName: "南岸区", Code: "500108"},
		{AreaName: "北碚区", Code: "500109"},
		{AreaName: "綦江区", Code: "500110"},
		{AreaName: "大足区", Code: "500111"},
		{AreaName: "渝北区", Code: "500112"},
		{AreaName: "巴南区", Code: "500113"},
		{AreaName: "黔江区", Code: "500114"},
		{AreaName: "长寿区", Code: "500115"},
		{AreaName: "江津区", Code: "500116"},
		{AreaName: "合川区", Code: "500117"},
		{AreaName: "永川区", Code: "500118"},
		{AreaName: "南川区", Code: "500119"},
		{AreaName: "璧山区", Code: "500120"},
		{AreaName: "铜梁区", Code: "500151"},
		{AreaName: "潼南区", Code: "500152"},
		{AreaName: "荣昌区", Code: "500153"},
		{AreaName: "开州区", Code: "500154"},
		{AreaName: "梁平区", Code: "500155"},
		{AreaName: "武隆区", Code: "500156"},
		{AreaName: "城口县", Code: "500229"},
		{AreaName: "丰都县", Code: "500230"},
		{AreaName: "垫江县", Code: "500231"},
		{AreaName: "忠县", Code: "500233"},
		{AreaName: "云阳县", Code: "500235"},
		{AreaName: "奉节县", Code: "500236"},
		{AreaName: "巫山县", Code: "500237"},
		{AreaName: "巫溪县", Code: "500238"},
		{AreaName: "石柱土家族自治县", Code: "500240"},
		{AreaName: "秀山土家族苗族自治县", Code: "500241"},
		{AreaName: "酉阳土家族苗族自治县", Code: "500242"},
		{AreaName: "彭水苗族土家族自治县", Code: "500243"},
	}
	chongqing := AreaNode{
		//Area: AreaCode{
		AreaName: "重庆市",
		Code:     "50",
		//},
		Children: chongqingCities,
	}

	trees = append(trees, chongqing)

	// 创建四川省的市级数据
	sicuanCities := []AreaCode{
		{AreaName: "成都市", Code: "510100"},
		{AreaName: "自贡市", Code: "510300"},
		{AreaName: "攀枝花市", Code: "510400"},
		{AreaName: "泸州市", Code: "510500"},
		{AreaName: "德阳市", Code: "510600"},
		{AreaName: "绵阳市", Code: "510700"},
		{AreaName: "广元市", Code: "510800"},
		{AreaName: "遂宁市", Code: "510900"},
		{AreaName: "内江市", Code: "511000"},
		{AreaName: "乐山市", Code: "511100"},
		{AreaName: "南充市", Code: "511300"},
		{AreaName: "眉山市", Code: "511400"},
		{AreaName: "宜宾市", Code: "511500"},
		{AreaName: "广安市", Code: "511600"},
		{AreaName: "达州市", Code: "511700"},
		{AreaName: "雅安市", Code: "511800"},
		{AreaName: "巴中市", Code: "511900"},
		{AreaName: "资阳市", Code: "512000"},
		{AreaName: "阿坝藏族羌族自治州", Code: "513200"},
		{AreaName: "甘孜藏族自治州", Code: "513300"},
		{AreaName: "凉山彝族自治州", Code: "513400"},
	}
	sicuan := AreaNode{
		//Area: AreaCode{
		AreaName: "四川省",
		Code:     "51",
		//},
		Children: sicuanCities,
	}

	trees = append(trees, sicuan)

	// 创建贵州省的市级数据
	guizhouCities := []AreaCode{
		{
			AreaName: "贵阳市",
			Code:     "520100",
		},
		{
			AreaName: "六盘水市",
			Code:     "520200",
		},
		{
			AreaName: "遵义市",
			Code:     "520300",
		},
		{
			AreaName: "安顺市",
			Code:     "520400",
		},
		{
			AreaName: "毕节市",
			Code:     "520500",
		},
		{
			AreaName: "铜仁市",
			Code:     "520600",
		},
		{
			AreaName: "黔西南布依族苗族自治州",
			Code:     "522300",
		},
		{
			AreaName: "黔东南苗族侗族自治州",
			Code:     "522600",
		},
		{
			AreaName: "黔南布依族苗族自治州",
			Code:     "522700",
		},
	}
	guizhou := AreaNode{
		//Area: AreaCode{
		AreaName: "贵州省",
		Code:     "52",
		//},
		Children: guizhouCities,
	}

	trees = append(trees, guizhou)

	// 创建云南省的市级数据
	yunnanCities := []AreaCode{
		{
			AreaName: "昆明市",
			Code:     "530100",
		},
		{
			AreaName: "曲靖市",
			Code:     "530300",
		},
		{
			AreaName: "玉溪市",
			Code:     "530400",
		},
		{
			AreaName: "保山市",
			Code:     "530500",
		},
		{
			AreaName: "昭通市",
			Code:     "530600",
		},
		{
			AreaName: "丽江市",
			Code:     "530700",
		},
		{
			AreaName: "普洱市",
			Code:     "530800",
		},
		{
			AreaName: "临沧市",
			Code:     "530900",
		},
		{
			AreaName: "楚雄彝族自治州",
			Code:     "532300",
		},
		{
			AreaName: "红河哈尼族彝族自治州",
			Code:     "532500",
		},
		{
			AreaName: "文山壮族苗族自治州",
			Code:     "532600",
		},
		{
			AreaName: "西双版纳傣族自治州",
			Code:     "532800",
		},
		{
			AreaName: "大理白族自治州",
			Code:     "532900",
		},
		{
			AreaName: "德宏傣族景颇族自治州",
			Code:     "533100",
		},
		{
			AreaName: "怒江傈僳族自治州",
			Code:     "533300",
		},
		{
			AreaName: "迪庆藏族自治州",
			Code:     "533400",
		},
	}
	yunnan := AreaNode{
		//Area: AreaCode{
		AreaName: "云南省",
		Code:     "53",
		//},
		Children: yunnanCities,
	}

	trees = append(trees, yunnan)

	// 西藏
	xizangCities := []AreaCode{
		{
			AreaName: "拉萨市",
			Code:     "540100",
		},
		{
			AreaName: "日喀则市",
			Code:     "540200",
		},
		{
			AreaName: "昌都市",
			Code:     "540300",
		},
		{
			AreaName: "林芝市",
			Code:     "540400",
		},
		{
			AreaName: "山南市",
			Code:     "540500",
		},
		{
			AreaName: "那曲市",
			Code:     "540600",
		},
		{
			AreaName: "阿里地区",
			Code:     "542500",
		},
	}
	xizang := AreaNode{
		//Area: AreaCode{
		AreaName: "西藏自治区",
		Code:     "54",
		//},
		Children: xizangCities,
	}

	trees = append(trees, xizang)

	// 陕西
	shanxi1Cities := []AreaCode{
		{
			AreaName: "西安市",
			Code:     "610100",
		},
		{
			AreaName: "铜川市",
			Code:     "610200",
		},
		{
			AreaName: "宝鸡市",
			Code:     "610300",
		},
		{
			AreaName: "咸阳市",
			Code:     "610400",
		},
		{
			AreaName: "渭南市",
			Code:     "610500",
		},
		{
			AreaName: "延安市",
			Code:     "610600",
		},
		{
			AreaName: "汉中市",
			Code:     "610700",
		},
		{
			AreaName: "榆林市",
			Code:     "610800",
		},
		{
			AreaName: "安康市",
			Code:     "610900",
		},
		{
			AreaName: "商洛市",
			Code:     "611000",
		},
	}
	shanxi1 := AreaNode{
		//Area: AreaCode{
		AreaName: "陕西省",
		Code:     "61",
		//},
		Children: shanxi1Cities,
	}

	trees = append(trees, shanxi1)

	// 甘肃
	ganshuCities := []AreaCode{
		{
			AreaName: "兰州市",
			Code:     "620100",
		},
		{
			AreaName: "嘉峪关市",
			Code:     "620200",
		},
		{
			AreaName: "金昌市",
			Code:     "620300",
		},
		{
			AreaName: "白银市",
			Code:     "620400",
		},
		{
			AreaName: "天水市",
			Code:     "620500",
		},
		{
			AreaName: "武威市",
			Code:     "620600",
		},
		{
			AreaName: "张掖市",
			Code:     "620700",
		},
		{
			AreaName: "平凉市",
			Code:     "620800",
		},
		{
			AreaName: "酒泉市",
			Code:     "620900",
		},
		{
			AreaName: "庆阳市",
			Code:     "621000",
		},
		{
			AreaName: "定西市",
			Code:     "621100",
		},
		{
			AreaName: "陇南市",
			Code:     "621200",
		},
		{
			AreaName: "临夏回族自治州",
			Code:     "622900",
		},
		{
			AreaName: "甘南藏族自治州",
			Code:     "623000",
		},
	}
	ganshu := AreaNode{
		//Area: AreaCode{
		AreaName: "甘肃省",
		Code:     "62",
		//},
		Children: ganshuCities,
	}

	trees = append(trees, ganshu)

	// 青海
	qinghaiCities := []AreaCode{
		{
			AreaName: "西宁市",
			Code:     "630100",
		},
		{
			AreaName: "海东市",
			Code:     "630200",
		},
		{
			AreaName: "海北藏族自治州",
			Code:     "632200",
		},
		{
			AreaName: "黄南藏族自治州",
			Code:     "632300",
		},
		{
			AreaName: "海南藏族自治州",
			Code:     "632500",
		},
		{
			AreaName: "果洛藏族自治州",
			Code:     "632600",
		},
		{
			AreaName: "玉树藏族自治州",
			Code:     "632700",
		},
		{
			AreaName: "海西蒙古族藏族自治州",
			Code:     "632800",
		},
	}
	qinghai := AreaNode{
		//Area: AreaCode{
		AreaName: "青海省",
		Code:     "63",
		//},
		Children: qinghaiCities,
	}

	trees = append(trees, qinghai)

	// 宁夏回族自治区
	ningxiaCities := []AreaCode{
		{
			AreaName: "银川市",
			Code:     "640100",
		},
		{
			AreaName: "石嘴山市",
			Code:     "640200",
		},
		{
			AreaName: "吴忠市",
			Code:     "640300",
		},
		{
			AreaName: "固原市",
			Code:     "640400",
		},
		{
			AreaName: "中卫市",
			Code:     "640500",
		},
	}
	ningxia := AreaNode{
		//Area: AreaCode{
		AreaName: "宁夏回族自治区",
		Code:     "64",
		//},
		Children: ningxiaCities,
	}

	trees = append(trees, ningxia)

	// 新疆维吾尔自治区
	xinjiangCities := []AreaCode{
		{
			AreaName: "乌鲁木齐市",
			Code:     "650100",
		},
		{
			AreaName: "克拉玛依市",
			Code:     "650200",
		},
		{
			AreaName: "吐鲁番市",
			Code:     "650400",
		},
		{
			AreaName: "哈密市",
			Code:     "650500",
		},
		{
			AreaName: "昌吉回族自治州",
			Code:     "652300",
		},
		{
			AreaName: "博尔塔拉蒙古自治州",
			Code:     "652700",
		},
		{
			AreaName: "巴音郭楞蒙古自治州",
			Code:     "652800",
		},
		{
			AreaName: "阿克苏地区",
			Code:     "652900",
		},
		{
			AreaName: "克孜勒苏柯尔克孜自治州",
			Code:     "653000",
		},
		{
			AreaName: "喀什地区",
			Code:     "653100",
		},
		{
			AreaName: "和田地区",
			Code:     "653200",
		},
		{
			AreaName: "伊犁哈萨克自治州",
			Code:     "654000",
		},
		{
			AreaName: "塔城地区",
			Code:     "654200",
		},
		{
			AreaName: "阿勒泰地区",
			Code:     "654300",
		},
		{
			AreaName: "石河子市",
			Code:     "659001",
		},
		{
			AreaName: "阿拉尔市",
			Code:     "659002",
		},
		{
			AreaName: "图木舒克市",
			Code:     "659003",
		},
		{
			AreaName: "五家渠市",
			Code:     "659004",
		},
		{
			AreaName: "北屯市",
			Code:     "659005",
		},
		{
			AreaName: "铁门关市",
			Code:     "659006",
		},
		{
			AreaName: "双河市",
			Code:     "659007",
		},
		{
			AreaName: "可克达拉市",
			Code:     "659008",
		},
		{
			AreaName: "昆玉市",
			Code:     "659009",
		},
		{
			AreaName: "胡杨河市",
			Code:     "659010",
		},
		{
			AreaName: "新星市",
			Code:     "659011",
		},
	}
	xinjiang := AreaNode{
		//Area: AreaCode{
		AreaName: "新疆维吾尔自治区",
		Code:     "65",
		//},
		Children: xinjiangCities,
	}

	trees = append(trees, xinjiang)
	return trees
}
