package html

const Custom1 = `
{{ if eq .IsCustom 1 }}
    <div class="approval">
      <span>序号:{{ .ID }};</span>
      <span>申请人:{{ .SubmitterName }};</span>
      <span>申请类型:{{ .TypeName }};</span>
      {{ range $index, $cus := .CustomizeInfo }}
        <span>
          {{ if eq $cus.ApprovalType "upload" }}
            {{ $cus.ApprovalName }}:{{ $cus.ApprovalValue }};
          {{ else if eq $cus.ApprovalType "artworkList" }}
            <span>画家画作: </span>
            <table>
              {{ range $record := $cus.ApprovalValue }}
                <tr>
                  <td>
                    <img src="{{ if $record.DigiArtImg }}{{ $record.DigiArtImg }}{{ else if $record.HdPic }}{{ $record.HdPic }}{{ else }}{{ $record.PhotoPic }}{{ end }}" />
                  </td>
                  <td>
                    <span onclick="openAuthen('{{ $record }}')">查看鉴证图</span>
                  </td>
                  <td>
                    {{ if $record.ArtistShowCount }}{{ $record.ArtistShowCount }}{{ else }}{{ $record.ArtistName }}{{ end }}
                  </td>
                </tr>
              {{ end }}
            </table>
          {{ else if eq $cus.ApprovalType "position" }}
            <span>部门ID:{{ $cus.ApprovalValue.DepartmentID }};</span>
            <span>部门:{{ $cus.ApprovalValue.DepartmentName }};</span>
            <span>岗位:{{ $cus.ApprovalValue.PositionName }};</span>
          {{ else }}
            {{ $cus.ApprovalName }}: {{ $cus.ApprovalValue }};
          {{ end }}
        </span>
      {{ end }}
    </div>
    {{ end }}
`

const Custom2 = `
{{ if eq .IsCustom 1 }}
  <div class="approval">
    <span>序号:{{ .ID }};</span>
    <span>申请人:{{ .SubmitterName }};</span>
    <span>申请类型:{{ .TypeName }};</span>
    
    {{ range $index, $cus := .CustomizeInfo }}
      <span>
        {{ if eq $cus.ApprovalType "upload" }}
          {{ $cus.ApprovalName }}: {{ $cus.ApprovalValue }};
        
        {{ else if eq $cus.ApprovalType "artworkList" }}
          <span>画家画作: </span>
          <table>
            {{ range $record := $cus.ApprovalValue }}
              <tr>
                <td>
                  <img src="{{ if $record.DigiArtImg }}{{ $record.DigiArtImg }}{{ else if $record.HdPic }}{{ $record.HdPic }}{{ else }}{{ $record.PhotoPic }}{{ end }}" />
                </td>
                <td>
                  <span onclick="openAuthen('{{ $record }}')">查看鉴证图</span>
                </td>
                <td>
                  {{ if $record.ArtistShowCount }}{{ $record.ArtistShowCount }}{{ else }}{{ $record.ArtistName }}{{ end }}
                </td>
              </tr>
            {{ end }}
          </table>
        
        {{ else if eq $cus.ApprovalType "position" }}
          {{ $value := parseCustomizeInfoPosition $cus.ApprovalValue }}
          <span>部门ID: {{ $value.DepartmentID }};</span>
          <span>部门: {{ $value.DepartmentName }};</span>
          <span>岗位: {{ $value.PositionName }};</span>
        
        {{ else }}
          {{ $cus.ApprovalName }}: {{ $cus.ApprovalValue }};
        {{ end }}
      </span>
    {{ end }}
  </div>
{{ end }}
`

const Custom = `
{{ if eq .IsCustom 1 }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  {{ range $index, $cus := .CustomizeInfo }}
  <span>
    {{ if eq $cus.ApprovalType "upload" }}
      {{ $cus.ApprovalName }}:
      {{ range $file := parseJSON $cus.ApprovalValue }}
        <div>
          {{ if or (contains $file ".pdf") (contains $file ".doc") (contains $file ".docx") (contains $file ".jpg") (contains $file ".png") (contains $file ".jpeg") }}
            <a href="{{ $file }}" target="_blank" class="file-link" onclick="window.open('{{ $file }}', '_blank')">
              {{ if or (contains $file ".jpg") (contains $file ".png") (contains $file ".jpeg") }}
                <img style="height: 40px; width: 40px" src="{{ $file }}?x-oss-process=image/resize,w_40,h_40" />
              {{ else }}
                <span class="file-name">{{ $file }}</span>
                <span class="file-icon">📄</span>
              {{ end }}
            </a>
          {{ else }}
            {{ $file }};
          {{ end }}
        </div>
      {{ end }}
    {{ else if eq $cus.ApprovalType "artworkList" }}
      <span>画家画作:</span>
      <table class="artwork-table">
        {{ range $record := $cus.ApprovalValue }}
        <tr>
          <td><img style="height: 40px; width: 40px" src="{{ if $record.DigiArtImg }}{{ $record.DigiArtImg }}{{ else if $record.HdPic }}{{ $record.HdPic }}{{ else }}{{ $record.PhotoPic }}{{ end }}?x-oss-process=image/resize,w_40,h_40" /></td>
          <td>{{ if $record.ArtistShowCount }}{{ $record.ArtistShowCount }}{{ else }}{{ $record.ArtistName }}{{ end }};</td>
        </tr>
        {{ end }}
      </table>
    {{ else if eq $cus.ApprovalType "position" }}
      {{ $value := parseCustomizeInfoPosition $cus.ApprovalValue }}
      <span>部门ID: {{ $value.DepartmentID }};</span>
      <span>部门: {{ $value.DepartmentName }};</span>
      <span>岗位: {{ $value.PositionName }};</span>
    {{ else }}
      {{ $cus.ApprovalName }}: {{ $cus.ApprovalValue }};
    {{ end }}
  </span>
  {{ end }}
</div>
{{ end }}

<style>
.file-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #1890ff;
  cursor: pointer;
  padding: 4px 8px;
  border-radius: 4px;
}

.file-link:hover {
  background-color: rgba(24, 144, 255, 0.1);
}

.file-name {
  margin-right: 8px;
}

.file-icon {
  font-size: 16px;
}
</style>
`
