package html

const EmployOld = `
{{ if contains .Type "employ" }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  <span>归属部门: {{ .Employ.BelongDepartment }};</span>
  <span>岗位名称: {{ .Employ.Post }};</span>
  <span>姓名: {{ .Employ.Name }};</span>
  <span>手机号: {{ .Employ.Mobile }};</span>
  <span>员工类型: {{ .Employ.EmployeeType }};</span>
  <span>{{ if .Employ.EntryTime }}预计入职时间: {{ .Employ.EntryTime }};{{ else }}确认入职时间: {{ .Employ.ConfirmDate }};{{ end }}</span>
  <span>工号: {{ .Employ.EmployeeNo }};</span>
  <span>应聘登记表:
    {{ if .Employ.InterviewFile }}
    <span>
      {{ if (or (contains .Employ.InterviewFile ".jpg") (contains .Employ.InterviewFile ".png") (contains .Employ.InterviewFile ".jpeg")) }}
      <img src="{{ .Employ.InterviewFile }}" style="width: 80px; height: 80px" />
      {{ else }}
      <span>{{ .Employ.InterviewFile }}</span>
      {{ end }}
    </span>
    {{ end }}
  </span>
  <span>简历:
    {{ if contains .Employ.ResumeFile ".pdf" }}
    <a href="{{ .Employ.ResumeFile }}" target="_blank">查看PDF简历</a>
    {{ else if contains .Employ.ResumeFile ".doc" }}
    <a href="{{ .Employ.ResumeFile }}" target="_blank">查看Word简历</a>
    {{ end }}
  </span>
  <span>备注: {{ .Employ.Remark }};</span>
</div>
{{ end }}
`

const Employ = `
{{ if contains .Type "employ" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>归属部门: {{ .Employ.BelongDepartment }}</span>
  <span>岗位名称: {{ .Employ.Post }}</span>
  <span>姓名: {{ .Employ.Name }}</span>
  <span>手机号: {{ .Employ.Mobile }}</span>
  <span>员工类型: {{ .Employ.EmployeeType }}</span>
  <span>{{ if .Employ.EntryTime }}预计入职时间: {{ .Employ.EntryTime }}{{ else }}确认入职时间: {{ .Employ.ConfirmDate }}{{ end }}</span>
  <span>工号: {{ .Employ.EmployeeNo }}</span>
  <span>应聘登记表:</span>
  {{ if .Employ.InterviewFile }}
  <div>
    {{ if (or (contains .Employ.InterviewFile ".jpg") (contains .Employ.InterviewFile ".png") (contains .Employ.InterviewFile ".jpeg")) }}
    <img style="height: 80px; width: 80px" src="{{ .Employ.InterviewFile }}" />
    {{ else }}
    <a href="{{ .Employ.InterviewFile }}" target="_blank" class="file-link" onclick="window.open('{{ .Employ.InterviewFile }}', '_blank')">
      <span class="file-name">{{ .Employ.InterviewFile }}</span>
      <span class="file-icon">📄</span>
    </a>
    {{ end }}
  </div>
  {{ end }}
  <span>简历:</span>
  {{ if .Employ.ResumeFile }}
  <div>
    <a href="{{ .Employ.ResumeFile }}" target="_blank" class="file-link" onclick="window.open('{{ .Employ.ResumeFile }}', '_blank')">
      <span class="file-name">{{ .Employ.ResumeFile }}</span>
      <span class="file-icon">📄</span>
    </a>
  </div>
  {{ end }}
  <span>备注: {{ .Employ.Remark }}</span>
</div>
{{ end }}

<style>
.file-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #1890ff;
  cursor: pointer;
  padding: 4px 8px;
  border-radius: 4px;
}

.file-link:hover {
  background-color: rgba(24, 144, 255, 0.1);
}

.file-name {
  margin-right: 8px;
}

.file-icon {
  font-size: 16px;
}
</style>
`
