package html

const LeaveOld = `
{{ if eq .Type "annualLeave" "dayOff" "leave" "sick" "funeralLeave" "maritalLeave" "maternityLeave" "paternityLeave" "parentalLeave" "nursingLeave" "matingCheckLeave" "breastFeedingLeave" "abortLeave" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>开始时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).Date }}</span>
    {{ if (index .ApprovalOA.Leave.ApplyTimes 0).Hour }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.Leave.ApplyTimes 0).M }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).M }}</span>
    {{ end }}
  </div>
  <span>结束时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).Date }}</span>
    {{ if (index .ApprovalOA.Leave.ApplyTimes 1).Hour }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.Leave.ApplyTimes 1).M }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).M }}</span>
    {{ end }}
  </div>
  {{ if eq .Type "breastFeedingLeave" "maternityLeave" }}
  <span>婴儿数量: {{ .ApprovalOA.Leave.Children }}</span>
  {{ end }}
  {{ if eq .Type "maternityLeave" }}
  <span>是否难产: {{ if eq .ApprovalOA.Leave.Dystocia 1 }}是{{ else }}否{{ end }}</span>
  {{ end }}
  {{ if eq .Type "matingCheckLeave" "abortLeave" }}
  <span>孕期: {{ .ApprovalOA.Leave.Month }}月</span>
  {{ end }}
  <span>时长:</span>
  <div>
    {{ if .ApprovalOA.Leave.Days }}
    <span>{{ .ApprovalOA.Leave.Days }}天</span>
    {{ end }}
    {{ if .ApprovalOA.Leave.Hours }}
    <span>{{ .ApprovalOA.Leave.Hours }}小时</span>
    {{ end }}
  </div>
  <span>理由: {{ .ApprovalOA.Leave.Reason }}</span>
  {{ if eq .Type "maternityLeave" "maritalLeave" "paternityLeave" "abortLeave" "matingCheckLeave" "sick" }}
  <span>证明材料:</span>
  {{ if gt (len .ApprovalOA.Leave.VerifyFile) 0 }} 
  {{ range $index, $lea := .ApprovalOA.Leave.VerifyFile }}
  <div>
    <span>材料{{ add $index 1 }}：</span>
    <span>{{ $lea }}</span>
  </div>
  {{ end }}
  {{ end }}
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
  {{ end }}
</div>
{{ end }}
`

const LeaveOld1122 = `
{{ if or (eq .Type "annualLeave") (eq .Type "dayOff") (eq .Type "leave") (eq .Type "sick") (eq .Type "funeralLeave") (eq .Type "maritalLeave") (eq .Type "maternityLeave") (eq .Type "paternityLeave") (eq .Type "parentalLeave") (eq .Type "nursingLeave") (eq .Type "matingCheckLeave") (eq .Type "breastFeedingLeave") (eq .Type "abortLeave") }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>开始时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).Date }}</span>
    {{ if (index .ApprovalOA.Leave.ApplyTimes 0).Hour }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.Leave.ApplyTimes 0).M }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 0).M }}</span>
    {{ end }}
  </div>
  <span>结束时间:</span>
  <div>
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).Date }}</span>
    {{ if (index .ApprovalOA.Leave.ApplyTimes 1).Hour }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).Hour }}</span>
    {{ end }}
    {{ if (index .ApprovalOA.Leave.ApplyTimes 1).M }}
    <span>{{ (index .ApprovalOA.Leave.ApplyTimes 1).M }}</span>
    {{ end }}
  </div>
  {{ if or (eq .Type "breastFeedingLeave") (eq .Type "maternityLeave") }}
  <span>婴儿数量: {{ .ApprovalOA.Leave.Children }}</span>
  {{ end }}
  {{ if eq .Type "maternityLeave" }}
  <span>是否难产: {{ if eq .ApprovalOA.Leave.Dystocia 1 }}是{{ else }}否{{ end }}</span>
  {{ end }}
  {{ if or (eq .Type "matingCheckLeave") (eq .Type "abortLeave") }}
  <span>孕期: {{ .ApprovalOA.Leave.Month }}月</span>
  {{ end }}
  <span>时长:</span>
  <div>
    {{ if .ApprovalOA.Leave.Days }}
    <span>{{ .ApprovalOA.Leave.Days }}天</span>
    {{ end }}
    {{ if .ApprovalOA.Leave.Hours }}
    <span>{{ .ApprovalOA.Leave.Hours }}小时</span>
    {{ end }}
  </div>
  <span>理由: {{ .ApprovalOA.Leave.Reason }}</span>
  {{ if or (eq .Type "maternityLeave") (eq .Type "maritalLeave") (eq .Type "paternityLeave") (eq .Type "abortLeave") (eq .Type "matingCheckLeave") (eq .Type "sick") }}
  <span>证明材料:</span>
  {{ if gt (len .ApprovalOA.Leave.VerifyFile) 0 }} 
  {{ range $index, $lea := .ApprovalOA.Leave.VerifyFile }}
  <div>
    <span>材料{{ add $index 1 }}:</span>
   <span style="cursor: pointer" onclick="handleOpenLink('{{ $lea }}')">{{ $lea }}</span>
  </div>
  {{ end }}
  {{ end }}
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
  {{ end }}
  {{ end }}
</div>
{{ end }}`

const Leave = `
{{ if or (eq .Type "annualLeave") (eq .Type "dayOff") (eq .Type "leave") (eq .Type "sick") (eq .Type "funeralLeave") (eq .Type "maritalLeave") (eq .Type "maternityLeave") (eq .Type "paternityLeave") (eq .Type "parentalLeave") (eq .Type "nursingLeave") (eq .Type "matingCheckLeave") (eq .Type "breastFeedingLeave") (eq .Type "abortLeave") }}
<div class="approval">
  {{/* 基本信息 */}}
  {{ with . }}
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  {{ end }}

  {{/* 时间信息 */}}
  {{ with .ApprovalOA.Leave }}
  <span>开始时间:</span>
  <div>
    {{ with index .ApplyTimes 0 }}
    <span>{{ .Date }}</span>
    {{ if .Hour }}<span>{{ .Hour }}</span>{{ end }}
    {{ if .M }}<span>{{ .M }}</span>{{ end }}
    {{ end }}
  </div>

  <span>结束时间:</span>
  <div>
    {{ with index .ApplyTimes 1 }}
    <span>{{ .Date }}</span>
    {{ if .Hour }}<span>{{ .Hour }}</span>{{ end }}
    {{ if .M }}<span>{{ .M }}</span>{{ end }}
    {{ end }}
  </div>

  {{/* 特殊假期信息 */}}
  {{ if or (eq $.Type "breastFeedingLeave") (eq $.Type "maternityLeave") }}
  <span>婴儿数量: {{ .Children }}</span>
  {{ end }}

  {{ if eq $.Type "maternityLeave" }}
  <span>是否难产: {{ if eq .Dystocia 1 }}是{{ else }}否{{ end }}</span>
  {{ end }}

  {{ if or (eq $.Type "matingCheckLeave") (eq $.Type "abortLeave") }}
  <span>孕期: {{ .Month }}月</span>
  {{ end }}

  {{/* 时长信息 */}}
  <span>时长:</span>
  <div>
    {{ if .Days }}<span>{{ .Days }}天</span>{{ end }}
    {{ if .Hours }}<span>{{ .Hours }}小时</span>{{ end }}
  </div>

  <span>理由: {{ .Reason }}</span>

  {{/* 证明材料 */}}
  {{ if or (eq $.Type "maternityLeave") (eq $.Type "maritalLeave") (eq $.Type "paternityLeave") (eq $.Type "abortLeave") (eq $.Type "matingCheckLeave") (eq $.Type "sick") }}
  <span>证明材料:</span>
  {{ if gt (len .VerifyFile) 0 }}
  {{ range $index, $file := .VerifyFile }}
  <div>
    <span>材料{{ add $index 1 }}:</span>
     <a href="{{ $file }}" target="_blank" class="file-link" onclick="window.open('{{ $file }}', '_blank')">
      <span class="file-name">{{ $file }}</span>
      <span class="file-icon">📄</span>
    </a>
  </div>
  {{ end }}
  {{ end }}
  {{ end }}

  {{/* 撤销信息 */}}
  {{ if and $.ApprovalOA $.ApprovalOA.RevokeReason (or (eq $.Status 7) (eq $.Status 6)) }}
  <span>撤销理由: {{ $.ApprovalOA.RevokeReason }}</span>
  {{ end }}
  {{ end }}
</div>
{{ end }}

<style>
.file-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #1890ff;
  cursor: pointer;
  padding: 4px 8px;
  border-radius: 4px;
}

.file-link:hover {
  background-color: rgba(24, 144, 255, 0.1);
}

.file-name {
  margin-right: 8px;
}

.file-icon {
  font-size: 16px;
}
</style>
`
