package html

const LeaveApplyOld = `
{{ if eq .Type "maternityLeaveApply" "annualLeaveApply" "maritalLeaveApply" "matingCheckLeaveApply" "paternityLeaveApply" "nursingLeaveApply" "parentalLeaveApply" "funeralLeaveApply" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>证明材料:</span>
  {{ if gt (len .ApprovalOA.LeaveApply.VerifyFile) 0 }} 
  {{ range $index, $lea := .ApprovalOA.LeaveApply.VerifyFile }}
  <div>
    <span>材料{{ add $index 1 }}:</span>
    <span style="cursor: pointer" onclick="handleOpenLink('{{ $lea }}')">{{ $lea }}</span>
    {{ end }}
  </div>
  {{ end }}
  <div>
    <span>审批假期天数:{{ .ApprovalOA.LeaveApply.LeaveBalance }}</span>
  </div>
  <span>申请理由: {{ .ApprovalOA.LeaveApply.Reason }}</span>
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
  {{ end }}
</div>
{{ end }}
`
const LeaveApply = `
{{ if or (eq .Type "maternityLeaveApply") (eq .Type "annualLeaveApply") (eq .Type "maritalLeaveApply") (eq .Type "matingCheckLeaveApply") (eq .Type "paternityLeaveApply") (eq .Type "nursingLeaveApply") (eq .Type "parentalLeaveApply") (eq .Type "funeralLeaveApply") }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>证明材料:</span>
  {{ if gt (len .ApprovalOA.LeaveApply.VerifyFile) 0 }}
  {{ range $index, $file := .ApprovalOA.LeaveApply.VerifyFile }}
  <div>
    <span>材料{{ add $index 1 }}:</span>
    <a href="{{ $file }}" target="_blank" class="file-link" onclick="window.open('{{ $file }}', '_blank')">
      <span class="file-name">{{ $file }}</span>
      <span class="file-icon">📄</span>
    </a>
  </div>
  {{ end }}
  {{ end }}
  <div>
    <span>审批假期天数:{{ .ApprovalOA.LeaveApply.LeaveBalance }}</span>
  </div>
  <span>申请理由: {{ .ApprovalOA.LeaveApply.Reason }}</span>
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }}</span>
  {{ end }}
</div>
{{ end }}

<style>
.file-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #1890ff;
  cursor: pointer;
  padding: 4px 8px;
  border-radius: 4px;
}

.file-link:hover {
  background-color: rgba(24, 144, 255, 0.1);
}

.file-name {
  margin-right: 8px;
}

.file-icon {
  font-size: 16px;
}
</style>
`
