package html

const PromotionOld = `
{{ if eq .Type "promotion" }}
<div class="approval">
  <span>序号: {{ .ID }}</span>
  <span>申请人: {{ .SubmitterName }}</span>
  <span>申请类型: {{ .TypeName }}</span>
  <span>姓名: {{ .Promotion.StaffName }}({{ .Promotion.StaffNum }})</span>
  <span>原职务: {{ .Promotion.OldJob }}</span>
  <span>任命职务: {{ .Promotion.NewJob }}</span>
  <span>生效日期: {{ .Promotion.EffectiveTime }}</span>
  <span>
    <span style="cursor: pointer" onclick="handleOpenLink('{{ .Promotion.FileUrl }}')">{{ .Promotion.FileUrl }}</span>
  </span>
</div>
{{ end }}
`

const Promotion = `
{{ if eq .Type "promotion" }}
<div class="approval">
  <span>序号: {{ .ID }};</span>
  <span>申请人: {{ .SubmitterName }};</span>
  <span>申请类型: {{ .TypeName }};</span>
  <span>姓名: {{ .Promotion.StaffName }}({{ .Promotion.StaffNum }});</span>
  <span>原职务: {{ .Promotion.OldJob }};</span>
  <span>任命职务: {{ .Promotion.NewJob }};</span>
  <span>生效日期: {{ .Promotion.EffectiveTime }};</span>
  {{ if .Promotion.FileUrl }}
  <span>
    <a href="{{ .Promotion.FileUrl }}" target="_blank" class="file-link" onclick="window.open('{{ .Promotion.FileUrl }}', '_blank')">
      <span class="file-name">{{ .Promotion.FileUrl }}</span>
      <span class="file-icon">📄</span>
    </a>
  </span>
  {{ end }}
  {{ if and .ApprovalOA .ApprovalOA.RevokeReason (or (eq .Status 7) (eq .Status 6)) }}
  <span>撤销理由: {{ .ApprovalOA.RevokeReason }};</span>
  {{ end }}
</div>
{{ end }}

<style>
.file-link {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #1890ff;
  cursor: pointer;
  padding: 4px 8px;
  border-radius: 4px;
}

.file-link:hover {
  background-color: rgba(24, 144, 255, 0.1);
}

.file-name {
  margin-right: 8px;
}

.file-icon {
  font-size: 16px;
}
</style>
`
