package model

const (
	ApprovalMapping = `{
    "settings": {
        "number_of_shards": 1,
        "number_of_replicas": 1
    },
    "mappings": {
        "dynamic": "false",
        "properties": {
            "ID": {
                "type": "long"
            },
            "Domain": {
                "type": "text"
            },
            "Status": {
                "type": "long"
            },
            "Type": {
                "type": "text"
            },
            "SubmitterID": {
                "type": "long"
            },
            "SubmitterName": {
                "type": "text"
            },
            "CopyUsers": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "Name": {
                        "type": "text"
                    },
                    "DepartmentUID": {
                        "type": "text"
                    },
                    "DepartmentName": {
                        "type": "text"
                    },
                    "PositionUID": {
                        "type": "text"
                    },
                    "PositionName": {
                        "type": "text"
                    },
                    "Level": {
                        "type": "long"
                    },
                    "IsLive": {
                        "type": "long"
                    },
                    "Type": {
                        "type": "text"
                    },
                    "IsViewed": {
                        "type": "boolean"
                    }
                }
            },
            "Content": {
                "type": "text"
            },
            "Reply": {
                "type": "text"
            },
            "CanView": {
                "type": "boolean"
            },
            "Work": {
                "type": "object",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "ReturnAt": {
                        "type": "text"
                    },
                    "ReceivedAt": {
                        "type": "text"
                    },
                    "ApprovalWorks": {
                        "type": "nested",
                        "properties": {
                            "ID": {
                                "type": "long"
                            },
                            "WorkID": {
                                "type": "long"
                            },
                            "ApprovalID": {
                                "type": "long"
                            },
                            "ArtworkID": {
                                "type": "long"
                            },
                            "ArtworkName": {
                                "type": "text"
                            },
                            "ArtistName": {
                                "type": "text"
                            },
                            "ArtworkCover": {
                                "type": "text"
                            },
                            "ArtworkNumber": {
                                "type": "long"
                            },
                            "ArtistUID": {
                                "type": "text"
                            },
                            "ShowSeq": {
                                "type": "text"
                            },
                            "ArtistShowCount": {
                                "type": "text"
                            }
                        }
                    },
                    "ArtistUID": {
                        "type": "text"
                    }
                }
            },
            "Show": {
                "type": "nested",
                "properties": {
                    "ShowDetail": {
                        "type": "nested",
                        "properties": {
                            "ID": {
                                "type": "long"
                            },
                            "ArtistNum": {
                                "type": "long"
                            },
                            "ShowAt": {
                                "type": "text"
                            },
                            "Address": {
                                "type": "text"
                            },
                            "Show": {
                                "type": "object",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "ArtistNum": {
                                        "type": "long"
                                    },
                                    "ShowAt": {
                                        "type": "text"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "Exhibition": {
                "type": "object",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "ReceivedAt": {
                        "type": "text"
                    },
                    "Address": {
                        "type": "text"
                    },
                    "PidApprovalID": {
                        "type": "long"
                    },
                    "ApprovalExhibitions": {
                        "type": "nested",
                        "properties": {
                            "ID": {
                                "type": "long"
                            },
                            "ExhibitionID": {
                                "type": "long"
                            },
                            "ApprovalID": {
                                "type": "long"
                            },
                            "PackageName": {
                                "type": "text"
                            },
                            "PackageID": {
                                "type": "text"
                            },
                            "PackageSize": {
                                "type": "long"
                            },
                            "PackageNumber": {
                                "type": "text"
                            },
                            "Address": {
                                "type": "text"
                            },
                            "ShowDate": {
                                "type": "text"
                            },
                            "Artworks": {
                                "type": "nested",
                                "properties": {
                                    "ArtworkPriceUID": {
                                        "type": "text"
                                    },
                                    "ShowUID": {
                                        "type": "text"
                                    },
                                    "ArtworkUID": {
                                        "type": "text"
                                    },
                                    "ArtworkName": {
                                        "type": "text"
                                    },
                                    "ArtistName": {
                                        "type": "text"
                                    },
                                    "Length": {
                                        "type": "long"
                                    },
                                    "Width": {
                                        "type": "long"
                                    },
                                    "Ruler": {
                                        "type": "long"
                                    },
                                    "SmallPic": {
                                        "type": "text"
                                    },
                                    "SaleAddress": {
                                        "type": "text"
                                    },
                                    "Reward": {
                                        "type": "text"
                                    },
                                    "Tfnum": {
                                        "type": "text"
                                    },
                                    "SaleAddressID": {
                                        "type": "text"
                                    },
                                    "ArtistShowCount": {
                                        "type": "text"
                                    }
                                }
                            },
                            "ArtExhibitionDetail": {
                                "type": "object",
                                "properties": {
                                    "ShowUID": {
                                        "type": "text"
                                    },
                                    "ShowSeq": {
                                        "type": "text"
                                    },
                                    "ShowName": {
                                        "type": "text"
                                    },
                                    "ArtistName": {
                                        "type": "text"
                                    },
                                    "ArtistUID": {
                                        "type": "text"
                                    },
                                    "ArtworkNum": {
                                        "type": "long"
                                    },
                                    "Ruler": {
                                        "type": "long"
                                    },
                                    "Price": {
                                        "type": "long"
                                    },
                                    "Reward": {
                                        "type": "long"
                                    },
                                    "CreateTime": {
                                        "type": "text"
                                    },
                                    "Operator": {
                                        "type": "text"
                                    },
                                    "IsShow": {
                                        "type": "long"
                                    },
                                    "ShowTime": {
                                        "type": "text"
                                    },
                                    "Address": {
                                        "type": "text"
                                    },
                                    "Agent": {
                                        "type": "text"
                                    },
                                    "ArtistShowCount": {
                                        "type": "text"
                                    },
                                    "ExhibitionType": {
                                        "type": "integer"
                                    },
                                    "IsInvite": {
                                        "type": "integer"
                                    }
                                }
                            },
                            "TotalPrice": {
                                "type": "long"
                            }
                        }
                    },
                    "Num": {
                        "type": "long"
                    },
                    "ApplyID": {
                        "type": "text"
                    },
                    "ExhibitionUID": {
                        "type": "text"
                    }
                }
            },
            "Bundle": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "ReturnAt": {
                        "type": "text"
                    },
                    "ReceivedAt": {
                        "type": "text"
                    },
                    "ApplicationsNum": {
                        "type": "long"
                    }
                }
            },
            "ApprovalUser": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "Name": {
                        "type": "text"
                    },
                    "DepartmentUID": {
                        "type": "text"
                    },
                    "DepartmentName": {
                        "type": "text"
                    },
                    "PositionUID": {
                        "type": "text"
                    },
                    "PositionName": {
                        "type": "text"
                    },
                    "IsDirect": {
                        "type": "long"
                    },
                    "Level": {
                        "type": "long"
                    },
                    "BalanceFillIn": {
                        "type": "long"
                    },
                    "Signature": {
                        "type": "text"
                    },
                    "IsLive": {
                        "type": "long"
                    },
                    "Type": {
                        "type": "text"
                    },
                    "IsDesignate": {
                        "type": "long"
                    },
                    "Tier": {
                        "type": "long"
                    }
                }
            },
            "CanApproval": {
                "type": "boolean"
            },
            "WorkFlows": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "UserID": {
                        "type": "long"
                    },
                    "Name": {
                        "type": "text"
                    },
                    "DepartmentUID": {
                        "type": "text"
                    },
                    "DepartmentName": {
                        "type": "text"
                    },
                    "PositionUID": {
                        "type": "text"
                    },
                    "PositionName": {
                        "type": "text"
                    },
                    "IsDirect": {
                        "type": "long"
                    },
                    "Level": {
                        "type": "long"
                    },
                    "BalanceFillIn": {
                        "type": "long"
                    },
                    "Signature": {
                        "type": "text"
                    },
                    "Status": {
                        "type": "long"
                    },
                    "Tips": {
                        "type": "text"
                    },
                    "Reply": {
                        "type": "text"
                    },
                    "OperatedAt": {
                        "type": "text"
                    },
                    "IsLive": {
                        "type": "long"
                    }
                }
            },
            "AllStatus": {
                "type": "long"
            },
            "NowUserId": {
                "type": "long"
            },
            "NowUserName": {
                "type": "text"
            },
            "Level": {
                "type": "long"
            },
            "NowLevel": {
                "type": "long"
            },
            "CreatedAt": {
                "type": "text"
            },
            "CustomizeInfo": {
                "type": "nested",
                "properties": {
                    "ApprovalKey": {
                        "type": "text"
                    },
                    "ApprovalName": {
                        "type": "text"
                    },
                    "ApprovalType": {
                        "type": "text"
                    },
                    "ApprovalValue": {
                        "type": "text"
                    },
                    "ApprovalMark": {
                        "type": "boolean"
                    },
                    "ApprovalRequired": {
                        "type": "boolean"
                    },
                    "ApprovalPlaceholder": {
                        "type": "text"
                    },
                    "SelectList": {
                        "type": "text"
                    }
                }
            },
            "IsCustom": {
                "type": "long"
            },
            "TypeName": {
                "type": "text"
            },
            "GroupName": {
                "type": "text"
            },
            "BundlePayPrice": {
                "properties": {
                    "ShowUid": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "ShowName": {
                        "type": "text"
                    },
                    "ReceivedAt": {
                        "type": "text"
                    },
                    "ShowDate": {
                        "type": "text"
                    },
                    "ShowLowPrice": {
                        "type": "text"
                    },
                    "ArtworkNum": {
                        "type": "long"
                    },
                    "ArtworkSize": {
                        "type": "text"
                    },
                    "ShowAddress": {
                        "type": "text"
                    },
                    "ID": {
                        "type": "long"
                    },
                    "Status": {
                        "type": "long"
                    },
                    "ArtistName": {
                        "type": "text"
                    },
                    "Rollback": {
                        "type": "integer"
                    },
                    "OperationTimes": {
                        "type": "integer"
                    },
                    "ExhibitionType": {
                        "type": "long"
                    },
                    "ArtistShowCount": {
                        "type": "text"
                    }
                }
            },
            "ApprovalOA": {
                "type": "object",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "DeletedAt": {
                        "type": "long"
                    },
                    "CreatedAt": {
                        "type": "text"
                    },
                    "UpdatedAt": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "LeaveApply": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "text"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "text"
                            },
                            "StaffName": {
                                "type": "text"
                            },
                            "DepartmentUID": {
                                "type": "text"
                            },
                            "ApplyType": {
                                "type": "text"
                            },
                            "ActionTime": {
                                "type": "text"
                            },
                            "ApprovalID": {
                                "type": "text"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "VerifyFile": {
                                "type": "text"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "text"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            },
                            "LeaveBalance": {
                                "type": "float"
                            }
                        }
                    },
                    "OutWork": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "text"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "text"
                            },
                            "StaffName": {
                                "type": "text"
                            },
                            "DepartmentUID": {
                                "type": "text"
                            },
                            "ApplyType": {
                                "type": "text"
                            },
                            "ActionTime": {
                                "type": "text"
                            },
                            "ApprovalID": {
                                "type": "text"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "Hours": {
                                "type": "float"
                            },
                            "OutWorkAddress": {
                                "type": "text"
                            },
                            "Vehicle": {
                                "type": "text"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "text"
                                    },
                                    "Status": {
                                        "type": "integer"
                                    },
                                    "Tips": {
                                        "type": "text"
                                    },
                                    "Reply": {
                                        "type": "text"
                                    },
                                    "OperatedAt": {
                                        "type": "text"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    }
                                }
                            }
                        }
                    },
                    "MakeUp": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "keyword"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "keyword"
                            },
                            "StaffName": {
                                "type": "keyword"
                            },
                            "DepartmentUID": {
                                "type": "keyword"
                            },
                            "ApplyType": {
                                "type": "keyword"
                            },
                            "ActionTime": {
                                "type": "text"
                            },
                            "ApprovalID": {
                                "type": "keyword"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "keyword"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            }
                        }
                    },
                    "Turnover": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "text"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "text"
                            },
                            "StaffName": {
                                "type": "text"
                            },
                            "DepartmentUID": {
                                "type": "text"
                            },
                            "ApplyType": {
                                "type": "text"
                            },
                            "ActionTime": {
                                "type": "text"
                            },
                            "ApprovalID": {
                                "type": "text"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "HandoverUID": {
                                "type": "long"
                            },
                            "HandoverName": {
                                "type": "text"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "text"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            },
                            "Positions": {
                                "type": "nested",
                                "properties": {
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "DepartmentID": {
                                        "type": "long"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "PositionID": {
                                        "type": "long"
                                    }
                                }
                            },
                            "JoinTime": {
                                "type": "text"
                            },
                            "LeftTime": {
                                "type": "text"
                            },
                            "ContactInfo": {
                                "type": "text"
                            },
                            "HandoverNum": {
                                "type": "text"
                            },
                            "Address": {
                                "type": "text"
                            },
                            "SuperviseUID": {
                                "type": "long"
                            },
                            "SuperviseName": {
                                "type": "text"
                            },
                            "SuperviseNum": {
                                "type": "text"
                            },
                            "WorkItems": {
                                "type": "text"
                            },
                            "FinanceItems": {
                                "type": "text"
                            }
                        }
                    },
                    "OverTime": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "keyword"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "keyword"
                            },
                            "StaffName": {
                                "type": "keyword"
                            },
                            "DepartmentUID": {
                                "type": "keyword"
                            },
                            "ApplyType": {
                                "type": "keyword"
                            },
                            "ActionTime": {
                                "type": "keyword"
                            },
                            "ApprovalID": {
                                "type": "keyword"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "Hours": {
                                "type": "float"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "keyword"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            }
                        }
                    },
                    "Leave": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "keyword"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "keyword"
                            },
                            "StaffName": {
                                "type": "keyword"
                            },
                            "DepartmentUID": {
                                "type": "keyword"
                            },
                            "ApplyType": {
                                "type": "keyword"
                            },
                            "ActionTime": {
                                "type": "keyword"
                            },
                            "ApprovalID": {
                                "type": "keyword"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "Hours": {
                                "type": "float"
                            },
                            "Days": {
                                "type": "float"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "keyword"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            },
                            "VerifyFile": {
                                "type": "text"
                            },
                            "DateOfBrith": {
                                "type": "text"
                            },
                            "Children": {
                                "type": "integer"
                            },
                            "Month": {
                                "type": "integer"
                            },
                            "Dystocia": {
                                "type": "integer"
                            }
                        }
                    },
                    "RevokeReason": {
                        "type": "text"
                    },
                    "GoOut": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "keyword"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "keyword"
                            },
                            "StaffName": {
                                "type": "keyword"
                            },
                            "DepartmentUID": {
                                "type": "keyword"
                            },
                            "ApplyType": {
                                "type": "keyword"
                            },
                            "ActionTime": {
                                "type": "keyword"
                            },
                            "ApprovalID": {
                                "type": "keyword"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "ApplyTimes": {
                                "type": "nested",
                                "properties": {
                                    "Date": {
                                        "type": "text"
                                    },
                                    "Hour": {
                                        "type": "text"
                                    },
                                    "M": {
                                        "type": "text"
                                    }
                                }
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "Hours": {
                                "type": "float"
                            },
                            "Days": {
                                "type": "float"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "keyword"
                                    },
                                    "DepartmentUID": {
                                        "type": "keyword"
                                    },
                                    "DepartmentName": {
                                        "type": "keyword"
                                    },
                                    "PositionUID": {
                                        "type": "keyword"
                                    },
                                    "PositionName": {
                                        "type": "keyword"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "keyword"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "keyword"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            },
                            "VerifyFile": {
                                "type": "text"
                            },
                            "DateOfBrith": {
                                "type": "text"
                            },
                            "Children": {
                                "type": "integer"
                            },
                            "Month": {
                                "type": "integer"
                            },
                            "Dystocia": {
                                "type": "integer"
                            }
                        }
                    },
                    "BusinessTrip": {
                        "type": "object",
                        "properties": {
                            "UUID": {
                                "type": "text"
                            },
                            "StaffUID": {
                                "type": "long"
                            },
                            "StaffNum": {
                                "type": "text"
                            },
                            "StaffName": {
                                "type": "text"
                            },
                            "DepartmentUID": {
                                "type": "text"
                            },
                            "ApplyType": {
                                "type": "text"
                            },
                            "ActionTime": {
                                "type": "text"
                            },
                            "ApprovalID": {
                                "type": "text"
                            },
                            "ItineraryList": {
                                "type": "nested",
                                "properties": {
                                    "Vehicle": {
                                        "type": "text"
                                    },
                                    "StartAddress": {
                                        "type": "text"
                                    },
                                    "EndAddress": {
                                        "type": "text"
                                    },
                                    "ApplyTimes": {
                                        "type": "nested",
                                        "properties": {
                                            "Date": {
                                                "type": "text"
                                            },
                                            "Hour": {
                                                "type": "text"
                                            },
                                            "M": {
                                                "type": "text"
                                            }
                                        }
                                    },
                                    "Days": {
                                        "type": "float"
                                    }
                                }
                            },
                            "TotalDays": {
                                "type": "float"
                            },
                            "Reason": {
                                "type": "text"
                            },
                            "Status": {
                                "type": "integer"
                            },
                            "CopyUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsViewed": {
                                        "type": "boolean"
                                    }
                                }
                            },
                            "ApprovalUsers": {
                                "type": "nested",
                                "properties": {
                                    "ID": {
                                        "type": "long"
                                    },
                                    "Name": {
                                        "type": "text"
                                    },
                                    "DepartmentUID": {
                                        "type": "text"
                                    },
                                    "DepartmentName": {
                                        "type": "text"
                                    },
                                    "PositionUID": {
                                        "type": "text"
                                    },
                                    "PositionName": {
                                        "type": "text"
                                    },
                                    "IsDirect": {
                                        "type": "long"
                                    },
                                    "Level": {
                                        "type": "long"
                                    },
                                    "BalanceFillIn": {
                                        "type": "long"
                                    },
                                    "Signature": {
                                        "type": "text"
                                    },
                                    "IsLive": {
                                        "type": "long"
                                    },
                                    "Type": {
                                        "type": "text"
                                    },
                                    "IsDesignate": {
                                        "type": "long"
                                    },
                                    "Tier": {
                                        "type": "long"
                                    }
                                }
                            }
                        }
                    }
                }
            },
            "FinancialForm": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "DeletedAt": {
                        "type": "long"
                    },
                    "CreatedAt": {
                        "type": "text"
                    },
                    "UpdatedAt": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "PaymentCompany": {
                        "type": "text"
                    },
                    "TransactionDepartment": {
                        "type": "text"
                    },
                    "Payee": {
                        "type": "text"
                    },
                    "BeneficiaryBank": {
                        "type": "text"
                    },
                    "BankNo": {
                        "type": "text"
                    },
                    "CostInfo": {
                        "type": "nested",
                        "properties": {
                            "Description": {
                                "type": "text"
                            },
                            "UnitPrice": {
                                "type": "text"
                            },
                            "CostUnit": {
                                "type": "text"
                            },
                            "CostNum": {
                                "type": "long"
                            },
                            "TotalPrice": {
                                "type": "text"
                            },
                            "UsedDepartment": {
                                "type": "text"
                            }
                        }
                    },
                    "PaymentMethod": {
                        "type": "text"
                    },
                    "InvoiceInfo": {
                        "type": "nested",
                        "properties": {
                            "InvoiceDate": {
                                "type": "text"
                            },
                            "InvoiceNo": {
                                "type": "text"
                            },
                            "InvoiceProvider": {
                                "type": "text"
                            },
                            "Amount": {
                                "type": "text"
                            },
                            "UseTo": {
                                "type": "text"
                            },
                            "Applicant": {
                                "type": "text"
                            },
                            "PaymentMethod": {
                                "type": "text"
                            },
                            "PaymentObj": {
                                "type": "text"
                            },
                            "InvoiceType": {
                                "type": "text"
                            },
                            "Notes": {
                                "type": "text"
                            }
                        }
                    }
                }
            },
            "DepartmentID": {
                "type": "long"
            },
            "PositionID": {
                "type": "long"
            },
            "ExhibitionHis": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "ReceivedAt": {
                        "type": "text"
                    },
                    "Address": {
                        "type": "text"
                    },
                    "PidApprovalID": {
                        "type": "long"
                    },
                    "ApprovalExhibitionHiss": {
                        "type": "nested",
                        "properties": {
                            "ID": {
                                "type": "long"
                            },
                            "ExhibitionID": {
                                "type": "long"
                            },
                            "ApprovalID": {
                                "type": "long"
                            },
                            "PackageName": {
                                "type": "text"
                            },
                            "PackageID": {
                                "type": "text"
                            },
                            "PackageSize": {
                                "type": "long"
                            },
                            "PackageNumber": {
                                "type": "text"
                            },
                            "Address": {
                                "type": "text"
                            },
                            "ShowDate": {
                                "type": "text"
                            },
                            "Artworks": {
                                "type": "nested",
                                "properties": {
                                    "ArtworkPriceUID": {
                                        "type": "text"
                                    },
                                    "ShowUID": {
                                        "type": "text"
                                    },
                                    "ArtworkUID": {
                                        "type": "text"
                                    },
                                    "ArtworkName": {
                                        "type": "text"
                                    },
                                    "ArtistName": {
                                        "type": "text"
                                    },
                                    "Length": {
                                        "type": "long"
                                    },
                                    "Width": {
                                        "type": "long"
                                    },
                                    "Ruler": {
                                        "type": "long"
                                    },
                                    "SmallPic": {
                                        "type": "text"
                                    },
                                    "SaleAddress": {
                                        "type": "text"
                                    },
                                    "Reward": {
                                        "type": "text"
                                    },
                                    "Tfnum": {
                                        "type": "text"
                                    },
                                    "SaleAddressID": {
                                        "type": "text"
                                    },
                                    "ArtistShowCount": {
                                        "type": "text"
                                    }
                                }
                            },
                            "ArtExhibitionDetail": {
                                "type": "nested",
                                "properties": {
                                    "ShowUID": {
                                        "type": "text"
                                    },
                                    "ShowSeq": {
                                        "type": "text"
                                    },
                                    "ShowName": {
                                        "type": "text"
                                    },
                                    "ArtistName": {
                                        "type": "text"
                                    },
                                    "ArtistUID": {
                                        "type": "text"
                                    },
                                    "ArtworkNum": {
                                        "type": "long"
                                    },
                                    "Ruler": {
                                        "type": "long"
                                    },
                                    "Price": {
                                        "type": "long"
                                    },
                                    "Reward": {
                                        "type": "long"
                                    },
                                    "CreateTime": {
                                        "type": "text"
                                    },
                                    "Operator": {
                                        "type": "text"
                                    },
                                    "IsShow": {
                                        "type": "long"
                                    },
                                    "ShowTime": {
                                        "type": "text"
                                    },
                                    "Address": {
                                        "type": "text"
                                    },
                                    "Agent": {
                                        "type": "text"
                                    },
                                    "ArtistShowCount": {
                                        "type": "text"
                                    },
                                    "ExhibitionType": {
                                        "type": "integer"
                                    },
                                    "IsInvite": {
                                        "type": "integer"
                                    }
                                }
                            },
                            "TotalPrice": {
                                "type": "long"
                            }
                        }
                    },
                    "Num": {
                        "type": "long"
                    },
                    "ApplyID": {
                        "type": "text"
                    }
                }
            },
            "Promotion": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "DeletedAt": {
                        "type": "long"
                    },
                    "CreatedAt": {
                        "type": "text"
                    },
                    "UpdatedAt": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "StaffUID": {
                        "type": "long"
                    },
                    "StaffNum": {
                        "type": "text"
                    },
                    "StaffName": {
                        "type": "text"
                    },
                    "FileUrl": {
                        "type": "text"
                    },
                    "FileName": {
                        "type": "text"
                    },
                    "RequestID": {
                        "type": "text"
                    },
                    "TxId": {
                        "type": "text"
                    },
                    "BlockId": {
                        "type": "text"
                    },
                    "BaiduCertUrl": {
                        "type": "text"
                    },
                    "OldJob": {
                        "type": "text"
                    },
                    "NewJob": {
                        "type": "text"
                    },
                    "EffectiveTime": {
                        "type": "text"
                    },
                    "IsSend": {
                        "type": "long"
                    }
                }
            },
            "StaffSupply": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "DeletedAt": {
                        "type": "long"
                    },
                    "CreatedAt": {
                        "type": "text"
                    },
                    "UpdatedAt": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "PositionName": {
                        "type": "text"
                    },
                    "Num": {
                        "type": "long"
                    },
                    "JobAsk": {
                        "type": "text"
                    },
                    "JoinInTime": {
                        "type": "text"
                    },
                    "DepartmentName": {
                        "type": "text"
                    },
                    "PositionId": {
                        "type": "text"
                    },
                    "DepartmentId": {
                        "type": "text"
                    }
                }
            },
            "Employ": {
                "type": "nested",
                "properties": {
                    "ID": {
                        "type": "long"
                    },
                    "DeletedAt": {
                        "type": "long"
                    },
                    "CreatedAt": {
                        "type": "text"
                    },
                    "UpdatedAt": {
                        "type": "text"
                    },
                    "ApprovalID": {
                        "type": "long"
                    },
                    "ResumeID": {
                        "type": "text"
                    },
                    "Post": {
                        "type": "text"
                    },
                    "BelongDepartment": {
                        "type": "text"
                    },
                    "Name": {
                        "type": "text"
                    },
                    "Mobile": {
                        "type": "text"
                    },
                    "ResumeFile": {
                        "type": "text"
                    },
                    "InterviewFile": {
                        "type": "text"
                    },
                    "EmployeeType": {
                        "type": "text"
                    },
                    "EmployeeNo": {
                        "type": "text"
                    },
                    "EntryTime": {
                        "type": "text"
                    },
                    "CloseReason": {
                        "type": "text"
                    },
                    "IsClosed": {
                        "type": "integer"
                    },
                    "PositionId": {
                        "type": "text"
                    },
                    "DepartmentId": {
                        "type": "text"
                    },
                    "ConfirmDate": {
                        "type": "text"
                    },
                    "Remark": {
                        "type": "text"
                    }
                }
            },
            "IsLeader": {
                "type": "boolean"
            },
            "CheckIn": {
                "properties": {
                    "ApprovalID": {
                        "type": "long"
                    },
                    "SaleAddress": {
                        "type": "text"
                    },
                    "DetailAddress": {
                        "type": "text"
                    },
                    "Longitude": {
                        "type": "text"
                    },
                    "Latitude": {
                        "type": "text"
                    }
                }
            },
                "MenuType": {
                    "type": "integer"
                }
            }
        }
    }
}`
)

// 备用
/*
 "ReturnArtworkInfo": {
               "type": "object",
               "properties": {
                   "ID": {
                       "type": "long"
                   },
                   "DeletedAt": {
                       "type": "long"
                   },
                   "CreatedAt": {
                       "type": "text"
                   },
                   "UpdatedAt": {
                       "type": "text"
                   },
                   "ApprovalID": {
                       "type": "long"
                   },
                   "ReturnInfos": {
                       "type": "nested",
                       "properties": {
                           "ArtistName": {
                               "type": "text"
                           },
                           "PackageName": {
                               "type": "text"
                           },
                           "PackageID": {
                               "type": "keyword"
                           },
                           "ReturnType": {
                               "type": "long"
                           },
                           "PostNum": {
                               "type": "text"
                           },
                           "ReturnTime": {
                               "type": "text"
                           },
                           "ReturnReason": {
                               "type": "text"
                           },
                           "Artworks": {
                               "type": "nested",
                               "properties": {
                                   "Tfnum": {
                                       "type": "text"
                                   },
                                   "ArtworkUID": {
                                       "type": "text"
                                   },
                                   "ArtworkName": {
                                       "type": "text"
                                   },
                                   "ArtistName": {
                                       "type": "text"
                                   },
                                   "Length": {
                                       "type": "long"
                                   },
                                   "Width": {
                                       "type": "long"
                                   },
                                   "Ruler": {
                                       "type": "long"
                                   },
                                   "SmallPic": {
                                       "type": "text"
                                   }
                               }
                           },
                           "ArtistNum": {
                               "type": "text"
                           }
                       }
                   },
                   "ExhibitionUID": {
                       "type": "text"
                   },
                   "ReturnStatus": {
                       "type": "integer"
                   }
               },
*/
