// Package service -----------------------------
// @file      : init_artistinfo.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/9/8 16:12
// -------------------------------------------
package service

import (
	"dubbo.apache.org/dubbo-go/v3/config"
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoArtwork"
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoContract"
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoStatement"
	"github.com/fonchain_enterprise/fonchain-main/api/artistInfoUser"
	"github.com/fonchain_enterprise/fonchain-main/api/artistinfoArtshow"
	"github.com/fonchain_enterprise/fonchain-main/api/inCircleArticle"
	"github.com/fonchain_enterprise/fonchain-main/api/mailArtwork"
	"github.com/fonchain_enterprise/fonchain-main/api/operationRecord"
	"github.com/fonchain_enterprise/fonchain-main/api/unipush"
)

// 画家宝
var GrpcArtistInfoArtshowImpl = new(artistinfoArtshow.ArtistInfoArtshowClientImpl)
var GrpcArtistInfoUserImpl = new(artistInfoUser.ArtistInfoUserClientImpl)
var GrpcArtistInfoArtworkImpl = new(artistInfoArtwork.ArtistInfoArtworkClientImpl)
var GrpcArtistInfoContracImpl = new(artistInfoContract.ArtistInfoContractClientImpl)
var GrpcInCircleArticleImpl = new(inCircleArticle.InCircleArticleClientImpl)
var GrpcArtistInfoStatementsImpl = new(artistInfoStatement.ArtistInfoStatementClientImpl)
var GrpcMailArtworkImpl = new(mailArtwork.MailArtworkClientImpl)
var GrpcUnipushImpl = new(unipush.UnipushClientImpl)
var GrpcOperationRecordImpl = new(operationRecord.OperationRecordClientImpl)

func initArtistinfoClients() {
	// 画家宝
	config.SetConsumerService(GrpcArtistInfoUserImpl)
	config.SetConsumerService(GrpcArtistInfoArtworkImpl)
	config.SetConsumerService(GrpcArtistInfoArtshowImpl)
	config.SetConsumerService(GrpcArtistInfoContracImpl)
	config.SetConsumerService(GrpcArtistInfoStatementsImpl)
	config.SetConsumerService(GrpcInCircleArticleImpl)
	config.SetConsumerService(GrpcMailArtworkImpl)
	config.SetConsumerService(GrpcUnipushImpl)
	config.SetConsumerService(GrpcOperationRecordImpl)
}
