package service_meal

import (
	"context"
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	meal_backend_goods "github.com/fonchain_enterprise/fonchain-main/api/meal/backend/goods"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

func CategoryPlateList(c *gin.Context) {
	var req meal_backend_goods.CategoryPlateListReq
	//if err := c.ShouldBind(&req); err != nil {
	//	logger.Errorf("CategoryPlateListReq ShouldBind err", err)
	//	service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
	//	return
	//}
	resp, err := service.GrpcMealGoodsImpl.CategoryPlateList(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp.Data)
}

func CategoryGoodsList(c *gin.Context) {
	var req meal_backend_goods.CategoryGoodsListReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("CategoryPlateListReq ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealGoodsImpl.CategoryGoodsList(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp.Data)
}

func UpdateCategoryGoods(c *gin.Context) {
	var req meal_backend_goods.UpdateCategoryGoodsReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("CategoryPlateListReq ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealGoodsImpl.UpdateCategoryGoods(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp)
}

func UpdateFeast(c *gin.Context) {
	var req meal_backend_goods.UpdateFeastReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("CategoryPlateListReq ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealGoodsImpl.UpdateFeast(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp)
}

func UpdateBoxMeal(c *gin.Context) {
	var req meal_backend_goods.UpdateBoxMealReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("UpdateBoxMeal ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealGoodsImpl.UpdateBoxMeal(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp)
}

func UpdateDrink(c *gin.Context) {
	var req meal_backend_goods.UpdateDrinkReq
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("UpdateDrinkReq ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealGoodsImpl.UpdateDrink(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp)
}
