package service_meal

import (
	"context"
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	meal_backend_order "github.com/fonchain_enterprise/fonchain-main/api/meal/backend/order"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

func OrderDataH5(c *gin.Context) {
	var req meal_backend_order.OrderDataH5Req
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("OrderDataH5 ShouldBind err", err)
		service.ResponseQuickMsg(c, e.Failed, err.Error(), nil)
		return
	}
	resp, err := service.GrpcMealOrderImpl.OrderDataH5(context.Background(), &req)
	if err != nil {
		service.ResponseQuickMsg(c, e.Ok, err.Error(), nil)
		return
	}
	service.ResponseQuickMsg(c, e.Ok, "", resp.Data)
}
