package service

import (
	"context"
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"fmt"
	"github.com/fonchain_enterprise/fonchain-main/api/meeting"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/serializer"
	"github.com/gin-gonic/gin"
	"io"
	"time"
)

func AuthInfo(c *gin.Context) {
	resp, err := GrpcMeetingImpl.AuthInfo(context.Background(), &meeting.AuthInfoReq{UserId: "123"})
	if err != nil {
		ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}
	ResponseQuickMsg(c, e.Ok, "", resp)
	return
}

func SubscribeCallback(c *gin.Context) {
	logger.Error("SubscribeCallback time", time.Now().Format("2006-01-02 15:04:05"))
	//var err error
	//var data model_meeting.SubscribeMessage
	//if err = c.Bind(&data); err != nil {
	//	ResponseQuickMsg(c, e.Failed, err.Error(), "Bind")
	//	return
	//}
	//if data.SubscribeID != "" {
	//	logger.Error("Bind--", data)
	//	ResponseQuickMsg(c, e.Ok, "bind", data)
	//	return
	//}
	dataBody, _ := io.ReadAll(c.Request.Body)
	dataStr := string(dataBody)
	fmt.Println(dataStr)
	_, _ = GrpcMeetingImpl.SubscribeEvent(context.Background(), &meeting.SubscribeEventReq{Body: dataStr})
	// TODO 将数据传给微服务
	ResponseQuickMsg(c, e.Ok, "", nil)
}
