package service

import (
	"context"

	"github.com/fonchain_enterprise/fonchain-main/api/note"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/serializer"
	"github.com/gin-gonic/gin"
	"github.com/nacos-group/nacos-sdk-go/common/logger"
)

func CreateNote(c *gin.Context) {
	//声明一个变量
	var CreateNoteService note.CreateNotereq
	if err := c.ShouldBind(&CreateNoteService); err != nil {
		logger.Errorf("CreateNote ShouldBind err", err)
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	resp, err := GrpcNoteImpl.CreateNote(context.Background(), &CreateNoteService)
	if err != nil {
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	ResponseMsg(c, e.UpdatePasswordSuccess, serializer.Response{
		Msg:  resp.Msg,
		Code: e.Ok,
		Data: resp,
	})
}

func NoteInfo(c *gin.Context) {
	//声明一个对象
	var NoteInfoService note.NoteInforeq

	if err := c.ShouldBind(&NoteInfoService); err != nil {
		logger.Errorf("NoteInfo ShouldBind err", err)
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	resp, err := GrpcNoteImpl.NoteInfo(context.Background(), &NoteInfoService)
	if err != nil {
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	ResponseMsg(c, e.UpdatePasswordSuccess, serializer.Response{
		Msg:  resp.Msg,
		Code: e.Ok,
		Data: resp,
	})
}

func NoteList(c *gin.Context) {
	//声明一个对象
	var NoteListService note.NoteListreq

	if err := c.ShouldBind(&NoteListService); err != nil {
		logger.Errorf("NoteList ShouldBind err", err)
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	resp, err := GrpcNoteImpl.NoteList(context.Background(), &NoteListService)
	if err != nil {
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:  resp.Msg,
		Code: e.Ok,
		Data: resp,
	})
}

func NoteListByAwId(c *gin.Context) {
	//声明一个对象
	var NoteListByAwIdService note.NoteListreq

	if err := c.ShouldBind(&NoteListByAwIdService); err != nil {
		logger.Errorf("NoteListByAwId ShouldBind err", err)
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	resp, err := GrpcNoteImpl.NoteListByAwId(context.Background(), &NoteListByAwIdService)
	if err != nil {
		ResponseMsg(c, e.InvalidParams, serializer.Response{
			Msg:  err.Error(),
			Code: e.Failed,
		})
		return
	}
	ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:  resp.Msg,
		Code: e.Ok,
		Data: resp,
	})
}

// func DeleteNote(c *gin.Context) {
// 	//声明一个对象
// 	var DeleteNoteService note.DeleteNotereq
// 	if err := c.ShouldBind(&DeleteNoteService); err != nil {
// 		logger.Errorf("DeleteNote ShouldBind err", err)
// 		ResponseMsg(c, e.InvalidParams, serializer.Response{
// 			Msg:  err.Error(),
// 			Code: e.Failed,
// 		})
// 		return
// 	}
// 	resp, err := GrpcNoteImpl.DeleteNote(context.Background(), &DeleteNoteService)
// 	if err != nil {
// 		ResponseMsg(c, e.InvalidParams, serializer.Response{
// 			Msg:  err.Error(),
// 			Code: e.Failed,
// 		})
// 		return
// 	}
// 	ResponseMsg(c, e.DeleteSuccess, serializer.Response{
// 		Msg:  resp.Msg,
// 		Code: e.Ok,
// 	})
// }
