package oa

/*func AttendanceCollectionV2(c *gin.Context) {
	req := oa_model.AttendanceCollectionReq{}
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("AttendanceCollectionReq ShouldBind err", err)
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	collectionRes := new(oa_model.AttendanceCollectionRes)
	collectionRes.Staffs = make([]oa_model.StaffCollection, 0)

	// 获取 查询的 日期 列表
	month := req.Month
	if len(strings.Split(month, "-")) == 2 {
		month = month + "-01"
	}

	// 查询 月份在 当前 月之后  则返回空
	if checkMonthIsAfter(month) {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    e.GetMsg(e.SUCCESS),
			Data:   collectionRes,
			Status: e.Ok,
		})
		return
	}

	dates := make([]string, 0)
	if req.Month == time.Now().Format("2006-01") {
		dates = holiday.SplitDates(month, time.Now().Format("2006-01-02"), "2006-01-02")
	} else {
		dates = holiday.SplitMonth(month, "2006-01-02")
	}

	err := service.StaffAttendanceCollectionHandleV4(collectionRes, month, dates)
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	service.ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:    e.GetMsg(e.SUCCESS),
		Data:   collectionRes,
		Status: e.Ok,
	})
}

func AttendanceCollectionV3(c *gin.Context) {
	req := oa_model.AttendanceCollectionReq{}
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("AttendanceCollectionReq ShouldBind err", err)
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	collectionRes := new(oa_model.AttendanceCollectionRes)
	collectionRes.Staffs = make([]oa_model.StaffCollection, 0)

	// 获取 查询的 日期 列表
	month := req.Month
	if len(strings.Split(month, "-")) == 2 {
		month = month + "-01"
	}

	// 查询 月份在 当前 月之后  则返回空
	if checkMonthIsAfter(month) {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    e.GetMsg(e.SUCCESS),
			Data:   collectionRes,
			Status: e.Ok,
		})
		return
	}

	dates := make([]string, 0)
	if req.Month == time.Now().Format("2006-01") {
		dates = holiday.SplitDates(month, time.Now().Format("2006-01-02"), "2006-01-02")
	} else {
		dates = holiday.SplitMonth(month, "2006-01-02")
	}

	err := service.AttendanceCollectionHandleV3(collectionRes, month, dates)
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	service.ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:    e.GetMsg(e.SUCCESS),
		Data:   collectionRes,
		Status: e.Ok,
	})
}

func StaffAttendanceCollectionV2(c *gin.Context) {
	req := oa_model.AttendanceCollectionReq{}
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("AttendanceCollectionReq ShouldBind err", err)
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	userInfo := login.GetUserInfoFromC(c)

	if req.StaffUID == 0 {
		req.StaffUID = userInfo.ID
	}
	collection := new(oa_model.StaffCollection)

	// 获取 查询的 日期 列表
	month := req.Month
	if len(strings.Split(month, "-")) == 2 {
		month = month + "-01"
	}

	// 查询 月份在 当前 月之后  则返回空
	if checkMonthIsAfter(month) {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    e.GetMsg(e.SUCCESS),
			Data:   collection,
			Status: e.Ok,
		})
		return
	}

	dates := make([]string, 0)
	if req.Month == time.Now().Format("2006-01") {
		dates = holiday.SplitDates(month, time.Now().Format("2006-01-02"), "2006-01-02")
	} else {
		dates = holiday.SplitMonth(month, "2006-01-02")
	}

	var err error
	collection, err = service.StaffAttendanceCollectionHandleV3(req.StaffUID, month, dates)
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	collection.StaffName = userInfo.NickName

	positionNames := make([]string, 0)

	for j := 0; j < len(userInfo.PositionUsers); j++ {
		positionNames = append(positionNames, userInfo.PositionUsers[j].PositionName)
	}

	collection.PositionName = strings.Join(positionNames, ",")

	service.ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:    e.GetMsg(e.SUCCESS),
		Data:   collection,
		Status: e.Ok,
	})
}

func StaffAttendanceCollectionV3(c *gin.Context) {
	req := oa_model.AttendanceCollectionReq{}
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("AttendanceCollectionReq ShouldBind err", err)
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	userInfo := login.GetUserInfoFromC(c)

	if req.StaffUID == 0 {
		req.StaffUID = userInfo.ID
	}
	collection := new(oa_model.StaffCollection)

	// 获取 查询的 日期 列表
	month := req.Month
	if len(strings.Split(month, "-")) == 2 {
		month = month + "-01"
	}

	// 查询 月份在 当前 月之后  则返回空
	if checkMonthIsAfter(month) {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    e.GetMsg(e.SUCCESS),
			Data:   collection,
			Status: e.Ok,
		})
		return
	}

	dates := make([]string, 0)
	if req.Month == time.Now().Format("2006-01") {
		dates = holiday.SplitDates(month, time.Now().Format("2006-01-02"), "2006-01-02")
	} else {
		dates = holiday.SplitMonth(month, "2006-01-02")
	}

	// 获取 休息天数    总天数 - 工作天数 (注：周一到周五 法定调休 均为 工作日)
	holidayRes, err := holiday.GetMultiData(holiday.ConvertTime(dates[0]), holiday.ConvertTime(dates[len(dates)-1]), false)
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	// 获取 工作周期
	queryTimeOptions := make([]oa_model.QueryTimeOption, 0)
	for i := 0; i < len(userInfo.PositionUsers); i++ {
		queryTimeOption := oa_model.QueryTimeOption{
			PositionUID:   strconv.FormatUint(userInfo.PositionUsers[i].PositionID, 10),
			DepartmentUID: strconv.FormatUint(userInfo.PositionUsers[i].DepartmentId, 10),
		}
		queryTimeOptions = append(queryTimeOptions, queryTimeOption)
	}
	startDay, endDay, err := service.WorkingTimeWeekBest(queryTimeOptions)
	if err != nil {
		fmt.Println("WorkDays err is :", err.Error())
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    "获取工作周期失败",
			Status: e.Failed,
		})
		return
	}

	isWeek := make(map[int]int, 0)

	for i := startDay; i <= endDay; i++ {
		isWeek[i] = i
	}

	commonWorkDays := holiday.GetCommonWorkDays(holidayRes, isWeek)

	restDays := len(holidayRes) - len(commonWorkDays)

	collection, err = service.StaffAttendanceCollectionHandleV4(req.StaffUID, month, dates, restDays, []int32{e.ApprovalWorkStatusOk})
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	//  算旷工时  会把 休息日算上  所以 要 减去 休息日
	//collection.MissDay = collection.MissDay - int32(restDays)

	collection.StaffName = userInfo.NickName

	positionNames := make([]string, 0)

	for j := 0; j < len(userInfo.PositionUsers); j++ {
		positionNames = append(positionNames, userInfo.PositionUsers[j].PositionName)
	}

	collection.PositionName = strings.Join(positionNames, ",")

	service.ResponseMsg(c, e.SUCCESS, serializer.Response{
		Msg:    e.GetMsg(e.SUCCESS),
		Data:   collection,
		Status: e.Ok,
	})
}
*/
