package common

import (
	"math"
	"strconv"
)

func HandleHourLeaveFiveV2(originHour float64) float64 {
	var hour float64
	hour = math.Floor(originHour / 1)
	if math.Mod(originHour, 1) >= 0.5 {
		hour = hour + 0.5
	}
	return hour
}

func HandleHourLeaveASeatV2(originHour float64) float64 {
	var hour float64
	if originHour > 0 && originHour < 0.1 {
		hour = 0.1
	} else {
		hour, _ = strconv.ParseFloat(strconv.FormatFloat(originHour-0.05, 'f', 1, 64), 10)
	}
	return hour
}

func HandleHourLeaveASeatV3(originHour float64) float64 {
	var hour float64
	if originHour > 0 && originHour < 0.1 {
		hour = 0.1
	} else {
		hour = math.Round((originHour-0.05)*10) / 10 // 直接四舍五入到一位小数
	}
	return hour
}
