package common

import "github.com/fonchain_enterprise/fonchain-main/api/employee"

func CheckStaffUIDsInWithEmployList(staffUIDs []uint64, employeeList []*employee.FindEmployeeFileListInfo) []*employee.FindEmployeeFileListInfo {
	staffMap := make(map[uint64]uint64)
	for i := 0; i < len(staffUIDs); i++ {
		staffMap[staffUIDs[i]] = staffUIDs[i]
	}

	retList := make([]*employee.FindEmployeeFileListInfo, 0)
	for i := 0; i < len(employeeList); i++ {
		if staffMap[employeeList[i].UserId] == employeeList[i].UserId {
			retList = append(retList, employeeList[i])
		}
	}
	return retList
}

func CheckStaffUIDsIn(allStaffUIDs []uint64, staffUIDs []uint64) []uint64 {
	if allStaffUIDs == nil || len(allStaffUIDs) == 0 {
		return staffUIDs
	}
	staffMap := make(map[uint64]uint64)
	for i := 0; i < len(allStaffUIDs); i++ {
		staffMap[allStaffUIDs[i]] = allStaffUIDs[i]
	}

	retList := make([]uint64, 0)
	for i := 0; i < len(staffUIDs); i++ {
		if staffMap[staffUIDs[i]] == staffUIDs[i] {
			retList = append(retList, staffUIDs[i])
		}
	}
	return retList
}
