package common

const (
	/*                        子类                          */
	TypeCommon = "common" // 正常打卡

	TypeMiss = "miss" // 缺卡

	TypeLate = "late" // 迟到

	TypeBefore = "before" // 早退

	TypeLeave = "leave" // 事假

	TypeSick = "sick" // 病假

	TypeDayOff = "dayOff" // 调休

	TypeAnnualLeave      = "annualLeave"      // 年假
	TypeAnnualLeaveApply = "annualLeaveApply" // 年假申请

	TypeMaritalLeave      = "maritalLeave"      // 婚假
	TypeMaritalLeaveApply = "maritalLeaveApply" // 婚假申请

	TypeMatingCheckLeave      = "matingCheckLeave"      // 孕检假
	TypeMatingCheckLeaveApply = "matingCheckLeaveApply" // 孕检假申请

	TypeMaternityLeave      = "maternityLeave"      // 产假
	TypeMaternityLeaveApply = "maternityLeaveApply" // 产假申请

	TypePaternityLeave      = "paternityLeave"      // 陪产假
	TypePaternityLeaveApply = "paternityLeaveApply" // 陪产假申请

	TypeParentalLeave      = "parentalLeave"      // 育儿假
	TypeParentalLeaveApply = "parentalLeaveApply" // 育儿假申请

	TypeNursingLeave      = "nursingLeave"      // 独生子女护理假
	TypeNursingLeaveApply = "nursingLeaveApply" // 独生子女护理假申请

	TypeFuneralLeave      = "funeralLeave"      // 丧假
	TypeFuneralLeaveApply = "funeralLeaveApply" // 丧假申请

	TypeAbortLeave         = "abortLeave"         // 流产假
	TypeBreastFeedingLeave = "breastFeedingLeave" // 哺乳假

	TypeMakeUp   = "makeUp"   // 补卡
	TypeOvertime = "overTime" // 加班
	TypeOutwork  = "outWork"  // 外勤
	TypeTurnover = "turnover" // 离职

	TypeGoOut        = "goOut"        // 外出
	TypeBusinessTrip = "businessTrip" // 出差

	TypeMakeUpSys = "makeUpSys" // 系统补卡
	/*                                                      */
)

var LeaveType []string = []string{
	"leave",              // 事假
	"sick",               // 病假
	"annualLeave",        // 年假
	"maritalLeave",       // 婚假
	"matingCheckLeave",   // 孕检假
	"maternityLeave",     // 产假
	"paternityLeave",     // 陪产假
	"parentalLeave",      // 育儿假
	"nursingLeave",       // 独生子女护理假
	"funeralLeave",       // 丧假
	"abortLeave",         // 流产假
	"breastFeedingLeave", // 哺乳假
}

var LeaveTypeZhCN map[string]string = map[string]string{
	"leave":              "事假",
	"sick":               "病假",
	"annualLeave":        "年假",
	"maritalLeave":       "婚假",
	"matingCheckLeave":   "孕检假",
	"maternityLeave":     "产假",
	"paternityLeave":     "陪产假",
	"parentalLeave":      "育儿假",
	"nursingLeave":       "独生子女护理假",
	"funeralLeave":       "丧假",
	"abortLeave":         "流产假",
	"breastFeedingLeave": "哺乳假",

	"dayOff":       "调休",
	"makeUp":       "补卡",
	"overTime":     "加班",
	"outWork":      "外勤",
	"turnover":     "离职",
	"goOut":        "外出",
	"businessTrip": "出差",

	"parentalLeaveApply": "育儿假申请",
	"nursingLeaveApply":  "独生子女护理假申请",
}
