package oa_new

import (
	"context"
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"github.com/fonchain_enterprise/fonchain-main/api/oa"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/serializer"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
	"github.com/gin-gonic/gin"
)

func QueryOaApplyInfo(c *gin.Context) {
	req := oa.OaApplyByApplyUuidReq{}
	if err := c.ShouldBind(&req); err != nil {
		logger.Errorf("OaApplyByApplyUuidReq ShouldBind err", err)
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Failed,
		})
		return
	}

	oaApplyInfo, err := service.GrpcOAImpl.QueryOaApplyByApplyUuid(context.Background(), &req)
	if err != nil {
		service.ResponseMsg(c, e.SUCCESS, serializer.Response{
			Msg:    err.Error(),
			Status: e.Ok,
		})
		return
	}

	service.ResponseMsg(c, e.SUCCESS, serializer.Response{
		Data:   oaApplyInfo,
		Status: e.Ok,
	})

}
