package oa_logic

import (
	"github.com/fonchain_enterprise/fonchain-main/api/oa"
	"github.com/fonchain_enterprise/fonchain-main/pkg/model/oa_model"
)

func ConvertApplyTime(applyTimes []oa_model.ApplyTime, times []*oa.TimeOption) (applyStartTimeStr, applyEndTimeStr string) {
	if len(applyTimes) == 0 {
		return
	}
	if len(applyTimes) == 1 {
		if applyTimes[0].Hour != "" {
			applyStartTimeStr = applyTimes[0].Date + " " + applyTimes[0].Hour + ":00"
			applyEndTimeStr = applyTimes[0].Date + " " + applyTimes[0].Hour + ":00"
		}
		return
	}
	if applyTimes[0].M != "" && applyTimes[1].M != "" {
		if applyTimes[0].M == "上午" {
			applyStartTimeStr = applyTimes[0].Date + " " + times[0].OnWorkTime + ":00"
		} else if applyTimes[0].M == "下午" {
			if len(times) > 1 {
				applyStartTimeStr = applyTimes[0].Date + " " + times[len(times)-1].OnWorkTime + ":00"
			} else {
				applyStartTimeStr = applyTimes[0].Date + " 12:00:00"
			}
		}

		if applyTimes[1].M == "上午" {
			if len(times) > 1 {
				applyEndTimeStr = applyTimes[1].Date + " " + times[0].OffWorkTime + ":00"
			} else {
				applyEndTimeStr = applyTimes[1].Date + " 12:00:00"
			}
		} else if applyTimes[1].M == "下午" {
			applyEndTimeStr = applyTimes[1].Date + " " + times[len(times)-1].OffWorkTime + ":00"
		}
	}
	if applyTimes[0].Hour != "" && applyTimes[1].Hour != "" {
		applyStartTimeStr = applyTimes[0].Date + " " + applyTimes[0].Hour + ":00"
		applyEndTimeStr = applyTimes[1].Date + " " + applyTimes[1].Hour + ":00"
	}
	return
}
