package oa_logic

import (
	"context"
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"errors"
	"fmt"
	"github.com/fonchain_enterprise/fonchain-main/api/oa"
	"github.com/fonchain_enterprise/fonchain-main/pkg/e"
	"github.com/fonchain_enterprise/fonchain-main/pkg/service"
)

func QueryOutWorkCheck(staffUID uint64, applyUUID string) (outWorkCheck []*oa.OutWorkCheck, err error) {
	//  获取 记录
	req := new(oa.OutWorkCheckReq)
	req.ApplyUUID = applyUUID
	req.StaffUID = staffUID
	checkRecordRes, checkRecordResErr := service.GrpcOAImpl.QueryCheckRecord(context.Background(), req)
	if checkRecordResErr != nil {
		logger.Errorf("查询外出回归记录失败：%s", checkRecordResErr.Error())
		fmt.Printf("查询外出回归记录失败：%s", checkRecordResErr.Error())
		return nil, errors.New(e.ErrorQueryOutWorkCheck)
	}

	outWorkCheck = checkRecordRes.Data
	return
}
