package feie

import (
	"errors"
	"time"

	"github.com/fonchain_enterprise/fonchain-main/pkg/utils/stime"
	"github.com/fonchain_enterprise/utils/feie"
)

type Printer struct {
	feie *feie.Feie
}

// FonPrinter 飞鸽空气器
var (
	fonPrinter *Printer
)

func NewFeieConfig(un, uKey string) {
	fei := &feie.Feie{
		User: un,
		Ukey: uKey,
		Url:  "http://api.feieyun.cn/Api/Open/",
	}
	fonPrinter = &Printer{feie: fei}
}

func PrintNative(callSign, patientName, roomName, drName string) error {
	if fonPrinter == nil {
		return errors.New("not init")
	}

	nowTimeString := time.Now().Format(stime.Format_Normal_YMDhms)

	content := "<CB>现场叫号</CB><BR><BR>" +
		"<CB><BOLD>" + callSign + "</BOLD></CB><BR><BR>" +
		"预约人	: " + patientName + "<BR>" +
		"科室	: " + roomName + "<BR>" +
		"医生	: " + drName + "<BR>" +
		"取号时间: " + nowTimeString + "<BR>" +
		"地点  : 苏州市姑苏区十梓街116-3号<BR>"

	res, err := fonPrinter.feie.PrintNativeContent("922455004", content)
	if err != nil {
		return err
	}

	if res.Ret == 0 {
		return nil
	}

	return errors.New(res.Data)
}
