package feie

import (
	"fmt"
	"testing"

	"github.com/fonchain_enterprise/utils/feie"
)

func TestGetFeie(t *testing.T) {
	info := feie.PrintInfo{
		Num:       "1829",
		Date:      "4/27",
		DrinkName: "白酒测试",
		Tag:       []string{"香草"},
		Code:      "张三丰-心血管-001",
	}
	feie := &feie.Feie{

		User: "chenyao@taifeng.ltd",
		Ukey: "8mxyRrjhCKzB4Pde",
		Url:  "http://api.feieyun.cn/Api/Open/",
	}
	fmt.Println(feie.Print("922455004", info))

}

func TestPrintNatit(t *testing.T) {
	feie := &feie.Feie{

		User: "chenyao@taifeng.ltd",
		Ukey: "8mxyRrjhCKzB4Pde",
		Url:  "http://api.feieyun.cn/Api/Open/",
	}

	content := "<CB>现场叫号</CB><BR>" +
		"<BOLD>张三_普外科(甲状腺乳腺外科门诊)_001</BOLD><BR><BR>" +
		"预约人	: 张三<BR>" +
		"取号时间: 2022-01-02 10:00:01<BR>" +
		"地点  : 苏州市姑苏区十梓街116-3号<BR>"

	fmt.Println(feie.PrintNativeContent("922455004", content))

}

func TestPrintNative(t *testing.T) {

	NewFeieConfig("chenyao@taifeng.ltd", "8mxyRrjhCKzB4Pde")

	fmt.Println(PrintNative("张三_泌尿_001", "李四", "米椒", "张三"))

}

func TestGetFeie2(t *testing.T) {
	feie := &feie.Feie{
		User: "chenyao@taifeng.ltd",
		Ukey: "8mxyRrjhCKzB4Pde",
		Url:  "http://api.feieyun.cn/Api/Open/",
	}
	res, err := feie.CheckStatus("922455004")
	if err != nil {
		return
	}

	fmt.Println(res.Ret == 0) //状态正常
	fmt.Println(res.Data)     //状态正常

}
