package mathutils

import (
	"golang.org/x/exp/constraints"
	"math"
)

func Min[T constraints.Integer | constraints.Float](numA, numB T) T {
	if numA < numB {
		return numA
	}
	return numB
}

// 两整数数相除向上取整
func NumDivCeil[T constraints.Integer | constraints.Float](numA T, numB T) T {
	divNum := float64(numA) / float64(numB)
	ceilNum := math.Ceil(divNum)
	return T(ceilNum)
}
