package stime

import (
	"dubbo.apache.org/dubbo-go/v3/common/logger"
	"time"
)

// TimesToDatetime 时间戳转时间
func TimesToDatetime(times int32, format string) string {
	if times == 0 {
		return ""
	}
	t := time.Unix(int64(times), 0)
	if format == "" {
		format = "2006-01-02 15:04:05"
	}
	return t.Format(format)
}

func DatetimeToTimes(datetime string, dateFormat string) (times int32, err error) {
	if datetime == "" {
		times = 0
		return
	}
	loc, _ := time.LoadLocation("Asia/Shanghai")
	t, err := time.ParseInLocation(dateFormat, datetime, loc)
	if err != nil {
		logger.Error("DatetimeToTimes err", err)
		return
	}
	times = int32(t.Unix())
	return
}
