package utils

import (
	"strings"
)

const UpperValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"

func CamelToSnake(s string) string {
	var runes = []rune(s)
	var res string
	for i, r := range runes {
		if strings.Contains(UpperValue, string(r)) {
			if i > 0 {
				res += "_"
			}
			res += string(strings.ToLower(string(r)))
		} else {
			res += string(r)
		}
	}
	return res
}

func SnakeToCamel(s string) string {
	words := strings.Split(s, "_")
	for i := 0; i < len(words); i++ {
		words[i] = strings.Title(words[i])
	}
	camelCase := strings.Join(words, "")
	return strings.ToLower(camelCase[:1]) + camelCase[1:]
}
