package area

var mainBankList = []string{
	"农业银行", "工商银行", "建设银行", "中国邮政储蓄银行", "中国银行", "招商银行", "中信银行", "交通银行", "浦发银行", "平安银行", "兴业银行",
	"民生银行", "广发银行", "光大银行", "华夏银行", "南京银行", "浙江农商联合银行", "河南农信", "山东农信", "安徽农信", "广东农信银行",
	"河北省农村信用社", "江苏农信", "四川农信", "云南农信", "湖南农信", "上海银行", "微众银行", "内蒙古农信", "甘肃农信", "福建农信银行", "江苏银行",
	"山西农信", "江西农信", "百信银行", "陕西农信", "中原银行", "宁波银行", "重庆农商行", "北京银行", "徽商银行", "长沙银行",
	"四川银行", "桂林银行", "广州农商银行", "黄河农商银行", "贵州银行", "东莞农商银行", "甘肃银行", "吉林银行", "辽宁农商银行", "浙商银行",
	"深圳农商银行", "青海农信", "成都银行", "东莞银行", "成都农商银行", "青岛银行", "杭州银行", "盛京银行", "北京农商银行", "哈尔滨银行",
	"贵阳银行", "郑州银行", "兰州银行", "河北银行", "台州银行", "顺德农商行", "泰隆银行", "广州银行", "天津银行", "九江银行",
	"北部湾银行", "汉口银行", "齐鲁银行", "长安银行", "苏州银行", "上海农商银行", "湖南银行", "江南农商银行", "宁夏银行", "山西银行",
	"江西银行", "重庆银行", "常熟农商银行", "铝土铝行", "沧州银行", "晋商银行", "天津农商", "蒙商银行", "日照银行", "富滇银行",
	"张家口银行", "赣州银行", "昆仑银行", "锦州银行", "稠州银行", "济宁银行", "无锡农商银行", "厦门银行", "昆山农商", "福建海峡银行",
	"四川天府银行", "莱商银行", "潍坊银行", "民泰银行", "江阴农商银行", "邯郸银行", "承德银行", "廊坊银行", "威海商业银行", "重庆三峡银行",
	"张家港农商行", "上饶银行", "邢台银行", "泉州银行", "临商银行", "齐商银行", "东营银行", "厦门国际银行", "大连农商行", "泰安银行",
	"德州银行", "阜新银行", "烟台银行", "青隆村镇银行", "南洋商业银行", "上海华瑞银行", "江西裕民银行",
}

// 总行名称转换map
var mainBankNameConvertMap = map[string]string{
	"浙江农商联合银行": "杭州联合农村商业银行股份有限公司", //???
	"河南农信":         "河南省农村信用社联合社",
	"山东农信":         "山东省农村信用社联合社",
	"安徽农信":         "安徽省农村信用社联合社",
	"广东农信银行":     "广东省农村信用社联合社",
	"江苏农信":         "江苏省农村信用社联合社",
	"四川农信":         "四川省农村信用社联合社",
	"云南农信":         "云南省农村信用社联合社",
	"湖南农信":         "湖南省农村信用社联合社",
	"内蒙古农信":       "内蒙古自治区农村信用社联合社",
	"甘肃农信":         "甘肃", //??
	"福建农信银行":     "福建省农村信用社联合社",
	"山西农信":         "山西省农村信用社联合社",
	"江西农信":         "江西省农村信用社联合社",
	"陕西农信":         "陕西省农村信用社联合社资金清算中心", //??
	"广州农商银行":     "广州农村商业银行",
	"黄河农商银行":     "宁夏黄河农村商业银行股份有限公司",
	"东莞农商银行":     "东莞农村商业银行股份有限公司",
	"辽宁农商银行":     "辽宁农村商业银行",
	"深圳农商银行":     "深圳农村商业银行股份有限公司",
	"青海农信":         "青海省农村信用社资金清算中心", //??
	"北京农商银行":     "北京农村商业银行股份有限公司",
	"顺德农商行":       "广东顺德农村商业银行股份有限公司",
	"泰隆银行":         "泰隆",
	"江南农商银行":     "江苏江南农村商业银行股份有限公司",
	"稠州银行":         "稠州",
	"无锡农商银行":     "无锡农村商业银行股份有限公司",
	"昆山农商":         "昆山农村商业银行",
	"民泰银行":         "民泰",
	"江阴农商银行":     "江苏江阴农村商业银行股份有限公司",
	"威海商业银行":     "威海市商业银行",
	"张家港农商行":     "张家港农村商业银行",
	"大连农商行":       "大连农村商业银行",
	"邮储银行":         "中国邮政储蓄银行",
}
var areaList = `[{"id":1,"pid":0,"name":"中国","level":1,"area_code":"","town_code":"","country_id":1}
,{"id":2,"pid":1,"name":"北京市","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":3,"pid":1,"name":"天津市","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":4,"pid":1,"name":"河北省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":5,"pid":1,"name":"山西省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":6,"pid":1,"name":"内蒙古自治区","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":7,"pid":1,"name":"辽宁省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":8,"pid":1,"name":"吉林省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":9,"pid":1,"name":"黑龙江省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":10,"pid":1,"name":"上海市","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":11,"pid":1,"name":"江苏省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":12,"pid":1,"name":"浙江省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":13,"pid":1,"name":"安徽省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":14,"pid":1,"name":"福建省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":15,"pid":1,"name":"江西省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":16,"pid":1,"name":"山东省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":17,"pid":1,"name":"河南省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":18,"pid":1,"name":"湖北省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":19,"pid":1,"name":"湖南省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":20,"pid":1,"name":"广东省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":21,"pid":1,"name":"广西壮族自治区","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":22,"pid":1,"name":"海南省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":23,"pid":1,"name":"重庆市","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":24,"pid":1,"name":"四川省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":25,"pid":1,"name":"贵州省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":26,"pid":1,"name":"云南省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":27,"pid":1,"name":"西藏自治区","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":28,"pid":1,"name":"陕西省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":29,"pid":1,"name":"甘肃省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":30,"pid":1,"name":"青海省","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":31,"pid":1,"name":"宁夏回族自治区","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":32,"pid":1,"name":"新疆维吾尔自治区","level":2,"area_code":"","town_code":"","country_id":1}
,{"id":33,"pid":2,"name":"市辖区","level":3,"area_code":"110100000000","town_code":"","country_id":1}
,{"id":34,"pid":3,"name":"市辖区","level":3,"area_code":"120100000000","town_code":"","country_id":1}
,{"id":35,"pid":4,"name":"石家庄市","level":3,"area_code":"130100000000","town_code":"","country_id":1}
,{"id":36,"pid":4,"name":"唐山市","level":3,"area_code":"130200000000","town_code":"","country_id":1}
,{"id":37,"pid":4,"name":"秦皇岛市","level":3,"area_code":"130300000000","town_code":"","country_id":1}
,{"id":38,"pid":4,"name":"邯郸市","level":3,"area_code":"130400000000","town_code":"","country_id":1}
,{"id":39,"pid":4,"name":"邢台市","level":3,"area_code":"130500000000","town_code":"","country_id":1}
,{"id":40,"pid":4,"name":"保定市","level":3,"area_code":"130600000000","town_code":"","country_id":1}
,{"id":41,"pid":4,"name":"张家口市","level":3,"area_code":"130700000000","town_code":"","country_id":1}
,{"id":42,"pid":4,"name":"承德市","level":3,"area_code":"130800000000","town_code":"","country_id":1}
,{"id":43,"pid":4,"name":"沧州市","level":3,"area_code":"130900000000","town_code":"","country_id":1}
,{"id":44,"pid":4,"name":"廊坊市","level":3,"area_code":"131000000000","town_code":"","country_id":1}
,{"id":45,"pid":4,"name":"衡水市","level":3,"area_code":"131100000000","town_code":"","country_id":1}
,{"id":46,"pid":4,"name":"雄安新区","level":3,"area_code":"133100000000","town_code":"","country_id":1}
,{"id":47,"pid":5,"name":"太原市","level":3,"area_code":"140100000000","town_code":"","country_id":1}
,{"id":48,"pid":5,"name":"大同市","level":3,"area_code":"140200000000","town_code":"","country_id":1}
,{"id":49,"pid":5,"name":"阳泉市","level":3,"area_code":"140300000000","town_code":"","country_id":1}
,{"id":50,"pid":5,"name":"长治市","level":3,"area_code":"140400000000","town_code":"","country_id":1}
,{"id":51,"pid":5,"name":"晋城市","level":3,"area_code":"140500000000","town_code":"","country_id":1}
,{"id":52,"pid":5,"name":"朔州市","level":3,"area_code":"140600000000","town_code":"","country_id":1}
,{"id":53,"pid":5,"name":"晋中市","level":3,"area_code":"140700000000","town_code":"","country_id":1}
,{"id":54,"pid":5,"name":"运城市","level":3,"area_code":"140800000000","town_code":"","country_id":1}
,{"id":55,"pid":5,"name":"忻州市","level":3,"area_code":"140900000000","town_code":"","country_id":1}
,{"id":56,"pid":5,"name":"临汾市","level":3,"area_code":"141000000000","town_code":"","country_id":1}
,{"id":57,"pid":5,"name":"吕梁市","level":3,"area_code":"141100000000","town_code":"","country_id":1}
,{"id":58,"pid":6,"name":"呼和浩特市","level":3,"area_code":"150100000000","town_code":"","country_id":1}
,{"id":59,"pid":6,"name":"包头市","level":3,"area_code":"150200000000","town_code":"","country_id":1}
,{"id":60,"pid":6,"name":"乌海市","level":3,"area_code":"150300000000","town_code":"","country_id":1}
,{"id":61,"pid":6,"name":"赤峰市","level":3,"area_code":"150400000000","town_code":"","country_id":1}
,{"id":62,"pid":6,"name":"通辽市","level":3,"area_code":"150500000000","town_code":"","country_id":1}
,{"id":63,"pid":6,"name":"鄂尔多斯市","level":3,"area_code":"150600000000","town_code":"","country_id":1}
,{"id":64,"pid":6,"name":"呼伦贝尔市","level":3,"area_code":"150700000000","town_code":"","country_id":1}
,{"id":65,"pid":6,"name":"巴彦淖尔市","level":3,"area_code":"150800000000","town_code":"","country_id":1}
,{"id":66,"pid":6,"name":"乌兰察布市","level":3,"area_code":"150900000000","town_code":"","country_id":1}
,{"id":67,"pid":6,"name":"兴安盟","level":3,"area_code":"152200000000","town_code":"","country_id":1}
,{"id":68,"pid":6,"name":"锡林郭勒盟","level":3,"area_code":"152500000000","town_code":"","country_id":1}
,{"id":69,"pid":6,"name":"阿拉善盟","level":3,"area_code":"152900000000","town_code":"","country_id":1}
,{"id":70,"pid":7,"name":"沈阳市","level":3,"area_code":"210100000000","town_code":"","country_id":1}
,{"id":71,"pid":7,"name":"大连市","level":3,"area_code":"210200000000","town_code":"","country_id":1}
,{"id":72,"pid":7,"name":"鞍山市","level":3,"area_code":"210300000000","town_code":"","country_id":1}
,{"id":73,"pid":7,"name":"抚顺市","level":3,"area_code":"210400000000","town_code":"","country_id":1}
,{"id":74,"pid":7,"name":"本溪市","level":3,"area_code":"210500000000","town_code":"","country_id":1}
,{"id":75,"pid":7,"name":"丹东市","level":3,"area_code":"210600000000","town_code":"","country_id":1}
,{"id":76,"pid":7,"name":"锦州市","level":3,"area_code":"210700000000","town_code":"","country_id":1}
,{"id":77,"pid":7,"name":"营口市","level":3,"area_code":"210800000000","town_code":"","country_id":1}
,{"id":78,"pid":7,"name":"阜新市","level":3,"area_code":"210900000000","town_code":"","country_id":1}
,{"id":79,"pid":7,"name":"辽阳市","level":3,"area_code":"211000000000","town_code":"","country_id":1}
,{"id":80,"pid":7,"name":"盘锦市","level":3,"area_code":"211100000000","town_code":"","country_id":1}
,{"id":81,"pid":7,"name":"铁岭市","level":3,"area_code":"211200000000","town_code":"","country_id":1}
,{"id":82,"pid":7,"name":"朝阳市","level":3,"area_code":"211300000000","town_code":"","country_id":1}
,{"id":83,"pid":7,"name":"葫芦岛市","level":3,"area_code":"211400000000","town_code":"","country_id":1}
,{"id":84,"pid":8,"name":"长春市","level":3,"area_code":"220100000000","town_code":"","country_id":1}
,{"id":85,"pid":8,"name":"吉林市","level":3,"area_code":"220200000000","town_code":"","country_id":1}
,{"id":86,"pid":8,"name":"四平市","level":3,"area_code":"220300000000","town_code":"","country_id":1}
,{"id":87,"pid":8,"name":"辽源市","level":3,"area_code":"220400000000","town_code":"","country_id":1}
,{"id":88,"pid":8,"name":"通化市","level":3,"area_code":"220500000000","town_code":"","country_id":1}
,{"id":89,"pid":8,"name":"白山市","level":3,"area_code":"220600000000","town_code":"","country_id":1}
,{"id":90,"pid":8,"name":"松原市","level":3,"area_code":"220700000000","town_code":"","country_id":1}
,{"id":91,"pid":8,"name":"白城市","level":3,"area_code":"220800000000","town_code":"","country_id":1}
,{"id":92,"pid":8,"name":"延边朝鲜族自治州","level":3,"area_code":"222400000000","town_code":"","country_id":1}
,{"id":93,"pid":9,"name":"哈尔滨市","level":3,"area_code":"230100000000","town_code":"","country_id":1}
,{"id":94,"pid":9,"name":"齐齐哈尔市","level":3,"area_code":"230200000000","town_code":"","country_id":1}
,{"id":95,"pid":9,"name":"鸡西市","level":3,"area_code":"230300000000","town_code":"","country_id":1}
,{"id":96,"pid":9,"name":"鹤岗市","level":3,"area_code":"230400000000","town_code":"","country_id":1}
,{"id":97,"pid":9,"name":"双鸭山市","level":3,"area_code":"230500000000","town_code":"","country_id":1}
,{"id":98,"pid":9,"name":"大庆市","level":3,"area_code":"230600000000","town_code":"","country_id":1}
,{"id":99,"pid":9,"name":"伊春市","level":3,"area_code":"230700000000","town_code":"","country_id":1}
,{"id":100,"pid":9,"name":"佳木斯市","level":3,"area_code":"230800000000","town_code":"","country_id":1}
,{"id":101,"pid":9,"name":"七台河市","level":3,"area_code":"230900000000","town_code":"","country_id":1}
,{"id":102,"pid":9,"name":"牡丹江市","level":3,"area_code":"231000000000","town_code":"","country_id":1}
,{"id":103,"pid":9,"name":"黑河市","level":3,"area_code":"231100000000","town_code":"","country_id":1}
,{"id":104,"pid":9,"name":"绥化市","level":3,"area_code":"231200000000","town_code":"","country_id":1}
,{"id":105,"pid":9,"name":"大兴安岭地区","level":3,"area_code":"232700000000","town_code":"","country_id":1}
,{"id":106,"pid":10,"name":"市辖区","level":3,"area_code":"310100000000","town_code":"","country_id":1}
,{"id":107,"pid":11,"name":"南京市","level":3,"area_code":"320100000000","town_code":"","country_id":1}
,{"id":108,"pid":11,"name":"无锡市","level":3,"area_code":"320200000000","town_code":"","country_id":1}
,{"id":109,"pid":11,"name":"徐州市","level":3,"area_code":"320300000000","town_code":"","country_id":1}
,{"id":110,"pid":11,"name":"常州市","level":3,"area_code":"320400000000","town_code":"","country_id":1}
,{"id":111,"pid":11,"name":"苏州市","level":3,"area_code":"320500000000","town_code":"","country_id":1}
,{"id":112,"pid":11,"name":"南通市","level":3,"area_code":"320600000000","town_code":"","country_id":1}
,{"id":113,"pid":11,"name":"连云港市","level":3,"area_code":"320700000000","town_code":"","country_id":1}
,{"id":114,"pid":11,"name":"淮安市","level":3,"area_code":"320800000000","town_code":"","country_id":1}
,{"id":115,"pid":11,"name":"盐城市","level":3,"area_code":"320900000000","town_code":"","country_id":1}
,{"id":116,"pid":11,"name":"扬州市","level":3,"area_code":"321000000000","town_code":"","country_id":1}
,{"id":117,"pid":11,"name":"镇江市","level":3,"area_code":"321100000000","town_code":"","country_id":1}
,{"id":118,"pid":11,"name":"泰州市","level":3,"area_code":"321200000000","town_code":"","country_id":1}
,{"id":119,"pid":11,"name":"宿迁市","level":3,"area_code":"321300000000","town_code":"","country_id":1}
,{"id":120,"pid":12,"name":"杭州市","level":3,"area_code":"330100000000","town_code":"","country_id":1}
,{"id":121,"pid":12,"name":"宁波市","level":3,"area_code":"330200000000","town_code":"","country_id":1}
,{"id":122,"pid":12,"name":"温州市","level":3,"area_code":"330300000000","town_code":"","country_id":1}
,{"id":123,"pid":12,"name":"嘉兴市","level":3,"area_code":"330400000000","town_code":"","country_id":1}
,{"id":124,"pid":12,"name":"湖州市","level":3,"area_code":"330500000000","town_code":"","country_id":1}
,{"id":125,"pid":12,"name":"绍兴市","level":3,"area_code":"330600000000","town_code":"","country_id":1}
,{"id":126,"pid":12,"name":"金华市","level":3,"area_code":"330700000000","town_code":"","country_id":1}
,{"id":127,"pid":12,"name":"衢州市","level":3,"area_code":"330800000000","town_code":"","country_id":1}
,{"id":128,"pid":12,"name":"舟山市","level":3,"area_code":"330900000000","town_code":"","country_id":1}
,{"id":129,"pid":12,"name":"台州市","level":3,"area_code":"331000000000","town_code":"","country_id":1}
,{"id":130,"pid":12,"name":"丽水市","level":3,"area_code":"331100000000","town_code":"","country_id":1}
,{"id":131,"pid":13,"name":"合肥市","level":3,"area_code":"340100000000","town_code":"","country_id":1}
,{"id":132,"pid":13,"name":"芜湖市","level":3,"area_code":"340200000000","town_code":"","country_id":1}
,{"id":133,"pid":13,"name":"蚌埠市","level":3,"area_code":"340300000000","town_code":"","country_id":1}
,{"id":134,"pid":13,"name":"淮南市","level":3,"area_code":"340400000000","town_code":"","country_id":1}
,{"id":135,"pid":13,"name":"马鞍山市","level":3,"area_code":"340500000000","town_code":"","country_id":1}
,{"id":136,"pid":13,"name":"淮北市","level":3,"area_code":"340600000000","town_code":"","country_id":1}
,{"id":137,"pid":13,"name":"铜陵市","level":3,"area_code":"340700000000","town_code":"","country_id":1}
,{"id":138,"pid":13,"name":"安庆市","level":3,"area_code":"340800000000","town_code":"","country_id":1}
,{"id":139,"pid":13,"name":"黄山市","level":3,"area_code":"341000000000","town_code":"","country_id":1}
,{"id":140,"pid":13,"name":"滁州市","level":3,"area_code":"341100000000","town_code":"","country_id":1}
,{"id":141,"pid":13,"name":"阜阳市","level":3,"area_code":"341200000000","town_code":"","country_id":1}
,{"id":142,"pid":13,"name":"宿州市","level":3,"area_code":"341300000000","town_code":"","country_id":1}
,{"id":143,"pid":13,"name":"六安市","level":3,"area_code":"341500000000","town_code":"","country_id":1}
,{"id":144,"pid":13,"name":"亳州市","level":3,"area_code":"341600000000","town_code":"","country_id":1}
,{"id":145,"pid":13,"name":"池州市","level":3,"area_code":"341700000000","town_code":"","country_id":1}
,{"id":146,"pid":13,"name":"宣城市","level":3,"area_code":"341800000000","town_code":"","country_id":1}
,{"id":147,"pid":14,"name":"福州市","level":3,"area_code":"350100000000","town_code":"","country_id":1}
,{"id":148,"pid":14,"name":"厦门市","level":3,"area_code":"350200000000","town_code":"","country_id":1}
,{"id":149,"pid":14,"name":"莆田市","level":3,"area_code":"350300000000","town_code":"","country_id":1}
,{"id":150,"pid":14,"name":"三明市","level":3,"area_code":"350400000000","town_code":"","country_id":1}
,{"id":151,"pid":14,"name":"泉州市","level":3,"area_code":"350500000000","town_code":"","country_id":1}
,{"id":152,"pid":14,"name":"漳州市","level":3,"area_code":"350600000000","town_code":"","country_id":1}
,{"id":153,"pid":14,"name":"南平市","level":3,"area_code":"350700000000","town_code":"","country_id":1}
,{"id":154,"pid":14,"name":"龙岩市","level":3,"area_code":"350800000000","town_code":"","country_id":1}
,{"id":155,"pid":14,"name":"宁德市","level":3,"area_code":"350900000000","town_code":"","country_id":1}
,{"id":156,"pid":15,"name":"南昌市","level":3,"area_code":"360100000000","town_code":"","country_id":1}
,{"id":157,"pid":15,"name":"景德镇市","level":3,"area_code":"360200000000","town_code":"","country_id":1}
,{"id":158,"pid":15,"name":"萍乡市","level":3,"area_code":"360300000000","town_code":"","country_id":1}
,{"id":159,"pid":15,"name":"九江市","level":3,"area_code":"360400000000","town_code":"","country_id":1}
,{"id":160,"pid":15,"name":"新余市","level":3,"area_code":"360500000000","town_code":"","country_id":1}
,{"id":161,"pid":15,"name":"鹰潭市","level":3,"area_code":"360600000000","town_code":"","country_id":1}
,{"id":162,"pid":15,"name":"赣州市","level":3,"area_code":"360700000000","town_code":"","country_id":1}
,{"id":163,"pid":15,"name":"吉安市","level":3,"area_code":"360800000000","town_code":"","country_id":1}
,{"id":164,"pid":15,"name":"宜春市","level":3,"area_code":"360900000000","town_code":"","country_id":1}
,{"id":165,"pid":15,"name":"抚州市","level":3,"area_code":"361000000000","town_code":"","country_id":1}
,{"id":166,"pid":15,"name":"上饶市","level":3,"area_code":"361100000000","town_code":"","country_id":1}
,{"id":167,"pid":16,"name":"济南市","level":3,"area_code":"370100000000","town_code":"","country_id":1}
,{"id":168,"pid":16,"name":"青岛市","level":3,"area_code":"370200000000","town_code":"","country_id":1}
,{"id":169,"pid":16,"name":"淄博市","level":3,"area_code":"370300000000","town_code":"","country_id":1}
,{"id":170,"pid":16,"name":"枣庄市","level":3,"area_code":"370400000000","town_code":"","country_id":1}
,{"id":171,"pid":16,"name":"东营市","level":3,"area_code":"370500000000","town_code":"","country_id":1}
,{"id":172,"pid":16,"name":"烟台市","level":3,"area_code":"370600000000","town_code":"","country_id":1}
,{"id":173,"pid":16,"name":"潍坊市","level":3,"area_code":"370700000000","town_code":"","country_id":1}
,{"id":174,"pid":16,"name":"济宁市","level":3,"area_code":"370800000000","town_code":"","country_id":1}
,{"id":175,"pid":16,"name":"泰安市","level":3,"area_code":"370900000000","town_code":"","country_id":1}
,{"id":176,"pid":16,"name":"威海市","level":3,"area_code":"371000000000","town_code":"","country_id":1}
,{"id":177,"pid":16,"name":"日照市","level":3,"area_code":"371100000000","town_code":"","country_id":1}
,{"id":178,"pid":16,"name":"临沂市","level":3,"area_code":"371300000000","town_code":"","country_id":1}
,{"id":179,"pid":16,"name":"德州市","level":3,"area_code":"371400000000","town_code":"","country_id":1}
,{"id":180,"pid":16,"name":"聊城市","level":3,"area_code":"371500000000","town_code":"","country_id":1}
,{"id":181,"pid":16,"name":"滨州市","level":3,"area_code":"371600000000","town_code":"","country_id":1}
,{"id":182,"pid":16,"name":"菏泽市","level":3,"area_code":"371700000000","town_code":"","country_id":1}
,{"id":183,"pid":17,"name":"郑州市","level":3,"area_code":"410100000000","town_code":"","country_id":1}
,{"id":184,"pid":17,"name":"开封市","level":3,"area_code":"410200000000","town_code":"","country_id":1}
,{"id":185,"pid":17,"name":"洛阳市","level":3,"area_code":"410300000000","town_code":"","country_id":1}
,{"id":186,"pid":17,"name":"平顶山市","level":3,"area_code":"410400000000","town_code":"","country_id":1}
,{"id":187,"pid":17,"name":"安阳市","level":3,"area_code":"410500000000","town_code":"","country_id":1}
,{"id":188,"pid":17,"name":"鹤壁市","level":3,"area_code":"410600000000","town_code":"","country_id":1}
,{"id":189,"pid":17,"name":"新乡市","level":3,"area_code":"410700000000","town_code":"","country_id":1}
,{"id":190,"pid":17,"name":"焦作市","level":3,"area_code":"410800000000","town_code":"","country_id":1}
,{"id":191,"pid":17,"name":"濮阳市","level":3,"area_code":"410900000000","town_code":"","country_id":1}
,{"id":192,"pid":17,"name":"许昌市","level":3,"area_code":"411000000000","town_code":"","country_id":1}
,{"id":193,"pid":17,"name":"漯河市","level":3,"area_code":"411100000000","town_code":"","country_id":1}
,{"id":194,"pid":17,"name":"三门峡市","level":3,"area_code":"411200000000","town_code":"","country_id":1}
,{"id":195,"pid":17,"name":"南阳市","level":3,"area_code":"411300000000","town_code":"","country_id":1}
,{"id":196,"pid":17,"name":"商丘市","level":3,"area_code":"411400000000","town_code":"","country_id":1}
,{"id":197,"pid":17,"name":"信阳市","level":3,"area_code":"411500000000","town_code":"","country_id":1}
,{"id":198,"pid":17,"name":"周口市","level":3,"area_code":"411600000000","town_code":"","country_id":1}
,{"id":199,"pid":17,"name":"驻马店市","level":3,"area_code":"411700000000","town_code":"","country_id":1}
,{"id":200,"pid":17,"name":"省直辖县级行政区划","level":3,"area_code":"419000000000","town_code":"","country_id":1}
,{"id":201,"pid":18,"name":"武汉市","level":3,"area_code":"420100000000","town_code":"","country_id":1}
,{"id":202,"pid":18,"name":"黄石市","level":3,"area_code":"420200000000","town_code":"","country_id":1}
,{"id":203,"pid":18,"name":"十堰市","level":3,"area_code":"420300000000","town_code":"","country_id":1}
,{"id":204,"pid":18,"name":"宜昌市","level":3,"area_code":"420500000000","town_code":"","country_id":1}
,{"id":205,"pid":18,"name":"襄阳市","level":3,"area_code":"420600000000","town_code":"","country_id":1}
,{"id":206,"pid":18,"name":"鄂州市","level":3,"area_code":"420700000000","town_code":"","country_id":1}
,{"id":207,"pid":18,"name":"荆门市","level":3,"area_code":"420800000000","town_code":"","country_id":1}
,{"id":208,"pid":18,"name":"孝感市","level":3,"area_code":"420900000000","town_code":"","country_id":1}
,{"id":209,"pid":18,"name":"荆州市","level":3,"area_code":"421000000000","town_code":"","country_id":1}
,{"id":210,"pid":18,"name":"黄冈市","level":3,"area_code":"421100000000","town_code":"","country_id":1}
,{"id":211,"pid":18,"name":"咸宁市","level":3,"area_code":"421200000000","town_code":"","country_id":1}
,{"id":212,"pid":18,"name":"随州市","level":3,"area_code":"421300000000","town_code":"","country_id":1}
,{"id":213,"pid":18,"name":"恩施土家族苗族自治州","level":3,"area_code":"422800000000","town_code":"","country_id":1}
,{"id":214,"pid":18,"name":"省直辖县级行政区划","level":3,"area_code":"429000000000","town_code":"","country_id":1}
,{"id":215,"pid":19,"name":"长沙市","level":3,"area_code":"430100000000","town_code":"","country_id":1}
,{"id":216,"pid":19,"name":"株洲市","level":3,"area_code":"430200000000","town_code":"","country_id":1}
,{"id":217,"pid":19,"name":"湘潭市","level":3,"area_code":"430300000000","town_code":"","country_id":1}
,{"id":218,"pid":19,"name":"衡阳市","level":3,"area_code":"430400000000","town_code":"","country_id":1}
,{"id":219,"pid":19,"name":"邵阳市","level":3,"area_code":"430500000000","town_code":"","country_id":1}
,{"id":220,"pid":19,"name":"岳阳市","level":3,"area_code":"430600000000","town_code":"","country_id":1}
,{"id":221,"pid":19,"name":"常德市","level":3,"area_code":"430700000000","town_code":"","country_id":1}
,{"id":222,"pid":19,"name":"张家界市","level":3,"area_code":"430800000000","town_code":"","country_id":1}
,{"id":223,"pid":19,"name":"益阳市","level":3,"area_code":"430900000000","town_code":"","country_id":1}
,{"id":224,"pid":19,"name":"郴州市","level":3,"area_code":"431000000000","town_code":"","country_id":1}
,{"id":225,"pid":19,"name":"永州市","level":3,"area_code":"431100000000","town_code":"","country_id":1}
,{"id":226,"pid":19,"name":"怀化市","level":3,"area_code":"431200000000","town_code":"","country_id":1}
,{"id":227,"pid":19,"name":"娄底市","level":3,"area_code":"431300000000","town_code":"","country_id":1}
,{"id":228,"pid":19,"name":"湘西土家族苗族自治州","level":3,"area_code":"433100000000","town_code":"","country_id":1}
,{"id":229,"pid":20,"name":"广州市","level":3,"area_code":"440100000000","town_code":"","country_id":1}
,{"id":230,"pid":20,"name":"韶关市","level":3,"area_code":"440200000000","town_code":"","country_id":1}
,{"id":231,"pid":20,"name":"深圳市","level":3,"area_code":"440300000000","town_code":"","country_id":1}
,{"id":232,"pid":20,"name":"珠海市","level":3,"area_code":"440400000000","town_code":"","country_id":1}
,{"id":233,"pid":20,"name":"汕头市","level":3,"area_code":"440500000000","town_code":"","country_id":1}
,{"id":234,"pid":20,"name":"佛山市","level":3,"area_code":"440600000000","town_code":"","country_id":1}
,{"id":235,"pid":20,"name":"江门市","level":3,"area_code":"440700000000","town_code":"","country_id":1}
,{"id":236,"pid":20,"name":"湛江市","level":3,"area_code":"440800000000","town_code":"","country_id":1}
,{"id":237,"pid":20,"name":"茂名市","level":3,"area_code":"440900000000","town_code":"","country_id":1}
,{"id":238,"pid":20,"name":"肇庆市","level":3,"area_code":"441200000000","town_code":"","country_id":1}
,{"id":239,"pid":20,"name":"惠州市","level":3,"area_code":"441300000000","town_code":"","country_id":1}
,{"id":240,"pid":20,"name":"梅州市","level":3,"area_code":"441400000000","town_code":"","country_id":1}
,{"id":241,"pid":20,"name":"汕尾市","level":3,"area_code":"441500000000","town_code":"","country_id":1}
,{"id":242,"pid":20,"name":"河源市","level":3,"area_code":"441600000000","town_code":"","country_id":1}
,{"id":243,"pid":20,"name":"阳江市","level":3,"area_code":"441700000000","town_code":"","country_id":1}
,{"id":244,"pid":20,"name":"清远市","level":3,"area_code":"441800000000","town_code":"","country_id":1}
,{"id":245,"pid":20,"name":"东莞市","level":3,"area_code":"441900000000","town_code":"","country_id":1}
,{"id":246,"pid":20,"name":"中山市","level":3,"area_code":"442000000000","town_code":"","country_id":1}
,{"id":247,"pid":20,"name":"潮州市","level":3,"area_code":"445100000000","town_code":"","country_id":1}
,{"id":248,"pid":20,"name":"揭阳市","level":3,"area_code":"445200000000","town_code":"","country_id":1}
,{"id":249,"pid":20,"name":"云浮市","level":3,"area_code":"445300000000","town_code":"","country_id":1}
,{"id":250,"pid":21,"name":"南宁市","level":3,"area_code":"450100000000","town_code":"","country_id":1}
,{"id":251,"pid":21,"name":"柳州市","level":3,"area_code":"450200000000","town_code":"","country_id":1}
,{"id":252,"pid":21,"name":"桂林市","level":3,"area_code":"450300000000","town_code":"","country_id":1}
,{"id":253,"pid":21,"name":"梧州市","level":3,"area_code":"450400000000","town_code":"","country_id":1}
,{"id":254,"pid":21,"name":"北海市","level":3,"area_code":"450500000000","town_code":"","country_id":1}
,{"id":255,"pid":21,"name":"防城港市","level":3,"area_code":"450600000000","town_code":"","country_id":1}
,{"id":256,"pid":21,"name":"钦州市","level":3,"area_code":"450700000000","town_code":"","country_id":1}
,{"id":257,"pid":21,"name":"贵港市","level":3,"area_code":"450800000000","town_code":"","country_id":1}
,{"id":258,"pid":21,"name":"玉林市","level":3,"area_code":"450900000000","town_code":"","country_id":1}
,{"id":259,"pid":21,"name":"百色市","level":3,"area_code":"451000000000","town_code":"","country_id":1}
,{"id":260,"pid":21,"name":"贺州市","level":3,"area_code":"451100000000","town_code":"","country_id":1}
,{"id":261,"pid":21,"name":"河池市","level":3,"area_code":"451200000000","town_code":"","country_id":1}
,{"id":262,"pid":21,"name":"来宾市","level":3,"area_code":"451300000000","town_code":"","country_id":1}
,{"id":263,"pid":21,"name":"崇左市","level":3,"area_code":"451400000000","town_code":"","country_id":1}
,{"id":264,"pid":22,"name":"海口市","level":3,"area_code":"460100000000","town_code":"","country_id":1}
,{"id":265,"pid":22,"name":"三亚市","level":3,"area_code":"460200000000","town_code":"","country_id":1}
,{"id":266,"pid":22,"name":"三沙市","level":3,"area_code":"460300000000","town_code":"","country_id":1}
,{"id":267,"pid":22,"name":"儋州市","level":3,"area_code":"460400000000","town_code":"","country_id":1}
,{"id":268,"pid":22,"name":"省直辖县级行政区划","level":3,"area_code":"469000000000","town_code":"","country_id":1}
,{"id":269,"pid":23,"name":"市辖区","level":3,"area_code":"500100000000","town_code":"","country_id":1}
,{"id":270,"pid":23,"name":"县","level":3,"area_code":"500200000000","town_code":"","country_id":1}
,{"id":271,"pid":24,"name":"成都市","level":3,"area_code":"510100000000","town_code":"","country_id":1}
,{"id":272,"pid":24,"name":"自贡市","level":3,"area_code":"510300000000","town_code":"","country_id":1}
,{"id":273,"pid":24,"name":"攀枝花市","level":3,"area_code":"510400000000","town_code":"","country_id":1}
,{"id":274,"pid":24,"name":"泸州市","level":3,"area_code":"510500000000","town_code":"","country_id":1}
,{"id":275,"pid":24,"name":"德阳市","level":3,"area_code":"510600000000","town_code":"","country_id":1}
,{"id":276,"pid":24,"name":"绵阳市","level":3,"area_code":"510700000000","town_code":"","country_id":1}
,{"id":277,"pid":24,"name":"广元市","level":3,"area_code":"510800000000","town_code":"","country_id":1}
,{"id":278,"pid":24,"name":"遂宁市","level":3,"area_code":"510900000000","town_code":"","country_id":1}
,{"id":279,"pid":24,"name":"内江市","level":3,"area_code":"511000000000","town_code":"","country_id":1}
,{"id":280,"pid":24,"name":"乐山市","level":3,"area_code":"511100000000","town_code":"","country_id":1}
,{"id":281,"pid":24,"name":"南充市","level":3,"area_code":"511300000000","town_code":"","country_id":1}
,{"id":282,"pid":24,"name":"眉山市","level":3,"area_code":"511400000000","town_code":"","country_id":1}
,{"id":283,"pid":24,"name":"宜宾市","level":3,"area_code":"511500000000","town_code":"","country_id":1}
,{"id":284,"pid":24,"name":"广安市","level":3,"area_code":"511600000000","town_code":"","country_id":1}
,{"id":285,"pid":24,"name":"达州市","level":3,"area_code":"511700000000","town_code":"","country_id":1}
,{"id":286,"pid":24,"name":"雅安市","level":3,"area_code":"511800000000","town_code":"","country_id":1}
,{"id":287,"pid":24,"name":"巴中市","level":3,"area_code":"511900000000","town_code":"","country_id":1}
,{"id":288,"pid":24,"name":"资阳市","level":3,"area_code":"512000000000","town_code":"","country_id":1}
,{"id":289,"pid":24,"name":"阿坝藏族羌族自治州","level":3,"area_code":"513200000000","town_code":"","country_id":1}
,{"id":290,"pid":24,"name":"甘孜藏族自治州","level":3,"area_code":"513300000000","town_code":"","country_id":1}
,{"id":291,"pid":24,"name":"凉山彝族自治州","level":3,"area_code":"513400000000","town_code":"","country_id":1}
,{"id":292,"pid":25,"name":"贵阳市","level":3,"area_code":"520100000000","town_code":"","country_id":1}
,{"id":293,"pid":25,"name":"六盘水市","level":3,"area_code":"520200000000","town_code":"","country_id":1}
,{"id":294,"pid":25,"name":"遵义市","level":3,"area_code":"520300000000","town_code":"","country_id":1}
,{"id":295,"pid":25,"name":"安顺市","level":3,"area_code":"520400000000","town_code":"","country_id":1}
,{"id":296,"pid":25,"name":"毕节市","level":3,"area_code":"520500000000","town_code":"","country_id":1}
,{"id":297,"pid":25,"name":"铜仁市","level":3,"area_code":"520600000000","town_code":"","country_id":1}
,{"id":298,"pid":25,"name":"黔西南布依族苗族自治州","level":3,"area_code":"522300000000","town_code":"","country_id":1}
,{"id":299,"pid":25,"name":"黔东南苗族侗族自治州","level":3,"area_code":"522600000000","town_code":"","country_id":1}
,{"id":300,"pid":25,"name":"黔南布依族苗族自治州","level":3,"area_code":"522700000000","town_code":"","country_id":1}
,{"id":301,"pid":26,"name":"昆明市","level":3,"area_code":"530100000000","town_code":"","country_id":1}
,{"id":302,"pid":26,"name":"曲靖市","level":3,"area_code":"530300000000","town_code":"","country_id":1}
,{"id":303,"pid":26,"name":"玉溪市","level":3,"area_code":"530400000000","town_code":"","country_id":1}
,{"id":304,"pid":26,"name":"保山市","level":3,"area_code":"530500000000","town_code":"","country_id":1}
,{"id":305,"pid":26,"name":"昭通市","level":3,"area_code":"530600000000","town_code":"","country_id":1}
,{"id":306,"pid":26,"name":"丽江市","level":3,"area_code":"530700000000","town_code":"","country_id":1}
,{"id":307,"pid":26,"name":"普洱市","level":3,"area_code":"530800000000","town_code":"","country_id":1}
,{"id":308,"pid":26,"name":"临沧市","level":3,"area_code":"530900000000","town_code":"","country_id":1}
,{"id":309,"pid":26,"name":"楚雄彝族自治州","level":3,"area_code":"532300000000","town_code":"","country_id":1}
,{"id":310,"pid":26,"name":"红河哈尼族彝族自治州","level":3,"area_code":"532500000000","town_code":"","country_id":1}
,{"id":311,"pid":26,"name":"文山壮族苗族自治州","level":3,"area_code":"532600000000","town_code":"","country_id":1}
,{"id":312,"pid":26,"name":"西双版纳傣族自治州","level":3,"area_code":"532800000000","town_code":"","country_id":1}
,{"id":313,"pid":26,"name":"大理白族自治州","level":3,"area_code":"532900000000","town_code":"","country_id":1}
,{"id":314,"pid":26,"name":"德宏傣族景颇族自治州","level":3,"area_code":"533100000000","town_code":"","country_id":1}
,{"id":315,"pid":26,"name":"怒江傈僳族自治州","level":3,"area_code":"533300000000","town_code":"","country_id":1}
,{"id":316,"pid":26,"name":"迪庆藏族自治州","level":3,"area_code":"533400000000","town_code":"","country_id":1}
,{"id":317,"pid":27,"name":"拉萨市","level":3,"area_code":"540100000000","town_code":"","country_id":1}
,{"id":318,"pid":27,"name":"日喀则市","level":3,"area_code":"540200000000","town_code":"","country_id":1}
,{"id":319,"pid":27,"name":"昌都市","level":3,"area_code":"540300000000","town_code":"","country_id":1}
,{"id":320,"pid":27,"name":"林芝市","level":3,"area_code":"540400000000","town_code":"","country_id":1}
,{"id":321,"pid":27,"name":"山南市","level":3,"area_code":"540500000000","town_code":"","country_id":1}
,{"id":322,"pid":27,"name":"那曲市","level":3,"area_code":"540600000000","town_code":"","country_id":1}
,{"id":323,"pid":27,"name":"阿里地区","level":3,"area_code":"542500000000","town_code":"","country_id":1}
,{"id":324,"pid":28,"name":"西安市","level":3,"area_code":"610100000000","town_code":"","country_id":1}
,{"id":325,"pid":28,"name":"铜川市","level":3,"area_code":"610200000000","town_code":"","country_id":1}
,{"id":326,"pid":28,"name":"宝鸡市","level":3,"area_code":"610300000000","town_code":"","country_id":1}
,{"id":327,"pid":28,"name":"咸阳市","level":3,"area_code":"610400000000","town_code":"","country_id":1}
,{"id":328,"pid":28,"name":"渭南市","level":3,"area_code":"610500000000","town_code":"","country_id":1}
,{"id":329,"pid":28,"name":"延安市","level":3,"area_code":"610600000000","town_code":"","country_id":1}
,{"id":330,"pid":28,"name":"汉中市","level":3,"area_code":"610700000000","town_code":"","country_id":1}
,{"id":331,"pid":28,"name":"榆林市","level":3,"area_code":"610800000000","town_code":"","country_id":1}
,{"id":332,"pid":28,"name":"安康市","level":3,"area_code":"610900000000","town_code":"","country_id":1}
,{"id":333,"pid":28,"name":"商洛市","level":3,"area_code":"611000000000","town_code":"","country_id":1}
,{"id":334,"pid":29,"name":"兰州市","level":3,"area_code":"620100000000","town_code":"","country_id":1}
,{"id":335,"pid":29,"name":"嘉峪关市","level":3,"area_code":"620200000000","town_code":"","country_id":1}
,{"id":336,"pid":29,"name":"金昌市","level":3,"area_code":"620300000000","town_code":"","country_id":1}
,{"id":337,"pid":29,"name":"白银市","level":3,"area_code":"620400000000","town_code":"","country_id":1}
,{"id":338,"pid":29,"name":"天水市","level":3,"area_code":"620500000000","town_code":"","country_id":1}
,{"id":339,"pid":29,"name":"武威市","level":3,"area_code":"620600000000","town_code":"","country_id":1}
,{"id":340,"pid":29,"name":"张掖市","level":3,"area_code":"620700000000","town_code":"","country_id":1}
,{"id":341,"pid":29,"name":"平凉市","level":3,"area_code":"620800000000","town_code":"","country_id":1}
,{"id":342,"pid":29,"name":"酒泉市","level":3,"area_code":"620900000000","town_code":"","country_id":1}
,{"id":343,"pid":29,"name":"庆阳市","level":3,"area_code":"621000000000","town_code":"","country_id":1}
,{"id":344,"pid":29,"name":"定西市","level":3,"area_code":"621100000000","town_code":"","country_id":1}
,{"id":345,"pid":29,"name":"陇南市","level":3,"area_code":"621200000000","town_code":"","country_id":1}
,{"id":346,"pid":29,"name":"临夏回族自治州","level":3,"area_code":"622900000000","town_code":"","country_id":1}
,{"id":347,"pid":29,"name":"甘南藏族自治州","level":3,"area_code":"623000000000","town_code":"","country_id":1}
,{"id":348,"pid":30,"name":"西宁市","level":3,"area_code":"630100000000","town_code":"","country_id":1}
,{"id":349,"pid":30,"name":"海东市","level":3,"area_code":"630200000000","town_code":"","country_id":1}
,{"id":350,"pid":30,"name":"海北藏族自治州","level":3,"area_code":"632200000000","town_code":"","country_id":1}
,{"id":351,"pid":30,"name":"黄南藏族自治州","level":3,"area_code":"632300000000","town_code":"","country_id":1}
,{"id":352,"pid":30,"name":"海南藏族自治州","level":3,"area_code":"632500000000","town_code":"","country_id":1}
,{"id":353,"pid":30,"name":"果洛藏族自治州","level":3,"area_code":"632600000000","town_code":"","country_id":1}
,{"id":354,"pid":30,"name":"玉树藏族自治州","level":3,"area_code":"632700000000","town_code":"","country_id":1}
,{"id":355,"pid":30,"name":"海西蒙古族藏族自治州","level":3,"area_code":"632800000000","town_code":"","country_id":1}
,{"id":356,"pid":31,"name":"银川市","level":3,"area_code":"640100000000","town_code":"","country_id":1}
,{"id":357,"pid":31,"name":"石嘴山市","level":3,"area_code":"640200000000","town_code":"","country_id":1}
,{"id":358,"pid":31,"name":"吴忠市","level":3,"area_code":"640300000000","town_code":"","country_id":1}
,{"id":359,"pid":31,"name":"固原市","level":3,"area_code":"640400000000","town_code":"","country_id":1}
,{"id":360,"pid":31,"name":"中卫市","level":3,"area_code":"640500000000","town_code":"","country_id":1}
,{"id":361,"pid":32,"name":"乌鲁木齐市","level":3,"area_code":"650100000000","town_code":"","country_id":1}
,{"id":362,"pid":32,"name":"克拉玛依市","level":3,"area_code":"650200000000","town_code":"","country_id":1}
,{"id":363,"pid":32,"name":"吐鲁番市","level":3,"area_code":"650400000000","town_code":"","country_id":1}
,{"id":364,"pid":32,"name":"哈密市","level":3,"area_code":"650500000000","town_code":"","country_id":1}
,{"id":365,"pid":32,"name":"昌吉回族自治州","level":3,"area_code":"652300000000","town_code":"","country_id":1}
,{"id":366,"pid":32,"name":"博尔塔拉蒙古自治州","level":3,"area_code":"652700000000","town_code":"","country_id":1}
,{"id":367,"pid":32,"name":"巴音郭楞蒙古自治州","level":3,"area_code":"652800000000","town_code":"","country_id":1}
,{"id":368,"pid":32,"name":"阿克苏地区","level":3,"area_code":"652900000000","town_code":"","country_id":1}
,{"id":369,"pid":32,"name":"克孜勒苏柯尔克孜自治州","level":3,"area_code":"653000000000","town_code":"","country_id":1}
,{"id":370,"pid":32,"name":"喀什地区","level":3,"area_code":"653100000000","town_code":"","country_id":1}
,{"id":371,"pid":32,"name":"和田地区","level":3,"area_code":"653200000000","town_code":"","country_id":1}
,{"id":372,"pid":32,"name":"伊犁哈萨克自治州","level":3,"area_code":"654000000000","town_code":"","country_id":1}
,{"id":373,"pid":32,"name":"塔城地区","level":3,"area_code":"654200000000","town_code":"","country_id":1}
,{"id":374,"pid":32,"name":"阿勒泰地区","level":3,"area_code":"654300000000","town_code":"","country_id":1}
,{"id":375,"pid":32,"name":"自治区直辖县级行政区划","level":3,"area_code":"659000000000","town_code":"","country_id":1}
,{"id":376,"pid":33,"name":"东城区","level":4,"area_code":"110101000000","town_code":"","country_id":1}
,{"id":377,"pid":33,"name":"西城区","level":4,"area_code":"110102000000","town_code":"","country_id":1}
,{"id":378,"pid":33,"name":"朝阳区","level":4,"area_code":"110105000000","town_code":"","country_id":1}
,{"id":379,"pid":33,"name":"丰台区","level":4,"area_code":"110106000000","town_code":"","country_id":1}
,{"id":380,"pid":33,"name":"石景山区","level":4,"area_code":"110107000000","town_code":"","country_id":1}
,{"id":381,"pid":33,"name":"海淀区","level":4,"area_code":"110108000000","town_code":"","country_id":1}
,{"id":382,"pid":33,"name":"门头沟区","level":4,"area_code":"110109000000","town_code":"","country_id":1}
,{"id":383,"pid":33,"name":"房山区","level":4,"area_code":"110111000000","town_code":"","country_id":1}
,{"id":384,"pid":33,"name":"通州区","level":4,"area_code":"110112000000","town_code":"","country_id":1}
,{"id":385,"pid":33,"name":"顺义区","level":4,"area_code":"110113000000","town_code":"","country_id":1}
,{"id":386,"pid":33,"name":"昌平区","level":4,"area_code":"110114000000","town_code":"","country_id":1}
,{"id":387,"pid":33,"name":"大兴区","level":4,"area_code":"110115000000","town_code":"","country_id":1}
,{"id":388,"pid":33,"name":"怀柔区","level":4,"area_code":"110116000000","town_code":"","country_id":1}
,{"id":389,"pid":33,"name":"平谷区","level":4,"area_code":"110117000000","town_code":"","country_id":1}
,{"id":390,"pid":33,"name":"密云区","level":4,"area_code":"110118000000","town_code":"","country_id":1}
,{"id":391,"pid":33,"name":"延庆区","level":4,"area_code":"110119000000","town_code":"","country_id":1}
,{"id":392,"pid":34,"name":"和平区","level":4,"area_code":"120101000000","town_code":"","country_id":1}
,{"id":393,"pid":34,"name":"河东区","level":4,"area_code":"120102000000","town_code":"","country_id":1}
,{"id":394,"pid":34,"name":"河西区","level":4,"area_code":"120103000000","town_code":"","country_id":1}
,{"id":395,"pid":34,"name":"南开区","level":4,"area_code":"120104000000","town_code":"","country_id":1}
,{"id":396,"pid":34,"name":"河北区","level":4,"area_code":"120105000000","town_code":"","country_id":1}
,{"id":397,"pid":34,"name":"红桥区","level":4,"area_code":"120106000000","town_code":"","country_id":1}
,{"id":398,"pid":34,"name":"东丽区","level":4,"area_code":"120110000000","town_code":"","country_id":1}
,{"id":399,"pid":34,"name":"西青区","level":4,"area_code":"120111000000","town_code":"","country_id":1}
,{"id":400,"pid":34,"name":"津南区","level":4,"area_code":"120112000000","town_code":"","country_id":1}
,{"id":401,"pid":34,"name":"北辰区","level":4,"area_code":"120113000000","town_code":"","country_id":1}
,{"id":402,"pid":34,"name":"武清区","level":4,"area_code":"120114000000","town_code":"","country_id":1}
,{"id":403,"pid":34,"name":"宝坻区","level":4,"area_code":"120115000000","town_code":"","country_id":1}
,{"id":404,"pid":34,"name":"滨海新区","level":4,"area_code":"120116000000","town_code":"","country_id":1}
,{"id":405,"pid":34,"name":"宁河区","level":4,"area_code":"120117000000","town_code":"","country_id":1}
,{"id":406,"pid":34,"name":"静海区","level":4,"area_code":"120118000000","town_code":"","country_id":1}
,{"id":407,"pid":34,"name":"蓟州区","level":4,"area_code":"120119000000","town_code":"","country_id":1}
,{"id":408,"pid":35,"name":"市辖区","level":4,"area_code":"130101000000","town_code":"","country_id":1}
,{"id":409,"pid":35,"name":"长安区","level":4,"area_code":"130102000000","town_code":"","country_id":1}
,{"id":410,"pid":35,"name":"桥西区","level":4,"area_code":"130104000000","town_code":"","country_id":1}
,{"id":411,"pid":35,"name":"新华区","level":4,"area_code":"130105000000","town_code":"","country_id":1}
,{"id":412,"pid":35,"name":"井陉矿区","level":4,"area_code":"130107000000","town_code":"","country_id":1}
,{"id":413,"pid":35,"name":"裕华区","level":4,"area_code":"130108000000","town_code":"","country_id":1}
,{"id":414,"pid":35,"name":"藁城区","level":4,"area_code":"130109000000","town_code":"","country_id":1}
,{"id":415,"pid":35,"name":"鹿泉区","level":4,"area_code":"130110000000","town_code":"","country_id":1}
,{"id":416,"pid":35,"name":"栾城区","level":4,"area_code":"130111000000","town_code":"","country_id":1}
,{"id":417,"pid":35,"name":"井陉县","level":4,"area_code":"130121000000","town_code":"","country_id":1}
,{"id":418,"pid":35,"name":"正定县","level":4,"area_code":"130123000000","town_code":"","country_id":1}
,{"id":419,"pid":35,"name":"行唐县","level":4,"area_code":"130125000000","town_code":"","country_id":1}
,{"id":420,"pid":35,"name":"灵寿县","level":4,"area_code":"130126000000","town_code":"","country_id":1}
,{"id":421,"pid":35,"name":"高邑县","level":4,"area_code":"130127000000","town_code":"","country_id":1}
,{"id":422,"pid":35,"name":"深泽县","level":4,"area_code":"130128000000","town_code":"","country_id":1}
,{"id":423,"pid":35,"name":"赞皇县","level":4,"area_code":"130129000000","town_code":"","country_id":1}
,{"id":424,"pid":35,"name":"无极县","level":4,"area_code":"130130000000","town_code":"","country_id":1}
,{"id":425,"pid":35,"name":"平山县","level":4,"area_code":"130131000000","town_code":"","country_id":1}
,{"id":426,"pid":35,"name":"元氏县","level":4,"area_code":"130132000000","town_code":"","country_id":1}
,{"id":427,"pid":35,"name":"赵县","level":4,"area_code":"130133000000","town_code":"","country_id":1}
,{"id":428,"pid":35,"name":"石家庄高新技术产业开发区","level":4,"area_code":"130171000000","town_code":"","country_id":1}
,{"id":429,"pid":35,"name":"石家庄循环化工园区","level":4,"area_code":"130172000000","town_code":"","country_id":1}
,{"id":430,"pid":35,"name":"辛集市","level":4,"area_code":"130181000000","town_code":"","country_id":1}
,{"id":431,"pid":35,"name":"晋州市","level":4,"area_code":"130183000000","town_code":"","country_id":1}
,{"id":432,"pid":35,"name":"新乐市","level":4,"area_code":"130184000000","town_code":"","country_id":1}
,{"id":433,"pid":36,"name":"市辖区","level":4,"area_code":"130201000000","town_code":"","country_id":1}
,{"id":434,"pid":36,"name":"路南区","level":4,"area_code":"130202000000","town_code":"","country_id":1}
,{"id":435,"pid":36,"name":"路北区","level":4,"area_code":"130203000000","town_code":"","country_id":1}
,{"id":436,"pid":36,"name":"古冶区","level":4,"area_code":"130204000000","town_code":"","country_id":1}
,{"id":437,"pid":36,"name":"开平区","level":4,"area_code":"130205000000","town_code":"","country_id":1}
,{"id":438,"pid":36,"name":"丰南区","level":4,"area_code":"130207000000","town_code":"","country_id":1}
,{"id":439,"pid":36,"name":"丰润区","level":4,"area_code":"130208000000","town_code":"","country_id":1}
,{"id":440,"pid":36,"name":"曹妃甸区","level":4,"area_code":"130209000000","town_code":"","country_id":1}
,{"id":441,"pid":36,"name":"滦南县","level":4,"area_code":"130224000000","town_code":"","country_id":1}
,{"id":442,"pid":36,"name":"乐亭县","level":4,"area_code":"130225000000","town_code":"","country_id":1}
,{"id":443,"pid":36,"name":"迁西县","level":4,"area_code":"130227000000","town_code":"","country_id":1}
,{"id":444,"pid":36,"name":"玉田县","level":4,"area_code":"130229000000","town_code":"","country_id":1}
,{"id":445,"pid":36,"name":"河北唐山芦台经济开发区","level":4,"area_code":"130271000000","town_code":"","country_id":1}
,{"id":446,"pid":36,"name":"唐山市汉沽管理区","level":4,"area_code":"130272000000","town_code":"","country_id":1}
,{"id":447,"pid":36,"name":"唐山高新技术产业开发区","level":4,"area_code":"130273000000","town_code":"","country_id":1}
,{"id":448,"pid":36,"name":"河北唐山海港经济开发区","level":4,"area_code":"130274000000","town_code":"","country_id":1}
,{"id":449,"pid":36,"name":"遵化市","level":4,"area_code":"130281000000","town_code":"","country_id":1}
,{"id":450,"pid":36,"name":"迁安市","level":4,"area_code":"130283000000","town_code":"","country_id":1}
,{"id":451,"pid":36,"name":"滦州市","level":4,"area_code":"130284000000","town_code":"","country_id":1}
,{"id":452,"pid":37,"name":"市辖区","level":4,"area_code":"130301000000","town_code":"","country_id":1}
,{"id":453,"pid":37,"name":"海港区","level":4,"area_code":"130302000000","town_code":"","country_id":1}
,{"id":454,"pid":37,"name":"山海关区","level":4,"area_code":"130303000000","town_code":"","country_id":1}
,{"id":455,"pid":37,"name":"北戴河区","level":4,"area_code":"130304000000","town_code":"","country_id":1}
,{"id":456,"pid":37,"name":"抚宁区","level":4,"area_code":"130306000000","town_code":"","country_id":1}
,{"id":457,"pid":37,"name":"青龙满族自治县","level":4,"area_code":"130321000000","town_code":"","country_id":1}
,{"id":458,"pid":37,"name":"昌黎县","level":4,"area_code":"130322000000","town_code":"","country_id":1}
,{"id":459,"pid":37,"name":"卢龙县","level":4,"area_code":"130324000000","town_code":"","country_id":1}
,{"id":460,"pid":37,"name":"秦皇岛市经济技术开发区","level":4,"area_code":"130371000000","town_code":"","country_id":1}
,{"id":461,"pid":37,"name":"北戴河新区","level":4,"area_code":"130372000000","town_code":"","country_id":1}
,{"id":462,"pid":38,"name":"市辖区","level":4,"area_code":"130401000000","town_code":"","country_id":1}
,{"id":463,"pid":38,"name":"邯山区","level":4,"area_code":"130402000000","town_code":"","country_id":1}
,{"id":464,"pid":38,"name":"丛台区","level":4,"area_code":"130403000000","town_code":"","country_id":1}
,{"id":465,"pid":38,"name":"复兴区","level":4,"area_code":"130404000000","town_code":"","country_id":1}
,{"id":466,"pid":38,"name":"峰峰矿区","level":4,"area_code":"130406000000","town_code":"","country_id":1}
,{"id":467,"pid":38,"name":"肥乡区","level":4,"area_code":"130407000000","town_code":"","country_id":1}
,{"id":468,"pid":38,"name":"永年区","level":4,"area_code":"130408000000","town_code":"","country_id":1}
,{"id":469,"pid":38,"name":"临漳县","level":4,"area_code":"130423000000","town_code":"","country_id":1}
,{"id":470,"pid":38,"name":"成安县","level":4,"area_code":"130424000000","town_code":"","country_id":1}
,{"id":471,"pid":38,"name":"大名县","level":4,"area_code":"130425000000","town_code":"","country_id":1}
,{"id":472,"pid":38,"name":"涉县","level":4,"area_code":"130426000000","town_code":"","country_id":1}
,{"id":473,"pid":38,"name":"磁县","level":4,"area_code":"130427000000","town_code":"","country_id":1}
,{"id":474,"pid":38,"name":"邱县","level":4,"area_code":"130430000000","town_code":"","country_id":1}
,{"id":475,"pid":38,"name":"鸡泽县","level":4,"area_code":"130431000000","town_code":"","country_id":1}
,{"id":476,"pid":38,"name":"广平县","level":4,"area_code":"130432000000","town_code":"","country_id":1}
,{"id":477,"pid":38,"name":"馆陶县","level":4,"area_code":"130433000000","town_code":"","country_id":1}
,{"id":478,"pid":38,"name":"魏县","level":4,"area_code":"130434000000","town_code":"","country_id":1}
,{"id":479,"pid":38,"name":"曲周县","level":4,"area_code":"130435000000","town_code":"","country_id":1}
,{"id":480,"pid":38,"name":"邯郸经济技术开发区","level":4,"area_code":"130471000000","town_code":"","country_id":1}
,{"id":481,"pid":38,"name":"邯郸冀南新区","level":4,"area_code":"130473000000","town_code":"","country_id":1}
,{"id":482,"pid":38,"name":"武安市","level":4,"area_code":"130481000000","town_code":"","country_id":1}
,{"id":483,"pid":39,"name":"市辖区","level":4,"area_code":"130501000000","town_code":"","country_id":1}
,{"id":484,"pid":39,"name":"襄都区","level":4,"area_code":"130502000000","town_code":"","country_id":1}
,{"id":485,"pid":39,"name":"信都区","level":4,"area_code":"130503000000","town_code":"","country_id":1}
,{"id":486,"pid":39,"name":"任泽区","level":4,"area_code":"130505000000","town_code":"","country_id":1}
,{"id":487,"pid":39,"name":"南和区","level":4,"area_code":"130506000000","town_code":"","country_id":1}
,{"id":488,"pid":39,"name":"临城县","level":4,"area_code":"130522000000","town_code":"","country_id":1}
,{"id":489,"pid":39,"name":"内丘县","level":4,"area_code":"130523000000","town_code":"","country_id":1}
,{"id":490,"pid":39,"name":"柏乡县","level":4,"area_code":"130524000000","town_code":"","country_id":1}
,{"id":491,"pid":39,"name":"隆尧县","level":4,"area_code":"130525000000","town_code":"","country_id":1}
,{"id":492,"pid":39,"name":"宁晋县","level":4,"area_code":"130528000000","town_code":"","country_id":1}
,{"id":493,"pid":39,"name":"巨鹿县","level":4,"area_code":"130529000000","town_code":"","country_id":1}
,{"id":494,"pid":39,"name":"新河县","level":4,"area_code":"130530000000","town_code":"","country_id":1}
,{"id":495,"pid":39,"name":"广宗县","level":4,"area_code":"130531000000","town_code":"","country_id":1}
,{"id":496,"pid":39,"name":"平乡县","level":4,"area_code":"130532000000","town_code":"","country_id":1}
,{"id":497,"pid":39,"name":"威县","level":4,"area_code":"130533000000","town_code":"","country_id":1}
,{"id":498,"pid":39,"name":"清河县","level":4,"area_code":"130534000000","town_code":"","country_id":1}
,{"id":499,"pid":39,"name":"临西县","level":4,"area_code":"130535000000","town_code":"","country_id":1}
,{"id":500,"pid":39,"name":"河北邢台经济开发区","level":4,"area_code":"130571000000","town_code":"","country_id":1}
,{"id":501,"pid":39,"name":"南宫市","level":4,"area_code":"130581000000","town_code":"","country_id":1}
,{"id":502,"pid":39,"name":"沙河市","level":4,"area_code":"130582000000","town_code":"","country_id":1}
,{"id":503,"pid":40,"name":"市辖区","level":4,"area_code":"130601000000","town_code":"","country_id":1}
,{"id":504,"pid":40,"name":"竞秀区","level":4,"area_code":"130602000000","town_code":"","country_id":1}
,{"id":505,"pid":40,"name":"莲池区","level":4,"area_code":"130606000000","town_code":"","country_id":1}
,{"id":506,"pid":40,"name":"满城区","level":4,"area_code":"130607000000","town_code":"","country_id":1}
,{"id":507,"pid":40,"name":"清苑区","level":4,"area_code":"130608000000","town_code":"","country_id":1}
,{"id":508,"pid":40,"name":"徐水区","level":4,"area_code":"130609000000","town_code":"","country_id":1}
,{"id":509,"pid":40,"name":"涞水县","level":4,"area_code":"130623000000","town_code":"","country_id":1}
,{"id":510,"pid":40,"name":"阜平县","level":4,"area_code":"130624000000","town_code":"","country_id":1}
,{"id":511,"pid":40,"name":"定兴县","level":4,"area_code":"130626000000","town_code":"","country_id":1}
,{"id":512,"pid":40,"name":"唐县","level":4,"area_code":"130627000000","town_code":"","country_id":1}
,{"id":513,"pid":40,"name":"高阳县","level":4,"area_code":"130628000000","town_code":"","country_id":1}
,{"id":514,"pid":40,"name":"容城县","level":4,"area_code":"130629000000","town_code":"","country_id":1}
,{"id":515,"pid":40,"name":"涞源县","level":4,"area_code":"130630000000","town_code":"","country_id":1}
,{"id":516,"pid":40,"name":"望都县","level":4,"area_code":"130631000000","town_code":"","country_id":1}
,{"id":517,"pid":40,"name":"安新县","level":4,"area_code":"130632000000","town_code":"","country_id":1}
,{"id":518,"pid":40,"name":"易县","level":4,"area_code":"130633000000","town_code":"","country_id":1}
,{"id":519,"pid":40,"name":"曲阳县","level":4,"area_code":"130634000000","town_code":"","country_id":1}
,{"id":520,"pid":40,"name":"蠡县","level":4,"area_code":"130635000000","town_code":"","country_id":1}
,{"id":521,"pid":40,"name":"顺平县","level":4,"area_code":"130636000000","town_code":"","country_id":1}
,{"id":522,"pid":40,"name":"博野县","level":4,"area_code":"130637000000","town_code":"","country_id":1}
,{"id":523,"pid":40,"name":"雄县","level":4,"area_code":"130638000000","town_code":"","country_id":1}
,{"id":524,"pid":40,"name":"保定高新技术产业开发区","level":4,"area_code":"130671000000","town_code":"","country_id":1}
,{"id":525,"pid":40,"name":"保定白沟新城","level":4,"area_code":"130672000000","town_code":"","country_id":1}
,{"id":526,"pid":40,"name":"涿州市","level":4,"area_code":"130681000000","town_code":"","country_id":1}
,{"id":527,"pid":40,"name":"定州市","level":4,"area_code":"130682000000","town_code":"","country_id":1}
,{"id":528,"pid":40,"name":"安国市","level":4,"area_code":"130683000000","town_code":"","country_id":1}
,{"id":529,"pid":40,"name":"高碑店市","level":4,"area_code":"130684000000","town_code":"","country_id":1}
,{"id":530,"pid":41,"name":"市辖区","level":4,"area_code":"130701000000","town_code":"","country_id":1}
,{"id":531,"pid":41,"name":"桥东区","level":4,"area_code":"130702000000","town_code":"","country_id":1}
,{"id":532,"pid":41,"name":"桥西区","level":4,"area_code":"130703000000","town_code":"","country_id":1}
,{"id":533,"pid":41,"name":"宣化区","level":4,"area_code":"130705000000","town_code":"","country_id":1}
,{"id":534,"pid":41,"name":"下花园区","level":4,"area_code":"130706000000","town_code":"","country_id":1}
,{"id":535,"pid":41,"name":"万全区","level":4,"area_code":"130708000000","town_code":"","country_id":1}
,{"id":536,"pid":41,"name":"崇礼区","level":4,"area_code":"130709000000","town_code":"","country_id":1}
,{"id":537,"pid":41,"name":"张北县","level":4,"area_code":"130722000000","town_code":"","country_id":1}
,{"id":538,"pid":41,"name":"康保县","level":4,"area_code":"130723000000","town_code":"","country_id":1}
,{"id":539,"pid":41,"name":"沽源县","level":4,"area_code":"130724000000","town_code":"","country_id":1}
,{"id":540,"pid":41,"name":"尚义县","level":4,"area_code":"130725000000","town_code":"","country_id":1}
,{"id":541,"pid":41,"name":"蔚县","level":4,"area_code":"130726000000","town_code":"","country_id":1}
,{"id":542,"pid":41,"name":"阳原县","level":4,"area_code":"130727000000","town_code":"","country_id":1}
,{"id":543,"pid":41,"name":"怀安县","level":4,"area_code":"130728000000","town_code":"","country_id":1}
,{"id":544,"pid":41,"name":"怀来县","level":4,"area_code":"130730000000","town_code":"","country_id":1}
,{"id":545,"pid":41,"name":"涿鹿县","level":4,"area_code":"130731000000","town_code":"","country_id":1}
,{"id":546,"pid":41,"name":"赤城县","level":4,"area_code":"130732000000","town_code":"","country_id":1}
,{"id":547,"pid":41,"name":"张家口经济开发区","level":4,"area_code":"130771000000","town_code":"","country_id":1}
,{"id":548,"pid":41,"name":"张家口市察北管理区","level":4,"area_code":"130772000000","town_code":"","country_id":1}
,{"id":549,"pid":41,"name":"张家口市塞北管理区","level":4,"area_code":"130773000000","town_code":"","country_id":1}
,{"id":550,"pid":42,"name":"市辖区","level":4,"area_code":"130801000000","town_code":"","country_id":1}
,{"id":551,"pid":42,"name":"双桥区","level":4,"area_code":"130802000000","town_code":"","country_id":1}
,{"id":552,"pid":42,"name":"双滦区","level":4,"area_code":"130803000000","town_code":"","country_id":1}
,{"id":553,"pid":42,"name":"鹰手营子矿区","level":4,"area_code":"130804000000","town_code":"","country_id":1}
,{"id":554,"pid":42,"name":"承德县","level":4,"area_code":"130821000000","town_code":"","country_id":1}
,{"id":555,"pid":42,"name":"兴隆县","level":4,"area_code":"130822000000","town_code":"","country_id":1}
,{"id":556,"pid":42,"name":"滦平县","level":4,"area_code":"130824000000","town_code":"","country_id":1}
,{"id":557,"pid":42,"name":"隆化县","level":4,"area_code":"130825000000","town_code":"","country_id":1}
,{"id":558,"pid":42,"name":"丰宁满族自治县","level":4,"area_code":"130826000000","town_code":"","country_id":1}
,{"id":559,"pid":42,"name":"宽城满族自治县","level":4,"area_code":"130827000000","town_code":"","country_id":1}
,{"id":560,"pid":42,"name":"围场满族蒙古族自治县","level":4,"area_code":"130828000000","town_code":"","country_id":1}
,{"id":561,"pid":42,"name":"承德高新技术产业开发区","level":4,"area_code":"130871000000","town_code":"","country_id":1}
,{"id":562,"pid":42,"name":"平泉市","level":4,"area_code":"130881000000","town_code":"","country_id":1}
,{"id":563,"pid":43,"name":"市辖区","level":4,"area_code":"130901000000","town_code":"","country_id":1}
,{"id":564,"pid":43,"name":"新华区","level":4,"area_code":"130902000000","town_code":"","country_id":1}
,{"id":565,"pid":43,"name":"运河区","level":4,"area_code":"130903000000","town_code":"","country_id":1}
,{"id":566,"pid":43,"name":"沧县","level":4,"area_code":"130921000000","town_code":"","country_id":1}
,{"id":567,"pid":43,"name":"青县","level":4,"area_code":"130922000000","town_code":"","country_id":1}
,{"id":568,"pid":43,"name":"东光县","level":4,"area_code":"130923000000","town_code":"","country_id":1}
,{"id":569,"pid":43,"name":"海兴县","level":4,"area_code":"130924000000","town_code":"","country_id":1}
,{"id":570,"pid":43,"name":"盐山县","level":4,"area_code":"130925000000","town_code":"","country_id":1}
,{"id":571,"pid":43,"name":"肃宁县","level":4,"area_code":"130926000000","town_code":"","country_id":1}
,{"id":572,"pid":43,"name":"南皮县","level":4,"area_code":"130927000000","town_code":"","country_id":1}
,{"id":573,"pid":43,"name":"吴桥县","level":4,"area_code":"130928000000","town_code":"","country_id":1}
,{"id":574,"pid":43,"name":"献县","level":4,"area_code":"130929000000","town_code":"","country_id":1}
,{"id":575,"pid":43,"name":"孟村回族自治县","level":4,"area_code":"130930000000","town_code":"","country_id":1}
,{"id":576,"pid":43,"name":"河北沧州经济开发区","level":4,"area_code":"130971000000","town_code":"","country_id":1}
,{"id":577,"pid":43,"name":"沧州高新技术产业开发区","level":4,"area_code":"130972000000","town_code":"","country_id":1}
,{"id":578,"pid":43,"name":"沧州渤海新区","level":4,"area_code":"130973000000","town_code":"","country_id":1}
,{"id":579,"pid":43,"name":"泊头市","level":4,"area_code":"130981000000","town_code":"","country_id":1}
,{"id":580,"pid":43,"name":"任丘市","level":4,"area_code":"130982000000","town_code":"","country_id":1}
,{"id":581,"pid":43,"name":"黄骅市","level":4,"area_code":"130983000000","town_code":"","country_id":1}
,{"id":582,"pid":43,"name":"河间市","level":4,"area_code":"130984000000","town_code":"","country_id":1}
,{"id":583,"pid":44,"name":"市辖区","level":4,"area_code":"131001000000","town_code":"","country_id":1}
,{"id":584,"pid":44,"name":"安次区","level":4,"area_code":"131002000000","town_code":"","country_id":1}
,{"id":585,"pid":44,"name":"广阳区","level":4,"area_code":"131003000000","town_code":"","country_id":1}
,{"id":586,"pid":44,"name":"固安县","level":4,"area_code":"131022000000","town_code":"","country_id":1}
,{"id":587,"pid":44,"name":"永清县","level":4,"area_code":"131023000000","town_code":"","country_id":1}
,{"id":588,"pid":44,"name":"香河县","level":4,"area_code":"131024000000","town_code":"","country_id":1}
,{"id":589,"pid":44,"name":"大城县","level":4,"area_code":"131025000000","town_code":"","country_id":1}
,{"id":590,"pid":44,"name":"文安县","level":4,"area_code":"131026000000","town_code":"","country_id":1}
,{"id":591,"pid":44,"name":"大厂回族自治县","level":4,"area_code":"131028000000","town_code":"","country_id":1}
,{"id":592,"pid":44,"name":"廊坊经济技术开发区","level":4,"area_code":"131071000000","town_code":"","country_id":1}
,{"id":593,"pid":44,"name":"霸州市","level":4,"area_code":"131081000000","town_code":"","country_id":1}
,{"id":594,"pid":44,"name":"三河市","level":4,"area_code":"131082000000","town_code":"","country_id":1}
,{"id":595,"pid":45,"name":"市辖区","level":4,"area_code":"131101000000","town_code":"","country_id":1}
,{"id":596,"pid":45,"name":"桃城区","level":4,"area_code":"131102000000","town_code":"","country_id":1}
,{"id":597,"pid":45,"name":"冀州区","level":4,"area_code":"131103000000","town_code":"","country_id":1}
,{"id":598,"pid":45,"name":"枣强县","level":4,"area_code":"131121000000","town_code":"","country_id":1}
,{"id":599,"pid":45,"name":"武邑县","level":4,"area_code":"131122000000","town_code":"","country_id":1}
,{"id":600,"pid":45,"name":"武强县","level":4,"area_code":"131123000000","town_code":"","country_id":1}
,{"id":601,"pid":45,"name":"饶阳县","level":4,"area_code":"131124000000","town_code":"","country_id":1}
,{"id":602,"pid":45,"name":"安平县","level":4,"area_code":"131125000000","town_code":"","country_id":1}
,{"id":603,"pid":45,"name":"故城县","level":4,"area_code":"131126000000","town_code":"","country_id":1}
,{"id":604,"pid":45,"name":"景县","level":4,"area_code":"131127000000","town_code":"","country_id":1}
,{"id":605,"pid":45,"name":"阜城县","level":4,"area_code":"131128000000","town_code":"","country_id":1}
,{"id":606,"pid":45,"name":"河北衡水高新技术产业开发区","level":4,"area_code":"131171000000","town_code":"","country_id":1}
,{"id":607,"pid":45,"name":"衡水滨湖新区","level":4,"area_code":"131172000000","town_code":"","country_id":1}
,{"id":608,"pid":45,"name":"深州市","level":4,"area_code":"131182000000","town_code":"","country_id":1}
,{"id":609,"pid":47,"name":"市辖区","level":4,"area_code":"140101000000","town_code":"","country_id":1}
,{"id":610,"pid":47,"name":"小店区","level":4,"area_code":"140105000000","town_code":"","country_id":1}
,{"id":611,"pid":47,"name":"迎泽区","level":4,"area_code":"140106000000","town_code":"","country_id":1}
,{"id":612,"pid":47,"name":"杏花岭区","level":4,"area_code":"140107000000","town_code":"","country_id":1}
,{"id":613,"pid":47,"name":"尖草坪区","level":4,"area_code":"140108000000","town_code":"","country_id":1}
,{"id":614,"pid":47,"name":"万柏林区","level":4,"area_code":"140109000000","town_code":"","country_id":1}
,{"id":615,"pid":47,"name":"晋源区","level":4,"area_code":"140110000000","town_code":"","country_id":1}
,{"id":616,"pid":47,"name":"清徐县","level":4,"area_code":"140121000000","town_code":"","country_id":1}
,{"id":617,"pid":47,"name":"阳曲县","level":4,"area_code":"140122000000","town_code":"","country_id":1}
,{"id":618,"pid":47,"name":"娄烦县","level":4,"area_code":"140123000000","town_code":"","country_id":1}
,{"id":619,"pid":47,"name":"山西转型综合改革示范区","level":4,"area_code":"140171000000","town_code":"","country_id":1}
,{"id":620,"pid":47,"name":"古交市","level":4,"area_code":"140181000000","town_code":"","country_id":1}
,{"id":621,"pid":48,"name":"市辖区","level":4,"area_code":"140201000000","town_code":"","country_id":1}
,{"id":622,"pid":48,"name":"新荣区","level":4,"area_code":"140212000000","town_code":"","country_id":1}
,{"id":623,"pid":48,"name":"平城区","level":4,"area_code":"140213000000","town_code":"","country_id":1}
,{"id":624,"pid":48,"name":"云冈区","level":4,"area_code":"140214000000","town_code":"","country_id":1}
,{"id":625,"pid":48,"name":"云州区","level":4,"area_code":"140215000000","town_code":"","country_id":1}
,{"id":626,"pid":48,"name":"阳高县","level":4,"area_code":"140221000000","town_code":"","country_id":1}
,{"id":627,"pid":48,"name":"天镇县","level":4,"area_code":"140222000000","town_code":"","country_id":1}
,{"id":628,"pid":48,"name":"广灵县","level":4,"area_code":"140223000000","town_code":"","country_id":1}
,{"id":629,"pid":48,"name":"灵丘县","level":4,"area_code":"140224000000","town_code":"","country_id":1}
,{"id":630,"pid":48,"name":"浑源县","level":4,"area_code":"140225000000","town_code":"","country_id":1}
,{"id":631,"pid":48,"name":"左云县","level":4,"area_code":"140226000000","town_code":"","country_id":1}
,{"id":632,"pid":48,"name":"山西大同经济开发区","level":4,"area_code":"140271000000","town_code":"","country_id":1}
,{"id":633,"pid":49,"name":"市辖区","level":4,"area_code":"140301000000","town_code":"","country_id":1}
,{"id":634,"pid":49,"name":"城区","level":4,"area_code":"140302000000","town_code":"","country_id":1}
,{"id":635,"pid":49,"name":"矿区","level":4,"area_code":"140303000000","town_code":"","country_id":1}
,{"id":636,"pid":49,"name":"郊区","level":4,"area_code":"140311000000","town_code":"","country_id":1}
,{"id":637,"pid":49,"name":"平定县","level":4,"area_code":"140321000000","town_code":"","country_id":1}
,{"id":638,"pid":49,"name":"盂县","level":4,"area_code":"140322000000","town_code":"","country_id":1}
,{"id":639,"pid":50,"name":"市辖区","level":4,"area_code":"140401000000","town_code":"","country_id":1}
,{"id":640,"pid":50,"name":"潞州区","level":4,"area_code":"140403000000","town_code":"","country_id":1}
,{"id":641,"pid":50,"name":"上党区","level":4,"area_code":"140404000000","town_code":"","country_id":1}
,{"id":642,"pid":50,"name":"屯留区","level":4,"area_code":"140405000000","town_code":"","country_id":1}
,{"id":643,"pid":50,"name":"潞城区","level":4,"area_code":"140406000000","town_code":"","country_id":1}
,{"id":644,"pid":50,"name":"襄垣县","level":4,"area_code":"140423000000","town_code":"","country_id":1}
,{"id":645,"pid":50,"name":"平顺县","level":4,"area_code":"140425000000","town_code":"","country_id":1}
,{"id":646,"pid":50,"name":"黎城县","level":4,"area_code":"140426000000","town_code":"","country_id":1}
,{"id":647,"pid":50,"name":"壶关县","level":4,"area_code":"140427000000","town_code":"","country_id":1}
,{"id":648,"pid":50,"name":"长子县","level":4,"area_code":"140428000000","town_code":"","country_id":1}
,{"id":649,"pid":50,"name":"武乡县","level":4,"area_code":"140429000000","town_code":"","country_id":1}
,{"id":650,"pid":50,"name":"沁县","level":4,"area_code":"140430000000","town_code":"","country_id":1}
,{"id":651,"pid":50,"name":"沁源县","level":4,"area_code":"140431000000","town_code":"","country_id":1}
,{"id":652,"pid":51,"name":"市辖区","level":4,"area_code":"140501000000","town_code":"","country_id":1}
,{"id":653,"pid":51,"name":"城区","level":4,"area_code":"140502000000","town_code":"","country_id":1}
,{"id":654,"pid":51,"name":"沁水县","level":4,"area_code":"140521000000","town_code":"","country_id":1}
,{"id":655,"pid":51,"name":"阳城县","level":4,"area_code":"140522000000","town_code":"","country_id":1}
,{"id":656,"pid":51,"name":"陵川县","level":4,"area_code":"140524000000","town_code":"","country_id":1}
,{"id":657,"pid":51,"name":"泽州县","level":4,"area_code":"140525000000","town_code":"","country_id":1}
,{"id":658,"pid":51,"name":"高平市","level":4,"area_code":"140581000000","town_code":"","country_id":1}
,{"id":659,"pid":52,"name":"市辖区","level":4,"area_code":"140601000000","town_code":"","country_id":1}
,{"id":660,"pid":52,"name":"朔城区","level":4,"area_code":"140602000000","town_code":"","country_id":1}
,{"id":661,"pid":52,"name":"平鲁区","level":4,"area_code":"140603000000","town_code":"","country_id":1}
,{"id":662,"pid":52,"name":"山阴县","level":4,"area_code":"140621000000","town_code":"","country_id":1}
,{"id":663,"pid":52,"name":"应县","level":4,"area_code":"140622000000","town_code":"","country_id":1}
,{"id":664,"pid":52,"name":"右玉县","level":4,"area_code":"140623000000","town_code":"","country_id":1}
,{"id":665,"pid":52,"name":"山西朔州经济开发区","level":4,"area_code":"140671000000","town_code":"","country_id":1}
,{"id":666,"pid":52,"name":"怀仁市","level":4,"area_code":"140681000000","town_code":"","country_id":1}
,{"id":667,"pid":53,"name":"市辖区","level":4,"area_code":"140701000000","town_code":"","country_id":1}
,{"id":668,"pid":53,"name":"榆次区","level":4,"area_code":"140702000000","town_code":"","country_id":1}
,{"id":669,"pid":53,"name":"太谷区","level":4,"area_code":"140703000000","town_code":"","country_id":1}
,{"id":670,"pid":53,"name":"榆社县","level":4,"area_code":"140721000000","town_code":"","country_id":1}
,{"id":671,"pid":53,"name":"左权县","level":4,"area_code":"140722000000","town_code":"","country_id":1}
,{"id":672,"pid":53,"name":"和顺县","level":4,"area_code":"140723000000","town_code":"","country_id":1}
,{"id":673,"pid":53,"name":"昔阳县","level":4,"area_code":"140724000000","town_code":"","country_id":1}
,{"id":674,"pid":53,"name":"寿阳县","level":4,"area_code":"140725000000","town_code":"","country_id":1}
,{"id":675,"pid":53,"name":"祁县","level":4,"area_code":"140727000000","town_code":"","country_id":1}
,{"id":676,"pid":53,"name":"平遥县","level":4,"area_code":"140728000000","town_code":"","country_id":1}
,{"id":677,"pid":53,"name":"灵石县","level":4,"area_code":"140729000000","town_code":"","country_id":1}
,{"id":678,"pid":53,"name":"介休市","level":4,"area_code":"140781000000","town_code":"","country_id":1}
,{"id":679,"pid":54,"name":"市辖区","level":4,"area_code":"140801000000","town_code":"","country_id":1}
,{"id":680,"pid":54,"name":"盐湖区","level":4,"area_code":"140802000000","town_code":"","country_id":1}
,{"id":681,"pid":54,"name":"临猗县","level":4,"area_code":"140821000000","town_code":"","country_id":1}
,{"id":682,"pid":54,"name":"万荣县","level":4,"area_code":"140822000000","town_code":"","country_id":1}
,{"id":683,"pid":54,"name":"闻喜县","level":4,"area_code":"140823000000","town_code":"","country_id":1}
,{"id":684,"pid":54,"name":"稷山县","level":4,"area_code":"140824000000","town_code":"","country_id":1}
,{"id":685,"pid":54,"name":"新绛县","level":4,"area_code":"140825000000","town_code":"","country_id":1}
,{"id":686,"pid":54,"name":"绛县","level":4,"area_code":"140826000000","town_code":"","country_id":1}
,{"id":687,"pid":54,"name":"垣曲县","level":4,"area_code":"140827000000","town_code":"","country_id":1}
,{"id":688,"pid":54,"name":"夏县","level":4,"area_code":"140828000000","town_code":"","country_id":1}
,{"id":689,"pid":54,"name":"平陆县","level":4,"area_code":"140829000000","town_code":"","country_id":1}
,{"id":690,"pid":54,"name":"芮城县","level":4,"area_code":"140830000000","town_code":"","country_id":1}
,{"id":691,"pid":54,"name":"永济市","level":4,"area_code":"140881000000","town_code":"","country_id":1}
,{"id":692,"pid":54,"name":"河津市","level":4,"area_code":"140882000000","town_code":"","country_id":1}
,{"id":693,"pid":55,"name":"市辖区","level":4,"area_code":"140901000000","town_code":"","country_id":1}
,{"id":694,"pid":55,"name":"忻府区","level":4,"area_code":"140902000000","town_code":"","country_id":1}
,{"id":695,"pid":55,"name":"定襄县","level":4,"area_code":"140921000000","town_code":"","country_id":1}
,{"id":696,"pid":55,"name":"五台县","level":4,"area_code":"140922000000","town_code":"","country_id":1}
,{"id":697,"pid":55,"name":"代县","level":4,"area_code":"140923000000","town_code":"","country_id":1}
,{"id":698,"pid":55,"name":"繁峙县","level":4,"area_code":"140924000000","town_code":"","country_id":1}
,{"id":699,"pid":55,"name":"宁武县","level":4,"area_code":"140925000000","town_code":"","country_id":1}
,{"id":700,"pid":55,"name":"静乐县","level":4,"area_code":"140926000000","town_code":"","country_id":1}
,{"id":701,"pid":55,"name":"神池县","level":4,"area_code":"140927000000","town_code":"","country_id":1}
,{"id":702,"pid":55,"name":"五寨县","level":4,"area_code":"140928000000","town_code":"","country_id":1}
,{"id":703,"pid":55,"name":"岢岚县","level":4,"area_code":"140929000000","town_code":"","country_id":1}
,{"id":704,"pid":55,"name":"河曲县","level":4,"area_code":"140930000000","town_code":"","country_id":1}
,{"id":705,"pid":55,"name":"保德县","level":4,"area_code":"140931000000","town_code":"","country_id":1}
,{"id":706,"pid":55,"name":"偏关县","level":4,"area_code":"140932000000","town_code":"","country_id":1}
,{"id":707,"pid":55,"name":"五台山风景名胜区","level":4,"area_code":"140971000000","town_code":"","country_id":1}
,{"id":708,"pid":55,"name":"原平市","level":4,"area_code":"140981000000","town_code":"","country_id":1}
,{"id":709,"pid":56,"name":"市辖区","level":4,"area_code":"141001000000","town_code":"","country_id":1}
,{"id":710,"pid":56,"name":"尧都区","level":4,"area_code":"141002000000","town_code":"","country_id":1}
,{"id":711,"pid":56,"name":"曲沃县","level":4,"area_code":"141021000000","town_code":"","country_id":1}
,{"id":712,"pid":56,"name":"翼城县","level":4,"area_code":"141022000000","town_code":"","country_id":1}
,{"id":713,"pid":56,"name":"襄汾县","level":4,"area_code":"141023000000","town_code":"","country_id":1}
,{"id":714,"pid":56,"name":"洪洞县","level":4,"area_code":"141024000000","town_code":"","country_id":1}
,{"id":715,"pid":56,"name":"古县","level":4,"area_code":"141025000000","town_code":"","country_id":1}
,{"id":716,"pid":56,"name":"安泽县","level":4,"area_code":"141026000000","town_code":"","country_id":1}
,{"id":717,"pid":56,"name":"浮山县","level":4,"area_code":"141027000000","town_code":"","country_id":1}
,{"id":718,"pid":56,"name":"吉县","level":4,"area_code":"141028000000","town_code":"","country_id":1}
,{"id":719,"pid":56,"name":"乡宁县","level":4,"area_code":"141029000000","town_code":"","country_id":1}
,{"id":720,"pid":56,"name":"大宁县","level":4,"area_code":"141030000000","town_code":"","country_id":1}
,{"id":721,"pid":56,"name":"隰县","level":4,"area_code":"141031000000","town_code":"","country_id":1}
,{"id":722,"pid":56,"name":"永和县","level":4,"area_code":"141032000000","town_code":"","country_id":1}
,{"id":723,"pid":56,"name":"蒲县","level":4,"area_code":"141033000000","town_code":"","country_id":1}
,{"id":724,"pid":56,"name":"汾西县","level":4,"area_code":"141034000000","town_code":"","country_id":1}
,{"id":725,"pid":56,"name":"侯马市","level":4,"area_code":"141081000000","town_code":"","country_id":1}
,{"id":726,"pid":56,"name":"霍州市","level":4,"area_code":"141082000000","town_code":"","country_id":1}
,{"id":727,"pid":57,"name":"市辖区","level":4,"area_code":"141101000000","town_code":"","country_id":1}
,{"id":728,"pid":57,"name":"离石区","level":4,"area_code":"141102000000","town_code":"","country_id":1}
,{"id":729,"pid":57,"name":"文水县","level":4,"area_code":"141121000000","town_code":"","country_id":1}
,{"id":730,"pid":57,"name":"交城县","level":4,"area_code":"141122000000","town_code":"","country_id":1}
,{"id":731,"pid":57,"name":"兴县","level":4,"area_code":"141123000000","town_code":"","country_id":1}
,{"id":732,"pid":57,"name":"临县","level":4,"area_code":"141124000000","town_code":"","country_id":1}
,{"id":733,"pid":57,"name":"柳林县","level":4,"area_code":"141125000000","town_code":"","country_id":1}
,{"id":734,"pid":57,"name":"石楼县","level":4,"area_code":"141126000000","town_code":"","country_id":1}
,{"id":735,"pid":57,"name":"岚县","level":4,"area_code":"141127000000","town_code":"","country_id":1}
,{"id":736,"pid":57,"name":"方山县","level":4,"area_code":"141128000000","town_code":"","country_id":1}
,{"id":737,"pid":57,"name":"中阳县","level":4,"area_code":"141129000000","town_code":"","country_id":1}
,{"id":738,"pid":57,"name":"交口县","level":4,"area_code":"141130000000","town_code":"","country_id":1}
,{"id":739,"pid":57,"name":"孝义市","level":4,"area_code":"141181000000","town_code":"","country_id":1}
,{"id":740,"pid":57,"name":"汾阳市","level":4,"area_code":"141182000000","town_code":"","country_id":1}
,{"id":741,"pid":58,"name":"市辖区","level":4,"area_code":"150101000000","town_code":"","country_id":1}
,{"id":742,"pid":58,"name":"新城区","level":4,"area_code":"150102000000","town_code":"","country_id":1}
,{"id":743,"pid":58,"name":"回民区","level":4,"area_code":"150103000000","town_code":"","country_id":1}
,{"id":744,"pid":58,"name":"玉泉区","level":4,"area_code":"150104000000","town_code":"","country_id":1}
,{"id":745,"pid":58,"name":"赛罕区","level":4,"area_code":"150105000000","town_code":"","country_id":1}
,{"id":746,"pid":58,"name":"土默特左旗","level":4,"area_code":"150121000000","town_code":"","country_id":1}
,{"id":747,"pid":58,"name":"托克托县","level":4,"area_code":"150122000000","town_code":"","country_id":1}
,{"id":748,"pid":58,"name":"和林格尔县","level":4,"area_code":"150123000000","town_code":"","country_id":1}
,{"id":749,"pid":58,"name":"清水河县","level":4,"area_code":"150124000000","town_code":"","country_id":1}
,{"id":750,"pid":58,"name":"武川县","level":4,"area_code":"150125000000","town_code":"","country_id":1}
,{"id":751,"pid":58,"name":"呼和浩特经济技术开发区","level":4,"area_code":"150172000000","town_code":"","country_id":1}
,{"id":752,"pid":59,"name":"市辖区","level":4,"area_code":"150201000000","town_code":"","country_id":1}
,{"id":753,"pid":59,"name":"东河区","level":4,"area_code":"150202000000","town_code":"","country_id":1}
,{"id":754,"pid":59,"name":"昆都仑区","level":4,"area_code":"150203000000","town_code":"","country_id":1}
,{"id":755,"pid":59,"name":"青山区","level":4,"area_code":"150204000000","town_code":"","country_id":1}
,{"id":756,"pid":59,"name":"石拐区","level":4,"area_code":"150205000000","town_code":"","country_id":1}
,{"id":757,"pid":59,"name":"白云鄂博矿区","level":4,"area_code":"150206000000","town_code":"","country_id":1}
,{"id":758,"pid":59,"name":"九原区","level":4,"area_code":"150207000000","town_code":"","country_id":1}
,{"id":759,"pid":59,"name":"土默特右旗","level":4,"area_code":"150221000000","town_code":"","country_id":1}
,{"id":760,"pid":59,"name":"固阳县","level":4,"area_code":"150222000000","town_code":"","country_id":1}
,{"id":761,"pid":59,"name":"达尔罕茂明安联合旗","level":4,"area_code":"150223000000","town_code":"","country_id":1}
,{"id":762,"pid":59,"name":"包头稀土高新技术产业开发区","level":4,"area_code":"150271000000","town_code":"","country_id":1}
,{"id":763,"pid":60,"name":"市辖区","level":4,"area_code":"150301000000","town_code":"","country_id":1}
,{"id":764,"pid":60,"name":"海勃湾区","level":4,"area_code":"150302000000","town_code":"","country_id":1}
,{"id":765,"pid":60,"name":"海南区","level":4,"area_code":"150303000000","town_code":"","country_id":1}
,{"id":766,"pid":60,"name":"乌达区","level":4,"area_code":"150304000000","town_code":"","country_id":1}
,{"id":767,"pid":61,"name":"市辖区","level":4,"area_code":"150401000000","town_code":"","country_id":1}
,{"id":768,"pid":61,"name":"红山区","level":4,"area_code":"150402000000","town_code":"","country_id":1}
,{"id":769,"pid":61,"name":"元宝山区","level":4,"area_code":"150403000000","town_code":"","country_id":1}
,{"id":770,"pid":61,"name":"松山区","level":4,"area_code":"150404000000","town_code":"","country_id":1}
,{"id":771,"pid":61,"name":"阿鲁科尔沁旗","level":4,"area_code":"150421000000","town_code":"","country_id":1}
,{"id":772,"pid":61,"name":"巴林左旗","level":4,"area_code":"150422000000","town_code":"","country_id":1}
,{"id":773,"pid":61,"name":"巴林右旗","level":4,"area_code":"150423000000","town_code":"","country_id":1}
,{"id":774,"pid":61,"name":"林西县","level":4,"area_code":"150424000000","town_code":"","country_id":1}
,{"id":775,"pid":61,"name":"克什克腾旗","level":4,"area_code":"150425000000","town_code":"","country_id":1}
,{"id":776,"pid":61,"name":"翁牛特旗","level":4,"area_code":"150426000000","town_code":"","country_id":1}
,{"id":777,"pid":61,"name":"喀喇沁旗","level":4,"area_code":"150428000000","town_code":"","country_id":1}
,{"id":778,"pid":61,"name":"宁城县","level":4,"area_code":"150429000000","town_code":"","country_id":1}
,{"id":779,"pid":61,"name":"敖汉旗","level":4,"area_code":"150430000000","town_code":"","country_id":1}
,{"id":780,"pid":62,"name":"市辖区","level":4,"area_code":"150501000000","town_code":"","country_id":1}
,{"id":781,"pid":62,"name":"科尔沁区","level":4,"area_code":"150502000000","town_code":"","country_id":1}
,{"id":782,"pid":62,"name":"科尔沁左翼中旗","level":4,"area_code":"150521000000","town_code":"","country_id":1}
,{"id":783,"pid":62,"name":"科尔沁左翼后旗","level":4,"area_code":"150522000000","town_code":"","country_id":1}
,{"id":784,"pid":62,"name":"开鲁县","level":4,"area_code":"150523000000","town_code":"","country_id":1}
,{"id":785,"pid":62,"name":"库伦旗","level":4,"area_code":"150524000000","town_code":"","country_id":1}
,{"id":786,"pid":62,"name":"奈曼旗","level":4,"area_code":"150525000000","town_code":"","country_id":1}
,{"id":787,"pid":62,"name":"扎鲁特旗","level":4,"area_code":"150526000000","town_code":"","country_id":1}
,{"id":788,"pid":62,"name":"通辽经济技术开发区","level":4,"area_code":"150571000000","town_code":"","country_id":1}
,{"id":789,"pid":62,"name":"霍林郭勒市","level":4,"area_code":"150581000000","town_code":"","country_id":1}
,{"id":790,"pid":63,"name":"市辖区","level":4,"area_code":"150601000000","town_code":"","country_id":1}
,{"id":791,"pid":63,"name":"东胜区","level":4,"area_code":"150602000000","town_code":"","country_id":1}
,{"id":792,"pid":63,"name":"康巴什区","level":4,"area_code":"150603000000","town_code":"","country_id":1}
,{"id":793,"pid":63,"name":"达拉特旗","level":4,"area_code":"150621000000","town_code":"","country_id":1}
,{"id":794,"pid":63,"name":"准格尔旗","level":4,"area_code":"150622000000","town_code":"","country_id":1}
,{"id":795,"pid":63,"name":"鄂托克前旗","level":4,"area_code":"150623000000","town_code":"","country_id":1}
,{"id":796,"pid":63,"name":"鄂托克旗","level":4,"area_code":"150624000000","town_code":"","country_id":1}
,{"id":797,"pid":63,"name":"杭锦旗","level":4,"area_code":"150625000000","town_code":"","country_id":1}
,{"id":798,"pid":63,"name":"乌审旗","level":4,"area_code":"150626000000","town_code":"","country_id":1}
,{"id":799,"pid":63,"name":"伊金霍洛旗","level":4,"area_code":"150627000000","town_code":"","country_id":1}
,{"id":800,"pid":64,"name":"市辖区","level":4,"area_code":"150701000000","town_code":"","country_id":1}
,{"id":801,"pid":64,"name":"海拉尔区","level":4,"area_code":"150702000000","town_code":"","country_id":1}
,{"id":802,"pid":64,"name":"扎赉诺尔区","level":4,"area_code":"150703000000","town_code":"","country_id":1}
,{"id":803,"pid":64,"name":"阿荣旗","level":4,"area_code":"150721000000","town_code":"","country_id":1}
,{"id":804,"pid":64,"name":"莫力达瓦达斡尔族自治旗","level":4,"area_code":"150722000000","town_code":"","country_id":1}
,{"id":805,"pid":64,"name":"鄂伦春自治旗","level":4,"area_code":"150723000000","town_code":"","country_id":1}
,{"id":806,"pid":64,"name":"鄂温克族自治旗","level":4,"area_code":"150724000000","town_code":"","country_id":1}
,{"id":807,"pid":64,"name":"陈巴尔虎旗","level":4,"area_code":"150725000000","town_code":"","country_id":1}
,{"id":808,"pid":64,"name":"新巴尔虎左旗","level":4,"area_code":"150726000000","town_code":"","country_id":1}
,{"id":809,"pid":64,"name":"新巴尔虎右旗","level":4,"area_code":"150727000000","town_code":"","country_id":1}
,{"id":810,"pid":64,"name":"满洲里市","level":4,"area_code":"150781000000","town_code":"","country_id":1}
,{"id":811,"pid":64,"name":"牙克石市","level":4,"area_code":"150782000000","town_code":"","country_id":1}
,{"id":812,"pid":64,"name":"扎兰屯市","level":4,"area_code":"150783000000","town_code":"","country_id":1}
,{"id":813,"pid":64,"name":"额尔古纳市","level":4,"area_code":"150784000000","town_code":"","country_id":1}
,{"id":814,"pid":64,"name":"根河市","level":4,"area_code":"150785000000","town_code":"","country_id":1}
,{"id":815,"pid":65,"name":"市辖区","level":4,"area_code":"150801000000","town_code":"","country_id":1}
,{"id":816,"pid":65,"name":"临河区","level":4,"area_code":"150802000000","town_code":"","country_id":1}
,{"id":817,"pid":65,"name":"五原县","level":4,"area_code":"150821000000","town_code":"","country_id":1}
,{"id":818,"pid":65,"name":"磴口县","level":4,"area_code":"150822000000","town_code":"","country_id":1}
,{"id":819,"pid":65,"name":"乌拉特前旗","level":4,"area_code":"150823000000","town_code":"","country_id":1}
,{"id":820,"pid":65,"name":"乌拉特中旗","level":4,"area_code":"150824000000","town_code":"","country_id":1}
,{"id":821,"pid":65,"name":"乌拉特后旗","level":4,"area_code":"150825000000","town_code":"","country_id":1}
,{"id":822,"pid":65,"name":"杭锦后旗","level":4,"area_code":"150826000000","town_code":"","country_id":1}
,{"id":823,"pid":66,"name":"市辖区","level":4,"area_code":"150901000000","town_code":"","country_id":1}
,{"id":824,"pid":66,"name":"集宁区","level":4,"area_code":"150902000000","town_code":"","country_id":1}
,{"id":825,"pid":66,"name":"卓资县","level":4,"area_code":"150921000000","town_code":"","country_id":1}
,{"id":826,"pid":66,"name":"化德县","level":4,"area_code":"150922000000","town_code":"","country_id":1}
,{"id":827,"pid":66,"name":"商都县","level":4,"area_code":"150923000000","town_code":"","country_id":1}
,{"id":828,"pid":66,"name":"兴和县","level":4,"area_code":"150924000000","town_code":"","country_id":1}
,{"id":829,"pid":66,"name":"凉城县","level":4,"area_code":"150925000000","town_code":"","country_id":1}
,{"id":830,"pid":66,"name":"察哈尔右翼前旗","level":4,"area_code":"150926000000","town_code":"","country_id":1}
,{"id":831,"pid":66,"name":"察哈尔右翼中旗","level":4,"area_code":"150927000000","town_code":"","country_id":1}
,{"id":832,"pid":66,"name":"察哈尔右翼后旗","level":4,"area_code":"150928000000","town_code":"","country_id":1}
,{"id":833,"pid":66,"name":"四子王旗","level":4,"area_code":"150929000000","town_code":"","country_id":1}
,{"id":834,"pid":66,"name":"丰镇市","level":4,"area_code":"150981000000","town_code":"","country_id":1}
,{"id":835,"pid":67,"name":"乌兰浩特市","level":4,"area_code":"152201000000","town_code":"","country_id":1}
,{"id":836,"pid":67,"name":"阿尔山市","level":4,"area_code":"152202000000","town_code":"","country_id":1}
,{"id":837,"pid":67,"name":"科尔沁右翼前旗","level":4,"area_code":"152221000000","town_code":"","country_id":1}
,{"id":838,"pid":67,"name":"科尔沁右翼中旗","level":4,"area_code":"152222000000","town_code":"","country_id":1}
,{"id":839,"pid":67,"name":"扎赉特旗","level":4,"area_code":"152223000000","town_code":"","country_id":1}
,{"id":840,"pid":67,"name":"突泉县","level":4,"area_code":"152224000000","town_code":"","country_id":1}
,{"id":841,"pid":68,"name":"二连浩特市","level":4,"area_code":"152501000000","town_code":"","country_id":1}
,{"id":842,"pid":68,"name":"锡林浩特市","level":4,"area_code":"152502000000","town_code":"","country_id":1}
,{"id":843,"pid":68,"name":"阿巴嘎旗","level":4,"area_code":"152522000000","town_code":"","country_id":1}
,{"id":844,"pid":68,"name":"苏尼特左旗","level":4,"area_code":"152523000000","town_code":"","country_id":1}
,{"id":845,"pid":68,"name":"苏尼特右旗","level":4,"area_code":"152524000000","town_code":"","country_id":1}
,{"id":846,"pid":68,"name":"东乌珠穆沁旗","level":4,"area_code":"152525000000","town_code":"","country_id":1}
,{"id":847,"pid":68,"name":"西乌珠穆沁旗","level":4,"area_code":"152526000000","town_code":"","country_id":1}
,{"id":848,"pid":68,"name":"太仆寺旗","level":4,"area_code":"152527000000","town_code":"","country_id":1}
,{"id":849,"pid":68,"name":"镶黄旗","level":4,"area_code":"152528000000","town_code":"","country_id":1}
,{"id":850,"pid":68,"name":"正镶白旗","level":4,"area_code":"152529000000","town_code":"","country_id":1}
,{"id":851,"pid":68,"name":"正蓝旗","level":4,"area_code":"152530000000","town_code":"","country_id":1}
,{"id":852,"pid":68,"name":"多伦县","level":4,"area_code":"152531000000","town_code":"","country_id":1}
,{"id":853,"pid":68,"name":"乌拉盖管理区管委会","level":4,"area_code":"152571000000","town_code":"","country_id":1}
,{"id":854,"pid":69,"name":"阿拉善左旗","level":4,"area_code":"152921000000","town_code":"","country_id":1}
,{"id":855,"pid":69,"name":"阿拉善右旗","level":4,"area_code":"152922000000","town_code":"","country_id":1}
,{"id":856,"pid":69,"name":"额济纳旗","level":4,"area_code":"152923000000","town_code":"","country_id":1}
,{"id":857,"pid":69,"name":"内蒙古阿拉善高新技术产业开发区","level":4,"area_code":"152971000000","town_code":"","country_id":1}
,{"id":858,"pid":70,"name":"市辖区","level":4,"area_code":"210101000000","town_code":"","country_id":1}
,{"id":859,"pid":70,"name":"和平区","level":4,"area_code":"210102000000","town_code":"","country_id":1}
,{"id":860,"pid":70,"name":"沈河区","level":4,"area_code":"210103000000","town_code":"","country_id":1}
,{"id":861,"pid":70,"name":"大东区","level":4,"area_code":"210104000000","town_code":"","country_id":1}
,{"id":862,"pid":70,"name":"皇姑区","level":4,"area_code":"210105000000","town_code":"","country_id":1}
,{"id":863,"pid":70,"name":"铁西区","level":4,"area_code":"210106000000","town_code":"","country_id":1}
,{"id":864,"pid":70,"name":"苏家屯区","level":4,"area_code":"210111000000","town_code":"","country_id":1}
,{"id":865,"pid":70,"name":"浑南区","level":4,"area_code":"210112000000","town_code":"","country_id":1}
,{"id":866,"pid":70,"name":"沈北新区","level":4,"area_code":"210113000000","town_code":"","country_id":1}
,{"id":867,"pid":70,"name":"于洪区","level":4,"area_code":"210114000000","town_code":"","country_id":1}
,{"id":868,"pid":70,"name":"辽中区","level":4,"area_code":"210115000000","town_code":"","country_id":1}
,{"id":869,"pid":70,"name":"康平县","level":4,"area_code":"210123000000","town_code":"","country_id":1}
,{"id":870,"pid":70,"name":"法库县","level":4,"area_code":"210124000000","town_code":"","country_id":1}
,{"id":871,"pid":70,"name":"新民市","level":4,"area_code":"210181000000","town_code":"","country_id":1}
,{"id":872,"pid":71,"name":"市辖区","level":4,"area_code":"210201000000","town_code":"","country_id":1}
,{"id":873,"pid":71,"name":"中山区","level":4,"area_code":"210202000000","town_code":"","country_id":1}
,{"id":874,"pid":71,"name":"西岗区","level":4,"area_code":"210203000000","town_code":"","country_id":1}
,{"id":875,"pid":71,"name":"沙河口区","level":4,"area_code":"210204000000","town_code":"","country_id":1}
,{"id":876,"pid":71,"name":"甘井子区","level":4,"area_code":"210211000000","town_code":"","country_id":1}
,{"id":877,"pid":71,"name":"旅顺口区","level":4,"area_code":"210212000000","town_code":"","country_id":1}
,{"id":878,"pid":71,"name":"金州区","level":4,"area_code":"210213000000","town_code":"","country_id":1}
,{"id":879,"pid":71,"name":"普兰店区","level":4,"area_code":"210214000000","town_code":"","country_id":1}
,{"id":880,"pid":71,"name":"长海县","level":4,"area_code":"210224000000","town_code":"","country_id":1}
,{"id":881,"pid":71,"name":"瓦房店市","level":4,"area_code":"210281000000","town_code":"","country_id":1}
,{"id":882,"pid":71,"name":"庄河市","level":4,"area_code":"210283000000","town_code":"","country_id":1}
,{"id":883,"pid":72,"name":"市辖区","level":4,"area_code":"210301000000","town_code":"","country_id":1}
,{"id":884,"pid":72,"name":"铁东区","level":4,"area_code":"210302000000","town_code":"","country_id":1}
,{"id":885,"pid":72,"name":"铁西区","level":4,"area_code":"210303000000","town_code":"","country_id":1}
,{"id":886,"pid":72,"name":"立山区","level":4,"area_code":"210304000000","town_code":"","country_id":1}
,{"id":887,"pid":72,"name":"千山区","level":4,"area_code":"210311000000","town_code":"","country_id":1}
,{"id":888,"pid":72,"name":"台安县","level":4,"area_code":"210321000000","town_code":"","country_id":1}
,{"id":889,"pid":72,"name":"岫岩满族自治县","level":4,"area_code":"210323000000","town_code":"","country_id":1}
,{"id":890,"pid":72,"name":"海城市","level":4,"area_code":"210381000000","town_code":"","country_id":1}
,{"id":891,"pid":73,"name":"市辖区","level":4,"area_code":"210401000000","town_code":"","country_id":1}
,{"id":892,"pid":73,"name":"新抚区","level":4,"area_code":"210402000000","town_code":"","country_id":1}
,{"id":893,"pid":73,"name":"东洲区","level":4,"area_code":"210403000000","town_code":"","country_id":1}
,{"id":894,"pid":73,"name":"望花区","level":4,"area_code":"210404000000","town_code":"","country_id":1}
,{"id":895,"pid":73,"name":"顺城区","level":4,"area_code":"210411000000","town_code":"","country_id":1}
,{"id":896,"pid":73,"name":"抚顺县","level":4,"area_code":"210421000000","town_code":"","country_id":1}
,{"id":897,"pid":73,"name":"新宾满族自治县","level":4,"area_code":"210422000000","town_code":"","country_id":1}
,{"id":898,"pid":73,"name":"清原满族自治县","level":4,"area_code":"210423000000","town_code":"","country_id":1}
,{"id":899,"pid":74,"name":"市辖区","level":4,"area_code":"210501000000","town_code":"","country_id":1}
,{"id":900,"pid":74,"name":"平山区","level":4,"area_code":"210502000000","town_code":"","country_id":1}
,{"id":901,"pid":74,"name":"溪湖区","level":4,"area_code":"210503000000","town_code":"","country_id":1}
,{"id":902,"pid":74,"name":"明山区","level":4,"area_code":"210504000000","town_code":"","country_id":1}
,{"id":903,"pid":74,"name":"南芬区","level":4,"area_code":"210505000000","town_code":"","country_id":1}
,{"id":904,"pid":74,"name":"本溪满族自治县","level":4,"area_code":"210521000000","town_code":"","country_id":1}
,{"id":905,"pid":74,"name":"桓仁满族自治县","level":4,"area_code":"210522000000","town_code":"","country_id":1}
,{"id":906,"pid":75,"name":"市辖区","level":4,"area_code":"210601000000","town_code":"","country_id":1}
,{"id":907,"pid":75,"name":"元宝区","level":4,"area_code":"210602000000","town_code":"","country_id":1}
,{"id":908,"pid":75,"name":"振兴区","level":4,"area_code":"210603000000","town_code":"","country_id":1}
,{"id":909,"pid":75,"name":"振安区","level":4,"area_code":"210604000000","town_code":"","country_id":1}
,{"id":910,"pid":75,"name":"宽甸满族自治县","level":4,"area_code":"210624000000","town_code":"","country_id":1}
,{"id":911,"pid":75,"name":"东港市","level":4,"area_code":"210681000000","town_code":"","country_id":1}
,{"id":912,"pid":75,"name":"凤城市","level":4,"area_code":"210682000000","town_code":"","country_id":1}
,{"id":913,"pid":76,"name":"市辖区","level":4,"area_code":"210701000000","town_code":"","country_id":1}
,{"id":914,"pid":76,"name":"古塔区","level":4,"area_code":"210702000000","town_code":"","country_id":1}
,{"id":915,"pid":76,"name":"凌河区","level":4,"area_code":"210703000000","town_code":"","country_id":1}
,{"id":916,"pid":76,"name":"太和区","level":4,"area_code":"210711000000","town_code":"","country_id":1}
,{"id":917,"pid":76,"name":"黑山县","level":4,"area_code":"210726000000","town_code":"","country_id":1}
,{"id":918,"pid":76,"name":"义县","level":4,"area_code":"210727000000","town_code":"","country_id":1}
,{"id":919,"pid":76,"name":"凌海市","level":4,"area_code":"210781000000","town_code":"","country_id":1}
,{"id":920,"pid":76,"name":"北镇市","level":4,"area_code":"210782000000","town_code":"","country_id":1}
,{"id":921,"pid":77,"name":"市辖区","level":4,"area_code":"210801000000","town_code":"","country_id":1}
,{"id":922,"pid":77,"name":"站前区","level":4,"area_code":"210802000000","town_code":"","country_id":1}
,{"id":923,"pid":77,"name":"西市区","level":4,"area_code":"210803000000","town_code":"","country_id":1}
,{"id":924,"pid":77,"name":"鲅鱼圈区","level":4,"area_code":"210804000000","town_code":"","country_id":1}
,{"id":925,"pid":77,"name":"老边区","level":4,"area_code":"210811000000","town_code":"","country_id":1}
,{"id":926,"pid":77,"name":"盖州市","level":4,"area_code":"210881000000","town_code":"","country_id":1}
,{"id":927,"pid":77,"name":"大石桥市","level":4,"area_code":"210882000000","town_code":"","country_id":1}
,{"id":928,"pid":78,"name":"市辖区","level":4,"area_code":"210901000000","town_code":"","country_id":1}
,{"id":929,"pid":78,"name":"海州区","level":4,"area_code":"210902000000","town_code":"","country_id":1}
,{"id":930,"pid":78,"name":"新邱区","level":4,"area_code":"210903000000","town_code":"","country_id":1}
,{"id":931,"pid":78,"name":"太平区","level":4,"area_code":"210904000000","town_code":"","country_id":1}
,{"id":932,"pid":78,"name":"清河门区","level":4,"area_code":"210905000000","town_code":"","country_id":1}
,{"id":933,"pid":78,"name":"细河区","level":4,"area_code":"210911000000","town_code":"","country_id":1}
,{"id":934,"pid":78,"name":"阜新蒙古族自治县","level":4,"area_code":"210921000000","town_code":"","country_id":1}
,{"id":935,"pid":78,"name":"彰武县","level":4,"area_code":"210922000000","town_code":"","country_id":1}
,{"id":936,"pid":79,"name":"市辖区","level":4,"area_code":"211001000000","town_code":"","country_id":1}
,{"id":937,"pid":79,"name":"白塔区","level":4,"area_code":"211002000000","town_code":"","country_id":1}
,{"id":938,"pid":79,"name":"文圣区","level":4,"area_code":"211003000000","town_code":"","country_id":1}
,{"id":939,"pid":79,"name":"宏伟区","level":4,"area_code":"211004000000","town_code":"","country_id":1}
,{"id":940,"pid":79,"name":"弓长岭区","level":4,"area_code":"211005000000","town_code":"","country_id":1}
,{"id":941,"pid":79,"name":"太子河区","level":4,"area_code":"211011000000","town_code":"","country_id":1}
,{"id":942,"pid":79,"name":"辽阳县","level":4,"area_code":"211021000000","town_code":"","country_id":1}
,{"id":943,"pid":79,"name":"灯塔市","level":4,"area_code":"211081000000","town_code":"","country_id":1}
,{"id":944,"pid":80,"name":"市辖区","level":4,"area_code":"211101000000","town_code":"","country_id":1}
,{"id":945,"pid":80,"name":"双台子区","level":4,"area_code":"211102000000","town_code":"","country_id":1}
,{"id":946,"pid":80,"name":"兴隆台区","level":4,"area_code":"211103000000","town_code":"","country_id":1}
,{"id":947,"pid":80,"name":"大洼区","level":4,"area_code":"211104000000","town_code":"","country_id":1}
,{"id":948,"pid":80,"name":"盘山县","level":4,"area_code":"211122000000","town_code":"","country_id":1}
,{"id":949,"pid":81,"name":"市辖区","level":4,"area_code":"211201000000","town_code":"","country_id":1}
,{"id":950,"pid":81,"name":"银州区","level":4,"area_code":"211202000000","town_code":"","country_id":1}
,{"id":951,"pid":81,"name":"清河区","level":4,"area_code":"211204000000","town_code":"","country_id":1}
,{"id":952,"pid":81,"name":"铁岭县","level":4,"area_code":"211221000000","town_code":"","country_id":1}
,{"id":953,"pid":81,"name":"西丰县","level":4,"area_code":"211223000000","town_code":"","country_id":1}
,{"id":954,"pid":81,"name":"昌图县","level":4,"area_code":"211224000000","town_code":"","country_id":1}
,{"id":955,"pid":81,"name":"调兵山市","level":4,"area_code":"211281000000","town_code":"","country_id":1}
,{"id":956,"pid":81,"name":"开原市","level":4,"area_code":"211282000000","town_code":"","country_id":1}
,{"id":957,"pid":82,"name":"市辖区","level":4,"area_code":"211301000000","town_code":"","country_id":1}
,{"id":958,"pid":82,"name":"双塔区","level":4,"area_code":"211302000000","town_code":"","country_id":1}
,{"id":959,"pid":82,"name":"龙城区","level":4,"area_code":"211303000000","town_code":"","country_id":1}
,{"id":960,"pid":82,"name":"朝阳县","level":4,"area_code":"211321000000","town_code":"","country_id":1}
,{"id":961,"pid":82,"name":"建平县","level":4,"area_code":"211322000000","town_code":"","country_id":1}
,{"id":962,"pid":82,"name":"喀喇沁左翼蒙古族自治县","level":4,"area_code":"211324000000","town_code":"","country_id":1}
,{"id":963,"pid":82,"name":"北票市","level":4,"area_code":"211381000000","town_code":"","country_id":1}
,{"id":964,"pid":82,"name":"凌源市","level":4,"area_code":"211382000000","town_code":"","country_id":1}
,{"id":965,"pid":83,"name":"市辖区","level":4,"area_code":"211401000000","town_code":"","country_id":1}
,{"id":966,"pid":83,"name":"连山区","level":4,"area_code":"211402000000","town_code":"","country_id":1}
,{"id":967,"pid":83,"name":"龙港区","level":4,"area_code":"211403000000","town_code":"","country_id":1}
,{"id":968,"pid":83,"name":"南票区","level":4,"area_code":"211404000000","town_code":"","country_id":1}
,{"id":969,"pid":83,"name":"绥中县","level":4,"area_code":"211421000000","town_code":"","country_id":1}
,{"id":970,"pid":83,"name":"建昌县","level":4,"area_code":"211422000000","town_code":"","country_id":1}
,{"id":971,"pid":83,"name":"兴城市","level":4,"area_code":"211481000000","town_code":"","country_id":1}
,{"id":972,"pid":84,"name":"市辖区","level":4,"area_code":"220101000000","town_code":"","country_id":1}
,{"id":973,"pid":84,"name":"南关区","level":4,"area_code":"220102000000","town_code":"","country_id":1}
,{"id":974,"pid":84,"name":"宽城区","level":4,"area_code":"220103000000","town_code":"","country_id":1}
,{"id":975,"pid":84,"name":"朝阳区","level":4,"area_code":"220104000000","town_code":"","country_id":1}
,{"id":976,"pid":84,"name":"二道区","level":4,"area_code":"220105000000","town_code":"","country_id":1}
,{"id":977,"pid":84,"name":"绿园区","level":4,"area_code":"220106000000","town_code":"","country_id":1}
,{"id":978,"pid":84,"name":"双阳区","level":4,"area_code":"220112000000","town_code":"","country_id":1}
,{"id":979,"pid":84,"name":"九台区","level":4,"area_code":"220113000000","town_code":"","country_id":1}
,{"id":980,"pid":84,"name":"农安县","level":4,"area_code":"220122000000","town_code":"","country_id":1}
,{"id":981,"pid":84,"name":"长春经济技术开发区","level":4,"area_code":"220171000000","town_code":"","country_id":1}
,{"id":982,"pid":84,"name":"长春净月高新技术产业开发区","level":4,"area_code":"220172000000","town_code":"","country_id":1}
,{"id":983,"pid":84,"name":"长春高新技术产业开发区","level":4,"area_code":"220173000000","town_code":"","country_id":1}
,{"id":984,"pid":84,"name":"长春汽车经济技术开发区","level":4,"area_code":"220174000000","town_code":"","country_id":1}
,{"id":985,"pid":84,"name":"榆树市","level":4,"area_code":"220182000000","town_code":"","country_id":1}
,{"id":986,"pid":84,"name":"德惠市","level":4,"area_code":"220183000000","town_code":"","country_id":1}
,{"id":987,"pid":84,"name":"公主岭市","level":4,"area_code":"220184000000","town_code":"","country_id":1}
,{"id":988,"pid":85,"name":"市辖区","level":4,"area_code":"220201000000","town_code":"","country_id":1}
,{"id":989,"pid":85,"name":"昌邑区","level":4,"area_code":"220202000000","town_code":"","country_id":1}
,{"id":990,"pid":85,"name":"龙潭区","level":4,"area_code":"220203000000","town_code":"","country_id":1}
,{"id":991,"pid":85,"name":"船营区","level":4,"area_code":"220204000000","town_code":"","country_id":1}
,{"id":992,"pid":85,"name":"丰满区","level":4,"area_code":"220211000000","town_code":"","country_id":1}
,{"id":993,"pid":85,"name":"永吉县","level":4,"area_code":"220221000000","town_code":"","country_id":1}
,{"id":994,"pid":85,"name":"吉林经济开发区","level":4,"area_code":"220271000000","town_code":"","country_id":1}
,{"id":995,"pid":85,"name":"吉林高新技术产业开发区","level":4,"area_code":"220272000000","town_code":"","country_id":1}
,{"id":996,"pid":85,"name":"吉林中国新加坡食品区","level":4,"area_code":"220273000000","town_code":"","country_id":1}
,{"id":997,"pid":85,"name":"蛟河市","level":4,"area_code":"220281000000","town_code":"","country_id":1}
,{"id":998,"pid":85,"name":"桦甸市","level":4,"area_code":"220282000000","town_code":"","country_id":1}
,{"id":999,"pid":85,"name":"舒兰市","level":4,"area_code":"220283000000","town_code":"","country_id":1}
,{"id":1000,"pid":85,"name":"磐石市","level":4,"area_code":"220284000000","town_code":"","country_id":1}
,{"id":1001,"pid":86,"name":"市辖区","level":4,"area_code":"220301000000","town_code":"","country_id":1}
,{"id":1002,"pid":86,"name":"铁西区","level":4,"area_code":"220302000000","town_code":"","country_id":1}
,{"id":1003,"pid":86,"name":"铁东区","level":4,"area_code":"220303000000","town_code":"","country_id":1}
,{"id":1004,"pid":86,"name":"梨树县","level":4,"area_code":"220322000000","town_code":"","country_id":1}
,{"id":1005,"pid":86,"name":"伊通满族自治县","level":4,"area_code":"220323000000","town_code":"","country_id":1}
,{"id":1006,"pid":86,"name":"双辽市","level":4,"area_code":"220382000000","town_code":"","country_id":1}
,{"id":1007,"pid":87,"name":"市辖区","level":4,"area_code":"220401000000","town_code":"","country_id":1}
,{"id":1008,"pid":87,"name":"龙山区","level":4,"area_code":"220402000000","town_code":"","country_id":1}
,{"id":1009,"pid":87,"name":"西安区","level":4,"area_code":"220403000000","town_code":"","country_id":1}
,{"id":1010,"pid":87,"name":"东丰县","level":4,"area_code":"220421000000","town_code":"","country_id":1}
,{"id":1011,"pid":87,"name":"东辽县","level":4,"area_code":"220422000000","town_code":"","country_id":1}
,{"id":1012,"pid":88,"name":"市辖区","level":4,"area_code":"220501000000","town_code":"","country_id":1}
,{"id":1013,"pid":88,"name":"东昌区","level":4,"area_code":"220502000000","town_code":"","country_id":1}
,{"id":1014,"pid":88,"name":"二道江区","level":4,"area_code":"220503000000","town_code":"","country_id":1}
,{"id":1015,"pid":88,"name":"通化县","level":4,"area_code":"220521000000","town_code":"","country_id":1}
,{"id":1016,"pid":88,"name":"辉南县","level":4,"area_code":"220523000000","town_code":"","country_id":1}
,{"id":1017,"pid":88,"name":"柳河县","level":4,"area_code":"220524000000","town_code":"","country_id":1}
,{"id":1018,"pid":88,"name":"梅河口市","level":4,"area_code":"220581000000","town_code":"","country_id":1}
,{"id":1019,"pid":88,"name":"集安市","level":4,"area_code":"220582000000","town_code":"","country_id":1}
,{"id":1020,"pid":89,"name":"市辖区","level":4,"area_code":"220601000000","town_code":"","country_id":1}
,{"id":1021,"pid":89,"name":"浑江区","level":4,"area_code":"220602000000","town_code":"","country_id":1}
,{"id":1022,"pid":89,"name":"江源区","level":4,"area_code":"220605000000","town_code":"","country_id":1}
,{"id":1023,"pid":89,"name":"抚松县","level":4,"area_code":"220621000000","town_code":"","country_id":1}
,{"id":1024,"pid":89,"name":"靖宇县","level":4,"area_code":"220622000000","town_code":"","country_id":1}
,{"id":1025,"pid":89,"name":"长白朝鲜族自治县","level":4,"area_code":"220623000000","town_code":"","country_id":1}
,{"id":1026,"pid":89,"name":"临江市","level":4,"area_code":"220681000000","town_code":"","country_id":1}
,{"id":1027,"pid":90,"name":"市辖区","level":4,"area_code":"220701000000","town_code":"","country_id":1}
,{"id":1028,"pid":90,"name":"宁江区","level":4,"area_code":"220702000000","town_code":"","country_id":1}
,{"id":1029,"pid":90,"name":"前郭尔罗斯蒙古族自治县","level":4,"area_code":"220721000000","town_code":"","country_id":1}
,{"id":1030,"pid":90,"name":"长岭县","level":4,"area_code":"220722000000","town_code":"","country_id":1}
,{"id":1031,"pid":90,"name":"乾安县","level":4,"area_code":"220723000000","town_code":"","country_id":1}
,{"id":1032,"pid":90,"name":"吉林松原经济开发区","level":4,"area_code":"220771000000","town_code":"","country_id":1}
,{"id":1033,"pid":90,"name":"扶余市","level":4,"area_code":"220781000000","town_code":"","country_id":1}
,{"id":1034,"pid":91,"name":"市辖区","level":4,"area_code":"220801000000","town_code":"","country_id":1}
,{"id":1035,"pid":91,"name":"洮北区","level":4,"area_code":"220802000000","town_code":"","country_id":1}
,{"id":1036,"pid":91,"name":"镇赉县","level":4,"area_code":"220821000000","town_code":"","country_id":1}
,{"id":1037,"pid":91,"name":"通榆县","level":4,"area_code":"220822000000","town_code":"","country_id":1}
,{"id":1038,"pid":91,"name":"吉林白城经济开发区","level":4,"area_code":"220871000000","town_code":"","country_id":1}
,{"id":1039,"pid":91,"name":"洮南市","level":4,"area_code":"220881000000","town_code":"","country_id":1}
,{"id":1040,"pid":91,"name":"大安市","level":4,"area_code":"220882000000","town_code":"","country_id":1}
,{"id":1041,"pid":92,"name":"延吉市","level":4,"area_code":"222401000000","town_code":"","country_id":1}
,{"id":1042,"pid":92,"name":"图们市","level":4,"area_code":"222402000000","town_code":"","country_id":1}
,{"id":1043,"pid":92,"name":"敦化市","level":4,"area_code":"222403000000","town_code":"","country_id":1}
,{"id":1044,"pid":92,"name":"珲春市","level":4,"area_code":"222404000000","town_code":"","country_id":1}
,{"id":1045,"pid":92,"name":"龙井市","level":4,"area_code":"222405000000","town_code":"","country_id":1}
,{"id":1046,"pid":92,"name":"和龙市","level":4,"area_code":"222406000000","town_code":"","country_id":1}
,{"id":1047,"pid":92,"name":"汪清县","level":4,"area_code":"222424000000","town_code":"","country_id":1}
,{"id":1048,"pid":92,"name":"安图县","level":4,"area_code":"222426000000","town_code":"","country_id":1}
,{"id":1049,"pid":93,"name":"市辖区","level":4,"area_code":"230101000000","town_code":"","country_id":1}
,{"id":1050,"pid":93,"name":"道里区","level":4,"area_code":"230102000000","town_code":"","country_id":1}
,{"id":1051,"pid":93,"name":"南岗区","level":4,"area_code":"230103000000","town_code":"","country_id":1}
,{"id":1052,"pid":93,"name":"道外区","level":4,"area_code":"230104000000","town_code":"","country_id":1}
,{"id":1053,"pid":93,"name":"平房区","level":4,"area_code":"230108000000","town_code":"","country_id":1}
,{"id":1054,"pid":93,"name":"松北区","level":4,"area_code":"230109000000","town_code":"","country_id":1}
,{"id":1055,"pid":93,"name":"香坊区","level":4,"area_code":"230110000000","town_code":"","country_id":1}
,{"id":1056,"pid":93,"name":"呼兰区","level":4,"area_code":"230111000000","town_code":"","country_id":1}
,{"id":1057,"pid":93,"name":"阿城区","level":4,"area_code":"230112000000","town_code":"","country_id":1}
,{"id":1058,"pid":93,"name":"双城区","level":4,"area_code":"230113000000","town_code":"","country_id":1}
,{"id":1059,"pid":93,"name":"依兰县","level":4,"area_code":"230123000000","town_code":"","country_id":1}
,{"id":1060,"pid":93,"name":"方正县","level":4,"area_code":"230124000000","town_code":"","country_id":1}
,{"id":1061,"pid":93,"name":"宾县","level":4,"area_code":"230125000000","town_code":"","country_id":1}
,{"id":1062,"pid":93,"name":"巴彦县","level":4,"area_code":"230126000000","town_code":"","country_id":1}
,{"id":1063,"pid":93,"name":"木兰县","level":4,"area_code":"230127000000","town_code":"","country_id":1}
,{"id":1064,"pid":93,"name":"通河县","level":4,"area_code":"230128000000","town_code":"","country_id":1}
,{"id":1065,"pid":93,"name":"延寿县","level":4,"area_code":"230129000000","town_code":"","country_id":1}
,{"id":1066,"pid":93,"name":"尚志市","level":4,"area_code":"230183000000","town_code":"","country_id":1}
,{"id":1067,"pid":93,"name":"五常市","level":4,"area_code":"230184000000","town_code":"","country_id":1}
,{"id":1068,"pid":94,"name":"市辖区","level":4,"area_code":"230201000000","town_code":"","country_id":1}
,{"id":1069,"pid":94,"name":"龙沙区","level":4,"area_code":"230202000000","town_code":"","country_id":1}
,{"id":1070,"pid":94,"name":"建华区","level":4,"area_code":"230203000000","town_code":"","country_id":1}
,{"id":1071,"pid":94,"name":"铁锋区","level":4,"area_code":"230204000000","town_code":"","country_id":1}
,{"id":1072,"pid":94,"name":"昂昂溪区","level":4,"area_code":"230205000000","town_code":"","country_id":1}
,{"id":1073,"pid":94,"name":"富拉尔基区","level":4,"area_code":"230206000000","town_code":"","country_id":1}
,{"id":1074,"pid":94,"name":"碾子山区","level":4,"area_code":"230207000000","town_code":"","country_id":1}
,{"id":1075,"pid":94,"name":"梅里斯达斡尔族区","level":4,"area_code":"230208000000","town_code":"","country_id":1}
,{"id":1076,"pid":94,"name":"龙江县","level":4,"area_code":"230221000000","town_code":"","country_id":1}
,{"id":1077,"pid":94,"name":"依安县","level":4,"area_code":"230223000000","town_code":"","country_id":1}
,{"id":1078,"pid":94,"name":"泰来县","level":4,"area_code":"230224000000","town_code":"","country_id":1}
,{"id":1079,"pid":94,"name":"甘南县","level":4,"area_code":"230225000000","town_code":"","country_id":1}
,{"id":1080,"pid":94,"name":"富裕县","level":4,"area_code":"230227000000","town_code":"","country_id":1}
,{"id":1081,"pid":94,"name":"克山县","level":4,"area_code":"230229000000","town_code":"","country_id":1}
,{"id":1082,"pid":94,"name":"克东县","level":4,"area_code":"230230000000","town_code":"","country_id":1}
,{"id":1083,"pid":94,"name":"拜泉县","level":4,"area_code":"230231000000","town_code":"","country_id":1}
,{"id":1084,"pid":94,"name":"讷河市","level":4,"area_code":"230281000000","town_code":"","country_id":1}
,{"id":1085,"pid":95,"name":"市辖区","level":4,"area_code":"230301000000","town_code":"","country_id":1}
,{"id":1086,"pid":95,"name":"鸡冠区","level":4,"area_code":"230302000000","town_code":"","country_id":1}
,{"id":1087,"pid":95,"name":"恒山区","level":4,"area_code":"230303000000","town_code":"","country_id":1}
,{"id":1088,"pid":95,"name":"滴道区","level":4,"area_code":"230304000000","town_code":"","country_id":1}
,{"id":1089,"pid":95,"name":"梨树区","level":4,"area_code":"230305000000","town_code":"","country_id":1}
,{"id":1090,"pid":95,"name":"城子河区","level":4,"area_code":"230306000000","town_code":"","country_id":1}
,{"id":1091,"pid":95,"name":"麻山区","level":4,"area_code":"230307000000","town_code":"","country_id":1}
,{"id":1092,"pid":95,"name":"鸡东县","level":4,"area_code":"230321000000","town_code":"","country_id":1}
,{"id":1093,"pid":95,"name":"虎林市","level":4,"area_code":"230381000000","town_code":"","country_id":1}
,{"id":1094,"pid":95,"name":"密山市","level":4,"area_code":"230382000000","town_code":"","country_id":1}
,{"id":1095,"pid":96,"name":"市辖区","level":4,"area_code":"230401000000","town_code":"","country_id":1}
,{"id":1096,"pid":96,"name":"向阳区","level":4,"area_code":"230402000000","town_code":"","country_id":1}
,{"id":1097,"pid":96,"name":"工农区","level":4,"area_code":"230403000000","town_code":"","country_id":1}
,{"id":1098,"pid":96,"name":"南山区","level":4,"area_code":"230404000000","town_code":"","country_id":1}
,{"id":1099,"pid":96,"name":"兴安区","level":4,"area_code":"230405000000","town_code":"","country_id":1}
,{"id":1100,"pid":96,"name":"东山区","level":4,"area_code":"230406000000","town_code":"","country_id":1}
,{"id":1101,"pid":96,"name":"兴山区","level":4,"area_code":"230407000000","town_code":"","country_id":1}
,{"id":1102,"pid":96,"name":"萝北县","level":4,"area_code":"230421000000","town_code":"","country_id":1}
,{"id":1103,"pid":96,"name":"绥滨县","level":4,"area_code":"230422000000","town_code":"","country_id":1}
,{"id":1104,"pid":97,"name":"市辖区","level":4,"area_code":"230501000000","town_code":"","country_id":1}
,{"id":1105,"pid":97,"name":"尖山区","level":4,"area_code":"230502000000","town_code":"","country_id":1}
,{"id":1106,"pid":97,"name":"岭东区","level":4,"area_code":"230503000000","town_code":"","country_id":1}
,{"id":1107,"pid":97,"name":"四方台区","level":4,"area_code":"230505000000","town_code":"","country_id":1}
,{"id":1108,"pid":97,"name":"宝山区","level":4,"area_code":"230506000000","town_code":"","country_id":1}
,{"id":1109,"pid":97,"name":"集贤县","level":4,"area_code":"230521000000","town_code":"","country_id":1}
,{"id":1110,"pid":97,"name":"友谊县","level":4,"area_code":"230522000000","town_code":"","country_id":1}
,{"id":1111,"pid":97,"name":"宝清县","level":4,"area_code":"230523000000","town_code":"","country_id":1}
,{"id":1112,"pid":97,"name":"饶河县","level":4,"area_code":"230524000000","town_code":"","country_id":1}
,{"id":1113,"pid":98,"name":"市辖区","level":4,"area_code":"230601000000","town_code":"","country_id":1}
,{"id":1114,"pid":98,"name":"萨尔图区","level":4,"area_code":"230602000000","town_code":"","country_id":1}
,{"id":1115,"pid":98,"name":"龙凤区","level":4,"area_code":"230603000000","town_code":"","country_id":1}
,{"id":1116,"pid":98,"name":"让胡路区","level":4,"area_code":"230604000000","town_code":"","country_id":1}
,{"id":1117,"pid":98,"name":"红岗区","level":4,"area_code":"230605000000","town_code":"","country_id":1}
,{"id":1118,"pid":98,"name":"大同区","level":4,"area_code":"230606000000","town_code":"","country_id":1}
,{"id":1119,"pid":98,"name":"肇州县","level":4,"area_code":"230621000000","town_code":"","country_id":1}
,{"id":1120,"pid":98,"name":"肇源县","level":4,"area_code":"230622000000","town_code":"","country_id":1}
,{"id":1121,"pid":98,"name":"林甸县","level":4,"area_code":"230623000000","town_code":"","country_id":1}
,{"id":1122,"pid":98,"name":"杜尔伯特蒙古族自治县","level":4,"area_code":"230624000000","town_code":"","country_id":1}
,{"id":1123,"pid":98,"name":"大庆高新技术产业开发区","level":4,"area_code":"230671000000","town_code":"","country_id":1}
,{"id":1124,"pid":99,"name":"市辖区","level":4,"area_code":"230701000000","town_code":"","country_id":1}
,{"id":1125,"pid":99,"name":"伊美区","level":4,"area_code":"230717000000","town_code":"","country_id":1}
,{"id":1126,"pid":99,"name":"乌翠区","level":4,"area_code":"230718000000","town_code":"","country_id":1}
,{"id":1127,"pid":99,"name":"友好区","level":4,"area_code":"230719000000","town_code":"","country_id":1}
,{"id":1128,"pid":99,"name":"嘉荫县","level":4,"area_code":"230722000000","town_code":"","country_id":1}
,{"id":1129,"pid":99,"name":"汤旺县","level":4,"area_code":"230723000000","town_code":"","country_id":1}
,{"id":1130,"pid":99,"name":"丰林县","level":4,"area_code":"230724000000","town_code":"","country_id":1}
,{"id":1131,"pid":99,"name":"大箐山县","level":4,"area_code":"230725000000","town_code":"","country_id":1}
,{"id":1132,"pid":99,"name":"南岔县","level":4,"area_code":"230726000000","town_code":"","country_id":1}
,{"id":1133,"pid":99,"name":"金林区","level":4,"area_code":"230751000000","town_code":"","country_id":1}
,{"id":1134,"pid":99,"name":"铁力市","level":4,"area_code":"230781000000","town_code":"","country_id":1}
,{"id":1135,"pid":100,"name":"市辖区","level":4,"area_code":"230801000000","town_code":"","country_id":1}
,{"id":1136,"pid":100,"name":"向阳区","level":4,"area_code":"230803000000","town_code":"","country_id":1}
,{"id":1137,"pid":100,"name":"前进区","level":4,"area_code":"230804000000","town_code":"","country_id":1}
,{"id":1138,"pid":100,"name":"东风区","level":4,"area_code":"230805000000","town_code":"","country_id":1}
,{"id":1139,"pid":100,"name":"郊区","level":4,"area_code":"230811000000","town_code":"","country_id":1}
,{"id":1140,"pid":100,"name":"桦南县","level":4,"area_code":"230822000000","town_code":"","country_id":1}
,{"id":1141,"pid":100,"name":"桦川县","level":4,"area_code":"230826000000","town_code":"","country_id":1}
,{"id":1142,"pid":100,"name":"汤原县","level":4,"area_code":"230828000000","town_code":"","country_id":1}
,{"id":1143,"pid":100,"name":"同江市","level":4,"area_code":"230881000000","town_code":"","country_id":1}
,{"id":1144,"pid":100,"name":"富锦市","level":4,"area_code":"230882000000","town_code":"","country_id":1}
,{"id":1145,"pid":100,"name":"抚远市","level":4,"area_code":"230883000000","town_code":"","country_id":1}
,{"id":1146,"pid":101,"name":"市辖区","level":4,"area_code":"230901000000","town_code":"","country_id":1}
,{"id":1147,"pid":101,"name":"新兴区","level":4,"area_code":"230902000000","town_code":"","country_id":1}
,{"id":1148,"pid":101,"name":"桃山区","level":4,"area_code":"230903000000","town_code":"","country_id":1}
,{"id":1149,"pid":101,"name":"茄子河区","level":4,"area_code":"230904000000","town_code":"","country_id":1}
,{"id":1150,"pid":101,"name":"勃利县","level":4,"area_code":"230921000000","town_code":"","country_id":1}
,{"id":1151,"pid":102,"name":"市辖区","level":4,"area_code":"231001000000","town_code":"","country_id":1}
,{"id":1152,"pid":102,"name":"东安区","level":4,"area_code":"231002000000","town_code":"","country_id":1}
,{"id":1153,"pid":102,"name":"阳明区","level":4,"area_code":"231003000000","town_code":"","country_id":1}
,{"id":1154,"pid":102,"name":"爱民区","level":4,"area_code":"231004000000","town_code":"","country_id":1}
,{"id":1155,"pid":102,"name":"西安区","level":4,"area_code":"231005000000","town_code":"","country_id":1}
,{"id":1156,"pid":102,"name":"林口县","level":4,"area_code":"231025000000","town_code":"","country_id":1}
,{"id":1157,"pid":102,"name":"绥芬河市","level":4,"area_code":"231081000000","town_code":"","country_id":1}
,{"id":1158,"pid":102,"name":"海林市","level":4,"area_code":"231083000000","town_code":"","country_id":1}
,{"id":1159,"pid":102,"name":"宁安市","level":4,"area_code":"231084000000","town_code":"","country_id":1}
,{"id":1160,"pid":102,"name":"穆棱市","level":4,"area_code":"231085000000","town_code":"","country_id":1}
,{"id":1161,"pid":102,"name":"东宁市","level":4,"area_code":"231086000000","town_code":"","country_id":1}
,{"id":1162,"pid":103,"name":"市辖区","level":4,"area_code":"231101000000","town_code":"","country_id":1}
,{"id":1163,"pid":103,"name":"爱辉区","level":4,"area_code":"231102000000","town_code":"","country_id":1}
,{"id":1164,"pid":103,"name":"逊克县","level":4,"area_code":"231123000000","town_code":"","country_id":1}
,{"id":1165,"pid":103,"name":"孙吴县","level":4,"area_code":"231124000000","town_code":"","country_id":1}
,{"id":1166,"pid":103,"name":"北安市","level":4,"area_code":"231181000000","town_code":"","country_id":1}
,{"id":1167,"pid":103,"name":"五大连池市","level":4,"area_code":"231182000000","town_code":"","country_id":1}
,{"id":1168,"pid":103,"name":"嫩江市","level":4,"area_code":"231183000000","town_code":"","country_id":1}
,{"id":1169,"pid":104,"name":"市辖区","level":4,"area_code":"231201000000","town_code":"","country_id":1}
,{"id":1170,"pid":104,"name":"北林区","level":4,"area_code":"231202000000","town_code":"","country_id":1}
,{"id":1171,"pid":104,"name":"望奎县","level":4,"area_code":"231221000000","town_code":"","country_id":1}
,{"id":1172,"pid":104,"name":"兰西县","level":4,"area_code":"231222000000","town_code":"","country_id":1}
,{"id":1173,"pid":104,"name":"青冈县","level":4,"area_code":"231223000000","town_code":"","country_id":1}
,{"id":1174,"pid":104,"name":"庆安县","level":4,"area_code":"231224000000","town_code":"","country_id":1}
,{"id":1175,"pid":104,"name":"明水县","level":4,"area_code":"231225000000","town_code":"","country_id":1}
,{"id":1176,"pid":104,"name":"绥棱县","level":4,"area_code":"231226000000","town_code":"","country_id":1}
,{"id":1177,"pid":104,"name":"安达市","level":4,"area_code":"231281000000","town_code":"","country_id":1}
,{"id":1178,"pid":104,"name":"肇东市","level":4,"area_code":"231282000000","town_code":"","country_id":1}
,{"id":1179,"pid":104,"name":"海伦市","level":4,"area_code":"231283000000","town_code":"","country_id":1}
,{"id":1180,"pid":105,"name":"漠河市","level":4,"area_code":"232701000000","town_code":"","country_id":1}
,{"id":1181,"pid":105,"name":"呼玛县","level":4,"area_code":"232721000000","town_code":"","country_id":1}
,{"id":1182,"pid":105,"name":"塔河县","level":4,"area_code":"232722000000","town_code":"","country_id":1}
,{"id":1183,"pid":105,"name":"加格达奇区","level":4,"area_code":"232761000000","town_code":"","country_id":1}
,{"id":1184,"pid":105,"name":"松岭区","level":4,"area_code":"232762000000","town_code":"","country_id":1}
,{"id":1185,"pid":105,"name":"新林区","level":4,"area_code":"232763000000","town_code":"","country_id":1}
,{"id":1186,"pid":105,"name":"呼中区","level":4,"area_code":"232764000000","town_code":"","country_id":1}
,{"id":1187,"pid":106,"name":"黄浦区","level":4,"area_code":"310101000000","town_code":"","country_id":1}
,{"id":1188,"pid":106,"name":"徐汇区","level":4,"area_code":"310104000000","town_code":"","country_id":1}
,{"id":1189,"pid":106,"name":"长宁区","level":4,"area_code":"310105000000","town_code":"","country_id":1}
,{"id":1190,"pid":106,"name":"静安区","level":4,"area_code":"310106000000","town_code":"","country_id":1}
,{"id":1191,"pid":106,"name":"普陀区","level":4,"area_code":"310107000000","town_code":"","country_id":1}
,{"id":1192,"pid":106,"name":"虹口区","level":4,"area_code":"310109000000","town_code":"","country_id":1}
,{"id":1193,"pid":106,"name":"杨浦区","level":4,"area_code":"310110000000","town_code":"","country_id":1}
,{"id":1194,"pid":106,"name":"闵行区","level":4,"area_code":"310112000000","town_code":"","country_id":1}
,{"id":1195,"pid":106,"name":"宝山区","level":4,"area_code":"310113000000","town_code":"","country_id":1}
,{"id":1196,"pid":106,"name":"嘉定区","level":4,"area_code":"310114000000","town_code":"","country_id":1}
,{"id":1197,"pid":106,"name":"浦东新区","level":4,"area_code":"310115000000","town_code":"","country_id":1}
,{"id":1198,"pid":106,"name":"金山区","level":4,"area_code":"310116000000","town_code":"","country_id":1}
,{"id":1199,"pid":106,"name":"松江区","level":4,"area_code":"310117000000","town_code":"","country_id":1}
,{"id":1200,"pid":106,"name":"青浦区","level":4,"area_code":"310118000000","town_code":"","country_id":1}
,{"id":1201,"pid":106,"name":"奉贤区","level":4,"area_code":"310120000000","town_code":"","country_id":1}
,{"id":1202,"pid":106,"name":"崇明区","level":4,"area_code":"310151000000","town_code":"","country_id":1}
,{"id":1203,"pid":107,"name":"市辖区","level":4,"area_code":"320101000000","town_code":"","country_id":1}
,{"id":1204,"pid":107,"name":"玄武区","level":4,"area_code":"320102000000","town_code":"","country_id":1}
,{"id":1205,"pid":107,"name":"秦淮区","level":4,"area_code":"320104000000","town_code":"","country_id":1}
,{"id":1206,"pid":107,"name":"建邺区","level":4,"area_code":"320105000000","town_code":"","country_id":1}
,{"id":1207,"pid":107,"name":"鼓楼区","level":4,"area_code":"320106000000","town_code":"","country_id":1}
,{"id":1208,"pid":107,"name":"浦口区","level":4,"area_code":"320111000000","town_code":"","country_id":1}
,{"id":1209,"pid":107,"name":"栖霞区","level":4,"area_code":"320113000000","town_code":"","country_id":1}
,{"id":1210,"pid":107,"name":"雨花台区","level":4,"area_code":"320114000000","town_code":"","country_id":1}
,{"id":1211,"pid":107,"name":"江宁区","level":4,"area_code":"320115000000","town_code":"","country_id":1}
,{"id":1212,"pid":107,"name":"六合区","level":4,"area_code":"320116000000","town_code":"","country_id":1}
,{"id":1213,"pid":107,"name":"溧水区","level":4,"area_code":"320117000000","town_code":"","country_id":1}
,{"id":1214,"pid":107,"name":"高淳区","level":4,"area_code":"320118000000","town_code":"","country_id":1}
,{"id":1215,"pid":108,"name":"市辖区","level":4,"area_code":"320201000000","town_code":"","country_id":1}
,{"id":1216,"pid":108,"name":"锡山区","level":4,"area_code":"320205000000","town_code":"","country_id":1}
,{"id":1217,"pid":108,"name":"惠山区","level":4,"area_code":"320206000000","town_code":"","country_id":1}
,{"id":1218,"pid":108,"name":"滨湖区","level":4,"area_code":"320211000000","town_code":"","country_id":1}
,{"id":1219,"pid":108,"name":"梁溪区","level":4,"area_code":"320213000000","town_code":"","country_id":1}
,{"id":1220,"pid":108,"name":"新吴区","level":4,"area_code":"320214000000","town_code":"","country_id":1}
,{"id":1221,"pid":108,"name":"江阴市","level":4,"area_code":"320281000000","town_code":"","country_id":1}
,{"id":1222,"pid":108,"name":"宜兴市","level":4,"area_code":"320282000000","town_code":"","country_id":1}
,{"id":1223,"pid":109,"name":"市辖区","level":4,"area_code":"320301000000","town_code":"","country_id":1}
,{"id":1224,"pid":109,"name":"鼓楼区","level":4,"area_code":"320302000000","town_code":"","country_id":1}
,{"id":1225,"pid":109,"name":"云龙区","level":4,"area_code":"320303000000","town_code":"","country_id":1}
,{"id":1226,"pid":109,"name":"贾汪区","level":4,"area_code":"320305000000","town_code":"","country_id":1}
,{"id":1227,"pid":109,"name":"泉山区","level":4,"area_code":"320311000000","town_code":"","country_id":1}
,{"id":1228,"pid":109,"name":"铜山区","level":4,"area_code":"320312000000","town_code":"","country_id":1}
,{"id":1229,"pid":109,"name":"丰县","level":4,"area_code":"320321000000","town_code":"","country_id":1}
,{"id":1230,"pid":109,"name":"沛县","level":4,"area_code":"320322000000","town_code":"","country_id":1}
,{"id":1231,"pid":109,"name":"睢宁县","level":4,"area_code":"320324000000","town_code":"","country_id":1}
,{"id":1232,"pid":109,"name":"徐州经济技术开发区","level":4,"area_code":"320371000000","town_code":"","country_id":1}
,{"id":1233,"pid":109,"name":"新沂市","level":4,"area_code":"320381000000","town_code":"","country_id":1}
,{"id":1234,"pid":109,"name":"邳州市","level":4,"area_code":"320382000000","town_code":"","country_id":1}
,{"id":1235,"pid":110,"name":"市辖区","level":4,"area_code":"320401000000","town_code":"","country_id":1}
,{"id":1236,"pid":110,"name":"天宁区","level":4,"area_code":"320402000000","town_code":"","country_id":1}
,{"id":1237,"pid":110,"name":"钟楼区","level":4,"area_code":"320404000000","town_code":"","country_id":1}
,{"id":1238,"pid":110,"name":"新北区","level":4,"area_code":"320411000000","town_code":"","country_id":1}
,{"id":1239,"pid":110,"name":"武进区","level":4,"area_code":"320412000000","town_code":"","country_id":1}
,{"id":1240,"pid":110,"name":"金坛区","level":4,"area_code":"320413000000","town_code":"","country_id":1}
,{"id":1241,"pid":110,"name":"溧阳市","level":4,"area_code":"320481000000","town_code":"","country_id":1}
,{"id":1242,"pid":111,"name":"市辖区","level":4,"area_code":"320501000000","town_code":"","country_id":1}
,{"id":1243,"pid":111,"name":"虎丘区","level":4,"area_code":"320505000000","town_code":"","country_id":1}
,{"id":1244,"pid":111,"name":"吴中区","level":4,"area_code":"320506000000","town_code":"","country_id":1}
,{"id":1245,"pid":111,"name":"相城区","level":4,"area_code":"320507000000","town_code":"","country_id":1}
,{"id":1246,"pid":111,"name":"姑苏区","level":4,"area_code":"320508000000","town_code":"","country_id":1}
,{"id":1247,"pid":111,"name":"吴江区","level":4,"area_code":"320509000000","town_code":"","country_id":1}
,{"id":1248,"pid":111,"name":"苏州工业园区","level":4,"area_code":"320576000000","town_code":"","country_id":1}
,{"id":1249,"pid":111,"name":"常熟市","level":4,"area_code":"320581000000","town_code":"","country_id":1}
,{"id":1250,"pid":111,"name":"张家港市","level":4,"area_code":"320582000000","town_code":"","country_id":1}
,{"id":1251,"pid":111,"name":"昆山市","level":4,"area_code":"320583000000","town_code":"","country_id":1}
,{"id":1252,"pid":111,"name":"太仓市","level":4,"area_code":"320585000000","town_code":"","country_id":1}
,{"id":1253,"pid":112,"name":"市辖区","level":4,"area_code":"320601000000","town_code":"","country_id":1}
,{"id":1254,"pid":112,"name":"通州区","level":4,"area_code":"320612000000","town_code":"","country_id":1}
,{"id":1255,"pid":112,"name":"崇川区","level":4,"area_code":"320613000000","town_code":"","country_id":1}
,{"id":1256,"pid":112,"name":"海门区","level":4,"area_code":"320614000000","town_code":"","country_id":1}
,{"id":1257,"pid":112,"name":"如东县","level":4,"area_code":"320623000000","town_code":"","country_id":1}
,{"id":1258,"pid":112,"name":"南通经济技术开发区","level":4,"area_code":"320671000000","town_code":"","country_id":1}
,{"id":1259,"pid":112,"name":"启东市","level":4,"area_code":"320681000000","town_code":"","country_id":1}
,{"id":1260,"pid":112,"name":"如皋市","level":4,"area_code":"320682000000","town_code":"","country_id":1}
,{"id":1261,"pid":112,"name":"海安市","level":4,"area_code":"320685000000","town_code":"","country_id":1}
,{"id":1262,"pid":113,"name":"市辖区","level":4,"area_code":"320701000000","town_code":"","country_id":1}
,{"id":1263,"pid":113,"name":"连云区","level":4,"area_code":"320703000000","town_code":"","country_id":1}
,{"id":1264,"pid":113,"name":"海州区","level":4,"area_code":"320706000000","town_code":"","country_id":1}
,{"id":1265,"pid":113,"name":"赣榆区","level":4,"area_code":"320707000000","town_code":"","country_id":1}
,{"id":1266,"pid":113,"name":"东海县","level":4,"area_code":"320722000000","town_code":"","country_id":1}
,{"id":1267,"pid":113,"name":"灌云县","level":4,"area_code":"320723000000","town_code":"","country_id":1}
,{"id":1268,"pid":113,"name":"灌南县","level":4,"area_code":"320724000000","town_code":"","country_id":1}
,{"id":1269,"pid":113,"name":"连云港经济技术开发区","level":4,"area_code":"320771000000","town_code":"","country_id":1}
,{"id":1270,"pid":114,"name":"市辖区","level":4,"area_code":"320801000000","town_code":"","country_id":1}
,{"id":1271,"pid":114,"name":"淮安区","level":4,"area_code":"320803000000","town_code":"","country_id":1}
,{"id":1272,"pid":114,"name":"淮阴区","level":4,"area_code":"320804000000","town_code":"","country_id":1}
,{"id":1273,"pid":114,"name":"清江浦区","level":4,"area_code":"320812000000","town_code":"","country_id":1}
,{"id":1274,"pid":114,"name":"洪泽区","level":4,"area_code":"320813000000","town_code":"","country_id":1}
,{"id":1275,"pid":114,"name":"涟水县","level":4,"area_code":"320826000000","town_code":"","country_id":1}
,{"id":1276,"pid":114,"name":"盱眙县","level":4,"area_code":"320830000000","town_code":"","country_id":1}
,{"id":1277,"pid":114,"name":"金湖县","level":4,"area_code":"320831000000","town_code":"","country_id":1}
,{"id":1278,"pid":114,"name":"淮安经济技术开发区","level":4,"area_code":"320871000000","town_code":"","country_id":1}
,{"id":1279,"pid":115,"name":"市辖区","level":4,"area_code":"320901000000","town_code":"","country_id":1}
,{"id":1280,"pid":115,"name":"亭湖区","level":4,"area_code":"320902000000","town_code":"","country_id":1}
,{"id":1281,"pid":115,"name":"盐都区","level":4,"area_code":"320903000000","town_code":"","country_id":1}
,{"id":1282,"pid":115,"name":"大丰区","level":4,"area_code":"320904000000","town_code":"","country_id":1}
,{"id":1283,"pid":115,"name":"响水县","level":4,"area_code":"320921000000","town_code":"","country_id":1}
,{"id":1284,"pid":115,"name":"滨海县","level":4,"area_code":"320922000000","town_code":"","country_id":1}
,{"id":1285,"pid":115,"name":"阜宁县","level":4,"area_code":"320923000000","town_code":"","country_id":1}
,{"id":1286,"pid":115,"name":"射阳县","level":4,"area_code":"320924000000","town_code":"","country_id":1}
,{"id":1287,"pid":115,"name":"建湖县","level":4,"area_code":"320925000000","town_code":"","country_id":1}
,{"id":1288,"pid":115,"name":"盐城经济技术开发区","level":4,"area_code":"320971000000","town_code":"","country_id":1}
,{"id":1289,"pid":115,"name":"东台市","level":4,"area_code":"320981000000","town_code":"","country_id":1}
,{"id":1290,"pid":116,"name":"市辖区","level":4,"area_code":"321001000000","town_code":"","country_id":1}
,{"id":1291,"pid":116,"name":"广陵区","level":4,"area_code":"321002000000","town_code":"","country_id":1}
,{"id":1292,"pid":116,"name":"邗江区","level":4,"area_code":"321003000000","town_code":"","country_id":1}
,{"id":1293,"pid":116,"name":"江都区","level":4,"area_code":"321012000000","town_code":"","country_id":1}
,{"id":1294,"pid":116,"name":"宝应县","level":4,"area_code":"321023000000","town_code":"","country_id":1}
,{"id":1295,"pid":116,"name":"扬州经济技术开发区","level":4,"area_code":"321071000000","town_code":"","country_id":1}
,{"id":1296,"pid":116,"name":"仪征市","level":4,"area_code":"321081000000","town_code":"","country_id":1}
,{"id":1297,"pid":116,"name":"高邮市","level":4,"area_code":"321084000000","town_code":"","country_id":1}
,{"id":1298,"pid":117,"name":"市辖区","level":4,"area_code":"321101000000","town_code":"","country_id":1}
,{"id":1299,"pid":117,"name":"京口区","level":4,"area_code":"321102000000","town_code":"","country_id":1}
,{"id":1300,"pid":117,"name":"润州区","level":4,"area_code":"321111000000","town_code":"","country_id":1}
,{"id":1301,"pid":117,"name":"丹徒区","level":4,"area_code":"321112000000","town_code":"","country_id":1}
,{"id":1302,"pid":117,"name":"镇江新区","level":4,"area_code":"321171000000","town_code":"","country_id":1}
,{"id":1303,"pid":117,"name":"丹阳市","level":4,"area_code":"321181000000","town_code":"","country_id":1}
,{"id":1304,"pid":117,"name":"扬中市","level":4,"area_code":"321182000000","town_code":"","country_id":1}
,{"id":1305,"pid":117,"name":"句容市","level":4,"area_code":"321183000000","town_code":"","country_id":1}
,{"id":1306,"pid":118,"name":"市辖区","level":4,"area_code":"321201000000","town_code":"","country_id":1}
,{"id":1307,"pid":118,"name":"海陵区","level":4,"area_code":"321202000000","town_code":"","country_id":1}
,{"id":1308,"pid":118,"name":"高港区","level":4,"area_code":"321203000000","town_code":"","country_id":1}
,{"id":1309,"pid":118,"name":"姜堰区","level":4,"area_code":"321204000000","town_code":"","country_id":1}
,{"id":1310,"pid":118,"name":"兴化市","level":4,"area_code":"321281000000","town_code":"","country_id":1}
,{"id":1311,"pid":118,"name":"靖江市","level":4,"area_code":"321282000000","town_code":"","country_id":1}
,{"id":1312,"pid":118,"name":"泰兴市","level":4,"area_code":"321283000000","town_code":"","country_id":1}
,{"id":1313,"pid":119,"name":"市辖区","level":4,"area_code":"321301000000","town_code":"","country_id":1}
,{"id":1314,"pid":119,"name":"宿城区","level":4,"area_code":"321302000000","town_code":"","country_id":1}
,{"id":1315,"pid":119,"name":"宿豫区","level":4,"area_code":"321311000000","town_code":"","country_id":1}
,{"id":1316,"pid":119,"name":"沭阳县","level":4,"area_code":"321322000000","town_code":"","country_id":1}
,{"id":1317,"pid":119,"name":"泗阳县","level":4,"area_code":"321323000000","town_code":"","country_id":1}
,{"id":1318,"pid":119,"name":"泗洪县","level":4,"area_code":"321324000000","town_code":"","country_id":1}
,{"id":1319,"pid":119,"name":"宿迁经济技术开发区","level":4,"area_code":"321371000000","town_code":"","country_id":1}
,{"id":1320,"pid":120,"name":"市辖区","level":4,"area_code":"330101000000","town_code":"","country_id":1}
,{"id":1321,"pid":120,"name":"上城区","level":4,"area_code":"330102000000","town_code":"","country_id":1}
,{"id":1322,"pid":120,"name":"拱墅区","level":4,"area_code":"330105000000","town_code":"","country_id":1}
,{"id":1323,"pid":120,"name":"西湖区","level":4,"area_code":"330106000000","town_code":"","country_id":1}
,{"id":1324,"pid":120,"name":"滨江区","level":4,"area_code":"330108000000","town_code":"","country_id":1}
,{"id":1325,"pid":120,"name":"萧山区","level":4,"area_code":"330109000000","town_code":"","country_id":1}
,{"id":1326,"pid":120,"name":"余杭区","level":4,"area_code":"330110000000","town_code":"","country_id":1}
,{"id":1327,"pid":120,"name":"富阳区","level":4,"area_code":"330111000000","town_code":"","country_id":1}
,{"id":1328,"pid":120,"name":"临安区","level":4,"area_code":"330112000000","town_code":"","country_id":1}
,{"id":1329,"pid":120,"name":"临平区","level":4,"area_code":"330113000000","town_code":"","country_id":1}
,{"id":1330,"pid":120,"name":"钱塘区","level":4,"area_code":"330114000000","town_code":"","country_id":1}
,{"id":1331,"pid":120,"name":"桐庐县","level":4,"area_code":"330122000000","town_code":"","country_id":1}
,{"id":1332,"pid":120,"name":"淳安县","level":4,"area_code":"330127000000","town_code":"","country_id":1}
,{"id":1333,"pid":120,"name":"建德市","level":4,"area_code":"330182000000","town_code":"","country_id":1}
,{"id":1334,"pid":121,"name":"市辖区","level":4,"area_code":"330201000000","town_code":"","country_id":1}
,{"id":1335,"pid":121,"name":"海曙区","level":4,"area_code":"330203000000","town_code":"","country_id":1}
,{"id":1336,"pid":121,"name":"江北区","level":4,"area_code":"330205000000","town_code":"","country_id":1}
,{"id":1337,"pid":121,"name":"北仑区","level":4,"area_code":"330206000000","town_code":"","country_id":1}
,{"id":1338,"pid":121,"name":"镇海区","level":4,"area_code":"330211000000","town_code":"","country_id":1}
,{"id":1339,"pid":121,"name":"鄞州区","level":4,"area_code":"330212000000","town_code":"","country_id":1}
,{"id":1340,"pid":121,"name":"奉化区","level":4,"area_code":"330213000000","town_code":"","country_id":1}
,{"id":1341,"pid":121,"name":"象山县","level":4,"area_code":"330225000000","town_code":"","country_id":1}
,{"id":1342,"pid":121,"name":"宁海县","level":4,"area_code":"330226000000","town_code":"","country_id":1}
,{"id":1343,"pid":121,"name":"余姚市","level":4,"area_code":"330281000000","town_code":"","country_id":1}
,{"id":1344,"pid":121,"name":"慈溪市","level":4,"area_code":"330282000000","town_code":"","country_id":1}
,{"id":1345,"pid":122,"name":"市辖区","level":4,"area_code":"330301000000","town_code":"","country_id":1}
,{"id":1346,"pid":122,"name":"鹿城区","level":4,"area_code":"330302000000","town_code":"","country_id":1}
,{"id":1347,"pid":122,"name":"龙湾区","level":4,"area_code":"330303000000","town_code":"","country_id":1}
,{"id":1348,"pid":122,"name":"瓯海区","level":4,"area_code":"330304000000","town_code":"","country_id":1}
,{"id":1349,"pid":122,"name":"洞头区","level":4,"area_code":"330305000000","town_code":"","country_id":1}
,{"id":1350,"pid":122,"name":"永嘉县","level":4,"area_code":"330324000000","town_code":"","country_id":1}
,{"id":1351,"pid":122,"name":"平阳县","level":4,"area_code":"330326000000","town_code":"","country_id":1}
,{"id":1352,"pid":122,"name":"苍南县","level":4,"area_code":"330327000000","town_code":"","country_id":1}
,{"id":1353,"pid":122,"name":"文成县","level":4,"area_code":"330328000000","town_code":"","country_id":1}
,{"id":1354,"pid":122,"name":"泰顺县","level":4,"area_code":"330329000000","town_code":"","country_id":1}
,{"id":1355,"pid":122,"name":"瑞安市","level":4,"area_code":"330381000000","town_code":"","country_id":1}
,{"id":1356,"pid":122,"name":"乐清市","level":4,"area_code":"330382000000","town_code":"","country_id":1}
,{"id":1357,"pid":122,"name":"龙港市","level":4,"area_code":"330383000000","town_code":"","country_id":1}
,{"id":1358,"pid":123,"name":"市辖区","level":4,"area_code":"330401000000","town_code":"","country_id":1}
,{"id":1359,"pid":123,"name":"南湖区","level":4,"area_code":"330402000000","town_code":"","country_id":1}
,{"id":1360,"pid":123,"name":"秀洲区","level":4,"area_code":"330411000000","town_code":"","country_id":1}
,{"id":1361,"pid":123,"name":"嘉善县","level":4,"area_code":"330421000000","town_code":"","country_id":1}
,{"id":1362,"pid":123,"name":"海盐县","level":4,"area_code":"330424000000","town_code":"","country_id":1}
,{"id":1363,"pid":123,"name":"海宁市","level":4,"area_code":"330481000000","town_code":"","country_id":1}
,{"id":1364,"pid":123,"name":"平湖市","level":4,"area_code":"330482000000","town_code":"","country_id":1}
,{"id":1365,"pid":123,"name":"桐乡市","level":4,"area_code":"330483000000","town_code":"","country_id":1}
,{"id":1366,"pid":124,"name":"市辖区","level":4,"area_code":"330501000000","town_code":"","country_id":1}
,{"id":1367,"pid":124,"name":"吴兴区","level":4,"area_code":"330502000000","town_code":"","country_id":1}
,{"id":1368,"pid":124,"name":"南浔区","level":4,"area_code":"330503000000","town_code":"","country_id":1}
,{"id":1369,"pid":124,"name":"德清县","level":4,"area_code":"330521000000","town_code":"","country_id":1}
,{"id":1370,"pid":124,"name":"长兴县","level":4,"area_code":"330522000000","town_code":"","country_id":1}
,{"id":1371,"pid":124,"name":"安吉县","level":4,"area_code":"330523000000","town_code":"","country_id":1}
,{"id":1372,"pid":125,"name":"市辖区","level":4,"area_code":"330601000000","town_code":"","country_id":1}
,{"id":1373,"pid":125,"name":"越城区","level":4,"area_code":"330602000000","town_code":"","country_id":1}
,{"id":1374,"pid":125,"name":"柯桥区","level":4,"area_code":"330603000000","town_code":"","country_id":1}
,{"id":1375,"pid":125,"name":"上虞区","level":4,"area_code":"330604000000","town_code":"","country_id":1}
,{"id":1376,"pid":125,"name":"新昌县","level":4,"area_code":"330624000000","town_code":"","country_id":1}
,{"id":1377,"pid":125,"name":"诸暨市","level":4,"area_code":"330681000000","town_code":"","country_id":1}
,{"id":1378,"pid":125,"name":"嵊州市","level":4,"area_code":"330683000000","town_code":"","country_id":1}
,{"id":1379,"pid":126,"name":"市辖区","level":4,"area_code":"330701000000","town_code":"","country_id":1}
,{"id":1380,"pid":126,"name":"婺城区","level":4,"area_code":"330702000000","town_code":"","country_id":1}
,{"id":1381,"pid":126,"name":"金东区","level":4,"area_code":"330703000000","town_code":"","country_id":1}
,{"id":1382,"pid":126,"name":"武义县","level":4,"area_code":"330723000000","town_code":"","country_id":1}
,{"id":1383,"pid":126,"name":"浦江县","level":4,"area_code":"330726000000","town_code":"","country_id":1}
,{"id":1384,"pid":126,"name":"磐安县","level":4,"area_code":"330727000000","town_code":"","country_id":1}
,{"id":1385,"pid":126,"name":"兰溪市","level":4,"area_code":"330781000000","town_code":"","country_id":1}
,{"id":1386,"pid":126,"name":"义乌市","level":4,"area_code":"330782000000","town_code":"","country_id":1}
,{"id":1387,"pid":126,"name":"东阳市","level":4,"area_code":"330783000000","town_code":"","country_id":1}
,{"id":1388,"pid":126,"name":"永康市","level":4,"area_code":"330784000000","town_code":"","country_id":1}
,{"id":1389,"pid":127,"name":"市辖区","level":4,"area_code":"330801000000","town_code":"","country_id":1}
,{"id":1390,"pid":127,"name":"柯城区","level":4,"area_code":"330802000000","town_code":"","country_id":1}
,{"id":1391,"pid":127,"name":"衢江区","level":4,"area_code":"330803000000","town_code":"","country_id":1}
,{"id":1392,"pid":127,"name":"常山县","level":4,"area_code":"330822000000","town_code":"","country_id":1}
,{"id":1393,"pid":127,"name":"开化县","level":4,"area_code":"330824000000","town_code":"","country_id":1}
,{"id":1394,"pid":127,"name":"龙游县","level":4,"area_code":"330825000000","town_code":"","country_id":1}
,{"id":1395,"pid":127,"name":"江山市","level":4,"area_code":"330881000000","town_code":"","country_id":1}
,{"id":1396,"pid":128,"name":"市辖区","level":4,"area_code":"330901000000","town_code":"","country_id":1}
,{"id":1397,"pid":128,"name":"定海区","level":4,"area_code":"330902000000","town_code":"","country_id":1}
,{"id":1398,"pid":128,"name":"普陀区","level":4,"area_code":"330903000000","town_code":"","country_id":1}
,{"id":1399,"pid":128,"name":"岱山县","level":4,"area_code":"330921000000","town_code":"","country_id":1}
,{"id":1400,"pid":128,"name":"嵊泗县","level":4,"area_code":"330922000000","town_code":"","country_id":1}
,{"id":1401,"pid":129,"name":"市辖区","level":4,"area_code":"331001000000","town_code":"","country_id":1}
,{"id":1402,"pid":129,"name":"椒江区","level":4,"area_code":"331002000000","town_code":"","country_id":1}
,{"id":1403,"pid":129,"name":"黄岩区","level":4,"area_code":"331003000000","town_code":"","country_id":1}
,{"id":1404,"pid":129,"name":"路桥区","level":4,"area_code":"331004000000","town_code":"","country_id":1}
,{"id":1405,"pid":129,"name":"三门县","level":4,"area_code":"331022000000","town_code":"","country_id":1}
,{"id":1406,"pid":129,"name":"天台县","level":4,"area_code":"331023000000","town_code":"","country_id":1}
,{"id":1407,"pid":129,"name":"仙居县","level":4,"area_code":"331024000000","town_code":"","country_id":1}
,{"id":1408,"pid":129,"name":"温岭市","level":4,"area_code":"331081000000","town_code":"","country_id":1}
,{"id":1409,"pid":129,"name":"临海市","level":4,"area_code":"331082000000","town_code":"","country_id":1}
,{"id":1410,"pid":129,"name":"玉环市","level":4,"area_code":"331083000000","town_code":"","country_id":1}
,{"id":1411,"pid":130,"name":"市辖区","level":4,"area_code":"331101000000","town_code":"","country_id":1}
,{"id":1412,"pid":130,"name":"莲都区","level":4,"area_code":"331102000000","town_code":"","country_id":1}
,{"id":1413,"pid":130,"name":"青田县","level":4,"area_code":"331121000000","town_code":"","country_id":1}
,{"id":1414,"pid":130,"name":"缙云县","level":4,"area_code":"331122000000","town_code":"","country_id":1}
,{"id":1415,"pid":130,"name":"遂昌县","level":4,"area_code":"331123000000","town_code":"","country_id":1}
,{"id":1416,"pid":130,"name":"松阳县","level":4,"area_code":"331124000000","town_code":"","country_id":1}
,{"id":1417,"pid":130,"name":"云和县","level":4,"area_code":"331125000000","town_code":"","country_id":1}
,{"id":1418,"pid":130,"name":"庆元县","level":4,"area_code":"331126000000","town_code":"","country_id":1}
,{"id":1419,"pid":130,"name":"景宁畲族自治县","level":4,"area_code":"331127000000","town_code":"","country_id":1}
,{"id":1420,"pid":130,"name":"龙泉市","level":4,"area_code":"331181000000","town_code":"","country_id":1}
,{"id":1421,"pid":131,"name":"市辖区","level":4,"area_code":"340101000000","town_code":"","country_id":1}
,{"id":1422,"pid":131,"name":"瑶海区","level":4,"area_code":"340102000000","town_code":"","country_id":1}
,{"id":1423,"pid":131,"name":"庐阳区","level":4,"area_code":"340103000000","town_code":"","country_id":1}
,{"id":1424,"pid":131,"name":"蜀山区","level":4,"area_code":"340104000000","town_code":"","country_id":1}
,{"id":1425,"pid":131,"name":"包河区","level":4,"area_code":"340111000000","town_code":"","country_id":1}
,{"id":1426,"pid":131,"name":"长丰县","level":4,"area_code":"340121000000","town_code":"","country_id":1}
,{"id":1427,"pid":131,"name":"肥东县","level":4,"area_code":"340122000000","town_code":"","country_id":1}
,{"id":1428,"pid":131,"name":"肥西县","level":4,"area_code":"340123000000","town_code":"","country_id":1}
,{"id":1429,"pid":131,"name":"庐江县","level":4,"area_code":"340124000000","town_code":"","country_id":1}
,{"id":1430,"pid":131,"name":"合肥高新技术产业开发区","level":4,"area_code":"340176000000","town_code":"","country_id":1}
,{"id":1431,"pid":131,"name":"合肥经济技术开发区","level":4,"area_code":"340177000000","town_code":"","country_id":1}
,{"id":1432,"pid":131,"name":"合肥新站高新技术产业开发区","level":4,"area_code":"340178000000","town_code":"","country_id":1}
,{"id":1433,"pid":131,"name":"巢湖市","level":4,"area_code":"340181000000","town_code":"","country_id":1}
,{"id":1434,"pid":132,"name":"市辖区","level":4,"area_code":"340201000000","town_code":"","country_id":1}
,{"id":1435,"pid":132,"name":"镜湖区","level":4,"area_code":"340202000000","town_code":"","country_id":1}
,{"id":1436,"pid":132,"name":"鸠江区","level":4,"area_code":"340207000000","town_code":"","country_id":1}
,{"id":1437,"pid":132,"name":"弋江区","level":4,"area_code":"340209000000","town_code":"","country_id":1}
,{"id":1438,"pid":132,"name":"湾沚区","level":4,"area_code":"340210000000","town_code":"","country_id":1}
,{"id":1439,"pid":132,"name":"繁昌区","level":4,"area_code":"340212000000","town_code":"","country_id":1}
,{"id":1440,"pid":132,"name":"南陵县","level":4,"area_code":"340223000000","town_code":"","country_id":1}
,{"id":1441,"pid":132,"name":"芜湖经济技术开发区","level":4,"area_code":"340271000000","town_code":"","country_id":1}
,{"id":1442,"pid":132,"name":"安徽芜湖三山经济开发区","level":4,"area_code":"340272000000","town_code":"","country_id":1}
,{"id":1443,"pid":132,"name":"无为市","level":4,"area_code":"340281000000","town_code":"","country_id":1}
,{"id":1444,"pid":133,"name":"市辖区","level":4,"area_code":"340301000000","town_code":"","country_id":1}
,{"id":1445,"pid":133,"name":"龙子湖区","level":4,"area_code":"340302000000","town_code":"","country_id":1}
,{"id":1446,"pid":133,"name":"蚌山区","level":4,"area_code":"340303000000","town_code":"","country_id":1}
,{"id":1447,"pid":133,"name":"禹会区","level":4,"area_code":"340304000000","town_code":"","country_id":1}
,{"id":1448,"pid":133,"name":"淮上区","level":4,"area_code":"340311000000","town_code":"","country_id":1}
,{"id":1449,"pid":133,"name":"怀远县","level":4,"area_code":"340321000000","town_code":"","country_id":1}
,{"id":1450,"pid":133,"name":"五河县","level":4,"area_code":"340322000000","town_code":"","country_id":1}
,{"id":1451,"pid":133,"name":"固镇县","level":4,"area_code":"340323000000","town_code":"","country_id":1}
,{"id":1452,"pid":133,"name":"蚌埠市高新技术开发区","level":4,"area_code":"340371000000","town_code":"","country_id":1}
,{"id":1453,"pid":133,"name":"蚌埠市经济开发区","level":4,"area_code":"340372000000","town_code":"","country_id":1}
,{"id":1454,"pid":134,"name":"市辖区","level":4,"area_code":"340401000000","town_code":"","country_id":1}
,{"id":1455,"pid":134,"name":"大通区","level":4,"area_code":"340402000000","town_code":"","country_id":1}
,{"id":1456,"pid":134,"name":"田家庵区","level":4,"area_code":"340403000000","town_code":"","country_id":1}
,{"id":1457,"pid":134,"name":"谢家集区","level":4,"area_code":"340404000000","town_code":"","country_id":1}
,{"id":1458,"pid":134,"name":"八公山区","level":4,"area_code":"340405000000","town_code":"","country_id":1}
,{"id":1459,"pid":134,"name":"潘集区","level":4,"area_code":"340406000000","town_code":"","country_id":1}
,{"id":1460,"pid":134,"name":"凤台县","level":4,"area_code":"340421000000","town_code":"","country_id":1}
,{"id":1461,"pid":134,"name":"寿县","level":4,"area_code":"340422000000","town_code":"","country_id":1}
,{"id":1462,"pid":135,"name":"市辖区","level":4,"area_code":"340501000000","town_code":"","country_id":1}
,{"id":1463,"pid":135,"name":"花山区","level":4,"area_code":"340503000000","town_code":"","country_id":1}
,{"id":1464,"pid":135,"name":"雨山区","level":4,"area_code":"340504000000","town_code":"","country_id":1}
,{"id":1465,"pid":135,"name":"博望区","level":4,"area_code":"340506000000","town_code":"","country_id":1}
,{"id":1466,"pid":135,"name":"当涂县","level":4,"area_code":"340521000000","town_code":"","country_id":1}
,{"id":1467,"pid":135,"name":"含山县","level":4,"area_code":"340522000000","town_code":"","country_id":1}
,{"id":1468,"pid":135,"name":"和县","level":4,"area_code":"340523000000","town_code":"","country_id":1}
,{"id":1469,"pid":136,"name":"市辖区","level":4,"area_code":"340601000000","town_code":"","country_id":1}
,{"id":1470,"pid":136,"name":"杜集区","level":4,"area_code":"340602000000","town_code":"","country_id":1}
,{"id":1471,"pid":136,"name":"相山区","level":4,"area_code":"340603000000","town_code":"","country_id":1}
,{"id":1472,"pid":136,"name":"烈山区","level":4,"area_code":"340604000000","town_code":"","country_id":1}
,{"id":1473,"pid":136,"name":"濉溪县","level":4,"area_code":"340621000000","town_code":"","country_id":1}
,{"id":1474,"pid":137,"name":"市辖区","level":4,"area_code":"340701000000","town_code":"","country_id":1}
,{"id":1475,"pid":137,"name":"铜官区","level":4,"area_code":"340705000000","town_code":"","country_id":1}
,{"id":1476,"pid":137,"name":"义安区","level":4,"area_code":"340706000000","town_code":"","country_id":1}
,{"id":1477,"pid":137,"name":"郊区","level":4,"area_code":"340711000000","town_code":"","country_id":1}
,{"id":1478,"pid":137,"name":"枞阳县","level":4,"area_code":"340722000000","town_code":"","country_id":1}
,{"id":1479,"pid":138,"name":"市辖区","level":4,"area_code":"340801000000","town_code":"","country_id":1}
,{"id":1480,"pid":138,"name":"迎江区","level":4,"area_code":"340802000000","town_code":"","country_id":1}
,{"id":1481,"pid":138,"name":"大观区","level":4,"area_code":"340803000000","town_code":"","country_id":1}
,{"id":1482,"pid":138,"name":"宜秀区","level":4,"area_code":"340811000000","town_code":"","country_id":1}
,{"id":1483,"pid":138,"name":"怀宁县","level":4,"area_code":"340822000000","town_code":"","country_id":1}
,{"id":1484,"pid":138,"name":"太湖县","level":4,"area_code":"340825000000","town_code":"","country_id":1}
,{"id":1485,"pid":138,"name":"宿松县","level":4,"area_code":"340826000000","town_code":"","country_id":1}
,{"id":1486,"pid":138,"name":"望江县","level":4,"area_code":"340827000000","town_code":"","country_id":1}
,{"id":1487,"pid":138,"name":"岳西县","level":4,"area_code":"340828000000","town_code":"","country_id":1}
,{"id":1488,"pid":138,"name":"安徽安庆经济开发区","level":4,"area_code":"340871000000","town_code":"","country_id":1}
,{"id":1489,"pid":138,"name":"桐城市","level":4,"area_code":"340881000000","town_code":"","country_id":1}
,{"id":1490,"pid":138,"name":"潜山市","level":4,"area_code":"340882000000","town_code":"","country_id":1}
,{"id":1491,"pid":139,"name":"市辖区","level":4,"area_code":"341001000000","town_code":"","country_id":1}
,{"id":1492,"pid":139,"name":"屯溪区","level":4,"area_code":"341002000000","town_code":"","country_id":1}
,{"id":1493,"pid":139,"name":"黄山区","level":4,"area_code":"341003000000","town_code":"","country_id":1}
,{"id":1494,"pid":139,"name":"徽州区","level":4,"area_code":"341004000000","town_code":"","country_id":1}
,{"id":1495,"pid":139,"name":"歙县","level":4,"area_code":"341021000000","town_code":"","country_id":1}
,{"id":1496,"pid":139,"name":"休宁县","level":4,"area_code":"341022000000","town_code":"","country_id":1}
,{"id":1497,"pid":139,"name":"黟县","level":4,"area_code":"341023000000","town_code":"","country_id":1}
,{"id":1498,"pid":139,"name":"祁门县","level":4,"area_code":"341024000000","town_code":"","country_id":1}
,{"id":1499,"pid":140,"name":"市辖区","level":4,"area_code":"341101000000","town_code":"","country_id":1}
,{"id":1500,"pid":140,"name":"琅琊区","level":4,"area_code":"341102000000","town_code":"","country_id":1}
,{"id":1501,"pid":140,"name":"南谯区","level":4,"area_code":"341103000000","town_code":"","country_id":1}
,{"id":1502,"pid":140,"name":"来安县","level":4,"area_code":"341122000000","town_code":"","country_id":1}
,{"id":1503,"pid":140,"name":"全椒县","level":4,"area_code":"341124000000","town_code":"","country_id":1}
,{"id":1504,"pid":140,"name":"定远县","level":4,"area_code":"341125000000","town_code":"","country_id":1}
,{"id":1505,"pid":140,"name":"凤阳县","level":4,"area_code":"341126000000","town_code":"","country_id":1}
,{"id":1506,"pid":140,"name":"中新苏滁高新技术产业开发区","level":4,"area_code":"341171000000","town_code":"","country_id":1}
,{"id":1507,"pid":140,"name":"滁州经济技术开发区","level":4,"area_code":"341172000000","town_code":"","country_id":1}
,{"id":1508,"pid":140,"name":"天长市","level":4,"area_code":"341181000000","town_code":"","country_id":1}
,{"id":1509,"pid":140,"name":"明光市","level":4,"area_code":"341182000000","town_code":"","country_id":1}
,{"id":1510,"pid":141,"name":"市辖区","level":4,"area_code":"341201000000","town_code":"","country_id":1}
,{"id":1511,"pid":141,"name":"颍州区","level":4,"area_code":"341202000000","town_code":"","country_id":1}
,{"id":1512,"pid":141,"name":"颍东区","level":4,"area_code":"341203000000","town_code":"","country_id":1}
,{"id":1513,"pid":141,"name":"颍泉区","level":4,"area_code":"341204000000","town_code":"","country_id":1}
,{"id":1514,"pid":141,"name":"临泉县","level":4,"area_code":"341221000000","town_code":"","country_id":1}
,{"id":1515,"pid":141,"name":"太和县","level":4,"area_code":"341222000000","town_code":"","country_id":1}
,{"id":1516,"pid":141,"name":"阜南县","level":4,"area_code":"341225000000","town_code":"","country_id":1}
,{"id":1517,"pid":141,"name":"颍上县","level":4,"area_code":"341226000000","town_code":"","country_id":1}
,{"id":1518,"pid":141,"name":"阜阳合肥现代产业园区","level":4,"area_code":"341271000000","town_code":"","country_id":1}
,{"id":1519,"pid":141,"name":"阜阳经济技术开发区","level":4,"area_code":"341272000000","town_code":"","country_id":1}
,{"id":1520,"pid":141,"name":"界首市","level":4,"area_code":"341282000000","town_code":"","country_id":1}
,{"id":1521,"pid":142,"name":"市辖区","level":4,"area_code":"341301000000","town_code":"","country_id":1}
,{"id":1522,"pid":142,"name":"埇桥区","level":4,"area_code":"341302000000","town_code":"","country_id":1}
,{"id":1523,"pid":142,"name":"砀山县","level":4,"area_code":"341321000000","town_code":"","country_id":1}
,{"id":1524,"pid":142,"name":"萧县","level":4,"area_code":"341322000000","town_code":"","country_id":1}
,{"id":1525,"pid":142,"name":"灵璧县","level":4,"area_code":"341323000000","town_code":"","country_id":1}
,{"id":1526,"pid":142,"name":"泗县","level":4,"area_code":"341324000000","town_code":"","country_id":1}
,{"id":1527,"pid":142,"name":"宿州马鞍山现代产业园区","level":4,"area_code":"341371000000","town_code":"","country_id":1}
,{"id":1528,"pid":142,"name":"宿州经济技术开发区","level":4,"area_code":"341372000000","town_code":"","country_id":1}
,{"id":1529,"pid":143,"name":"市辖区","level":4,"area_code":"341501000000","town_code":"","country_id":1}
,{"id":1530,"pid":143,"name":"金安区","level":4,"area_code":"341502000000","town_code":"","country_id":1}
,{"id":1531,"pid":143,"name":"裕安区","level":4,"area_code":"341503000000","town_code":"","country_id":1}
,{"id":1532,"pid":143,"name":"叶集区","level":4,"area_code":"341504000000","town_code":"","country_id":1}
,{"id":1533,"pid":143,"name":"霍邱县","level":4,"area_code":"341522000000","town_code":"","country_id":1}
,{"id":1534,"pid":143,"name":"舒城县","level":4,"area_code":"341523000000","town_code":"","country_id":1}
,{"id":1535,"pid":143,"name":"金寨县","level":4,"area_code":"341524000000","town_code":"","country_id":1}
,{"id":1536,"pid":143,"name":"霍山县","level":4,"area_code":"341525000000","town_code":"","country_id":1}
,{"id":1537,"pid":144,"name":"市辖区","level":4,"area_code":"341601000000","town_code":"","country_id":1}
,{"id":1538,"pid":144,"name":"谯城区","level":4,"area_code":"341602000000","town_code":"","country_id":1}
,{"id":1539,"pid":144,"name":"涡阳县","level":4,"area_code":"341621000000","town_code":"","country_id":1}
,{"id":1540,"pid":144,"name":"蒙城县","level":4,"area_code":"341622000000","town_code":"","country_id":1}
,{"id":1541,"pid":144,"name":"利辛县","level":4,"area_code":"341623000000","town_code":"","country_id":1}
,{"id":1542,"pid":145,"name":"市辖区","level":4,"area_code":"341701000000","town_code":"","country_id":1}
,{"id":1543,"pid":145,"name":"贵池区","level":4,"area_code":"341702000000","town_code":"","country_id":1}
,{"id":1544,"pid":145,"name":"东至县","level":4,"area_code":"341721000000","town_code":"","country_id":1}
,{"id":1545,"pid":145,"name":"石台县","level":4,"area_code":"341722000000","town_code":"","country_id":1}
,{"id":1546,"pid":145,"name":"青阳县","level":4,"area_code":"341723000000","town_code":"","country_id":1}
,{"id":1547,"pid":146,"name":"市辖区","level":4,"area_code":"341801000000","town_code":"","country_id":1}
,{"id":1548,"pid":146,"name":"宣州区","level":4,"area_code":"341802000000","town_code":"","country_id":1}
,{"id":1549,"pid":146,"name":"郎溪县","level":4,"area_code":"341821000000","town_code":"","country_id":1}
,{"id":1550,"pid":146,"name":"泾县","level":4,"area_code":"341823000000","town_code":"","country_id":1}
,{"id":1551,"pid":146,"name":"绩溪县","level":4,"area_code":"341824000000","town_code":"","country_id":1}
,{"id":1552,"pid":146,"name":"旌德县","level":4,"area_code":"341825000000","town_code":"","country_id":1}
,{"id":1553,"pid":146,"name":"宣城市经济开发区","level":4,"area_code":"341871000000","town_code":"","country_id":1}
,{"id":1554,"pid":146,"name":"宁国市","level":4,"area_code":"341881000000","town_code":"","country_id":1}
,{"id":1555,"pid":146,"name":"广德市","level":4,"area_code":"341882000000","town_code":"","country_id":1}
,{"id":1556,"pid":147,"name":"市辖区","level":4,"area_code":"350101000000","town_code":"","country_id":1}
,{"id":1557,"pid":147,"name":"鼓楼区","level":4,"area_code":"350102000000","town_code":"","country_id":1}
,{"id":1558,"pid":147,"name":"台江区","level":4,"area_code":"350103000000","town_code":"","country_id":1}
,{"id":1559,"pid":147,"name":"仓山区","level":4,"area_code":"350104000000","town_code":"","country_id":1}
,{"id":1560,"pid":147,"name":"马尾区","level":4,"area_code":"350105000000","town_code":"","country_id":1}
,{"id":1561,"pid":147,"name":"晋安区","level":4,"area_code":"350111000000","town_code":"","country_id":1}
,{"id":1562,"pid":147,"name":"长乐区","level":4,"area_code":"350112000000","town_code":"","country_id":1}
,{"id":1563,"pid":147,"name":"闽侯县","level":4,"area_code":"350121000000","town_code":"","country_id":1}
,{"id":1564,"pid":147,"name":"连江县","level":4,"area_code":"350122000000","town_code":"","country_id":1}
,{"id":1565,"pid":147,"name":"罗源县","level":4,"area_code":"350123000000","town_code":"","country_id":1}
,{"id":1566,"pid":147,"name":"闽清县","level":4,"area_code":"350124000000","town_code":"","country_id":1}
,{"id":1567,"pid":147,"name":"永泰县","level":4,"area_code":"350125000000","town_code":"","country_id":1}
,{"id":1568,"pid":147,"name":"平潭县","level":4,"area_code":"350128000000","town_code":"","country_id":1}
,{"id":1569,"pid":147,"name":"福清市","level":4,"area_code":"350181000000","town_code":"","country_id":1}
,{"id":1570,"pid":148,"name":"市辖区","level":4,"area_code":"350201000000","town_code":"","country_id":1}
,{"id":1571,"pid":148,"name":"思明区","level":4,"area_code":"350203000000","town_code":"","country_id":1}
,{"id":1572,"pid":148,"name":"海沧区","level":4,"area_code":"350205000000","town_code":"","country_id":1}
,{"id":1573,"pid":148,"name":"湖里区","level":4,"area_code":"350206000000","town_code":"","country_id":1}
,{"id":1574,"pid":148,"name":"集美区","level":4,"area_code":"350211000000","town_code":"","country_id":1}
,{"id":1575,"pid":148,"name":"同安区","level":4,"area_code":"350212000000","town_code":"","country_id":1}
,{"id":1576,"pid":148,"name":"翔安区","level":4,"area_code":"350213000000","town_code":"","country_id":1}
,{"id":1577,"pid":149,"name":"市辖区","level":4,"area_code":"350301000000","town_code":"","country_id":1}
,{"id":1578,"pid":149,"name":"城厢区","level":4,"area_code":"350302000000","town_code":"","country_id":1}
,{"id":1579,"pid":149,"name":"涵江区","level":4,"area_code":"350303000000","town_code":"","country_id":1}
,{"id":1580,"pid":149,"name":"荔城区","level":4,"area_code":"350304000000","town_code":"","country_id":1}
,{"id":1581,"pid":149,"name":"秀屿区","level":4,"area_code":"350305000000","town_code":"","country_id":1}
,{"id":1582,"pid":149,"name":"仙游县","level":4,"area_code":"350322000000","town_code":"","country_id":1}
,{"id":1583,"pid":150,"name":"市辖区","level":4,"area_code":"350401000000","town_code":"","country_id":1}
,{"id":1584,"pid":150,"name":"三元区","level":4,"area_code":"350404000000","town_code":"","country_id":1}
,{"id":1585,"pid":150,"name":"沙县区","level":4,"area_code":"350405000000","town_code":"","country_id":1}
,{"id":1586,"pid":150,"name":"明溪县","level":4,"area_code":"350421000000","town_code":"","country_id":1}
,{"id":1587,"pid":150,"name":"清流县","level":4,"area_code":"350423000000","town_code":"","country_id":1}
,{"id":1588,"pid":150,"name":"宁化县","level":4,"area_code":"350424000000","town_code":"","country_id":1}
,{"id":1589,"pid":150,"name":"大田县","level":4,"area_code":"350425000000","town_code":"","country_id":1}
,{"id":1590,"pid":150,"name":"尤溪县","level":4,"area_code":"350426000000","town_code":"","country_id":1}
,{"id":1591,"pid":150,"name":"将乐县","level":4,"area_code":"350428000000","town_code":"","country_id":1}
,{"id":1592,"pid":150,"name":"泰宁县","level":4,"area_code":"350429000000","town_code":"","country_id":1}
,{"id":1593,"pid":150,"name":"建宁县","level":4,"area_code":"350430000000","town_code":"","country_id":1}
,{"id":1594,"pid":150,"name":"永安市","level":4,"area_code":"350481000000","town_code":"","country_id":1}
,{"id":1595,"pid":151,"name":"市辖区","level":4,"area_code":"350501000000","town_code":"","country_id":1}
,{"id":1596,"pid":151,"name":"鲤城区","level":4,"area_code":"350502000000","town_code":"","country_id":1}
,{"id":1597,"pid":151,"name":"丰泽区","level":4,"area_code":"350503000000","town_code":"","country_id":1}
,{"id":1598,"pid":151,"name":"洛江区","level":4,"area_code":"350504000000","town_code":"","country_id":1}
,{"id":1599,"pid":151,"name":"泉港区","level":4,"area_code":"350505000000","town_code":"","country_id":1}
,{"id":1600,"pid":151,"name":"惠安县","level":4,"area_code":"350521000000","town_code":"","country_id":1}
,{"id":1601,"pid":151,"name":"安溪县","level":4,"area_code":"350524000000","town_code":"","country_id":1}
,{"id":1602,"pid":151,"name":"永春县","level":4,"area_code":"350525000000","town_code":"","country_id":1}
,{"id":1603,"pid":151,"name":"德化县","level":4,"area_code":"350526000000","town_code":"","country_id":1}
,{"id":1604,"pid":151,"name":"金门县","level":4,"area_code":"350527000000","town_code":"","country_id":1}
,{"id":1605,"pid":151,"name":"石狮市","level":4,"area_code":"350581000000","town_code":"","country_id":1}
,{"id":1606,"pid":151,"name":"晋江市","level":4,"area_code":"350582000000","town_code":"","country_id":1}
,{"id":1607,"pid":151,"name":"南安市","level":4,"area_code":"350583000000","town_code":"","country_id":1}
,{"id":1608,"pid":152,"name":"市辖区","level":4,"area_code":"350601000000","town_code":"","country_id":1}
,{"id":1609,"pid":152,"name":"芗城区","level":4,"area_code":"350602000000","town_code":"","country_id":1}
,{"id":1610,"pid":152,"name":"龙文区","level":4,"area_code":"350603000000","town_code":"","country_id":1}
,{"id":1611,"pid":152,"name":"龙海区","level":4,"area_code":"350604000000","town_code":"","country_id":1}
,{"id":1612,"pid":152,"name":"长泰区","level":4,"area_code":"350605000000","town_code":"","country_id":1}
,{"id":1613,"pid":152,"name":"云霄县","level":4,"area_code":"350622000000","town_code":"","country_id":1}
,{"id":1614,"pid":152,"name":"漳浦县","level":4,"area_code":"350623000000","town_code":"","country_id":1}
,{"id":1615,"pid":152,"name":"诏安县","level":4,"area_code":"350624000000","town_code":"","country_id":1}
,{"id":1616,"pid":152,"name":"东山县","level":4,"area_code":"350626000000","town_code":"","country_id":1}
,{"id":1617,"pid":152,"name":"南靖县","level":4,"area_code":"350627000000","town_code":"","country_id":1}
,{"id":1618,"pid":152,"name":"平和县","level":4,"area_code":"350628000000","town_code":"","country_id":1}
,{"id":1619,"pid":152,"name":"华安县","level":4,"area_code":"350629000000","town_code":"","country_id":1}
,{"id":1620,"pid":153,"name":"市辖区","level":4,"area_code":"350701000000","town_code":"","country_id":1}
,{"id":1621,"pid":153,"name":"延平区","level":4,"area_code":"350702000000","town_code":"","country_id":1}
,{"id":1622,"pid":153,"name":"建阳区","level":4,"area_code":"350703000000","town_code":"","country_id":1}
,{"id":1623,"pid":153,"name":"顺昌县","level":4,"area_code":"350721000000","town_code":"","country_id":1}
,{"id":1624,"pid":153,"name":"浦城县","level":4,"area_code":"350722000000","town_code":"","country_id":1}
,{"id":1625,"pid":153,"name":"光泽县","level":4,"area_code":"350723000000","town_code":"","country_id":1}
,{"id":1626,"pid":153,"name":"松溪县","level":4,"area_code":"350724000000","town_code":"","country_id":1}
,{"id":1627,"pid":153,"name":"政和县","level":4,"area_code":"350725000000","town_code":"","country_id":1}
,{"id":1628,"pid":153,"name":"邵武市","level":4,"area_code":"350781000000","town_code":"","country_id":1}
,{"id":1629,"pid":153,"name":"武夷山市","level":4,"area_code":"350782000000","town_code":"","country_id":1}
,{"id":1630,"pid":153,"name":"建瓯市","level":4,"area_code":"350783000000","town_code":"","country_id":1}
,{"id":1631,"pid":154,"name":"市辖区","level":4,"area_code":"350801000000","town_code":"","country_id":1}
,{"id":1632,"pid":154,"name":"新罗区","level":4,"area_code":"350802000000","town_code":"","country_id":1}
,{"id":1633,"pid":154,"name":"永定区","level":4,"area_code":"350803000000","town_code":"","country_id":1}
,{"id":1634,"pid":154,"name":"长汀县","level":4,"area_code":"350821000000","town_code":"","country_id":1}
,{"id":1635,"pid":154,"name":"上杭县","level":4,"area_code":"350823000000","town_code":"","country_id":1}
,{"id":1636,"pid":154,"name":"武平县","level":4,"area_code":"350824000000","town_code":"","country_id":1}
,{"id":1637,"pid":154,"name":"连城县","level":4,"area_code":"350825000000","town_code":"","country_id":1}
,{"id":1638,"pid":154,"name":"漳平市","level":4,"area_code":"350881000000","town_code":"","country_id":1}
,{"id":1639,"pid":155,"name":"市辖区","level":4,"area_code":"350901000000","town_code":"","country_id":1}
,{"id":1640,"pid":155,"name":"蕉城区","level":4,"area_code":"350902000000","town_code":"","country_id":1}
,{"id":1641,"pid":155,"name":"霞浦县","level":4,"area_code":"350921000000","town_code":"","country_id":1}
,{"id":1642,"pid":155,"name":"古田县","level":4,"area_code":"350922000000","town_code":"","country_id":1}
,{"id":1643,"pid":155,"name":"屏南县","level":4,"area_code":"350923000000","town_code":"","country_id":1}
,{"id":1644,"pid":155,"name":"寿宁县","level":4,"area_code":"350924000000","town_code":"","country_id":1}
,{"id":1645,"pid":155,"name":"周宁县","level":4,"area_code":"350925000000","town_code":"","country_id":1}
,{"id":1646,"pid":155,"name":"柘荣县","level":4,"area_code":"350926000000","town_code":"","country_id":1}
,{"id":1647,"pid":155,"name":"福安市","level":4,"area_code":"350981000000","town_code":"","country_id":1}
,{"id":1648,"pid":155,"name":"福鼎市","level":4,"area_code":"350982000000","town_code":"","country_id":1}
,{"id":1649,"pid":156,"name":"市辖区","level":4,"area_code":"360101000000","town_code":"","country_id":1}
,{"id":1650,"pid":156,"name":"东湖区","level":4,"area_code":"360102000000","town_code":"","country_id":1}
,{"id":1651,"pid":156,"name":"西湖区","level":4,"area_code":"360103000000","town_code":"","country_id":1}
,{"id":1652,"pid":156,"name":"青云谱区","level":4,"area_code":"360104000000","town_code":"","country_id":1}
,{"id":1653,"pid":156,"name":"青山湖区","level":4,"area_code":"360111000000","town_code":"","country_id":1}
,{"id":1654,"pid":156,"name":"新建区","level":4,"area_code":"360112000000","town_code":"","country_id":1}
,{"id":1655,"pid":156,"name":"红谷滩区","level":4,"area_code":"360113000000","town_code":"","country_id":1}
,{"id":1656,"pid":156,"name":"南昌县","level":4,"area_code":"360121000000","town_code":"","country_id":1}
,{"id":1657,"pid":156,"name":"安义县","level":4,"area_code":"360123000000","town_code":"","country_id":1}
,{"id":1658,"pid":156,"name":"进贤县","level":4,"area_code":"360124000000","town_code":"","country_id":1}
,{"id":1659,"pid":157,"name":"市辖区","level":4,"area_code":"360201000000","town_code":"","country_id":1}
,{"id":1660,"pid":157,"name":"昌江区","level":4,"area_code":"360202000000","town_code":"","country_id":1}
,{"id":1661,"pid":157,"name":"珠山区","level":4,"area_code":"360203000000","town_code":"","country_id":1}
,{"id":1662,"pid":157,"name":"浮梁县","level":4,"area_code":"360222000000","town_code":"","country_id":1}
,{"id":1663,"pid":157,"name":"乐平市","level":4,"area_code":"360281000000","town_code":"","country_id":1}
,{"id":1664,"pid":158,"name":"市辖区","level":4,"area_code":"360301000000","town_code":"","country_id":1}
,{"id":1665,"pid":158,"name":"安源区","level":4,"area_code":"360302000000","town_code":"","country_id":1}
,{"id":1666,"pid":158,"name":"湘东区","level":4,"area_code":"360313000000","town_code":"","country_id":1}
,{"id":1667,"pid":158,"name":"莲花县","level":4,"area_code":"360321000000","town_code":"","country_id":1}
,{"id":1668,"pid":158,"name":"上栗县","level":4,"area_code":"360322000000","town_code":"","country_id":1}
,{"id":1669,"pid":158,"name":"芦溪县","level":4,"area_code":"360323000000","town_code":"","country_id":1}
,{"id":1670,"pid":159,"name":"市辖区","level":4,"area_code":"360401000000","town_code":"","country_id":1}
,{"id":1671,"pid":159,"name":"濂溪区","level":4,"area_code":"360402000000","town_code":"","country_id":1}
,{"id":1672,"pid":159,"name":"浔阳区","level":4,"area_code":"360403000000","town_code":"","country_id":1}
,{"id":1673,"pid":159,"name":"柴桑区","level":4,"area_code":"360404000000","town_code":"","country_id":1}
,{"id":1674,"pid":159,"name":"武宁县","level":4,"area_code":"360423000000","town_code":"","country_id":1}
,{"id":1675,"pid":159,"name":"修水县","level":4,"area_code":"360424000000","town_code":"","country_id":1}
,{"id":1676,"pid":159,"name":"永修县","level":4,"area_code":"360425000000","town_code":"","country_id":1}
,{"id":1677,"pid":159,"name":"德安县","level":4,"area_code":"360426000000","town_code":"","country_id":1}
,{"id":1678,"pid":159,"name":"都昌县","level":4,"area_code":"360428000000","town_code":"","country_id":1}
,{"id":1679,"pid":159,"name":"湖口县","level":4,"area_code":"360429000000","town_code":"","country_id":1}
,{"id":1680,"pid":159,"name":"彭泽县","level":4,"area_code":"360430000000","town_code":"","country_id":1}
,{"id":1681,"pid":159,"name":"瑞昌市","level":4,"area_code":"360481000000","town_code":"","country_id":1}
,{"id":1682,"pid":159,"name":"共青城市","level":4,"area_code":"360482000000","town_code":"","country_id":1}
,{"id":1683,"pid":159,"name":"庐山市","level":4,"area_code":"360483000000","town_code":"","country_id":1}
,{"id":1684,"pid":160,"name":"市辖区","level":4,"area_code":"360501000000","town_code":"","country_id":1}
,{"id":1685,"pid":160,"name":"渝水区","level":4,"area_code":"360502000000","town_code":"","country_id":1}
,{"id":1686,"pid":160,"name":"分宜县","level":4,"area_code":"360521000000","town_code":"","country_id":1}
,{"id":1687,"pid":161,"name":"市辖区","level":4,"area_code":"360601000000","town_code":"","country_id":1}
,{"id":1688,"pid":161,"name":"月湖区","level":4,"area_code":"360602000000","town_code":"","country_id":1}
,{"id":1689,"pid":161,"name":"余江区","level":4,"area_code":"360603000000","town_code":"","country_id":1}
,{"id":1690,"pid":161,"name":"贵溪市","level":4,"area_code":"360681000000","town_code":"","country_id":1}
,{"id":1691,"pid":162,"name":"市辖区","level":4,"area_code":"360701000000","town_code":"","country_id":1}
,{"id":1692,"pid":162,"name":"章贡区","level":4,"area_code":"360702000000","town_code":"","country_id":1}
,{"id":1693,"pid":162,"name":"南康区","level":4,"area_code":"360703000000","town_code":"","country_id":1}
,{"id":1694,"pid":162,"name":"赣县区","level":4,"area_code":"360704000000","town_code":"","country_id":1}
,{"id":1695,"pid":162,"name":"信丰县","level":4,"area_code":"360722000000","town_code":"","country_id":1}
,{"id":1696,"pid":162,"name":"大余县","level":4,"area_code":"360723000000","town_code":"","country_id":1}
,{"id":1697,"pid":162,"name":"上犹县","level":4,"area_code":"360724000000","town_code":"","country_id":1}
,{"id":1698,"pid":162,"name":"崇义县","level":4,"area_code":"360725000000","town_code":"","country_id":1}
,{"id":1699,"pid":162,"name":"安远县","level":4,"area_code":"360726000000","town_code":"","country_id":1}
,{"id":1700,"pid":162,"name":"定南县","level":4,"area_code":"360728000000","town_code":"","country_id":1}
,{"id":1701,"pid":162,"name":"全南县","level":4,"area_code":"360729000000","town_code":"","country_id":1}
,{"id":1702,"pid":162,"name":"宁都县","level":4,"area_code":"360730000000","town_code":"","country_id":1}
,{"id":1703,"pid":162,"name":"于都县","level":4,"area_code":"360731000000","town_code":"","country_id":1}
,{"id":1704,"pid":162,"name":"兴国县","level":4,"area_code":"360732000000","town_code":"","country_id":1}
,{"id":1705,"pid":162,"name":"会昌县","level":4,"area_code":"360733000000","town_code":"","country_id":1}
,{"id":1706,"pid":162,"name":"寻乌县","level":4,"area_code":"360734000000","town_code":"","country_id":1}
,{"id":1707,"pid":162,"name":"石城县","level":4,"area_code":"360735000000","town_code":"","country_id":1}
,{"id":1708,"pid":162,"name":"瑞金市","level":4,"area_code":"360781000000","town_code":"","country_id":1}
,{"id":1709,"pid":162,"name":"龙南市","level":4,"area_code":"360783000000","town_code":"","country_id":1}
,{"id":1710,"pid":163,"name":"市辖区","level":4,"area_code":"360801000000","town_code":"","country_id":1}
,{"id":1711,"pid":163,"name":"吉州区","level":4,"area_code":"360802000000","town_code":"","country_id":1}
,{"id":1712,"pid":163,"name":"青原区","level":4,"area_code":"360803000000","town_code":"","country_id":1}
,{"id":1713,"pid":163,"name":"吉安县","level":4,"area_code":"360821000000","town_code":"","country_id":1}
,{"id":1714,"pid":163,"name":"吉水县","level":4,"area_code":"360822000000","town_code":"","country_id":1}
,{"id":1715,"pid":163,"name":"峡江县","level":4,"area_code":"360823000000","town_code":"","country_id":1}
,{"id":1716,"pid":163,"name":"新干县","level":4,"area_code":"360824000000","town_code":"","country_id":1}
,{"id":1717,"pid":163,"name":"永丰县","level":4,"area_code":"360825000000","town_code":"","country_id":1}
,{"id":1718,"pid":163,"name":"泰和县","level":4,"area_code":"360826000000","town_code":"","country_id":1}
,{"id":1719,"pid":163,"name":"遂川县","level":4,"area_code":"360827000000","town_code":"","country_id":1}
,{"id":1720,"pid":163,"name":"万安县","level":4,"area_code":"360828000000","town_code":"","country_id":1}
,{"id":1721,"pid":163,"name":"安福县","level":4,"area_code":"360829000000","town_code":"","country_id":1}
,{"id":1722,"pid":163,"name":"永新县","level":4,"area_code":"360830000000","town_code":"","country_id":1}
,{"id":1723,"pid":163,"name":"井冈山市","level":4,"area_code":"360881000000","town_code":"","country_id":1}
,{"id":1724,"pid":164,"name":"市辖区","level":4,"area_code":"360901000000","town_code":"","country_id":1}
,{"id":1725,"pid":164,"name":"袁州区","level":4,"area_code":"360902000000","town_code":"","country_id":1}
,{"id":1726,"pid":164,"name":"奉新县","level":4,"area_code":"360921000000","town_code":"","country_id":1}
,{"id":1727,"pid":164,"name":"万载县","level":4,"area_code":"360922000000","town_code":"","country_id":1}
,{"id":1728,"pid":164,"name":"上高县","level":4,"area_code":"360923000000","town_code":"","country_id":1}
,{"id":1729,"pid":164,"name":"宜丰县","level":4,"area_code":"360924000000","town_code":"","country_id":1}
,{"id":1730,"pid":164,"name":"靖安县","level":4,"area_code":"360925000000","town_code":"","country_id":1}
,{"id":1731,"pid":164,"name":"铜鼓县","level":4,"area_code":"360926000000","town_code":"","country_id":1}
,{"id":1732,"pid":164,"name":"丰城市","level":4,"area_code":"360981000000","town_code":"","country_id":1}
,{"id":1733,"pid":164,"name":"樟树市","level":4,"area_code":"360982000000","town_code":"","country_id":1}
,{"id":1734,"pid":164,"name":"高安市","level":4,"area_code":"360983000000","town_code":"","country_id":1}
,{"id":1735,"pid":165,"name":"市辖区","level":4,"area_code":"361001000000","town_code":"","country_id":1}
,{"id":1736,"pid":165,"name":"临川区","level":4,"area_code":"361002000000","town_code":"","country_id":1}
,{"id":1737,"pid":165,"name":"东乡区","level":4,"area_code":"361003000000","town_code":"","country_id":1}
,{"id":1738,"pid":165,"name":"南城县","level":4,"area_code":"361021000000","town_code":"","country_id":1}
,{"id":1739,"pid":165,"name":"黎川县","level":4,"area_code":"361022000000","town_code":"","country_id":1}
,{"id":1740,"pid":165,"name":"南丰县","level":4,"area_code":"361023000000","town_code":"","country_id":1}
,{"id":1741,"pid":165,"name":"崇仁县","level":4,"area_code":"361024000000","town_code":"","country_id":1}
,{"id":1742,"pid":165,"name":"乐安县","level":4,"area_code":"361025000000","town_code":"","country_id":1}
,{"id":1743,"pid":165,"name":"宜黄县","level":4,"area_code":"361026000000","town_code":"","country_id":1}
,{"id":1744,"pid":165,"name":"金溪县","level":4,"area_code":"361027000000","town_code":"","country_id":1}
,{"id":1745,"pid":165,"name":"资溪县","level":4,"area_code":"361028000000","town_code":"","country_id":1}
,{"id":1746,"pid":165,"name":"广昌县","level":4,"area_code":"361030000000","town_code":"","country_id":1}
,{"id":1747,"pid":166,"name":"市辖区","level":4,"area_code":"361101000000","town_code":"","country_id":1}
,{"id":1748,"pid":166,"name":"信州区","level":4,"area_code":"361102000000","town_code":"","country_id":1}
,{"id":1749,"pid":166,"name":"广丰区","level":4,"area_code":"361103000000","town_code":"","country_id":1}
,{"id":1750,"pid":166,"name":"广信区","level":4,"area_code":"361104000000","town_code":"","country_id":1}
,{"id":1751,"pid":166,"name":"玉山县","level":4,"area_code":"361123000000","town_code":"","country_id":1}
,{"id":1752,"pid":166,"name":"铅山县","level":4,"area_code":"361124000000","town_code":"","country_id":1}
,{"id":1753,"pid":166,"name":"横峰县","level":4,"area_code":"361125000000","town_code":"","country_id":1}
,{"id":1754,"pid":166,"name":"弋阳县","level":4,"area_code":"361126000000","town_code":"","country_id":1}
,{"id":1755,"pid":166,"name":"余干县","level":4,"area_code":"361127000000","town_code":"","country_id":1}
,{"id":1756,"pid":166,"name":"鄱阳县","level":4,"area_code":"361128000000","town_code":"","country_id":1}
,{"id":1757,"pid":166,"name":"万年县","level":4,"area_code":"361129000000","town_code":"","country_id":1}
,{"id":1758,"pid":166,"name":"婺源县","level":4,"area_code":"361130000000","town_code":"","country_id":1}
,{"id":1759,"pid":166,"name":"德兴市","level":4,"area_code":"361181000000","town_code":"","country_id":1}
,{"id":1760,"pid":167,"name":"市辖区","level":4,"area_code":"370101000000","town_code":"","country_id":1}
,{"id":1761,"pid":167,"name":"历下区","level":4,"area_code":"370102000000","town_code":"","country_id":1}
,{"id":1762,"pid":167,"name":"市中区","level":4,"area_code":"370103000000","town_code":"","country_id":1}
,{"id":1763,"pid":167,"name":"槐荫区","level":4,"area_code":"370104000000","town_code":"","country_id":1}
,{"id":1764,"pid":167,"name":"天桥区","level":4,"area_code":"370105000000","town_code":"","country_id":1}
,{"id":1765,"pid":167,"name":"历城区","level":4,"area_code":"370112000000","town_code":"","country_id":1}
,{"id":1766,"pid":167,"name":"长清区","level":4,"area_code":"370113000000","town_code":"","country_id":1}
,{"id":1767,"pid":167,"name":"章丘区","level":4,"area_code":"370114000000","town_code":"","country_id":1}
,{"id":1768,"pid":167,"name":"济阳区","level":4,"area_code":"370115000000","town_code":"","country_id":1}
,{"id":1769,"pid":167,"name":"莱芜区","level":4,"area_code":"370116000000","town_code":"","country_id":1}
,{"id":1770,"pid":167,"name":"钢城区","level":4,"area_code":"370117000000","town_code":"","country_id":1}
,{"id":1771,"pid":167,"name":"平阴县","level":4,"area_code":"370124000000","town_code":"","country_id":1}
,{"id":1772,"pid":167,"name":"商河县","level":4,"area_code":"370126000000","town_code":"","country_id":1}
,{"id":1773,"pid":167,"name":"济南高新技术产业开发区","level":4,"area_code":"370176000000","town_code":"","country_id":1}
,{"id":1774,"pid":168,"name":"市辖区","level":4,"area_code":"370201000000","town_code":"","country_id":1}
,{"id":1775,"pid":168,"name":"市南区","level":4,"area_code":"370202000000","town_code":"","country_id":1}
,{"id":1776,"pid":168,"name":"市北区","level":4,"area_code":"370203000000","town_code":"","country_id":1}
,{"id":1777,"pid":168,"name":"黄岛区","level":4,"area_code":"370211000000","town_code":"","country_id":1}
,{"id":1778,"pid":168,"name":"崂山区","level":4,"area_code":"370212000000","town_code":"","country_id":1}
,{"id":1779,"pid":168,"name":"李沧区","level":4,"area_code":"370213000000","town_code":"","country_id":1}
,{"id":1780,"pid":168,"name":"城阳区","level":4,"area_code":"370214000000","town_code":"","country_id":1}
,{"id":1781,"pid":168,"name":"即墨区","level":4,"area_code":"370215000000","town_code":"","country_id":1}
,{"id":1782,"pid":168,"name":"胶州市","level":4,"area_code":"370281000000","town_code":"","country_id":1}
,{"id":1783,"pid":168,"name":"平度市","level":4,"area_code":"370283000000","town_code":"","country_id":1}
,{"id":1784,"pid":168,"name":"莱西市","level":4,"area_code":"370285000000","town_code":"","country_id":1}
,{"id":1785,"pid":169,"name":"市辖区","level":4,"area_code":"370301000000","town_code":"","country_id":1}
,{"id":1786,"pid":169,"name":"淄川区","level":4,"area_code":"370302000000","town_code":"","country_id":1}
,{"id":1787,"pid":169,"name":"张店区","level":4,"area_code":"370303000000","town_code":"","country_id":1}
,{"id":1788,"pid":169,"name":"博山区","level":4,"area_code":"370304000000","town_code":"","country_id":1}
,{"id":1789,"pid":169,"name":"临淄区","level":4,"area_code":"370305000000","town_code":"","country_id":1}
,{"id":1790,"pid":169,"name":"周村区","level":4,"area_code":"370306000000","town_code":"","country_id":1}
,{"id":1791,"pid":169,"name":"桓台县","level":4,"area_code":"370321000000","town_code":"","country_id":1}
,{"id":1792,"pid":169,"name":"高青县","level":4,"area_code":"370322000000","town_code":"","country_id":1}
,{"id":1793,"pid":169,"name":"沂源县","level":4,"area_code":"370323000000","town_code":"","country_id":1}
,{"id":1794,"pid":170,"name":"市辖区","level":4,"area_code":"370401000000","town_code":"","country_id":1}
,{"id":1795,"pid":170,"name":"市中区","level":4,"area_code":"370402000000","town_code":"","country_id":1}
,{"id":1796,"pid":170,"name":"薛城区","level":4,"area_code":"370403000000","town_code":"","country_id":1}
,{"id":1797,"pid":170,"name":"峄城区","level":4,"area_code":"370404000000","town_code":"","country_id":1}
,{"id":1798,"pid":170,"name":"台儿庄区","level":4,"area_code":"370405000000","town_code":"","country_id":1}
,{"id":1799,"pid":170,"name":"山亭区","level":4,"area_code":"370406000000","town_code":"","country_id":1}
,{"id":1800,"pid":170,"name":"滕州市","level":4,"area_code":"370481000000","town_code":"","country_id":1}
,{"id":1801,"pid":171,"name":"市辖区","level":4,"area_code":"370501000000","town_code":"","country_id":1}
,{"id":1802,"pid":171,"name":"东营区","level":4,"area_code":"370502000000","town_code":"","country_id":1}
,{"id":1803,"pid":171,"name":"河口区","level":4,"area_code":"370503000000","town_code":"","country_id":1}
,{"id":1804,"pid":171,"name":"垦利区","level":4,"area_code":"370505000000","town_code":"","country_id":1}
,{"id":1805,"pid":171,"name":"利津县","level":4,"area_code":"370522000000","town_code":"","country_id":1}
,{"id":1806,"pid":171,"name":"广饶县","level":4,"area_code":"370523000000","town_code":"","country_id":1}
,{"id":1807,"pid":171,"name":"东营经济技术开发区","level":4,"area_code":"370571000000","town_code":"","country_id":1}
,{"id":1808,"pid":171,"name":"东营港经济开发区","level":4,"area_code":"370572000000","town_code":"","country_id":1}
,{"id":1809,"pid":172,"name":"市辖区","level":4,"area_code":"370601000000","town_code":"","country_id":1}
,{"id":1810,"pid":172,"name":"芝罘区","level":4,"area_code":"370602000000","town_code":"","country_id":1}
,{"id":1811,"pid":172,"name":"福山区","level":4,"area_code":"370611000000","town_code":"","country_id":1}
,{"id":1812,"pid":172,"name":"牟平区","level":4,"area_code":"370612000000","town_code":"","country_id":1}
,{"id":1813,"pid":172,"name":"莱山区","level":4,"area_code":"370613000000","town_code":"","country_id":1}
,{"id":1814,"pid":172,"name":"蓬莱区","level":4,"area_code":"370614000000","town_code":"","country_id":1}
,{"id":1815,"pid":172,"name":"烟台高新技术产业开发区","level":4,"area_code":"370671000000","town_code":"","country_id":1}
,{"id":1816,"pid":172,"name":"烟台经济技术开发区","level":4,"area_code":"370676000000","town_code":"","country_id":1}
,{"id":1817,"pid":172,"name":"龙口市","level":4,"area_code":"370681000000","town_code":"","country_id":1}
,{"id":1818,"pid":172,"name":"莱阳市","level":4,"area_code":"370682000000","town_code":"","country_id":1}
,{"id":1819,"pid":172,"name":"莱州市","level":4,"area_code":"370683000000","town_code":"","country_id":1}
,{"id":1820,"pid":172,"name":"招远市","level":4,"area_code":"370685000000","town_code":"","country_id":1}
,{"id":1821,"pid":172,"name":"栖霞市","level":4,"area_code":"370686000000","town_code":"","country_id":1}
,{"id":1822,"pid":172,"name":"海阳市","level":4,"area_code":"370687000000","town_code":"","country_id":1}
,{"id":1823,"pid":173,"name":"市辖区","level":4,"area_code":"370701000000","town_code":"","country_id":1}
,{"id":1824,"pid":173,"name":"潍城区","level":4,"area_code":"370702000000","town_code":"","country_id":1}
,{"id":1825,"pid":173,"name":"寒亭区","level":4,"area_code":"370703000000","town_code":"","country_id":1}
,{"id":1826,"pid":173,"name":"坊子区","level":4,"area_code":"370704000000","town_code":"","country_id":1}
,{"id":1827,"pid":173,"name":"奎文区","level":4,"area_code":"370705000000","town_code":"","country_id":1}
,{"id":1828,"pid":173,"name":"临朐县","level":4,"area_code":"370724000000","town_code":"","country_id":1}
,{"id":1829,"pid":173,"name":"昌乐县","level":4,"area_code":"370725000000","town_code":"","country_id":1}
,{"id":1830,"pid":173,"name":"潍坊滨海经济技术开发区","level":4,"area_code":"370772000000","town_code":"","country_id":1}
,{"id":1831,"pid":173,"name":"青州市","level":4,"area_code":"370781000000","town_code":"","country_id":1}
,{"id":1832,"pid":173,"name":"诸城市","level":4,"area_code":"370782000000","town_code":"","country_id":1}
,{"id":1833,"pid":173,"name":"寿光市","level":4,"area_code":"370783000000","town_code":"","country_id":1}
,{"id":1834,"pid":173,"name":"安丘市","level":4,"area_code":"370784000000","town_code":"","country_id":1}
,{"id":1835,"pid":173,"name":"高密市","level":4,"area_code":"370785000000","town_code":"","country_id":1}
,{"id":1836,"pid":173,"name":"昌邑市","level":4,"area_code":"370786000000","town_code":"","country_id":1}
,{"id":1837,"pid":174,"name":"市辖区","level":4,"area_code":"370801000000","town_code":"","country_id":1}
,{"id":1838,"pid":174,"name":"任城区","level":4,"area_code":"370811000000","town_code":"","country_id":1}
,{"id":1839,"pid":174,"name":"兖州区","level":4,"area_code":"370812000000","town_code":"","country_id":1}
,{"id":1840,"pid":174,"name":"微山县","level":4,"area_code":"370826000000","town_code":"","country_id":1}
,{"id":1841,"pid":174,"name":"鱼台县","level":4,"area_code":"370827000000","town_code":"","country_id":1}
,{"id":1842,"pid":174,"name":"金乡县","level":4,"area_code":"370828000000","town_code":"","country_id":1}
,{"id":1843,"pid":174,"name":"嘉祥县","level":4,"area_code":"370829000000","town_code":"","country_id":1}
,{"id":1844,"pid":174,"name":"汶上县","level":4,"area_code":"370830000000","town_code":"","country_id":1}
,{"id":1845,"pid":174,"name":"泗水县","level":4,"area_code":"370831000000","town_code":"","country_id":1}
,{"id":1846,"pid":174,"name":"梁山县","level":4,"area_code":"370832000000","town_code":"","country_id":1}
,{"id":1847,"pid":174,"name":"济宁高新技术产业开发区","level":4,"area_code":"370871000000","town_code":"","country_id":1}
,{"id":1848,"pid":174,"name":"曲阜市","level":4,"area_code":"370881000000","town_code":"","country_id":1}
,{"id":1849,"pid":174,"name":"邹城市","level":4,"area_code":"370883000000","town_code":"","country_id":1}
,{"id":1850,"pid":175,"name":"市辖区","level":4,"area_code":"370901000000","town_code":"","country_id":1}
,{"id":1851,"pid":175,"name":"泰山区","level":4,"area_code":"370902000000","town_code":"","country_id":1}
,{"id":1852,"pid":175,"name":"岱岳区","level":4,"area_code":"370911000000","town_code":"","country_id":1}
,{"id":1853,"pid":175,"name":"宁阳县","level":4,"area_code":"370921000000","town_code":"","country_id":1}
,{"id":1854,"pid":175,"name":"东平县","level":4,"area_code":"370923000000","town_code":"","country_id":1}
,{"id":1855,"pid":175,"name":"新泰市","level":4,"area_code":"370982000000","town_code":"","country_id":1}
,{"id":1856,"pid":175,"name":"肥城市","level":4,"area_code":"370983000000","town_code":"","country_id":1}
,{"id":1857,"pid":176,"name":"市辖区","level":4,"area_code":"371001000000","town_code":"","country_id":1}
,{"id":1858,"pid":176,"name":"环翠区","level":4,"area_code":"371002000000","town_code":"","country_id":1}
,{"id":1859,"pid":176,"name":"文登区","level":4,"area_code":"371003000000","town_code":"","country_id":1}
,{"id":1860,"pid":176,"name":"威海火炬高技术产业开发区","level":4,"area_code":"371071000000","town_code":"","country_id":1}
,{"id":1861,"pid":176,"name":"威海经济技术开发区","level":4,"area_code":"371072000000","town_code":"","country_id":1}
,{"id":1862,"pid":176,"name":"威海临港经济技术开发区","level":4,"area_code":"371073000000","town_code":"","country_id":1}
,{"id":1863,"pid":176,"name":"荣成市","level":4,"area_code":"371082000000","town_code":"","country_id":1}
,{"id":1864,"pid":176,"name":"乳山市","level":4,"area_code":"371083000000","town_code":"","country_id":1}
,{"id":1865,"pid":177,"name":"市辖区","level":4,"area_code":"371101000000","town_code":"","country_id":1}
,{"id":1866,"pid":177,"name":"东港区","level":4,"area_code":"371102000000","town_code":"","country_id":1}
,{"id":1867,"pid":177,"name":"岚山区","level":4,"area_code":"371103000000","town_code":"","country_id":1}
,{"id":1868,"pid":177,"name":"五莲县","level":4,"area_code":"371121000000","town_code":"","country_id":1}
,{"id":1869,"pid":177,"name":"莒县","level":4,"area_code":"371122000000","town_code":"","country_id":1}
,{"id":1870,"pid":177,"name":"日照经济技术开发区","level":4,"area_code":"371171000000","town_code":"","country_id":1}
,{"id":1871,"pid":178,"name":"市辖区","level":4,"area_code":"371301000000","town_code":"","country_id":1}
,{"id":1872,"pid":178,"name":"兰山区","level":4,"area_code":"371302000000","town_code":"","country_id":1}
,{"id":1873,"pid":178,"name":"罗庄区","level":4,"area_code":"371311000000","town_code":"","country_id":1}
,{"id":1874,"pid":178,"name":"河东区","level":4,"area_code":"371312000000","town_code":"","country_id":1}
,{"id":1875,"pid":178,"name":"沂南县","level":4,"area_code":"371321000000","town_code":"","country_id":1}
,{"id":1876,"pid":178,"name":"郯城县","level":4,"area_code":"371322000000","town_code":"","country_id":1}
,{"id":1877,"pid":178,"name":"沂水县","level":4,"area_code":"371323000000","town_code":"","country_id":1}
,{"id":1878,"pid":178,"name":"兰陵县","level":4,"area_code":"371324000000","town_code":"","country_id":1}
,{"id":1879,"pid":178,"name":"费县","level":4,"area_code":"371325000000","town_code":"","country_id":1}
,{"id":1880,"pid":178,"name":"平邑县","level":4,"area_code":"371326000000","town_code":"","country_id":1}
,{"id":1881,"pid":178,"name":"莒南县","level":4,"area_code":"371327000000","town_code":"","country_id":1}
,{"id":1882,"pid":178,"name":"蒙阴县","level":4,"area_code":"371328000000","town_code":"","country_id":1}
,{"id":1883,"pid":178,"name":"临沭县","level":4,"area_code":"371329000000","town_code":"","country_id":1}
,{"id":1884,"pid":178,"name":"临沂高新技术产业开发区","level":4,"area_code":"371371000000","town_code":"","country_id":1}
,{"id":1885,"pid":179,"name":"市辖区","level":4,"area_code":"371401000000","town_code":"","country_id":1}
,{"id":1886,"pid":179,"name":"德城区","level":4,"area_code":"371402000000","town_code":"","country_id":1}
,{"id":1887,"pid":179,"name":"陵城区","level":4,"area_code":"371403000000","town_code":"","country_id":1}
,{"id":1888,"pid":179,"name":"宁津县","level":4,"area_code":"371422000000","town_code":"","country_id":1}
,{"id":1889,"pid":179,"name":"庆云县","level":4,"area_code":"371423000000","town_code":"","country_id":1}
,{"id":1890,"pid":179,"name":"临邑县","level":4,"area_code":"371424000000","town_code":"","country_id":1}
,{"id":1891,"pid":179,"name":"齐河县","level":4,"area_code":"371425000000","town_code":"","country_id":1}
,{"id":1892,"pid":179,"name":"平原县","level":4,"area_code":"371426000000","town_code":"","country_id":1}
,{"id":1893,"pid":179,"name":"夏津县","level":4,"area_code":"371427000000","town_code":"","country_id":1}
,{"id":1894,"pid":179,"name":"武城县","level":4,"area_code":"371428000000","town_code":"","country_id":1}
,{"id":1895,"pid":179,"name":"德州天衢新区","level":4,"area_code":"371471000000","town_code":"","country_id":1}
,{"id":1896,"pid":179,"name":"乐陵市","level":4,"area_code":"371481000000","town_code":"","country_id":1}
,{"id":1897,"pid":179,"name":"禹城市","level":4,"area_code":"371482000000","town_code":"","country_id":1}
,{"id":1898,"pid":180,"name":"市辖区","level":4,"area_code":"371501000000","town_code":"","country_id":1}
,{"id":1899,"pid":180,"name":"东昌府区","level":4,"area_code":"371502000000","town_code":"","country_id":1}
,{"id":1900,"pid":180,"name":"茌平区","level":4,"area_code":"371503000000","town_code":"","country_id":1}
,{"id":1901,"pid":180,"name":"阳谷县","level":4,"area_code":"371521000000","town_code":"","country_id":1}
,{"id":1902,"pid":180,"name":"莘县","level":4,"area_code":"371522000000","town_code":"","country_id":1}
,{"id":1903,"pid":180,"name":"东阿县","level":4,"area_code":"371524000000","town_code":"","country_id":1}
,{"id":1904,"pid":180,"name":"冠县","level":4,"area_code":"371525000000","town_code":"","country_id":1}
,{"id":1905,"pid":180,"name":"高唐县","level":4,"area_code":"371526000000","town_code":"","country_id":1}
,{"id":1906,"pid":180,"name":"临清市","level":4,"area_code":"371581000000","town_code":"","country_id":1}
,{"id":1907,"pid":181,"name":"市辖区","level":4,"area_code":"371601000000","town_code":"","country_id":1}
,{"id":1908,"pid":181,"name":"滨城区","level":4,"area_code":"371602000000","town_code":"","country_id":1}
,{"id":1909,"pid":181,"name":"沾化区","level":4,"area_code":"371603000000","town_code":"","country_id":1}
,{"id":1910,"pid":181,"name":"惠民县","level":4,"area_code":"371621000000","town_code":"","country_id":1}
,{"id":1911,"pid":181,"name":"阳信县","level":4,"area_code":"371622000000","town_code":"","country_id":1}
,{"id":1912,"pid":181,"name":"无棣县","level":4,"area_code":"371623000000","town_code":"","country_id":1}
,{"id":1913,"pid":181,"name":"博兴县","level":4,"area_code":"371625000000","town_code":"","country_id":1}
,{"id":1914,"pid":181,"name":"邹平市","level":4,"area_code":"371681000000","town_code":"","country_id":1}
,{"id":1915,"pid":182,"name":"市辖区","level":4,"area_code":"371701000000","town_code":"","country_id":1}
,{"id":1916,"pid":182,"name":"牡丹区","level":4,"area_code":"371702000000","town_code":"","country_id":1}
,{"id":1917,"pid":182,"name":"定陶区","level":4,"area_code":"371703000000","town_code":"","country_id":1}
,{"id":1918,"pid":182,"name":"曹县","level":4,"area_code":"371721000000","town_code":"","country_id":1}
,{"id":1919,"pid":182,"name":"单县","level":4,"area_code":"371722000000","town_code":"","country_id":1}
,{"id":1920,"pid":182,"name":"成武县","level":4,"area_code":"371723000000","town_code":"","country_id":1}
,{"id":1921,"pid":182,"name":"巨野县","level":4,"area_code":"371724000000","town_code":"","country_id":1}
,{"id":1922,"pid":182,"name":"郓城县","level":4,"area_code":"371725000000","town_code":"","country_id":1}
,{"id":1923,"pid":182,"name":"鄄城县","level":4,"area_code":"371726000000","town_code":"","country_id":1}
,{"id":1924,"pid":182,"name":"东明县","level":4,"area_code":"371728000000","town_code":"","country_id":1}
,{"id":1925,"pid":182,"name":"菏泽经济技术开发区","level":4,"area_code":"371771000000","town_code":"","country_id":1}
,{"id":1926,"pid":182,"name":"菏泽高新技术开发区","level":4,"area_code":"371772000000","town_code":"","country_id":1}
,{"id":1927,"pid":183,"name":"市辖区","level":4,"area_code":"410101000000","town_code":"","country_id":1}
,{"id":1928,"pid":183,"name":"中原区","level":4,"area_code":"410102000000","town_code":"","country_id":1}
,{"id":1929,"pid":183,"name":"二七区","level":4,"area_code":"410103000000","town_code":"","country_id":1}
,{"id":1930,"pid":183,"name":"管城回族区","level":4,"area_code":"410104000000","town_code":"","country_id":1}
,{"id":1931,"pid":183,"name":"金水区","level":4,"area_code":"410105000000","town_code":"","country_id":1}
,{"id":1932,"pid":183,"name":"上街区","level":4,"area_code":"410106000000","town_code":"","country_id":1}
,{"id":1933,"pid":183,"name":"惠济区","level":4,"area_code":"410108000000","town_code":"","country_id":1}
,{"id":1934,"pid":183,"name":"中牟县","level":4,"area_code":"410122000000","town_code":"","country_id":1}
,{"id":1935,"pid":183,"name":"郑州经济技术开发区","level":4,"area_code":"410171000000","town_code":"","country_id":1}
,{"id":1936,"pid":183,"name":"郑州高新技术产业开发区","level":4,"area_code":"410172000000","town_code":"","country_id":1}
,{"id":1937,"pid":183,"name":"郑州航空港经济综合实验区","level":4,"area_code":"410173000000","town_code":"","country_id":1}
,{"id":1938,"pid":183,"name":"巩义市","level":4,"area_code":"410181000000","town_code":"","country_id":1}
,{"id":1939,"pid":183,"name":"荥阳市","level":4,"area_code":"410182000000","town_code":"","country_id":1}
,{"id":1940,"pid":183,"name":"新密市","level":4,"area_code":"410183000000","town_code":"","country_id":1}
,{"id":1941,"pid":183,"name":"新郑市","level":4,"area_code":"410184000000","town_code":"","country_id":1}
,{"id":1942,"pid":183,"name":"登封市","level":4,"area_code":"410185000000","town_code":"","country_id":1}
,{"id":1943,"pid":184,"name":"市辖区","level":4,"area_code":"410201000000","town_code":"","country_id":1}
,{"id":1944,"pid":184,"name":"龙亭区","level":4,"area_code":"410202000000","town_code":"","country_id":1}
,{"id":1945,"pid":184,"name":"顺河回族区","level":4,"area_code":"410203000000","town_code":"","country_id":1}
,{"id":1946,"pid":184,"name":"鼓楼区","level":4,"area_code":"410204000000","town_code":"","country_id":1}
,{"id":1947,"pid":184,"name":"禹王台区","level":4,"area_code":"410205000000","town_code":"","country_id":1}
,{"id":1948,"pid":184,"name":"祥符区","level":4,"area_code":"410212000000","town_code":"","country_id":1}
,{"id":1949,"pid":184,"name":"杞县","level":4,"area_code":"410221000000","town_code":"","country_id":1}
,{"id":1950,"pid":184,"name":"通许县","level":4,"area_code":"410222000000","town_code":"","country_id":1}
,{"id":1951,"pid":184,"name":"尉氏县","level":4,"area_code":"410223000000","town_code":"","country_id":1}
,{"id":1952,"pid":184,"name":"兰考县","level":4,"area_code":"410225000000","town_code":"","country_id":1}
,{"id":1953,"pid":185,"name":"市辖区","level":4,"area_code":"410301000000","town_code":"","country_id":1}
,{"id":1954,"pid":185,"name":"老城区","level":4,"area_code":"410302000000","town_code":"","country_id":1}
,{"id":1955,"pid":185,"name":"西工区","level":4,"area_code":"410303000000","town_code":"","country_id":1}
,{"id":1956,"pid":185,"name":"瀍河回族区","level":4,"area_code":"410304000000","town_code":"","country_id":1}
,{"id":1957,"pid":185,"name":"涧西区","level":4,"area_code":"410305000000","town_code":"","country_id":1}
,{"id":1958,"pid":185,"name":"偃师区","level":4,"area_code":"410307000000","town_code":"","country_id":1}
,{"id":1959,"pid":185,"name":"孟津区","level":4,"area_code":"410308000000","town_code":"","country_id":1}
,{"id":1960,"pid":185,"name":"洛龙区","level":4,"area_code":"410311000000","town_code":"","country_id":1}
,{"id":1961,"pid":185,"name":"新安县","level":4,"area_code":"410323000000","town_code":"","country_id":1}
,{"id":1962,"pid":185,"name":"栾川县","level":4,"area_code":"410324000000","town_code":"","country_id":1}
,{"id":1963,"pid":185,"name":"嵩县","level":4,"area_code":"410325000000","town_code":"","country_id":1}
,{"id":1964,"pid":185,"name":"汝阳县","level":4,"area_code":"410326000000","town_code":"","country_id":1}
,{"id":1965,"pid":185,"name":"宜阳县","level":4,"area_code":"410327000000","town_code":"","country_id":1}
,{"id":1966,"pid":185,"name":"洛宁县","level":4,"area_code":"410328000000","town_code":"","country_id":1}
,{"id":1967,"pid":185,"name":"伊川县","level":4,"area_code":"410329000000","town_code":"","country_id":1}
,{"id":1968,"pid":185,"name":"洛阳高新技术产业开发区","level":4,"area_code":"410371000000","town_code":"","country_id":1}
,{"id":1969,"pid":186,"name":"市辖区","level":4,"area_code":"410401000000","town_code":"","country_id":1}
,{"id":1970,"pid":186,"name":"新华区","level":4,"area_code":"410402000000","town_code":"","country_id":1}
,{"id":1971,"pid":186,"name":"卫东区","level":4,"area_code":"410403000000","town_code":"","country_id":1}
,{"id":1972,"pid":186,"name":"石龙区","level":4,"area_code":"410404000000","town_code":"","country_id":1}
,{"id":1973,"pid":186,"name":"湛河区","level":4,"area_code":"410411000000","town_code":"","country_id":1}
,{"id":1974,"pid":186,"name":"宝丰县","level":4,"area_code":"410421000000","town_code":"","country_id":1}
,{"id":1975,"pid":186,"name":"叶县","level":4,"area_code":"410422000000","town_code":"","country_id":1}
,{"id":1976,"pid":186,"name":"鲁山县","level":4,"area_code":"410423000000","town_code":"","country_id":1}
,{"id":1977,"pid":186,"name":"郏县","level":4,"area_code":"410425000000","town_code":"","country_id":1}
,{"id":1978,"pid":186,"name":"平顶山高新技术产业开发区","level":4,"area_code":"410471000000","town_code":"","country_id":1}
,{"id":1979,"pid":186,"name":"平顶山市城乡一体化示范区","level":4,"area_code":"410472000000","town_code":"","country_id":1}
,{"id":1980,"pid":186,"name":"舞钢市","level":4,"area_code":"410481000000","town_code":"","country_id":1}
,{"id":1981,"pid":186,"name":"汝州市","level":4,"area_code":"410482000000","town_code":"","country_id":1}
,{"id":1982,"pid":187,"name":"市辖区","level":4,"area_code":"410501000000","town_code":"","country_id":1}
,{"id":1983,"pid":187,"name":"文峰区","level":4,"area_code":"410502000000","town_code":"","country_id":1}
,{"id":1984,"pid":187,"name":"北关区","level":4,"area_code":"410503000000","town_code":"","country_id":1}
,{"id":1985,"pid":187,"name":"殷都区","level":4,"area_code":"410505000000","town_code":"","country_id":1}
,{"id":1986,"pid":187,"name":"龙安区","level":4,"area_code":"410506000000","town_code":"","country_id":1}
,{"id":1987,"pid":187,"name":"安阳县","level":4,"area_code":"410522000000","town_code":"","country_id":1}
,{"id":1988,"pid":187,"name":"汤阴县","level":4,"area_code":"410523000000","town_code":"","country_id":1}
,{"id":1989,"pid":187,"name":"滑县","level":4,"area_code":"410526000000","town_code":"","country_id":1}
,{"id":1990,"pid":187,"name":"内黄县","level":4,"area_code":"410527000000","town_code":"","country_id":1}
,{"id":1991,"pid":187,"name":"安阳高新技术产业开发区","level":4,"area_code":"410571000000","town_code":"","country_id":1}
,{"id":1992,"pid":187,"name":"林州市","level":4,"area_code":"410581000000","town_code":"","country_id":1}
,{"id":1993,"pid":188,"name":"市辖区","level":4,"area_code":"410601000000","town_code":"","country_id":1}
,{"id":1994,"pid":188,"name":"鹤山区","level":4,"area_code":"410602000000","town_code":"","country_id":1}
,{"id":1995,"pid":188,"name":"山城区","level":4,"area_code":"410603000000","town_code":"","country_id":1}
,{"id":1996,"pid":188,"name":"淇滨区","level":4,"area_code":"410611000000","town_code":"","country_id":1}
,{"id":1997,"pid":188,"name":"浚县","level":4,"area_code":"410621000000","town_code":"","country_id":1}
,{"id":1998,"pid":188,"name":"淇县","level":4,"area_code":"410622000000","town_code":"","country_id":1}
,{"id":1999,"pid":188,"name":"鹤壁经济技术开发区","level":4,"area_code":"410671000000","town_code":"","country_id":1}
,{"id":2000,"pid":189,"name":"市辖区","level":4,"area_code":"410701000000","town_code":"","country_id":1}
,{"id":2001,"pid":189,"name":"红旗区","level":4,"area_code":"410702000000","town_code":"","country_id":1}
,{"id":2002,"pid":189,"name":"卫滨区","level":4,"area_code":"410703000000","town_code":"","country_id":1}
,{"id":2003,"pid":189,"name":"凤泉区","level":4,"area_code":"410704000000","town_code":"","country_id":1}
,{"id":2004,"pid":189,"name":"牧野区","level":4,"area_code":"410711000000","town_code":"","country_id":1}
,{"id":2005,"pid":189,"name":"新乡县","level":4,"area_code":"410721000000","town_code":"","country_id":1}
,{"id":2006,"pid":189,"name":"获嘉县","level":4,"area_code":"410724000000","town_code":"","country_id":1}
,{"id":2007,"pid":189,"name":"原阳县","level":4,"area_code":"410725000000","town_code":"","country_id":1}
,{"id":2008,"pid":189,"name":"延津县","level":4,"area_code":"410726000000","town_code":"","country_id":1}
,{"id":2009,"pid":189,"name":"封丘县","level":4,"area_code":"410727000000","town_code":"","country_id":1}
,{"id":2010,"pid":189,"name":"新乡高新技术产业开发区","level":4,"area_code":"410771000000","town_code":"","country_id":1}
,{"id":2011,"pid":189,"name":"新乡经济技术开发区","level":4,"area_code":"410772000000","town_code":"","country_id":1}
,{"id":2012,"pid":189,"name":"新乡市平原城乡一体化示范区","level":4,"area_code":"410773000000","town_code":"","country_id":1}
,{"id":2013,"pid":189,"name":"卫辉市","level":4,"area_code":"410781000000","town_code":"","country_id":1}
,{"id":2014,"pid":189,"name":"辉县市","level":4,"area_code":"410782000000","town_code":"","country_id":1}
,{"id":2015,"pid":189,"name":"长垣市","level":4,"area_code":"410783000000","town_code":"","country_id":1}
,{"id":2016,"pid":190,"name":"市辖区","level":4,"area_code":"410801000000","town_code":"","country_id":1}
,{"id":2017,"pid":190,"name":"解放区","level":4,"area_code":"410802000000","town_code":"","country_id":1}
,{"id":2018,"pid":190,"name":"中站区","level":4,"area_code":"410803000000","town_code":"","country_id":1}
,{"id":2019,"pid":190,"name":"马村区","level":4,"area_code":"410804000000","town_code":"","country_id":1}
,{"id":2020,"pid":190,"name":"山阳区","level":4,"area_code":"410811000000","town_code":"","country_id":1}
,{"id":2021,"pid":190,"name":"修武县","level":4,"area_code":"410821000000","town_code":"","country_id":1}
,{"id":2022,"pid":190,"name":"博爱县","level":4,"area_code":"410822000000","town_code":"","country_id":1}
,{"id":2023,"pid":190,"name":"武陟县","level":4,"area_code":"410823000000","town_code":"","country_id":1}
,{"id":2024,"pid":190,"name":"温县","level":4,"area_code":"410825000000","town_code":"","country_id":1}
,{"id":2025,"pid":190,"name":"焦作城乡一体化示范区","level":4,"area_code":"410871000000","town_code":"","country_id":1}
,{"id":2026,"pid":190,"name":"沁阳市","level":4,"area_code":"410882000000","town_code":"","country_id":1}
,{"id":2027,"pid":190,"name":"孟州市","level":4,"area_code":"410883000000","town_code":"","country_id":1}
,{"id":2028,"pid":191,"name":"市辖区","level":4,"area_code":"410901000000","town_code":"","country_id":1}
,{"id":2029,"pid":191,"name":"华龙区","level":4,"area_code":"410902000000","town_code":"","country_id":1}
,{"id":2030,"pid":191,"name":"清丰县","level":4,"area_code":"410922000000","town_code":"","country_id":1}
,{"id":2031,"pid":191,"name":"南乐县","level":4,"area_code":"410923000000","town_code":"","country_id":1}
,{"id":2032,"pid":191,"name":"范县","level":4,"area_code":"410926000000","town_code":"","country_id":1}
,{"id":2033,"pid":191,"name":"台前县","level":4,"area_code":"410927000000","town_code":"","country_id":1}
,{"id":2034,"pid":191,"name":"濮阳县","level":4,"area_code":"410928000000","town_code":"","country_id":1}
,{"id":2035,"pid":191,"name":"河南濮阳工业园区","level":4,"area_code":"410971000000","town_code":"","country_id":1}
,{"id":2036,"pid":191,"name":"濮阳经济技术开发区","level":4,"area_code":"410972000000","town_code":"","country_id":1}
,{"id":2037,"pid":192,"name":"市辖区","level":4,"area_code":"411001000000","town_code":"","country_id":1}
,{"id":2038,"pid":192,"name":"魏都区","level":4,"area_code":"411002000000","town_code":"","country_id":1}
,{"id":2039,"pid":192,"name":"建安区","level":4,"area_code":"411003000000","town_code":"","country_id":1}
,{"id":2040,"pid":192,"name":"鄢陵县","level":4,"area_code":"411024000000","town_code":"","country_id":1}
,{"id":2041,"pid":192,"name":"襄城县","level":4,"area_code":"411025000000","town_code":"","country_id":1}
,{"id":2042,"pid":192,"name":"许昌经济技术开发区","level":4,"area_code":"411071000000","town_code":"","country_id":1}
,{"id":2043,"pid":192,"name":"禹州市","level":4,"area_code":"411081000000","town_code":"","country_id":1}
,{"id":2044,"pid":192,"name":"长葛市","level":4,"area_code":"411082000000","town_code":"","country_id":1}
,{"id":2045,"pid":193,"name":"市辖区","level":4,"area_code":"411101000000","town_code":"","country_id":1}
,{"id":2046,"pid":193,"name":"源汇区","level":4,"area_code":"411102000000","town_code":"","country_id":1}
,{"id":2047,"pid":193,"name":"郾城区","level":4,"area_code":"411103000000","town_code":"","country_id":1}
,{"id":2048,"pid":193,"name":"召陵区","level":4,"area_code":"411104000000","town_code":"","country_id":1}
,{"id":2049,"pid":193,"name":"舞阳县","level":4,"area_code":"411121000000","town_code":"","country_id":1}
,{"id":2050,"pid":193,"name":"临颍县","level":4,"area_code":"411122000000","town_code":"","country_id":1}
,{"id":2051,"pid":193,"name":"漯河经济技术开发区","level":4,"area_code":"411171000000","town_code":"","country_id":1}
,{"id":2052,"pid":194,"name":"市辖区","level":4,"area_code":"411201000000","town_code":"","country_id":1}
,{"id":2053,"pid":194,"name":"湖滨区","level":4,"area_code":"411202000000","town_code":"","country_id":1}
,{"id":2054,"pid":194,"name":"陕州区","level":4,"area_code":"411203000000","town_code":"","country_id":1}
,{"id":2055,"pid":194,"name":"渑池县","level":4,"area_code":"411221000000","town_code":"","country_id":1}
,{"id":2056,"pid":194,"name":"卢氏县","level":4,"area_code":"411224000000","town_code":"","country_id":1}
,{"id":2057,"pid":194,"name":"河南三门峡经济开发区","level":4,"area_code":"411271000000","town_code":"","country_id":1}
,{"id":2058,"pid":194,"name":"义马市","level":4,"area_code":"411281000000","town_code":"","country_id":1}
,{"id":2059,"pid":194,"name":"灵宝市","level":4,"area_code":"411282000000","town_code":"","country_id":1}
,{"id":2060,"pid":195,"name":"市辖区","level":4,"area_code":"411301000000","town_code":"","country_id":1}
,{"id":2061,"pid":195,"name":"宛城区","level":4,"area_code":"411302000000","town_code":"","country_id":1}
,{"id":2062,"pid":195,"name":"卧龙区","level":4,"area_code":"411303000000","town_code":"","country_id":1}
,{"id":2063,"pid":195,"name":"南召县","level":4,"area_code":"411321000000","town_code":"","country_id":1}
,{"id":2064,"pid":195,"name":"方城县","level":4,"area_code":"411322000000","town_code":"","country_id":1}
,{"id":2065,"pid":195,"name":"西峡县","level":4,"area_code":"411323000000","town_code":"","country_id":1}
,{"id":2066,"pid":195,"name":"镇平县","level":4,"area_code":"411324000000","town_code":"","country_id":1}
,{"id":2067,"pid":195,"name":"内乡县","level":4,"area_code":"411325000000","town_code":"","country_id":1}
,{"id":2068,"pid":195,"name":"淅川县","level":4,"area_code":"411326000000","town_code":"","country_id":1}
,{"id":2069,"pid":195,"name":"社旗县","level":4,"area_code":"411327000000","town_code":"","country_id":1}
,{"id":2070,"pid":195,"name":"唐河县","level":4,"area_code":"411328000000","town_code":"","country_id":1}
,{"id":2071,"pid":195,"name":"新野县","level":4,"area_code":"411329000000","town_code":"","country_id":1}
,{"id":2072,"pid":195,"name":"桐柏县","level":4,"area_code":"411330000000","town_code":"","country_id":1}
,{"id":2073,"pid":195,"name":"南阳高新技术产业开发区","level":4,"area_code":"411371000000","town_code":"","country_id":1}
,{"id":2074,"pid":195,"name":"南阳市城乡一体化示范区","level":4,"area_code":"411372000000","town_code":"","country_id":1}
,{"id":2075,"pid":195,"name":"邓州市","level":4,"area_code":"411381000000","town_code":"","country_id":1}
,{"id":2076,"pid":196,"name":"市辖区","level":4,"area_code":"411401000000","town_code":"","country_id":1}
,{"id":2077,"pid":196,"name":"梁园区","level":4,"area_code":"411402000000","town_code":"","country_id":1}
,{"id":2078,"pid":196,"name":"睢阳区","level":4,"area_code":"411403000000","town_code":"","country_id":1}
,{"id":2079,"pid":196,"name":"民权县","level":4,"area_code":"411421000000","town_code":"","country_id":1}
,{"id":2080,"pid":196,"name":"睢县","level":4,"area_code":"411422000000","town_code":"","country_id":1}
,{"id":2081,"pid":196,"name":"宁陵县","level":4,"area_code":"411423000000","town_code":"","country_id":1}
,{"id":2082,"pid":196,"name":"柘城县","level":4,"area_code":"411424000000","town_code":"","country_id":1}
,{"id":2083,"pid":196,"name":"虞城县","level":4,"area_code":"411425000000","town_code":"","country_id":1}
,{"id":2084,"pid":196,"name":"夏邑县","level":4,"area_code":"411426000000","town_code":"","country_id":1}
,{"id":2085,"pid":196,"name":"豫东综合物流产业聚集区","level":4,"area_code":"411471000000","town_code":"","country_id":1}
,{"id":2086,"pid":196,"name":"河南商丘经济开发区","level":4,"area_code":"411472000000","town_code":"","country_id":1}
,{"id":2087,"pid":196,"name":"永城市","level":4,"area_code":"411481000000","town_code":"","country_id":1}
,{"id":2088,"pid":197,"name":"市辖区","level":4,"area_code":"411501000000","town_code":"","country_id":1}
,{"id":2089,"pid":197,"name":"浉河区","level":4,"area_code":"411502000000","town_code":"","country_id":1}
,{"id":2090,"pid":197,"name":"平桥区","level":4,"area_code":"411503000000","town_code":"","country_id":1}
,{"id":2091,"pid":197,"name":"罗山县","level":4,"area_code":"411521000000","town_code":"","country_id":1}
,{"id":2092,"pid":197,"name":"光山县","level":4,"area_code":"411522000000","town_code":"","country_id":1}
,{"id":2093,"pid":197,"name":"新县","level":4,"area_code":"411523000000","town_code":"","country_id":1}
,{"id":2094,"pid":197,"name":"商城县","level":4,"area_code":"411524000000","town_code":"","country_id":1}
,{"id":2095,"pid":197,"name":"固始县","level":4,"area_code":"411525000000","town_code":"","country_id":1}
,{"id":2096,"pid":197,"name":"潢川县","level":4,"area_code":"411526000000","town_code":"","country_id":1}
,{"id":2097,"pid":197,"name":"淮滨县","level":4,"area_code":"411527000000","town_code":"","country_id":1}
,{"id":2098,"pid":197,"name":"息县","level":4,"area_code":"411528000000","town_code":"","country_id":1}
,{"id":2099,"pid":197,"name":"信阳高新技术产业开发区","level":4,"area_code":"411571000000","town_code":"","country_id":1}
,{"id":2100,"pid":198,"name":"市辖区","level":4,"area_code":"411601000000","town_code":"","country_id":1}
,{"id":2101,"pid":198,"name":"川汇区","level":4,"area_code":"411602000000","town_code":"","country_id":1}
,{"id":2102,"pid":198,"name":"淮阳区","level":4,"area_code":"411603000000","town_code":"","country_id":1}
,{"id":2103,"pid":198,"name":"扶沟县","level":4,"area_code":"411621000000","town_code":"","country_id":1}
,{"id":2104,"pid":198,"name":"西华县","level":4,"area_code":"411622000000","town_code":"","country_id":1}
,{"id":2105,"pid":198,"name":"商水县","level":4,"area_code":"411623000000","town_code":"","country_id":1}
,{"id":2106,"pid":198,"name":"沈丘县","level":4,"area_code":"411624000000","town_code":"","country_id":1}
,{"id":2107,"pid":198,"name":"郸城县","level":4,"area_code":"411625000000","town_code":"","country_id":1}
,{"id":2108,"pid":198,"name":"太康县","level":4,"area_code":"411627000000","town_code":"","country_id":1}
,{"id":2109,"pid":198,"name":"鹿邑县","level":4,"area_code":"411628000000","town_code":"","country_id":1}
,{"id":2110,"pid":198,"name":"周口临港开发区","level":4,"area_code":"411671000000","town_code":"","country_id":1}
,{"id":2111,"pid":198,"name":"项城市","level":4,"area_code":"411681000000","town_code":"","country_id":1}
,{"id":2112,"pid":199,"name":"市辖区","level":4,"area_code":"411701000000","town_code":"","country_id":1}
,{"id":2113,"pid":199,"name":"驿城区","level":4,"area_code":"411702000000","town_code":"","country_id":1}
,{"id":2114,"pid":199,"name":"西平县","level":4,"area_code":"411721000000","town_code":"","country_id":1}
,{"id":2115,"pid":199,"name":"上蔡县","level":4,"area_code":"411722000000","town_code":"","country_id":1}
,{"id":2116,"pid":199,"name":"平舆县","level":4,"area_code":"411723000000","town_code":"","country_id":1}
,{"id":2117,"pid":199,"name":"正阳县","level":4,"area_code":"411724000000","town_code":"","country_id":1}
,{"id":2118,"pid":199,"name":"确山县","level":4,"area_code":"411725000000","town_code":"","country_id":1}
,{"id":2119,"pid":199,"name":"泌阳县","level":4,"area_code":"411726000000","town_code":"","country_id":1}
,{"id":2120,"pid":199,"name":"汝南县","level":4,"area_code":"411727000000","town_code":"","country_id":1}
,{"id":2121,"pid":199,"name":"遂平县","level":4,"area_code":"411728000000","town_code":"","country_id":1}
,{"id":2122,"pid":199,"name":"新蔡县","level":4,"area_code":"411729000000","town_code":"","country_id":1}
,{"id":2123,"pid":199,"name":"河南驻马店经济开发区","level":4,"area_code":"411771000000","town_code":"","country_id":1}
,{"id":2124,"pid":200,"name":"济源市","level":4,"area_code":"419001000000","town_code":"","country_id":1}
,{"id":2125,"pid":201,"name":"市辖区","level":4,"area_code":"420101000000","town_code":"","country_id":1}
,{"id":2126,"pid":201,"name":"江岸区","level":4,"area_code":"420102000000","town_code":"","country_id":1}
,{"id":2127,"pid":201,"name":"江汉区","level":4,"area_code":"420103000000","town_code":"","country_id":1}
,{"id":2128,"pid":201,"name":"硚口区","level":4,"area_code":"420104000000","town_code":"","country_id":1}
,{"id":2129,"pid":201,"name":"汉阳区","level":4,"area_code":"420105000000","town_code":"","country_id":1}
,{"id":2130,"pid":201,"name":"武昌区","level":4,"area_code":"420106000000","town_code":"","country_id":1}
,{"id":2131,"pid":201,"name":"青山区","level":4,"area_code":"420107000000","town_code":"","country_id":1}
,{"id":2132,"pid":201,"name":"洪山区","level":4,"area_code":"420111000000","town_code":"","country_id":1}
,{"id":2133,"pid":201,"name":"东西湖区","level":4,"area_code":"420112000000","town_code":"","country_id":1}
,{"id":2134,"pid":201,"name":"汉南区","level":4,"area_code":"420113000000","town_code":"","country_id":1}
,{"id":2135,"pid":201,"name":"蔡甸区","level":4,"area_code":"420114000000","town_code":"","country_id":1}
,{"id":2136,"pid":201,"name":"江夏区","level":4,"area_code":"420115000000","town_code":"","country_id":1}
,{"id":2137,"pid":201,"name":"黄陂区","level":4,"area_code":"420116000000","town_code":"","country_id":1}
,{"id":2138,"pid":201,"name":"新洲区","level":4,"area_code":"420117000000","town_code":"","country_id":1}
,{"id":2139,"pid":202,"name":"市辖区","level":4,"area_code":"420201000000","town_code":"","country_id":1}
,{"id":2140,"pid":202,"name":"黄石港区","level":4,"area_code":"420202000000","town_code":"","country_id":1}
,{"id":2141,"pid":202,"name":"西塞山区","level":4,"area_code":"420203000000","town_code":"","country_id":1}
,{"id":2142,"pid":202,"name":"下陆区","level":4,"area_code":"420204000000","town_code":"","country_id":1}
,{"id":2143,"pid":202,"name":"铁山区","level":4,"area_code":"420205000000","town_code":"","country_id":1}
,{"id":2144,"pid":202,"name":"阳新县","level":4,"area_code":"420222000000","town_code":"","country_id":1}
,{"id":2145,"pid":202,"name":"大冶市","level":4,"area_code":"420281000000","town_code":"","country_id":1}
,{"id":2146,"pid":203,"name":"市辖区","level":4,"area_code":"420301000000","town_code":"","country_id":1}
,{"id":2147,"pid":203,"name":"茅箭区","level":4,"area_code":"420302000000","town_code":"","country_id":1}
,{"id":2148,"pid":203,"name":"张湾区","level":4,"area_code":"420303000000","town_code":"","country_id":1}
,{"id":2149,"pid":203,"name":"郧阳区","level":4,"area_code":"420304000000","town_code":"","country_id":1}
,{"id":2150,"pid":203,"name":"郧西县","level":4,"area_code":"420322000000","town_code":"","country_id":1}
,{"id":2151,"pid":203,"name":"竹山县","level":4,"area_code":"420323000000","town_code":"","country_id":1}
,{"id":2152,"pid":203,"name":"竹溪县","level":4,"area_code":"420324000000","town_code":"","country_id":1}
,{"id":2153,"pid":203,"name":"房县","level":4,"area_code":"420325000000","town_code":"","country_id":1}
,{"id":2154,"pid":203,"name":"丹江口市","level":4,"area_code":"420381000000","town_code":"","country_id":1}
,{"id":2155,"pid":204,"name":"市辖区","level":4,"area_code":"420501000000","town_code":"","country_id":1}
,{"id":2156,"pid":204,"name":"西陵区","level":4,"area_code":"420502000000","town_code":"","country_id":1}
,{"id":2157,"pid":204,"name":"伍家岗区","level":4,"area_code":"420503000000","town_code":"","country_id":1}
,{"id":2158,"pid":204,"name":"点军区","level":4,"area_code":"420504000000","town_code":"","country_id":1}
,{"id":2159,"pid":204,"name":"猇亭区","level":4,"area_code":"420505000000","town_code":"","country_id":1}
,{"id":2160,"pid":204,"name":"夷陵区","level":4,"area_code":"420506000000","town_code":"","country_id":1}
,{"id":2161,"pid":204,"name":"远安县","level":4,"area_code":"420525000000","town_code":"","country_id":1}
,{"id":2162,"pid":204,"name":"兴山县","level":4,"area_code":"420526000000","town_code":"","country_id":1}
,{"id":2163,"pid":204,"name":"秭归县","level":4,"area_code":"420527000000","town_code":"","country_id":1}
,{"id":2164,"pid":204,"name":"长阳土家族自治县","level":4,"area_code":"420528000000","town_code":"","country_id":1}
,{"id":2165,"pid":204,"name":"五峰土家族自治县","level":4,"area_code":"420529000000","town_code":"","country_id":1}
,{"id":2166,"pid":204,"name":"宜都市","level":4,"area_code":"420581000000","town_code":"","country_id":1}
,{"id":2167,"pid":204,"name":"当阳市","level":4,"area_code":"420582000000","town_code":"","country_id":1}
,{"id":2168,"pid":204,"name":"枝江市","level":4,"area_code":"420583000000","town_code":"","country_id":1}
,{"id":2169,"pid":205,"name":"市辖区","level":4,"area_code":"420601000000","town_code":"","country_id":1}
,{"id":2170,"pid":205,"name":"襄城区","level":4,"area_code":"420602000000","town_code":"","country_id":1}
,{"id":2171,"pid":205,"name":"樊城区","level":4,"area_code":"420606000000","town_code":"","country_id":1}
,{"id":2172,"pid":205,"name":"襄州区","level":4,"area_code":"420607000000","town_code":"","country_id":1}
,{"id":2173,"pid":205,"name":"南漳县","level":4,"area_code":"420624000000","town_code":"","country_id":1}
,{"id":2174,"pid":205,"name":"谷城县","level":4,"area_code":"420625000000","town_code":"","country_id":1}
,{"id":2175,"pid":205,"name":"保康县","level":4,"area_code":"420626000000","town_code":"","country_id":1}
,{"id":2176,"pid":205,"name":"老河口市","level":4,"area_code":"420682000000","town_code":"","country_id":1}
,{"id":2177,"pid":205,"name":"枣阳市","level":4,"area_code":"420683000000","town_code":"","country_id":1}
,{"id":2178,"pid":205,"name":"宜城市","level":4,"area_code":"420684000000","town_code":"","country_id":1}
,{"id":2179,"pid":206,"name":"市辖区","level":4,"area_code":"420701000000","town_code":"","country_id":1}
,{"id":2180,"pid":206,"name":"梁子湖区","level":4,"area_code":"420702000000","town_code":"","country_id":1}
,{"id":2181,"pid":206,"name":"华容区","level":4,"area_code":"420703000000","town_code":"","country_id":1}
,{"id":2182,"pid":206,"name":"鄂城区","level":4,"area_code":"420704000000","town_code":"","country_id":1}
,{"id":2183,"pid":207,"name":"市辖区","level":4,"area_code":"420801000000","town_code":"","country_id":1}
,{"id":2184,"pid":207,"name":"东宝区","level":4,"area_code":"420802000000","town_code":"","country_id":1}
,{"id":2185,"pid":207,"name":"掇刀区","level":4,"area_code":"420804000000","town_code":"","country_id":1}
,{"id":2186,"pid":207,"name":"沙洋县","level":4,"area_code":"420822000000","town_code":"","country_id":1}
,{"id":2187,"pid":207,"name":"钟祥市","level":4,"area_code":"420881000000","town_code":"","country_id":1}
,{"id":2188,"pid":207,"name":"京山市","level":4,"area_code":"420882000000","town_code":"","country_id":1}
,{"id":2189,"pid":208,"name":"市辖区","level":4,"area_code":"420901000000","town_code":"","country_id":1}
,{"id":2190,"pid":208,"name":"孝南区","level":4,"area_code":"420902000000","town_code":"","country_id":1}
,{"id":2191,"pid":208,"name":"孝昌县","level":4,"area_code":"420921000000","town_code":"","country_id":1}
,{"id":2192,"pid":208,"name":"大悟县","level":4,"area_code":"420922000000","town_code":"","country_id":1}
,{"id":2193,"pid":208,"name":"云梦县","level":4,"area_code":"420923000000","town_code":"","country_id":1}
,{"id":2194,"pid":208,"name":"应城市","level":4,"area_code":"420981000000","town_code":"","country_id":1}
,{"id":2195,"pid":208,"name":"安陆市","level":4,"area_code":"420982000000","town_code":"","country_id":1}
,{"id":2196,"pid":208,"name":"汉川市","level":4,"area_code":"420984000000","town_code":"","country_id":1}
,{"id":2197,"pid":209,"name":"市辖区","level":4,"area_code":"421001000000","town_code":"","country_id":1}
,{"id":2198,"pid":209,"name":"沙市区","level":4,"area_code":"421002000000","town_code":"","country_id":1}
,{"id":2199,"pid":209,"name":"荆州区","level":4,"area_code":"421003000000","town_code":"","country_id":1}
,{"id":2200,"pid":209,"name":"公安县","level":4,"area_code":"421022000000","town_code":"","country_id":1}
,{"id":2201,"pid":209,"name":"江陵县","level":4,"area_code":"421024000000","town_code":"","country_id":1}
,{"id":2202,"pid":209,"name":"荆州经济技术开发区","level":4,"area_code":"421071000000","town_code":"","country_id":1}
,{"id":2203,"pid":209,"name":"石首市","level":4,"area_code":"421081000000","town_code":"","country_id":1}
,{"id":2204,"pid":209,"name":"洪湖市","level":4,"area_code":"421083000000","town_code":"","country_id":1}
,{"id":2205,"pid":209,"name":"松滋市","level":4,"area_code":"421087000000","town_code":"","country_id":1}
,{"id":2206,"pid":209,"name":"监利市","level":4,"area_code":"421088000000","town_code":"","country_id":1}
,{"id":2207,"pid":210,"name":"市辖区","level":4,"area_code":"421101000000","town_code":"","country_id":1}
,{"id":2208,"pid":210,"name":"黄州区","level":4,"area_code":"421102000000","town_code":"","country_id":1}
,{"id":2209,"pid":210,"name":"团风县","level":4,"area_code":"421121000000","town_code":"","country_id":1}
,{"id":2210,"pid":210,"name":"红安县","level":4,"area_code":"421122000000","town_code":"","country_id":1}
,{"id":2211,"pid":210,"name":"罗田县","level":4,"area_code":"421123000000","town_code":"","country_id":1}
,{"id":2212,"pid":210,"name":"英山县","level":4,"area_code":"421124000000","town_code":"","country_id":1}
,{"id":2213,"pid":210,"name":"浠水县","level":4,"area_code":"421125000000","town_code":"","country_id":1}
,{"id":2214,"pid":210,"name":"蕲春县","level":4,"area_code":"421126000000","town_code":"","country_id":1}
,{"id":2215,"pid":210,"name":"黄梅县","level":4,"area_code":"421127000000","town_code":"","country_id":1}
,{"id":2216,"pid":210,"name":"龙感湖管理区","level":4,"area_code":"421171000000","town_code":"","country_id":1}
,{"id":2217,"pid":210,"name":"麻城市","level":4,"area_code":"421181000000","town_code":"","country_id":1}
,{"id":2218,"pid":210,"name":"武穴市","level":4,"area_code":"421182000000","town_code":"","country_id":1}
,{"id":2219,"pid":211,"name":"市辖区","level":4,"area_code":"421201000000","town_code":"","country_id":1}
,{"id":2220,"pid":211,"name":"咸安区","level":4,"area_code":"421202000000","town_code":"","country_id":1}
,{"id":2221,"pid":211,"name":"嘉鱼县","level":4,"area_code":"421221000000","town_code":"","country_id":1}
,{"id":2222,"pid":211,"name":"通城县","level":4,"area_code":"421222000000","town_code":"","country_id":1}
,{"id":2223,"pid":211,"name":"崇阳县","level":4,"area_code":"421223000000","town_code":"","country_id":1}
,{"id":2224,"pid":211,"name":"通山县","level":4,"area_code":"421224000000","town_code":"","country_id":1}
,{"id":2225,"pid":211,"name":"赤壁市","level":4,"area_code":"421281000000","town_code":"","country_id":1}
,{"id":2226,"pid":212,"name":"市辖区","level":4,"area_code":"421301000000","town_code":"","country_id":1}
,{"id":2227,"pid":212,"name":"曾都区","level":4,"area_code":"421303000000","town_code":"","country_id":1}
,{"id":2228,"pid":212,"name":"随县","level":4,"area_code":"421321000000","town_code":"","country_id":1}
,{"id":2229,"pid":212,"name":"广水市","level":4,"area_code":"421381000000","town_code":"","country_id":1}
,{"id":2230,"pid":213,"name":"恩施市","level":4,"area_code":"422801000000","town_code":"","country_id":1}
,{"id":2231,"pid":213,"name":"利川市","level":4,"area_code":"422802000000","town_code":"","country_id":1}
,{"id":2232,"pid":213,"name":"建始县","level":4,"area_code":"422822000000","town_code":"","country_id":1}
,{"id":2233,"pid":213,"name":"巴东县","level":4,"area_code":"422823000000","town_code":"","country_id":1}
,{"id":2234,"pid":213,"name":"宣恩县","level":4,"area_code":"422825000000","town_code":"","country_id":1}
,{"id":2235,"pid":213,"name":"咸丰县","level":4,"area_code":"422826000000","town_code":"","country_id":1}
,{"id":2236,"pid":213,"name":"来凤县","level":4,"area_code":"422827000000","town_code":"","country_id":1}
,{"id":2237,"pid":213,"name":"鹤峰县","level":4,"area_code":"422828000000","town_code":"","country_id":1}
,{"id":2238,"pid":214,"name":"仙桃市","level":4,"area_code":"429004000000","town_code":"","country_id":1}
,{"id":2239,"pid":214,"name":"潜江市","level":4,"area_code":"429005000000","town_code":"","country_id":1}
,{"id":2240,"pid":214,"name":"天门市","level":4,"area_code":"429006000000","town_code":"","country_id":1}
,{"id":2241,"pid":214,"name":"神农架林区","level":4,"area_code":"429021000000","town_code":"","country_id":1}
,{"id":2242,"pid":215,"name":"市辖区","level":4,"area_code":"430101000000","town_code":"","country_id":1}
,{"id":2243,"pid":215,"name":"芙蓉区","level":4,"area_code":"430102000000","town_code":"","country_id":1}
,{"id":2244,"pid":215,"name":"天心区","level":4,"area_code":"430103000000","town_code":"","country_id":1}
,{"id":2245,"pid":215,"name":"岳麓区","level":4,"area_code":"430104000000","town_code":"","country_id":1}
,{"id":2246,"pid":215,"name":"开福区","level":4,"area_code":"430105000000","town_code":"","country_id":1}
,{"id":2247,"pid":215,"name":"雨花区","level":4,"area_code":"430111000000","town_code":"","country_id":1}
,{"id":2248,"pid":215,"name":"望城区","level":4,"area_code":"430112000000","town_code":"","country_id":1}
,{"id":2249,"pid":215,"name":"长沙县","level":4,"area_code":"430121000000","town_code":"","country_id":1}
,{"id":2250,"pid":215,"name":"浏阳市","level":4,"area_code":"430181000000","town_code":"","country_id":1}
,{"id":2251,"pid":215,"name":"宁乡市","level":4,"area_code":"430182000000","town_code":"","country_id":1}
,{"id":2252,"pid":216,"name":"市辖区","level":4,"area_code":"430201000000","town_code":"","country_id":1}
,{"id":2253,"pid":216,"name":"荷塘区","level":4,"area_code":"430202000000","town_code":"","country_id":1}
,{"id":2254,"pid":216,"name":"芦淞区","level":4,"area_code":"430203000000","town_code":"","country_id":1}
,{"id":2255,"pid":216,"name":"石峰区","level":4,"area_code":"430204000000","town_code":"","country_id":1}
,{"id":2256,"pid":216,"name":"天元区","level":4,"area_code":"430211000000","town_code":"","country_id":1}
,{"id":2257,"pid":216,"name":"渌口区","level":4,"area_code":"430212000000","town_code":"","country_id":1}
,{"id":2258,"pid":216,"name":"攸县","level":4,"area_code":"430223000000","town_code":"","country_id":1}
,{"id":2259,"pid":216,"name":"茶陵县","level":4,"area_code":"430224000000","town_code":"","country_id":1}
,{"id":2260,"pid":216,"name":"炎陵县","level":4,"area_code":"430225000000","town_code":"","country_id":1}
,{"id":2261,"pid":216,"name":"醴陵市","level":4,"area_code":"430281000000","town_code":"","country_id":1}
,{"id":2262,"pid":217,"name":"市辖区","level":4,"area_code":"430301000000","town_code":"","country_id":1}
,{"id":2263,"pid":217,"name":"雨湖区","level":4,"area_code":"430302000000","town_code":"","country_id":1}
,{"id":2264,"pid":217,"name":"岳塘区","level":4,"area_code":"430304000000","town_code":"","country_id":1}
,{"id":2265,"pid":217,"name":"湘潭县","level":4,"area_code":"430321000000","town_code":"","country_id":1}
,{"id":2266,"pid":217,"name":"湖南湘潭高新技术产业园区","level":4,"area_code":"430371000000","town_code":"","country_id":1}
,{"id":2267,"pid":217,"name":"湘潭昭山示范区","level":4,"area_code":"430372000000","town_code":"","country_id":1}
,{"id":2268,"pid":217,"name":"湘潭九华示范区","level":4,"area_code":"430373000000","town_code":"","country_id":1}
,{"id":2269,"pid":217,"name":"湘乡市","level":4,"area_code":"430381000000","town_code":"","country_id":1}
,{"id":2270,"pid":217,"name":"韶山市","level":4,"area_code":"430382000000","town_code":"","country_id":1}
,{"id":2271,"pid":218,"name":"市辖区","level":4,"area_code":"430401000000","town_code":"","country_id":1}
,{"id":2272,"pid":218,"name":"珠晖区","level":4,"area_code":"430405000000","town_code":"","country_id":1}
,{"id":2273,"pid":218,"name":"雁峰区","level":4,"area_code":"430406000000","town_code":"","country_id":1}
,{"id":2274,"pid":218,"name":"石鼓区","level":4,"area_code":"430407000000","town_code":"","country_id":1}
,{"id":2275,"pid":218,"name":"蒸湘区","level":4,"area_code":"430408000000","town_code":"","country_id":1}
,{"id":2276,"pid":218,"name":"南岳区","level":4,"area_code":"430412000000","town_code":"","country_id":1}
,{"id":2277,"pid":218,"name":"衡阳县","level":4,"area_code":"430421000000","town_code":"","country_id":1}
,{"id":2278,"pid":218,"name":"衡南县","level":4,"area_code":"430422000000","town_code":"","country_id":1}
,{"id":2279,"pid":218,"name":"衡山县","level":4,"area_code":"430423000000","town_code":"","country_id":1}
,{"id":2280,"pid":218,"name":"衡东县","level":4,"area_code":"430424000000","town_code":"","country_id":1}
,{"id":2281,"pid":218,"name":"祁东县","level":4,"area_code":"430426000000","town_code":"","country_id":1}
,{"id":2282,"pid":218,"name":"湖南衡阳松木经济开发区","level":4,"area_code":"430473000000","town_code":"","country_id":1}
,{"id":2283,"pid":218,"name":"湖南衡阳高新技术产业园区","level":4,"area_code":"430476000000","town_code":"","country_id":1}
,{"id":2284,"pid":218,"name":"耒阳市","level":4,"area_code":"430481000000","town_code":"","country_id":1}
,{"id":2285,"pid":218,"name":"常宁市","level":4,"area_code":"430482000000","town_code":"","country_id":1}
,{"id":2286,"pid":219,"name":"市辖区","level":4,"area_code":"430501000000","town_code":"","country_id":1}
,{"id":2287,"pid":219,"name":"双清区","level":4,"area_code":"430502000000","town_code":"","country_id":1}
,{"id":2288,"pid":219,"name":"大祥区","level":4,"area_code":"430503000000","town_code":"","country_id":1}
,{"id":2289,"pid":219,"name":"北塔区","level":4,"area_code":"430511000000","town_code":"","country_id":1}
,{"id":2290,"pid":219,"name":"新邵县","level":4,"area_code":"430522000000","town_code":"","country_id":1}
,{"id":2291,"pid":219,"name":"邵阳县","level":4,"area_code":"430523000000","town_code":"","country_id":1}
,{"id":2292,"pid":219,"name":"隆回县","level":4,"area_code":"430524000000","town_code":"","country_id":1}
,{"id":2293,"pid":219,"name":"洞口县","level":4,"area_code":"430525000000","town_code":"","country_id":1}
,{"id":2294,"pid":219,"name":"绥宁县","level":4,"area_code":"430527000000","town_code":"","country_id":1}
,{"id":2295,"pid":219,"name":"新宁县","level":4,"area_code":"430528000000","town_code":"","country_id":1}
,{"id":2296,"pid":219,"name":"城步苗族自治县","level":4,"area_code":"430529000000","town_code":"","country_id":1}
,{"id":2297,"pid":219,"name":"武冈市","level":4,"area_code":"430581000000","town_code":"","country_id":1}
,{"id":2298,"pid":219,"name":"邵东市","level":4,"area_code":"430582000000","town_code":"","country_id":1}
,{"id":2299,"pid":220,"name":"市辖区","level":4,"area_code":"430601000000","town_code":"","country_id":1}
,{"id":2300,"pid":220,"name":"岳阳楼区","level":4,"area_code":"430602000000","town_code":"","country_id":1}
,{"id":2301,"pid":220,"name":"云溪区","level":4,"area_code":"430603000000","town_code":"","country_id":1}
,{"id":2302,"pid":220,"name":"君山区","level":4,"area_code":"430611000000","town_code":"","country_id":1}
,{"id":2303,"pid":220,"name":"岳阳县","level":4,"area_code":"430621000000","town_code":"","country_id":1}
,{"id":2304,"pid":220,"name":"华容县","level":4,"area_code":"430623000000","town_code":"","country_id":1}
,{"id":2305,"pid":220,"name":"湘阴县","level":4,"area_code":"430624000000","town_code":"","country_id":1}
,{"id":2306,"pid":220,"name":"平江县","level":4,"area_code":"430626000000","town_code":"","country_id":1}
,{"id":2307,"pid":220,"name":"岳阳市屈原管理区","level":4,"area_code":"430671000000","town_code":"","country_id":1}
,{"id":2308,"pid":220,"name":"汨罗市","level":4,"area_code":"430681000000","town_code":"","country_id":1}
,{"id":2309,"pid":220,"name":"临湘市","level":4,"area_code":"430682000000","town_code":"","country_id":1}
,{"id":2310,"pid":221,"name":"市辖区","level":4,"area_code":"430701000000","town_code":"","country_id":1}
,{"id":2311,"pid":221,"name":"武陵区","level":4,"area_code":"430702000000","town_code":"","country_id":1}
,{"id":2312,"pid":221,"name":"鼎城区","level":4,"area_code":"430703000000","town_code":"","country_id":1}
,{"id":2313,"pid":221,"name":"安乡县","level":4,"area_code":"430721000000","town_code":"","country_id":1}
,{"id":2314,"pid":221,"name":"汉寿县","level":4,"area_code":"430722000000","town_code":"","country_id":1}
,{"id":2315,"pid":221,"name":"澧县","level":4,"area_code":"430723000000","town_code":"","country_id":1}
,{"id":2316,"pid":221,"name":"临澧县","level":4,"area_code":"430724000000","town_code":"","country_id":1}
,{"id":2317,"pid":221,"name":"桃源县","level":4,"area_code":"430725000000","town_code":"","country_id":1}
,{"id":2318,"pid":221,"name":"石门县","level":4,"area_code":"430726000000","town_code":"","country_id":1}
,{"id":2319,"pid":221,"name":"常德市西洞庭管理区","level":4,"area_code":"430771000000","town_code":"","country_id":1}
,{"id":2320,"pid":221,"name":"津市市","level":4,"area_code":"430781000000","town_code":"","country_id":1}
,{"id":2321,"pid":222,"name":"市辖区","level":4,"area_code":"430801000000","town_code":"","country_id":1}
,{"id":2322,"pid":222,"name":"永定区","level":4,"area_code":"430802000000","town_code":"","country_id":1}
,{"id":2323,"pid":222,"name":"武陵源区","level":4,"area_code":"430811000000","town_code":"","country_id":1}
,{"id":2324,"pid":222,"name":"慈利县","level":4,"area_code":"430821000000","town_code":"","country_id":1}
,{"id":2325,"pid":222,"name":"桑植县","level":4,"area_code":"430822000000","town_code":"","country_id":1}
,{"id":2326,"pid":223,"name":"市辖区","level":4,"area_code":"430901000000","town_code":"","country_id":1}
,{"id":2327,"pid":223,"name":"资阳区","level":4,"area_code":"430902000000","town_code":"","country_id":1}
,{"id":2328,"pid":223,"name":"赫山区","level":4,"area_code":"430903000000","town_code":"","country_id":1}
,{"id":2329,"pid":223,"name":"南县","level":4,"area_code":"430921000000","town_code":"","country_id":1}
,{"id":2330,"pid":223,"name":"桃江县","level":4,"area_code":"430922000000","town_code":"","country_id":1}
,{"id":2331,"pid":223,"name":"安化县","level":4,"area_code":"430923000000","town_code":"","country_id":1}
,{"id":2332,"pid":223,"name":"益阳市大通湖管理区","level":4,"area_code":"430971000000","town_code":"","country_id":1}
,{"id":2333,"pid":223,"name":"湖南益阳高新技术产业园区","level":4,"area_code":"430972000000","town_code":"","country_id":1}
,{"id":2334,"pid":223,"name":"沅江市","level":4,"area_code":"430981000000","town_code":"","country_id":1}
,{"id":2335,"pid":224,"name":"市辖区","level":4,"area_code":"431001000000","town_code":"","country_id":1}
,{"id":2336,"pid":224,"name":"北湖区","level":4,"area_code":"431002000000","town_code":"","country_id":1}
,{"id":2337,"pid":224,"name":"苏仙区","level":4,"area_code":"431003000000","town_code":"","country_id":1}
,{"id":2338,"pid":224,"name":"桂阳县","level":4,"area_code":"431021000000","town_code":"","country_id":1}
,{"id":2339,"pid":224,"name":"宜章县","level":4,"area_code":"431022000000","town_code":"","country_id":1}
,{"id":2340,"pid":224,"name":"永兴县","level":4,"area_code":"431023000000","town_code":"","country_id":1}
,{"id":2341,"pid":224,"name":"嘉禾县","level":4,"area_code":"431024000000","town_code":"","country_id":1}
,{"id":2342,"pid":224,"name":"临武县","level":4,"area_code":"431025000000","town_code":"","country_id":1}
,{"id":2343,"pid":224,"name":"汝城县","level":4,"area_code":"431026000000","town_code":"","country_id":1}
,{"id":2344,"pid":224,"name":"桂东县","level":4,"area_code":"431027000000","town_code":"","country_id":1}
,{"id":2345,"pid":224,"name":"安仁县","level":4,"area_code":"431028000000","town_code":"","country_id":1}
,{"id":2346,"pid":224,"name":"资兴市","level":4,"area_code":"431081000000","town_code":"","country_id":1}
,{"id":2347,"pid":225,"name":"市辖区","level":4,"area_code":"431101000000","town_code":"","country_id":1}
,{"id":2348,"pid":225,"name":"零陵区","level":4,"area_code":"431102000000","town_code":"","country_id":1}
,{"id":2349,"pid":225,"name":"冷水滩区","level":4,"area_code":"431103000000","town_code":"","country_id":1}
,{"id":2350,"pid":225,"name":"东安县","level":4,"area_code":"431122000000","town_code":"","country_id":1}
,{"id":2351,"pid":225,"name":"双牌县","level":4,"area_code":"431123000000","town_code":"","country_id":1}
,{"id":2352,"pid":225,"name":"道县","level":4,"area_code":"431124000000","town_code":"","country_id":1}
,{"id":2353,"pid":225,"name":"江永县","level":4,"area_code":"431125000000","town_code":"","country_id":1}
,{"id":2354,"pid":225,"name":"宁远县","level":4,"area_code":"431126000000","town_code":"","country_id":1}
,{"id":2355,"pid":225,"name":"蓝山县","level":4,"area_code":"431127000000","town_code":"","country_id":1}
,{"id":2356,"pid":225,"name":"新田县","level":4,"area_code":"431128000000","town_code":"","country_id":1}
,{"id":2357,"pid":225,"name":"江华瑶族自治县","level":4,"area_code":"431129000000","town_code":"","country_id":1}
,{"id":2358,"pid":225,"name":"永州经济技术开发区","level":4,"area_code":"431171000000","town_code":"","country_id":1}
,{"id":2359,"pid":225,"name":"永州市回龙圩管理区","level":4,"area_code":"431173000000","town_code":"","country_id":1}
,{"id":2360,"pid":225,"name":"祁阳市","level":4,"area_code":"431181000000","town_code":"","country_id":1}
,{"id":2361,"pid":226,"name":"市辖区","level":4,"area_code":"431201000000","town_code":"","country_id":1}
,{"id":2362,"pid":226,"name":"鹤城区","level":4,"area_code":"431202000000","town_code":"","country_id":1}
,{"id":2363,"pid":226,"name":"中方县","level":4,"area_code":"431221000000","town_code":"","country_id":1}
,{"id":2364,"pid":226,"name":"沅陵县","level":4,"area_code":"431222000000","town_code":"","country_id":1}
,{"id":2365,"pid":226,"name":"辰溪县","level":4,"area_code":"431223000000","town_code":"","country_id":1}
,{"id":2366,"pid":226,"name":"溆浦县","level":4,"area_code":"431224000000","town_code":"","country_id":1}
,{"id":2367,"pid":226,"name":"会同县","level":4,"area_code":"431225000000","town_code":"","country_id":1}
,{"id":2368,"pid":226,"name":"麻阳苗族自治县","level":4,"area_code":"431226000000","town_code":"","country_id":1}
,{"id":2369,"pid":226,"name":"新晃侗族自治县","level":4,"area_code":"431227000000","town_code":"","country_id":1}
,{"id":2370,"pid":226,"name":"芷江侗族自治县","level":4,"area_code":"431228000000","town_code":"","country_id":1}
,{"id":2371,"pid":226,"name":"靖州苗族侗族自治县","level":4,"area_code":"431229000000","town_code":"","country_id":1}
,{"id":2372,"pid":226,"name":"通道侗族自治县","level":4,"area_code":"431230000000","town_code":"","country_id":1}
,{"id":2373,"pid":226,"name":"怀化市洪江管理区","level":4,"area_code":"431271000000","town_code":"","country_id":1}
,{"id":2374,"pid":226,"name":"洪江市","level":4,"area_code":"431281000000","town_code":"","country_id":1}
,{"id":2375,"pid":227,"name":"市辖区","level":4,"area_code":"431301000000","town_code":"","country_id":1}
,{"id":2376,"pid":227,"name":"娄星区","level":4,"area_code":"431302000000","town_code":"","country_id":1}
,{"id":2377,"pid":227,"name":"双峰县","level":4,"area_code":"431321000000","town_code":"","country_id":1}
,{"id":2378,"pid":227,"name":"新化县","level":4,"area_code":"431322000000","town_code":"","country_id":1}
,{"id":2379,"pid":227,"name":"冷水江市","level":4,"area_code":"431381000000","town_code":"","country_id":1}
,{"id":2380,"pid":227,"name":"涟源市","level":4,"area_code":"431382000000","town_code":"","country_id":1}
,{"id":2381,"pid":228,"name":"吉首市","level":4,"area_code":"433101000000","town_code":"","country_id":1}
,{"id":2382,"pid":228,"name":"泸溪县","level":4,"area_code":"433122000000","town_code":"","country_id":1}
,{"id":2383,"pid":228,"name":"凤凰县","level":4,"area_code":"433123000000","town_code":"","country_id":1}
,{"id":2384,"pid":228,"name":"花垣县","level":4,"area_code":"433124000000","town_code":"","country_id":1}
,{"id":2385,"pid":228,"name":"保靖县","level":4,"area_code":"433125000000","town_code":"","country_id":1}
,{"id":2386,"pid":228,"name":"古丈县","level":4,"area_code":"433126000000","town_code":"","country_id":1}
,{"id":2387,"pid":228,"name":"永顺县","level":4,"area_code":"433127000000","town_code":"","country_id":1}
,{"id":2388,"pid":228,"name":"龙山县","level":4,"area_code":"433130000000","town_code":"","country_id":1}
,{"id":2389,"pid":229,"name":"市辖区","level":4,"area_code":"440101000000","town_code":"","country_id":1}
,{"id":2390,"pid":229,"name":"荔湾区","level":4,"area_code":"440103000000","town_code":"","country_id":1}
,{"id":2391,"pid":229,"name":"越秀区","level":4,"area_code":"440104000000","town_code":"","country_id":1}
,{"id":2392,"pid":229,"name":"海珠区","level":4,"area_code":"440105000000","town_code":"","country_id":1}
,{"id":2393,"pid":229,"name":"天河区","level":4,"area_code":"440106000000","town_code":"","country_id":1}
,{"id":2394,"pid":229,"name":"白云区","level":4,"area_code":"440111000000","town_code":"","country_id":1}
,{"id":2395,"pid":229,"name":"黄埔区","level":4,"area_code":"440112000000","town_code":"","country_id":1}
,{"id":2396,"pid":229,"name":"番禺区","level":4,"area_code":"440113000000","town_code":"","country_id":1}
,{"id":2397,"pid":229,"name":"花都区","level":4,"area_code":"440114000000","town_code":"","country_id":1}
,{"id":2398,"pid":229,"name":"南沙区","level":4,"area_code":"440115000000","town_code":"","country_id":1}
,{"id":2399,"pid":229,"name":"从化区","level":4,"area_code":"440117000000","town_code":"","country_id":1}
,{"id":2400,"pid":229,"name":"增城区","level":4,"area_code":"440118000000","town_code":"","country_id":1}
,{"id":2401,"pid":230,"name":"市辖区","level":4,"area_code":"440201000000","town_code":"","country_id":1}
,{"id":2402,"pid":230,"name":"武江区","level":4,"area_code":"440203000000","town_code":"","country_id":1}
,{"id":2403,"pid":230,"name":"浈江区","level":4,"area_code":"440204000000","town_code":"","country_id":1}
,{"id":2404,"pid":230,"name":"曲江区","level":4,"area_code":"440205000000","town_code":"","country_id":1}
,{"id":2405,"pid":230,"name":"始兴县","level":4,"area_code":"440222000000","town_code":"","country_id":1}
,{"id":2406,"pid":230,"name":"仁化县","level":4,"area_code":"440224000000","town_code":"","country_id":1}
,{"id":2407,"pid":230,"name":"翁源县","level":4,"area_code":"440229000000","town_code":"","country_id":1}
,{"id":2408,"pid":230,"name":"乳源瑶族自治县","level":4,"area_code":"440232000000","town_code":"","country_id":1}
,{"id":2409,"pid":230,"name":"新丰县","level":4,"area_code":"440233000000","town_code":"","country_id":1}
,{"id":2410,"pid":230,"name":"乐昌市","level":4,"area_code":"440281000000","town_code":"","country_id":1}
,{"id":2411,"pid":230,"name":"南雄市","level":4,"area_code":"440282000000","town_code":"","country_id":1}
,{"id":2412,"pid":231,"name":"市辖区","level":4,"area_code":"440301000000","town_code":"","country_id":1}
,{"id":2413,"pid":231,"name":"罗湖区","level":4,"area_code":"440303000000","town_code":"","country_id":1}
,{"id":2414,"pid":231,"name":"福田区","level":4,"area_code":"440304000000","town_code":"","country_id":1}
,{"id":2415,"pid":231,"name":"南山区","level":4,"area_code":"440305000000","town_code":"","country_id":1}
,{"id":2416,"pid":231,"name":"宝安区","level":4,"area_code":"440306000000","town_code":"","country_id":1}
,{"id":2417,"pid":231,"name":"龙岗区","level":4,"area_code":"440307000000","town_code":"","country_id":1}
,{"id":2418,"pid":231,"name":"盐田区","level":4,"area_code":"440308000000","town_code":"","country_id":1}
,{"id":2419,"pid":231,"name":"龙华区","level":4,"area_code":"440309000000","town_code":"","country_id":1}
,{"id":2420,"pid":231,"name":"坪山区","level":4,"area_code":"440310000000","town_code":"","country_id":1}
,{"id":2421,"pid":231,"name":"光明区","level":4,"area_code":"440311000000","town_code":"","country_id":1}
,{"id":2422,"pid":232,"name":"市辖区","level":4,"area_code":"440401000000","town_code":"","country_id":1}
,{"id":2423,"pid":232,"name":"香洲区","level":4,"area_code":"440402000000","town_code":"","country_id":1}
,{"id":2424,"pid":232,"name":"斗门区","level":4,"area_code":"440403000000","town_code":"","country_id":1}
,{"id":2425,"pid":232,"name":"金湾区","level":4,"area_code":"440404000000","town_code":"","country_id":1}
,{"id":2426,"pid":233,"name":"市辖区","level":4,"area_code":"440501000000","town_code":"","country_id":1}
,{"id":2427,"pid":233,"name":"龙湖区","level":4,"area_code":"440507000000","town_code":"","country_id":1}
,{"id":2428,"pid":233,"name":"金平区","level":4,"area_code":"440511000000","town_code":"","country_id":1}
,{"id":2429,"pid":233,"name":"濠江区","level":4,"area_code":"440512000000","town_code":"","country_id":1}
,{"id":2430,"pid":233,"name":"潮阳区","level":4,"area_code":"440513000000","town_code":"","country_id":1}
,{"id":2431,"pid":233,"name":"潮南区","level":4,"area_code":"440514000000","town_code":"","country_id":1}
,{"id":2432,"pid":233,"name":"澄海区","level":4,"area_code":"440515000000","town_code":"","country_id":1}
,{"id":2433,"pid":233,"name":"南澳县","level":4,"area_code":"440523000000","town_code":"","country_id":1}
,{"id":2434,"pid":234,"name":"市辖区","level":4,"area_code":"440601000000","town_code":"","country_id":1}
,{"id":2435,"pid":234,"name":"禅城区","level":4,"area_code":"440604000000","town_code":"","country_id":1}
,{"id":2436,"pid":234,"name":"南海区","level":4,"area_code":"440605000000","town_code":"","country_id":1}
,{"id":2437,"pid":234,"name":"顺德区","level":4,"area_code":"440606000000","town_code":"","country_id":1}
,{"id":2438,"pid":234,"name":"三水区","level":4,"area_code":"440607000000","town_code":"","country_id":1}
,{"id":2439,"pid":234,"name":"高明区","level":4,"area_code":"440608000000","town_code":"","country_id":1}
,{"id":2440,"pid":235,"name":"市辖区","level":4,"area_code":"440701000000","town_code":"","country_id":1}
,{"id":2441,"pid":235,"name":"蓬江区","level":4,"area_code":"440703000000","town_code":"","country_id":1}
,{"id":2442,"pid":235,"name":"江海区","level":4,"area_code":"440704000000","town_code":"","country_id":1}
,{"id":2443,"pid":235,"name":"新会区","level":4,"area_code":"440705000000","town_code":"","country_id":1}
,{"id":2444,"pid":235,"name":"台山市","level":4,"area_code":"440781000000","town_code":"","country_id":1}
,{"id":2445,"pid":235,"name":"开平市","level":4,"area_code":"440783000000","town_code":"","country_id":1}
,{"id":2446,"pid":235,"name":"鹤山市","level":4,"area_code":"440784000000","town_code":"","country_id":1}
,{"id":2447,"pid":235,"name":"恩平市","level":4,"area_code":"440785000000","town_code":"","country_id":1}
,{"id":2448,"pid":236,"name":"市辖区","level":4,"area_code":"440801000000","town_code":"","country_id":1}
,{"id":2449,"pid":236,"name":"赤坎区","level":4,"area_code":"440802000000","town_code":"","country_id":1}
,{"id":2450,"pid":236,"name":"霞山区","level":4,"area_code":"440803000000","town_code":"","country_id":1}
,{"id":2451,"pid":236,"name":"坡头区","level":4,"area_code":"440804000000","town_code":"","country_id":1}
,{"id":2452,"pid":236,"name":"麻章区","level":4,"area_code":"440811000000","town_code":"","country_id":1}
,{"id":2453,"pid":236,"name":"遂溪县","level":4,"area_code":"440823000000","town_code":"","country_id":1}
,{"id":2454,"pid":236,"name":"徐闻县","level":4,"area_code":"440825000000","town_code":"","country_id":1}
,{"id":2455,"pid":236,"name":"廉江市","level":4,"area_code":"440881000000","town_code":"","country_id":1}
,{"id":2456,"pid":236,"name":"雷州市","level":4,"area_code":"440882000000","town_code":"","country_id":1}
,{"id":2457,"pid":236,"name":"吴川市","level":4,"area_code":"440883000000","town_code":"","country_id":1}
,{"id":2458,"pid":237,"name":"市辖区","level":4,"area_code":"440901000000","town_code":"","country_id":1}
,{"id":2459,"pid":237,"name":"茂南区","level":4,"area_code":"440902000000","town_code":"","country_id":1}
,{"id":2460,"pid":237,"name":"电白区","level":4,"area_code":"440904000000","town_code":"","country_id":1}
,{"id":2461,"pid":237,"name":"高州市","level":4,"area_code":"440981000000","town_code":"","country_id":1}
,{"id":2462,"pid":237,"name":"化州市","level":4,"area_code":"440982000000","town_code":"","country_id":1}
,{"id":2463,"pid":237,"name":"信宜市","level":4,"area_code":"440983000000","town_code":"","country_id":1}
,{"id":2464,"pid":238,"name":"市辖区","level":4,"area_code":"441201000000","town_code":"","country_id":1}
,{"id":2465,"pid":238,"name":"端州区","level":4,"area_code":"441202000000","town_code":"","country_id":1}
,{"id":2466,"pid":238,"name":"鼎湖区","level":4,"area_code":"441203000000","town_code":"","country_id":1}
,{"id":2467,"pid":238,"name":"高要区","level":4,"area_code":"441204000000","town_code":"","country_id":1}
,{"id":2468,"pid":238,"name":"广宁县","level":4,"area_code":"441223000000","town_code":"","country_id":1}
,{"id":2469,"pid":238,"name":"怀集县","level":4,"area_code":"441224000000","town_code":"","country_id":1}
,{"id":2470,"pid":238,"name":"封开县","level":4,"area_code":"441225000000","town_code":"","country_id":1}
,{"id":2471,"pid":238,"name":"德庆县","level":4,"area_code":"441226000000","town_code":"","country_id":1}
,{"id":2472,"pid":238,"name":"四会市","level":4,"area_code":"441284000000","town_code":"","country_id":1}
,{"id":2473,"pid":239,"name":"市辖区","level":4,"area_code":"441301000000","town_code":"","country_id":1}
,{"id":2474,"pid":239,"name":"惠城区","level":4,"area_code":"441302000000","town_code":"","country_id":1}
,{"id":2475,"pid":239,"name":"惠阳区","level":4,"area_code":"441303000000","town_code":"","country_id":1}
,{"id":2476,"pid":239,"name":"博罗县","level":4,"area_code":"441322000000","town_code":"","country_id":1}
,{"id":2477,"pid":239,"name":"惠东县","level":4,"area_code":"441323000000","town_code":"","country_id":1}
,{"id":2478,"pid":239,"name":"龙门县","level":4,"area_code":"441324000000","town_code":"","country_id":1}
,{"id":2479,"pid":240,"name":"市辖区","level":4,"area_code":"441401000000","town_code":"","country_id":1}
,{"id":2480,"pid":240,"name":"梅江区","level":4,"area_code":"441402000000","town_code":"","country_id":1}
,{"id":2481,"pid":240,"name":"梅县区","level":4,"area_code":"441403000000","town_code":"","country_id":1}
,{"id":2482,"pid":240,"name":"大埔县","level":4,"area_code":"441422000000","town_code":"","country_id":1}
,{"id":2483,"pid":240,"name":"丰顺县","level":4,"area_code":"441423000000","town_code":"","country_id":1}
,{"id":2484,"pid":240,"name":"五华县","level":4,"area_code":"441424000000","town_code":"","country_id":1}
,{"id":2485,"pid":240,"name":"平远县","level":4,"area_code":"441426000000","town_code":"","country_id":1}
,{"id":2486,"pid":240,"name":"蕉岭县","level":4,"area_code":"441427000000","town_code":"","country_id":1}
,{"id":2487,"pid":240,"name":"兴宁市","level":4,"area_code":"441481000000","town_code":"","country_id":1}
,{"id":2488,"pid":241,"name":"市辖区","level":4,"area_code":"441501000000","town_code":"","country_id":1}
,{"id":2489,"pid":241,"name":"城区","level":4,"area_code":"441502000000","town_code":"","country_id":1}
,{"id":2490,"pid":241,"name":"海丰县","level":4,"area_code":"441521000000","town_code":"","country_id":1}
,{"id":2491,"pid":241,"name":"陆河县","level":4,"area_code":"441523000000","town_code":"","country_id":1}
,{"id":2492,"pid":241,"name":"陆丰市","level":4,"area_code":"441581000000","town_code":"","country_id":1}
,{"id":2493,"pid":242,"name":"市辖区","level":4,"area_code":"441601000000","town_code":"","country_id":1}
,{"id":2494,"pid":242,"name":"源城区","level":4,"area_code":"441602000000","town_code":"","country_id":1}
,{"id":2495,"pid":242,"name":"紫金县","level":4,"area_code":"441621000000","town_code":"","country_id":1}
,{"id":2496,"pid":242,"name":"龙川县","level":4,"area_code":"441622000000","town_code":"","country_id":1}
,{"id":2497,"pid":242,"name":"连平县","level":4,"area_code":"441623000000","town_code":"","country_id":1}
,{"id":2498,"pid":242,"name":"和平县","level":4,"area_code":"441624000000","town_code":"","country_id":1}
,{"id":2499,"pid":242,"name":"东源县","level":4,"area_code":"441625000000","town_code":"","country_id":1}
,{"id":2500,"pid":243,"name":"市辖区","level":4,"area_code":"441701000000","town_code":"","country_id":1}
,{"id":2501,"pid":243,"name":"江城区","level":4,"area_code":"441702000000","town_code":"","country_id":1}
,{"id":2502,"pid":243,"name":"阳东区","level":4,"area_code":"441704000000","town_code":"","country_id":1}
,{"id":2503,"pid":243,"name":"阳西县","level":4,"area_code":"441721000000","town_code":"","country_id":1}
,{"id":2504,"pid":243,"name":"阳春市","level":4,"area_code":"441781000000","town_code":"","country_id":1}
,{"id":2505,"pid":244,"name":"市辖区","level":4,"area_code":"441801000000","town_code":"","country_id":1}
,{"id":2506,"pid":244,"name":"清城区","level":4,"area_code":"441802000000","town_code":"","country_id":1}
,{"id":2507,"pid":244,"name":"清新区","level":4,"area_code":"441803000000","town_code":"","country_id":1}
,{"id":2508,"pid":244,"name":"佛冈县","level":4,"area_code":"441821000000","town_code":"","country_id":1}
,{"id":2509,"pid":244,"name":"阳山县","level":4,"area_code":"441823000000","town_code":"","country_id":1}
,{"id":2510,"pid":244,"name":"连山壮族瑶族自治县","level":4,"area_code":"441825000000","town_code":"","country_id":1}
,{"id":2511,"pid":244,"name":"连南瑶族自治县","level":4,"area_code":"441826000000","town_code":"","country_id":1}
,{"id":2512,"pid":244,"name":"英德市","level":4,"area_code":"441881000000","town_code":"","country_id":1}
,{"id":2513,"pid":244,"name":"连州市","level":4,"area_code":"441882000000","town_code":"","country_id":1}
,{"id":2514,"pid":247,"name":"市辖区","level":4,"area_code":"445101000000","town_code":"","country_id":1}
,{"id":2515,"pid":247,"name":"湘桥区","level":4,"area_code":"445102000000","town_code":"","country_id":1}
,{"id":2516,"pid":247,"name":"潮安区","level":4,"area_code":"445103000000","town_code":"","country_id":1}
,{"id":2517,"pid":247,"name":"饶平县","level":4,"area_code":"445122000000","town_code":"","country_id":1}
,{"id":2518,"pid":248,"name":"市辖区","level":4,"area_code":"445201000000","town_code":"","country_id":1}
,{"id":2519,"pid":248,"name":"榕城区","level":4,"area_code":"445202000000","town_code":"","country_id":1}
,{"id":2520,"pid":248,"name":"揭东区","level":4,"area_code":"445203000000","town_code":"","country_id":1}
,{"id":2521,"pid":248,"name":"揭西县","level":4,"area_code":"445222000000","town_code":"","country_id":1}
,{"id":2522,"pid":248,"name":"惠来县","level":4,"area_code":"445224000000","town_code":"","country_id":1}
,{"id":2523,"pid":248,"name":"普宁市","level":4,"area_code":"445281000000","town_code":"","country_id":1}
,{"id":2524,"pid":249,"name":"市辖区","level":4,"area_code":"445301000000","town_code":"","country_id":1}
,{"id":2525,"pid":249,"name":"云城区","level":4,"area_code":"445302000000","town_code":"","country_id":1}
,{"id":2526,"pid":249,"name":"云安区","level":4,"area_code":"445303000000","town_code":"","country_id":1}
,{"id":2527,"pid":249,"name":"新兴县","level":4,"area_code":"445321000000","town_code":"","country_id":1}
,{"id":2528,"pid":249,"name":"郁南县","level":4,"area_code":"445322000000","town_code":"","country_id":1}
,{"id":2529,"pid":249,"name":"罗定市","level":4,"area_code":"445381000000","town_code":"","country_id":1}
,{"id":2530,"pid":250,"name":"市辖区","level":4,"area_code":"450101000000","town_code":"","country_id":1}
,{"id":2531,"pid":250,"name":"兴宁区","level":4,"area_code":"450102000000","town_code":"","country_id":1}
,{"id":2532,"pid":250,"name":"青秀区","level":4,"area_code":"450103000000","town_code":"","country_id":1}
,{"id":2533,"pid":250,"name":"江南区","level":4,"area_code":"450105000000","town_code":"","country_id":1}
,{"id":2534,"pid":250,"name":"西乡塘区","level":4,"area_code":"450107000000","town_code":"","country_id":1}
,{"id":2535,"pid":250,"name":"良庆区","level":4,"area_code":"450108000000","town_code":"","country_id":1}
,{"id":2536,"pid":250,"name":"邕宁区","level":4,"area_code":"450109000000","town_code":"","country_id":1}
,{"id":2537,"pid":250,"name":"武鸣区","level":4,"area_code":"450110000000","town_code":"","country_id":1}
,{"id":2538,"pid":250,"name":"隆安县","level":4,"area_code":"450123000000","town_code":"","country_id":1}
,{"id":2539,"pid":250,"name":"马山县","level":4,"area_code":"450124000000","town_code":"","country_id":1}
,{"id":2540,"pid":250,"name":"上林县","level":4,"area_code":"450125000000","town_code":"","country_id":1}
,{"id":2541,"pid":250,"name":"宾阳县","level":4,"area_code":"450126000000","town_code":"","country_id":1}
,{"id":2542,"pid":250,"name":"横州市","level":4,"area_code":"450181000000","town_code":"","country_id":1}
,{"id":2543,"pid":251,"name":"市辖区","level":4,"area_code":"450201000000","town_code":"","country_id":1}
,{"id":2544,"pid":251,"name":"城中区","level":4,"area_code":"450202000000","town_code":"","country_id":1}
,{"id":2545,"pid":251,"name":"鱼峰区","level":4,"area_code":"450203000000","town_code":"","country_id":1}
,{"id":2546,"pid":251,"name":"柳南区","level":4,"area_code":"450204000000","town_code":"","country_id":1}
,{"id":2547,"pid":251,"name":"柳北区","level":4,"area_code":"450205000000","town_code":"","country_id":1}
,{"id":2548,"pid":251,"name":"柳江区","level":4,"area_code":"450206000000","town_code":"","country_id":1}
,{"id":2549,"pid":251,"name":"柳城县","level":4,"area_code":"450222000000","town_code":"","country_id":1}
,{"id":2550,"pid":251,"name":"鹿寨县","level":4,"area_code":"450223000000","town_code":"","country_id":1}
,{"id":2551,"pid":251,"name":"融安县","level":4,"area_code":"450224000000","town_code":"","country_id":1}
,{"id":2552,"pid":251,"name":"融水苗族自治县","level":4,"area_code":"450225000000","town_code":"","country_id":1}
,{"id":2553,"pid":251,"name":"三江侗族自治县","level":4,"area_code":"450226000000","town_code":"","country_id":1}
,{"id":2554,"pid":252,"name":"市辖区","level":4,"area_code":"450301000000","town_code":"","country_id":1}
,{"id":2555,"pid":252,"name":"秀峰区","level":4,"area_code":"450302000000","town_code":"","country_id":1}
,{"id":2556,"pid":252,"name":"叠彩区","level":4,"area_code":"450303000000","town_code":"","country_id":1}
,{"id":2557,"pid":252,"name":"象山区","level":4,"area_code":"450304000000","town_code":"","country_id":1}
,{"id":2558,"pid":252,"name":"七星区","level":4,"area_code":"450305000000","town_code":"","country_id":1}
,{"id":2559,"pid":252,"name":"雁山区","level":4,"area_code":"450311000000","town_code":"","country_id":1}
,{"id":2560,"pid":252,"name":"临桂区","level":4,"area_code":"450312000000","town_code":"","country_id":1}
,{"id":2561,"pid":252,"name":"阳朔县","level":4,"area_code":"450321000000","town_code":"","country_id":1}
,{"id":2562,"pid":252,"name":"灵川县","level":4,"area_code":"450323000000","town_code":"","country_id":1}
,{"id":2563,"pid":252,"name":"全州县","level":4,"area_code":"450324000000","town_code":"","country_id":1}
,{"id":2564,"pid":252,"name":"兴安县","level":4,"area_code":"450325000000","town_code":"","country_id":1}
,{"id":2565,"pid":252,"name":"永福县","level":4,"area_code":"450326000000","town_code":"","country_id":1}
,{"id":2566,"pid":252,"name":"灌阳县","level":4,"area_code":"450327000000","town_code":"","country_id":1}
,{"id":2567,"pid":252,"name":"龙胜各族自治县","level":4,"area_code":"450328000000","town_code":"","country_id":1}
,{"id":2568,"pid":252,"name":"资源县","level":4,"area_code":"450329000000","town_code":"","country_id":1}
,{"id":2569,"pid":252,"name":"平乐县","level":4,"area_code":"450330000000","town_code":"","country_id":1}
,{"id":2570,"pid":252,"name":"恭城瑶族自治县","level":4,"area_code":"450332000000","town_code":"","country_id":1}
,{"id":2571,"pid":252,"name":"荔浦市","level":4,"area_code":"450381000000","town_code":"","country_id":1}
,{"id":2572,"pid":253,"name":"市辖区","level":4,"area_code":"450401000000","town_code":"","country_id":1}
,{"id":2573,"pid":253,"name":"万秀区","level":4,"area_code":"450403000000","town_code":"","country_id":1}
,{"id":2574,"pid":253,"name":"长洲区","level":4,"area_code":"450405000000","town_code":"","country_id":1}
,{"id":2575,"pid":253,"name":"龙圩区","level":4,"area_code":"450406000000","town_code":"","country_id":1}
,{"id":2576,"pid":253,"name":"苍梧县","level":4,"area_code":"450421000000","town_code":"","country_id":1}
,{"id":2577,"pid":253,"name":"藤县","level":4,"area_code":"450422000000","town_code":"","country_id":1}
,{"id":2578,"pid":253,"name":"蒙山县","level":4,"area_code":"450423000000","town_code":"","country_id":1}
,{"id":2579,"pid":253,"name":"岑溪市","level":4,"area_code":"450481000000","town_code":"","country_id":1}
,{"id":2580,"pid":254,"name":"市辖区","level":4,"area_code":"450501000000","town_code":"","country_id":1}
,{"id":2581,"pid":254,"name":"海城区","level":4,"area_code":"450502000000","town_code":"","country_id":1}
,{"id":2582,"pid":254,"name":"银海区","level":4,"area_code":"450503000000","town_code":"","country_id":1}
,{"id":2583,"pid":254,"name":"铁山港区","level":4,"area_code":"450512000000","town_code":"","country_id":1}
,{"id":2584,"pid":254,"name":"合浦县","level":4,"area_code":"450521000000","town_code":"","country_id":1}
,{"id":2585,"pid":255,"name":"市辖区","level":4,"area_code":"450601000000","town_code":"","country_id":1}
,{"id":2586,"pid":255,"name":"港口区","level":4,"area_code":"450602000000","town_code":"","country_id":1}
,{"id":2587,"pid":255,"name":"防城区","level":4,"area_code":"450603000000","town_code":"","country_id":1}
,{"id":2588,"pid":255,"name":"上思县","level":4,"area_code":"450621000000","town_code":"","country_id":1}
,{"id":2589,"pid":255,"name":"东兴市","level":4,"area_code":"450681000000","town_code":"","country_id":1}
,{"id":2590,"pid":256,"name":"市辖区","level":4,"area_code":"450701000000","town_code":"","country_id":1}
,{"id":2591,"pid":256,"name":"钦南区","level":4,"area_code":"450702000000","town_code":"","country_id":1}
,{"id":2592,"pid":256,"name":"钦北区","level":4,"area_code":"450703000000","town_code":"","country_id":1}
,{"id":2593,"pid":256,"name":"灵山县","level":4,"area_code":"450721000000","town_code":"","country_id":1}
,{"id":2594,"pid":256,"name":"浦北县","level":4,"area_code":"450722000000","town_code":"","country_id":1}
,{"id":2595,"pid":257,"name":"市辖区","level":4,"area_code":"450801000000","town_code":"","country_id":1}
,{"id":2596,"pid":257,"name":"港北区","level":4,"area_code":"450802000000","town_code":"","country_id":1}
,{"id":2597,"pid":257,"name":"港南区","level":4,"area_code":"450803000000","town_code":"","country_id":1}
,{"id":2598,"pid":257,"name":"覃塘区","level":4,"area_code":"450804000000","town_code":"","country_id":1}
,{"id":2599,"pid":257,"name":"平南县","level":4,"area_code":"450821000000","town_code":"","country_id":1}
,{"id":2600,"pid":257,"name":"桂平市","level":4,"area_code":"450881000000","town_code":"","country_id":1}
,{"id":2601,"pid":258,"name":"市辖区","level":4,"area_code":"450901000000","town_code":"","country_id":1}
,{"id":2602,"pid":258,"name":"玉州区","level":4,"area_code":"450902000000","town_code":"","country_id":1}
,{"id":2603,"pid":258,"name":"福绵区","level":4,"area_code":"450903000000","town_code":"","country_id":1}
,{"id":2604,"pid":258,"name":"容县","level":4,"area_code":"450921000000","town_code":"","country_id":1}
,{"id":2605,"pid":258,"name":"陆川县","level":4,"area_code":"450922000000","town_code":"","country_id":1}
,{"id":2606,"pid":258,"name":"博白县","level":4,"area_code":"450923000000","town_code":"","country_id":1}
,{"id":2607,"pid":258,"name":"兴业县","level":4,"area_code":"450924000000","town_code":"","country_id":1}
,{"id":2608,"pid":258,"name":"北流市","level":4,"area_code":"450981000000","town_code":"","country_id":1}
,{"id":2609,"pid":259,"name":"市辖区","level":4,"area_code":"451001000000","town_code":"","country_id":1}
,{"id":2610,"pid":259,"name":"右江区","level":4,"area_code":"451002000000","town_code":"","country_id":1}
,{"id":2611,"pid":259,"name":"田阳区","level":4,"area_code":"451003000000","town_code":"","country_id":1}
,{"id":2612,"pid":259,"name":"田东县","level":4,"area_code":"451022000000","town_code":"","country_id":1}
,{"id":2613,"pid":259,"name":"德保县","level":4,"area_code":"451024000000","town_code":"","country_id":1}
,{"id":2614,"pid":259,"name":"那坡县","level":4,"area_code":"451026000000","town_code":"","country_id":1}
,{"id":2615,"pid":259,"name":"凌云县","level":4,"area_code":"451027000000","town_code":"","country_id":1}
,{"id":2616,"pid":259,"name":"乐业县","level":4,"area_code":"451028000000","town_code":"","country_id":1}
,{"id":2617,"pid":259,"name":"田林县","level":4,"area_code":"451029000000","town_code":"","country_id":1}
,{"id":2618,"pid":259,"name":"西林县","level":4,"area_code":"451030000000","town_code":"","country_id":1}
,{"id":2619,"pid":259,"name":"隆林各族自治县","level":4,"area_code":"451031000000","town_code":"","country_id":1}
,{"id":2620,"pid":259,"name":"靖西市","level":4,"area_code":"451081000000","town_code":"","country_id":1}
,{"id":2621,"pid":259,"name":"平果市","level":4,"area_code":"451082000000","town_code":"","country_id":1}
,{"id":2622,"pid":260,"name":"市辖区","level":4,"area_code":"451101000000","town_code":"","country_id":1}
,{"id":2623,"pid":260,"name":"八步区","level":4,"area_code":"451102000000","town_code":"","country_id":1}
,{"id":2624,"pid":260,"name":"平桂区","level":4,"area_code":"451103000000","town_code":"","country_id":1}
,{"id":2625,"pid":260,"name":"昭平县","level":4,"area_code":"451121000000","town_code":"","country_id":1}
,{"id":2626,"pid":260,"name":"钟山县","level":4,"area_code":"451122000000","town_code":"","country_id":1}
,{"id":2627,"pid":260,"name":"富川瑶族自治县","level":4,"area_code":"451123000000","town_code":"","country_id":1}
,{"id":2628,"pid":261,"name":"市辖区","level":4,"area_code":"451201000000","town_code":"","country_id":1}
,{"id":2629,"pid":261,"name":"金城江区","level":4,"area_code":"451202000000","town_code":"","country_id":1}
,{"id":2630,"pid":261,"name":"宜州区","level":4,"area_code":"451203000000","town_code":"","country_id":1}
,{"id":2631,"pid":261,"name":"南丹县","level":4,"area_code":"451221000000","town_code":"","country_id":1}
,{"id":2632,"pid":261,"name":"天峨县","level":4,"area_code":"451222000000","town_code":"","country_id":1}
,{"id":2633,"pid":261,"name":"凤山县","level":4,"area_code":"451223000000","town_code":"","country_id":1}
,{"id":2634,"pid":261,"name":"东兰县","level":4,"area_code":"451224000000","town_code":"","country_id":1}
,{"id":2635,"pid":261,"name":"罗城仫佬族自治县","level":4,"area_code":"451225000000","town_code":"","country_id":1}
,{"id":2636,"pid":261,"name":"环江毛南族自治县","level":4,"area_code":"451226000000","town_code":"","country_id":1}
,{"id":2637,"pid":261,"name":"巴马瑶族自治县","level":4,"area_code":"451227000000","town_code":"","country_id":1}
,{"id":2638,"pid":261,"name":"都安瑶族自治县","level":4,"area_code":"451228000000","town_code":"","country_id":1}
,{"id":2639,"pid":261,"name":"大化瑶族自治县","level":4,"area_code":"451229000000","town_code":"","country_id":1}
,{"id":2640,"pid":262,"name":"市辖区","level":4,"area_code":"451301000000","town_code":"","country_id":1}
,{"id":2641,"pid":262,"name":"兴宾区","level":4,"area_code":"451302000000","town_code":"","country_id":1}
,{"id":2642,"pid":262,"name":"忻城县","level":4,"area_code":"451321000000","town_code":"","country_id":1}
,{"id":2643,"pid":262,"name":"象州县","level":4,"area_code":"451322000000","town_code":"","country_id":1}
,{"id":2644,"pid":262,"name":"武宣县","level":4,"area_code":"451323000000","town_code":"","country_id":1}
,{"id":2645,"pid":262,"name":"金秀瑶族自治县","level":4,"area_code":"451324000000","town_code":"","country_id":1}
,{"id":2646,"pid":262,"name":"合山市","level":4,"area_code":"451381000000","town_code":"","country_id":1}
,{"id":2647,"pid":263,"name":"市辖区","level":4,"area_code":"451401000000","town_code":"","country_id":1}
,{"id":2648,"pid":263,"name":"江州区","level":4,"area_code":"451402000000","town_code":"","country_id":1}
,{"id":2649,"pid":263,"name":"扶绥县","level":4,"area_code":"451421000000","town_code":"","country_id":1}
,{"id":2650,"pid":263,"name":"宁明县","level":4,"area_code":"451422000000","town_code":"","country_id":1}
,{"id":2651,"pid":263,"name":"龙州县","level":4,"area_code":"451423000000","town_code":"","country_id":1}
,{"id":2652,"pid":263,"name":"大新县","level":4,"area_code":"451424000000","town_code":"","country_id":1}
,{"id":2653,"pid":263,"name":"天等县","level":4,"area_code":"451425000000","town_code":"","country_id":1}
,{"id":2654,"pid":263,"name":"凭祥市","level":4,"area_code":"451481000000","town_code":"","country_id":1}
,{"id":2655,"pid":264,"name":"市辖区","level":4,"area_code":"460101000000","town_code":"","country_id":1}
,{"id":2656,"pid":264,"name":"秀英区","level":4,"area_code":"460105000000","town_code":"","country_id":1}
,{"id":2657,"pid":264,"name":"龙华区","level":4,"area_code":"460106000000","town_code":"","country_id":1}
,{"id":2658,"pid":264,"name":"琼山区","level":4,"area_code":"460107000000","town_code":"","country_id":1}
,{"id":2659,"pid":264,"name":"美兰区","level":4,"area_code":"460108000000","town_code":"","country_id":1}
,{"id":2660,"pid":265,"name":"市辖区","level":4,"area_code":"460201000000","town_code":"","country_id":1}
,{"id":2661,"pid":265,"name":"海棠区","level":4,"area_code":"460202000000","town_code":"","country_id":1}
,{"id":2662,"pid":265,"name":"吉阳区","level":4,"area_code":"460203000000","town_code":"","country_id":1}
,{"id":2663,"pid":265,"name":"天涯区","level":4,"area_code":"460204000000","town_code":"","country_id":1}
,{"id":2664,"pid":265,"name":"崖州区","level":4,"area_code":"460205000000","town_code":"","country_id":1}
,{"id":2665,"pid":266,"name":"西沙群岛","level":4,"area_code":"460321000000","town_code":"","country_id":1}
,{"id":2666,"pid":266,"name":"南沙群岛","level":4,"area_code":"460322000000","town_code":"","country_id":1}
,{"id":2667,"pid":266,"name":"中沙群岛的岛礁及其海域","level":4,"area_code":"460323000000","town_code":"","country_id":1}
,{"id":2668,"pid":268,"name":"五指山市","level":4,"area_code":"469001000000","town_code":"","country_id":1}
,{"id":2669,"pid":268,"name":"琼海市","level":4,"area_code":"469002000000","town_code":"","country_id":1}
,{"id":2670,"pid":268,"name":"文昌市","level":4,"area_code":"469005000000","town_code":"","country_id":1}
,{"id":2671,"pid":268,"name":"万宁市","level":4,"area_code":"469006000000","town_code":"","country_id":1}
,{"id":2672,"pid":268,"name":"东方市","level":4,"area_code":"469007000000","town_code":"","country_id":1}
,{"id":2673,"pid":268,"name":"定安县","level":4,"area_code":"469021000000","town_code":"","country_id":1}
,{"id":2674,"pid":268,"name":"屯昌县","level":4,"area_code":"469022000000","town_code":"","country_id":1}
,{"id":2675,"pid":268,"name":"澄迈县","level":4,"area_code":"469023000000","town_code":"","country_id":1}
,{"id":2676,"pid":268,"name":"临高县","level":4,"area_code":"469024000000","town_code":"","country_id":1}
,{"id":2677,"pid":268,"name":"白沙黎族自治县","level":4,"area_code":"469025000000","town_code":"","country_id":1}
,{"id":2678,"pid":268,"name":"昌江黎族自治县","level":4,"area_code":"469026000000","town_code":"","country_id":1}
,{"id":2679,"pid":268,"name":"乐东黎族自治县","level":4,"area_code":"469027000000","town_code":"","country_id":1}
,{"id":2680,"pid":268,"name":"陵水黎族自治县","level":4,"area_code":"469028000000","town_code":"","country_id":1}
,{"id":2681,"pid":268,"name":"保亭黎族苗族自治县","level":4,"area_code":"469029000000","town_code":"","country_id":1}
,{"id":2682,"pid":268,"name":"琼中黎族苗族自治县","level":4,"area_code":"469030000000","town_code":"","country_id":1}
,{"id":2683,"pid":269,"name":"万州区","level":4,"area_code":"500101000000","town_code":"","country_id":1}
,{"id":2684,"pid":269,"name":"涪陵区","level":4,"area_code":"500102000000","town_code":"","country_id":1}
,{"id":2685,"pid":269,"name":"渝中区","level":4,"area_code":"500103000000","town_code":"","country_id":1}
,{"id":2686,"pid":269,"name":"大渡口区","level":4,"area_code":"500104000000","town_code":"","country_id":1}
,{"id":2687,"pid":269,"name":"江北区","level":4,"area_code":"500105000000","town_code":"","country_id":1}
,{"id":2688,"pid":269,"name":"沙坪坝区","level":4,"area_code":"500106000000","town_code":"","country_id":1}
,{"id":2689,"pid":269,"name":"九龙坡区","level":4,"area_code":"500107000000","town_code":"","country_id":1}
,{"id":2690,"pid":269,"name":"南岸区","level":4,"area_code":"500108000000","town_code":"","country_id":1}
,{"id":2691,"pid":269,"name":"北碚区","level":4,"area_code":"500109000000","town_code":"","country_id":1}
,{"id":2692,"pid":269,"name":"綦江区","level":4,"area_code":"500110000000","town_code":"","country_id":1}
,{"id":2693,"pid":269,"name":"大足区","level":4,"area_code":"500111000000","town_code":"","country_id":1}
,{"id":2694,"pid":269,"name":"渝北区","level":4,"area_code":"500112000000","town_code":"","country_id":1}
,{"id":2695,"pid":269,"name":"巴南区","level":4,"area_code":"500113000000","town_code":"","country_id":1}
,{"id":2696,"pid":269,"name":"黔江区","level":4,"area_code":"500114000000","town_code":"","country_id":1}
,{"id":2697,"pid":269,"name":"长寿区","level":4,"area_code":"500115000000","town_code":"","country_id":1}
,{"id":2698,"pid":269,"name":"江津区","level":4,"area_code":"500116000000","town_code":"","country_id":1}
,{"id":2699,"pid":269,"name":"合川区","level":4,"area_code":"500117000000","town_code":"","country_id":1}
,{"id":2700,"pid":269,"name":"永川区","level":4,"area_code":"500118000000","town_code":"","country_id":1}
,{"id":2701,"pid":269,"name":"南川区","level":4,"area_code":"500119000000","town_code":"","country_id":1}
,{"id":2702,"pid":269,"name":"璧山区","level":4,"area_code":"500120000000","town_code":"","country_id":1}
,{"id":2703,"pid":269,"name":"铜梁区","level":4,"area_code":"500151000000","town_code":"","country_id":1}
,{"id":2704,"pid":269,"name":"潼南区","level":4,"area_code":"500152000000","town_code":"","country_id":1}
,{"id":2705,"pid":269,"name":"荣昌区","level":4,"area_code":"500153000000","town_code":"","country_id":1}
,{"id":2706,"pid":269,"name":"开州区","level":4,"area_code":"500154000000","town_code":"","country_id":1}
,{"id":2707,"pid":269,"name":"梁平区","level":4,"area_code":"500155000000","town_code":"","country_id":1}
,{"id":2708,"pid":269,"name":"武隆区","level":4,"area_code":"500156000000","town_code":"","country_id":1}
,{"id":2709,"pid":270,"name":"城口县","level":4,"area_code":"500229000000","town_code":"","country_id":1}
,{"id":2710,"pid":270,"name":"丰都县","level":4,"area_code":"500230000000","town_code":"","country_id":1}
,{"id":2711,"pid":270,"name":"垫江县","level":4,"area_code":"500231000000","town_code":"","country_id":1}
,{"id":2712,"pid":270,"name":"忠县","level":4,"area_code":"500233000000","town_code":"","country_id":1}
,{"id":2713,"pid":270,"name":"云阳县","level":4,"area_code":"500235000000","town_code":"","country_id":1}
,{"id":2714,"pid":270,"name":"奉节县","level":4,"area_code":"500236000000","town_code":"","country_id":1}
,{"id":2715,"pid":270,"name":"巫山县","level":4,"area_code":"500237000000","town_code":"","country_id":1}
,{"id":2716,"pid":270,"name":"巫溪县","level":4,"area_code":"500238000000","town_code":"","country_id":1}
,{"id":2717,"pid":270,"name":"石柱土家族自治县","level":4,"area_code":"500240000000","town_code":"","country_id":1}
,{"id":2718,"pid":270,"name":"秀山土家族苗族自治县","level":4,"area_code":"500241000000","town_code":"","country_id":1}
,{"id":2719,"pid":270,"name":"酉阳土家族苗族自治县","level":4,"area_code":"500242000000","town_code":"","country_id":1}
,{"id":2720,"pid":270,"name":"彭水苗族土家族自治县","level":4,"area_code":"500243000000","town_code":"","country_id":1}
,{"id":2721,"pid":271,"name":"市辖区","level":4,"area_code":"510101000000","town_code":"","country_id":1}
,{"id":2722,"pid":271,"name":"锦江区","level":4,"area_code":"510104000000","town_code":"","country_id":1}
,{"id":2723,"pid":271,"name":"青羊区","level":4,"area_code":"510105000000","town_code":"","country_id":1}
,{"id":2724,"pid":271,"name":"金牛区","level":4,"area_code":"510106000000","town_code":"","country_id":1}
,{"id":2725,"pid":271,"name":"武侯区","level":4,"area_code":"510107000000","town_code":"","country_id":1}
,{"id":2726,"pid":271,"name":"成华区","level":4,"area_code":"510108000000","town_code":"","country_id":1}
,{"id":2727,"pid":271,"name":"龙泉驿区","level":4,"area_code":"510112000000","town_code":"","country_id":1}
,{"id":2728,"pid":271,"name":"青白江区","level":4,"area_code":"510113000000","town_code":"","country_id":1}
,{"id":2729,"pid":271,"name":"新都区","level":4,"area_code":"510114000000","town_code":"","country_id":1}
,{"id":2730,"pid":271,"name":"温江区","level":4,"area_code":"510115000000","town_code":"","country_id":1}
,{"id":2731,"pid":271,"name":"双流区","level":4,"area_code":"510116000000","town_code":"","country_id":1}
,{"id":2732,"pid":271,"name":"郫都区","level":4,"area_code":"510117000000","town_code":"","country_id":1}
,{"id":2733,"pid":271,"name":"新津区","level":4,"area_code":"510118000000","town_code":"","country_id":1}
,{"id":2734,"pid":271,"name":"金堂县","level":4,"area_code":"510121000000","town_code":"","country_id":1}
,{"id":2735,"pid":271,"name":"大邑县","level":4,"area_code":"510129000000","town_code":"","country_id":1}
,{"id":2736,"pid":271,"name":"蒲江县","level":4,"area_code":"510131000000","town_code":"","country_id":1}
,{"id":2737,"pid":271,"name":"都江堰市","level":4,"area_code":"510181000000","town_code":"","country_id":1}
,{"id":2738,"pid":271,"name":"彭州市","level":4,"area_code":"510182000000","town_code":"","country_id":1}
,{"id":2739,"pid":271,"name":"邛崃市","level":4,"area_code":"510183000000","town_code":"","country_id":1}
,{"id":2740,"pid":271,"name":"崇州市","level":4,"area_code":"510184000000","town_code":"","country_id":1}
,{"id":2741,"pid":271,"name":"简阳市","level":4,"area_code":"510185000000","town_code":"","country_id":1}
,{"id":2742,"pid":272,"name":"市辖区","level":4,"area_code":"510301000000","town_code":"","country_id":1}
,{"id":2743,"pid":272,"name":"自流井区","level":4,"area_code":"510302000000","town_code":"","country_id":1}
,{"id":2744,"pid":272,"name":"贡井区","level":4,"area_code":"510303000000","town_code":"","country_id":1}
,{"id":2745,"pid":272,"name":"大安区","level":4,"area_code":"510304000000","town_code":"","country_id":1}
,{"id":2746,"pid":272,"name":"沿滩区","level":4,"area_code":"510311000000","town_code":"","country_id":1}
,{"id":2747,"pid":272,"name":"荣县","level":4,"area_code":"510321000000","town_code":"","country_id":1}
,{"id":2748,"pid":272,"name":"富顺县","level":4,"area_code":"510322000000","town_code":"","country_id":1}
,{"id":2749,"pid":273,"name":"市辖区","level":4,"area_code":"510401000000","town_code":"","country_id":1}
,{"id":2750,"pid":273,"name":"东区","level":4,"area_code":"510402000000","town_code":"","country_id":1}
,{"id":2751,"pid":273,"name":"西区","level":4,"area_code":"510403000000","town_code":"","country_id":1}
,{"id":2752,"pid":273,"name":"仁和区","level":4,"area_code":"510411000000","town_code":"","country_id":1}
,{"id":2753,"pid":273,"name":"米易县","level":4,"area_code":"510421000000","town_code":"","country_id":1}
,{"id":2754,"pid":273,"name":"盐边县","level":4,"area_code":"510422000000","town_code":"","country_id":1}
,{"id":2755,"pid":274,"name":"市辖区","level":4,"area_code":"510501000000","town_code":"","country_id":1}
,{"id":2756,"pid":274,"name":"江阳区","level":4,"area_code":"510502000000","town_code":"","country_id":1}
,{"id":2757,"pid":274,"name":"纳溪区","level":4,"area_code":"510503000000","town_code":"","country_id":1}
,{"id":2758,"pid":274,"name":"龙马潭区","level":4,"area_code":"510504000000","town_code":"","country_id":1}
,{"id":2759,"pid":274,"name":"泸县","level":4,"area_code":"510521000000","town_code":"","country_id":1}
,{"id":2760,"pid":274,"name":"合江县","level":4,"area_code":"510522000000","town_code":"","country_id":1}
,{"id":2761,"pid":274,"name":"叙永县","level":4,"area_code":"510524000000","town_code":"","country_id":1}
,{"id":2762,"pid":274,"name":"古蔺县","level":4,"area_code":"510525000000","town_code":"","country_id":1}
,{"id":2763,"pid":275,"name":"市辖区","level":4,"area_code":"510601000000","town_code":"","country_id":1}
,{"id":2764,"pid":275,"name":"旌阳区","level":4,"area_code":"510603000000","town_code":"","country_id":1}
,{"id":2765,"pid":275,"name":"罗江区","level":4,"area_code":"510604000000","town_code":"","country_id":1}
,{"id":2766,"pid":275,"name":"中江县","level":4,"area_code":"510623000000","town_code":"","country_id":1}
,{"id":2767,"pid":275,"name":"广汉市","level":4,"area_code":"510681000000","town_code":"","country_id":1}
,{"id":2768,"pid":275,"name":"什邡市","level":4,"area_code":"510682000000","town_code":"","country_id":1}
,{"id":2769,"pid":275,"name":"绵竹市","level":4,"area_code":"510683000000","town_code":"","country_id":1}
,{"id":2770,"pid":276,"name":"市辖区","level":4,"area_code":"510701000000","town_code":"","country_id":1}
,{"id":2771,"pid":276,"name":"涪城区","level":4,"area_code":"510703000000","town_code":"","country_id":1}
,{"id":2772,"pid":276,"name":"游仙区","level":4,"area_code":"510704000000","town_code":"","country_id":1}
,{"id":2773,"pid":276,"name":"安州区","level":4,"area_code":"510705000000","town_code":"","country_id":1}
,{"id":2774,"pid":276,"name":"三台县","level":4,"area_code":"510722000000","town_code":"","country_id":1}
,{"id":2775,"pid":276,"name":"盐亭县","level":4,"area_code":"510723000000","town_code":"","country_id":1}
,{"id":2776,"pid":276,"name":"梓潼县","level":4,"area_code":"510725000000","town_code":"","country_id":1}
,{"id":2777,"pid":276,"name":"北川羌族自治县","level":4,"area_code":"510726000000","town_code":"","country_id":1}
,{"id":2778,"pid":276,"name":"平武县","level":4,"area_code":"510727000000","town_code":"","country_id":1}
,{"id":2779,"pid":276,"name":"江油市","level":4,"area_code":"510781000000","town_code":"","country_id":1}
,{"id":2780,"pid":277,"name":"市辖区","level":4,"area_code":"510801000000","town_code":"","country_id":1}
,{"id":2781,"pid":277,"name":"利州区","level":4,"area_code":"510802000000","town_code":"","country_id":1}
,{"id":2782,"pid":277,"name":"昭化区","level":4,"area_code":"510811000000","town_code":"","country_id":1}
,{"id":2783,"pid":277,"name":"朝天区","level":4,"area_code":"510812000000","town_code":"","country_id":1}
,{"id":2784,"pid":277,"name":"旺苍县","level":4,"area_code":"510821000000","town_code":"","country_id":1}
,{"id":2785,"pid":277,"name":"青川县","level":4,"area_code":"510822000000","town_code":"","country_id":1}
,{"id":2786,"pid":277,"name":"剑阁县","level":4,"area_code":"510823000000","town_code":"","country_id":1}
,{"id":2787,"pid":277,"name":"苍溪县","level":4,"area_code":"510824000000","town_code":"","country_id":1}
,{"id":2788,"pid":278,"name":"市辖区","level":4,"area_code":"510901000000","town_code":"","country_id":1}
,{"id":2789,"pid":278,"name":"船山区","level":4,"area_code":"510903000000","town_code":"","country_id":1}
,{"id":2790,"pid":278,"name":"安居区","level":4,"area_code":"510904000000","town_code":"","country_id":1}
,{"id":2791,"pid":278,"name":"蓬溪县","level":4,"area_code":"510921000000","town_code":"","country_id":1}
,{"id":2792,"pid":278,"name":"大英县","level":4,"area_code":"510923000000","town_code":"","country_id":1}
,{"id":2793,"pid":278,"name":"射洪市","level":4,"area_code":"510981000000","town_code":"","country_id":1}
,{"id":2794,"pid":279,"name":"市辖区","level":4,"area_code":"511001000000","town_code":"","country_id":1}
,{"id":2795,"pid":279,"name":"市中区","level":4,"area_code":"511002000000","town_code":"","country_id":1}
,{"id":2796,"pid":279,"name":"东兴区","level":4,"area_code":"511011000000","town_code":"","country_id":1}
,{"id":2797,"pid":279,"name":"威远县","level":4,"area_code":"511024000000","town_code":"","country_id":1}
,{"id":2798,"pid":279,"name":"资中县","level":4,"area_code":"511025000000","town_code":"","country_id":1}
,{"id":2799,"pid":279,"name":"隆昌市","level":4,"area_code":"511083000000","town_code":"","country_id":1}
,{"id":2800,"pid":280,"name":"市辖区","level":4,"area_code":"511101000000","town_code":"","country_id":1}
,{"id":2801,"pid":280,"name":"市中区","level":4,"area_code":"511102000000","town_code":"","country_id":1}
,{"id":2802,"pid":280,"name":"沙湾区","level":4,"area_code":"511111000000","town_code":"","country_id":1}
,{"id":2803,"pid":280,"name":"五通桥区","level":4,"area_code":"511112000000","town_code":"","country_id":1}
,{"id":2804,"pid":280,"name":"金口河区","level":4,"area_code":"511113000000","town_code":"","country_id":1}
,{"id":2805,"pid":280,"name":"犍为县","level":4,"area_code":"511123000000","town_code":"","country_id":1}
,{"id":2806,"pid":280,"name":"井研县","level":4,"area_code":"511124000000","town_code":"","country_id":1}
,{"id":2807,"pid":280,"name":"夹江县","level":4,"area_code":"511126000000","town_code":"","country_id":1}
,{"id":2808,"pid":280,"name":"沐川县","level":4,"area_code":"511129000000","town_code":"","country_id":1}
,{"id":2809,"pid":280,"name":"峨边彝族自治县","level":4,"area_code":"511132000000","town_code":"","country_id":1}
,{"id":2810,"pid":280,"name":"马边彝族自治县","level":4,"area_code":"511133000000","town_code":"","country_id":1}
,{"id":2811,"pid":280,"name":"峨眉山市","level":4,"area_code":"511181000000","town_code":"","country_id":1}
,{"id":2812,"pid":281,"name":"市辖区","level":4,"area_code":"511301000000","town_code":"","country_id":1}
,{"id":2813,"pid":281,"name":"顺庆区","level":4,"area_code":"511302000000","town_code":"","country_id":1}
,{"id":2814,"pid":281,"name":"高坪区","level":4,"area_code":"511303000000","town_code":"","country_id":1}
,{"id":2815,"pid":281,"name":"嘉陵区","level":4,"area_code":"511304000000","town_code":"","country_id":1}
,{"id":2816,"pid":281,"name":"南部县","level":4,"area_code":"511321000000","town_code":"","country_id":1}
,{"id":2817,"pid":281,"name":"营山县","level":4,"area_code":"511322000000","town_code":"","country_id":1}
,{"id":2818,"pid":281,"name":"蓬安县","level":4,"area_code":"511323000000","town_code":"","country_id":1}
,{"id":2819,"pid":281,"name":"仪陇县","level":4,"area_code":"511324000000","town_code":"","country_id":1}
,{"id":2820,"pid":281,"name":"西充县","level":4,"area_code":"511325000000","town_code":"","country_id":1}
,{"id":2821,"pid":281,"name":"阆中市","level":4,"area_code":"511381000000","town_code":"","country_id":1}
,{"id":2822,"pid":282,"name":"市辖区","level":4,"area_code":"511401000000","town_code":"","country_id":1}
,{"id":2823,"pid":282,"name":"东坡区","level":4,"area_code":"511402000000","town_code":"","country_id":1}
,{"id":2824,"pid":282,"name":"彭山区","level":4,"area_code":"511403000000","town_code":"","country_id":1}
,{"id":2825,"pid":282,"name":"仁寿县","level":4,"area_code":"511421000000","town_code":"","country_id":1}
,{"id":2826,"pid":282,"name":"洪雅县","level":4,"area_code":"511423000000","town_code":"","country_id":1}
,{"id":2827,"pid":282,"name":"丹棱县","level":4,"area_code":"511424000000","town_code":"","country_id":1}
,{"id":2828,"pid":282,"name":"青神县","level":4,"area_code":"511425000000","town_code":"","country_id":1}
,{"id":2829,"pid":283,"name":"市辖区","level":4,"area_code":"511501000000","town_code":"","country_id":1}
,{"id":2830,"pid":283,"name":"翠屏区","level":4,"area_code":"511502000000","town_code":"","country_id":1}
,{"id":2831,"pid":283,"name":"南溪区","level":4,"area_code":"511503000000","town_code":"","country_id":1}
,{"id":2832,"pid":283,"name":"叙州区","level":4,"area_code":"511504000000","town_code":"","country_id":1}
,{"id":2833,"pid":283,"name":"江安县","level":4,"area_code":"511523000000","town_code":"","country_id":1}
,{"id":2834,"pid":283,"name":"长宁县","level":4,"area_code":"511524000000","town_code":"","country_id":1}
,{"id":2835,"pid":283,"name":"高县","level":4,"area_code":"511525000000","town_code":"","country_id":1}
,{"id":2836,"pid":283,"name":"珙县","level":4,"area_code":"511526000000","town_code":"","country_id":1}
,{"id":2837,"pid":283,"name":"筠连县","level":4,"area_code":"511527000000","town_code":"","country_id":1}
,{"id":2838,"pid":283,"name":"兴文县","level":4,"area_code":"511528000000","town_code":"","country_id":1}
,{"id":2839,"pid":283,"name":"屏山县","level":4,"area_code":"511529000000","town_code":"","country_id":1}
,{"id":2840,"pid":284,"name":"市辖区","level":4,"area_code":"511601000000","town_code":"","country_id":1}
,{"id":2841,"pid":284,"name":"广安区","level":4,"area_code":"511602000000","town_code":"","country_id":1}
,{"id":2842,"pid":284,"name":"前锋区","level":4,"area_code":"511603000000","town_code":"","country_id":1}
,{"id":2843,"pid":284,"name":"岳池县","level":4,"area_code":"511621000000","town_code":"","country_id":1}
,{"id":2844,"pid":284,"name":"武胜县","level":4,"area_code":"511622000000","town_code":"","country_id":1}
,{"id":2845,"pid":284,"name":"邻水县","level":4,"area_code":"511623000000","town_code":"","country_id":1}
,{"id":2846,"pid":284,"name":"华蓥市","level":4,"area_code":"511681000000","town_code":"","country_id":1}
,{"id":2847,"pid":285,"name":"市辖区","level":4,"area_code":"511701000000","town_code":"","country_id":1}
,{"id":2848,"pid":285,"name":"通川区","level":4,"area_code":"511702000000","town_code":"","country_id":1}
,{"id":2849,"pid":285,"name":"达川区","level":4,"area_code":"511703000000","town_code":"","country_id":1}
,{"id":2850,"pid":285,"name":"宣汉县","level":4,"area_code":"511722000000","town_code":"","country_id":1}
,{"id":2851,"pid":285,"name":"开江县","level":4,"area_code":"511723000000","town_code":"","country_id":1}
,{"id":2852,"pid":285,"name":"大竹县","level":4,"area_code":"511724000000","town_code":"","country_id":1}
,{"id":2853,"pid":285,"name":"渠县","level":4,"area_code":"511725000000","town_code":"","country_id":1}
,{"id":2854,"pid":285,"name":"万源市","level":4,"area_code":"511781000000","town_code":"","country_id":1}
,{"id":2855,"pid":286,"name":"市辖区","level":4,"area_code":"511801000000","town_code":"","country_id":1}
,{"id":2856,"pid":286,"name":"雨城区","level":4,"area_code":"511802000000","town_code":"","country_id":1}
,{"id":2857,"pid":286,"name":"名山区","level":4,"area_code":"511803000000","town_code":"","country_id":1}
,{"id":2858,"pid":286,"name":"荥经县","level":4,"area_code":"511822000000","town_code":"","country_id":1}
,{"id":2859,"pid":286,"name":"汉源县","level":4,"area_code":"511823000000","town_code":"","country_id":1}
,{"id":2860,"pid":286,"name":"石棉县","level":4,"area_code":"511824000000","town_code":"","country_id":1}
,{"id":2861,"pid":286,"name":"天全县","level":4,"area_code":"511825000000","town_code":"","country_id":1}
,{"id":2862,"pid":286,"name":"芦山县","level":4,"area_code":"511826000000","town_code":"","country_id":1}
,{"id":2863,"pid":286,"name":"宝兴县","level":4,"area_code":"511827000000","town_code":"","country_id":1}
,{"id":2864,"pid":287,"name":"市辖区","level":4,"area_code":"511901000000","town_code":"","country_id":1}
,{"id":2865,"pid":287,"name":"巴州区","level":4,"area_code":"511902000000","town_code":"","country_id":1}
,{"id":2866,"pid":287,"name":"恩阳区","level":4,"area_code":"511903000000","town_code":"","country_id":1}
,{"id":2867,"pid":287,"name":"通江县","level":4,"area_code":"511921000000","town_code":"","country_id":1}
,{"id":2868,"pid":287,"name":"南江县","level":4,"area_code":"511922000000","town_code":"","country_id":1}
,{"id":2869,"pid":287,"name":"平昌县","level":4,"area_code":"511923000000","town_code":"","country_id":1}
,{"id":2870,"pid":288,"name":"市辖区","level":4,"area_code":"512001000000","town_code":"","country_id":1}
,{"id":2871,"pid":288,"name":"雁江区","level":4,"area_code":"512002000000","town_code":"","country_id":1}
,{"id":2872,"pid":288,"name":"安岳县","level":4,"area_code":"512021000000","town_code":"","country_id":1}
,{"id":2873,"pid":288,"name":"乐至县","level":4,"area_code":"512022000000","town_code":"","country_id":1}
,{"id":2874,"pid":289,"name":"马尔康市","level":4,"area_code":"513201000000","town_code":"","country_id":1}
,{"id":2875,"pid":289,"name":"汶川县","level":4,"area_code":"513221000000","town_code":"","country_id":1}
,{"id":2876,"pid":289,"name":"理县","level":4,"area_code":"513222000000","town_code":"","country_id":1}
,{"id":2877,"pid":289,"name":"茂县","level":4,"area_code":"513223000000","town_code":"","country_id":1}
,{"id":2878,"pid":289,"name":"松潘县","level":4,"area_code":"513224000000","town_code":"","country_id":1}
,{"id":2879,"pid":289,"name":"九寨沟县","level":4,"area_code":"513225000000","town_code":"","country_id":1}
,{"id":2880,"pid":289,"name":"金川县","level":4,"area_code":"513226000000","town_code":"","country_id":1}
,{"id":2881,"pid":289,"name":"小金县","level":4,"area_code":"513227000000","town_code":"","country_id":1}
,{"id":2882,"pid":289,"name":"黑水县","level":4,"area_code":"513228000000","town_code":"","country_id":1}
,{"id":2883,"pid":289,"name":"壤塘县","level":4,"area_code":"513230000000","town_code":"","country_id":1}
,{"id":2884,"pid":289,"name":"阿坝县","level":4,"area_code":"513231000000","town_code":"","country_id":1}
,{"id":2885,"pid":289,"name":"若尔盖县","level":4,"area_code":"513232000000","town_code":"","country_id":1}
,{"id":2886,"pid":289,"name":"红原县","level":4,"area_code":"513233000000","town_code":"","country_id":1}
,{"id":2887,"pid":290,"name":"康定市","level":4,"area_code":"513301000000","town_code":"","country_id":1}
,{"id":2888,"pid":290,"name":"泸定县","level":4,"area_code":"513322000000","town_code":"","country_id":1}
,{"id":2889,"pid":290,"name":"丹巴县","level":4,"area_code":"513323000000","town_code":"","country_id":1}
,{"id":2890,"pid":290,"name":"九龙县","level":4,"area_code":"513324000000","town_code":"","country_id":1}
,{"id":2891,"pid":290,"name":"雅江县","level":4,"area_code":"513325000000","town_code":"","country_id":1}
,{"id":2892,"pid":290,"name":"道孚县","level":4,"area_code":"513326000000","town_code":"","country_id":1}
,{"id":2893,"pid":290,"name":"炉霍县","level":4,"area_code":"513327000000","town_code":"","country_id":1}
,{"id":2894,"pid":290,"name":"甘孜县","level":4,"area_code":"513328000000","town_code":"","country_id":1}
,{"id":2895,"pid":290,"name":"新龙县","level":4,"area_code":"513329000000","town_code":"","country_id":1}
,{"id":2896,"pid":290,"name":"德格县","level":4,"area_code":"513330000000","town_code":"","country_id":1}
,{"id":2897,"pid":290,"name":"白玉县","level":4,"area_code":"513331000000","town_code":"","country_id":1}
,{"id":2898,"pid":290,"name":"石渠县","level":4,"area_code":"513332000000","town_code":"","country_id":1}
,{"id":2899,"pid":290,"name":"色达县","level":4,"area_code":"513333000000","town_code":"","country_id":1}
,{"id":2900,"pid":290,"name":"理塘县","level":4,"area_code":"513334000000","town_code":"","country_id":1}
,{"id":2901,"pid":290,"name":"巴塘县","level":4,"area_code":"513335000000","town_code":"","country_id":1}
,{"id":2902,"pid":290,"name":"乡城县","level":4,"area_code":"513336000000","town_code":"","country_id":1}
,{"id":2903,"pid":290,"name":"稻城县","level":4,"area_code":"513337000000","town_code":"","country_id":1}
,{"id":2904,"pid":290,"name":"得荣县","level":4,"area_code":"513338000000","town_code":"","country_id":1}
,{"id":2905,"pid":291,"name":"西昌市","level":4,"area_code":"513401000000","town_code":"","country_id":1}
,{"id":2906,"pid":291,"name":"会理市","level":4,"area_code":"513402000000","town_code":"","country_id":1}
,{"id":2907,"pid":291,"name":"木里藏族自治县","level":4,"area_code":"513422000000","town_code":"","country_id":1}
,{"id":2908,"pid":291,"name":"盐源县","level":4,"area_code":"513423000000","town_code":"","country_id":1}
,{"id":2909,"pid":291,"name":"德昌县","level":4,"area_code":"513424000000","town_code":"","country_id":1}
,{"id":2910,"pid":291,"name":"会东县","level":4,"area_code":"513426000000","town_code":"","country_id":1}
,{"id":2911,"pid":291,"name":"宁南县","level":4,"area_code":"513427000000","town_code":"","country_id":1}
,{"id":2912,"pid":291,"name":"普格县","level":4,"area_code":"513428000000","town_code":"","country_id":1}
,{"id":2913,"pid":291,"name":"布拖县","level":4,"area_code":"513429000000","town_code":"","country_id":1}
,{"id":2914,"pid":291,"name":"金阳县","level":4,"area_code":"513430000000","town_code":"","country_id":1}
,{"id":2915,"pid":291,"name":"昭觉县","level":4,"area_code":"513431000000","town_code":"","country_id":1}
,{"id":2916,"pid":291,"name":"喜德县","level":4,"area_code":"513432000000","town_code":"","country_id":1}
,{"id":2917,"pid":291,"name":"冕宁县","level":4,"area_code":"513433000000","town_code":"","country_id":1}
,{"id":2918,"pid":291,"name":"越西县","level":4,"area_code":"513434000000","town_code":"","country_id":1}
,{"id":2919,"pid":291,"name":"甘洛县","level":4,"area_code":"513435000000","town_code":"","country_id":1}
,{"id":2920,"pid":291,"name":"美姑县","level":4,"area_code":"513436000000","town_code":"","country_id":1}
,{"id":2921,"pid":291,"name":"雷波县","level":4,"area_code":"513437000000","town_code":"","country_id":1}
,{"id":2922,"pid":292,"name":"市辖区","level":4,"area_code":"520101000000","town_code":"","country_id":1}
,{"id":2923,"pid":292,"name":"南明区","level":4,"area_code":"520102000000","town_code":"","country_id":1}
,{"id":2924,"pid":292,"name":"云岩区","level":4,"area_code":"520103000000","town_code":"","country_id":1}
,{"id":2925,"pid":292,"name":"花溪区","level":4,"area_code":"520111000000","town_code":"","country_id":1}
,{"id":2926,"pid":292,"name":"乌当区","level":4,"area_code":"520112000000","town_code":"","country_id":1}
,{"id":2927,"pid":292,"name":"白云区","level":4,"area_code":"520113000000","town_code":"","country_id":1}
,{"id":2928,"pid":292,"name":"观山湖区","level":4,"area_code":"520115000000","town_code":"","country_id":1}
,{"id":2929,"pid":292,"name":"开阳县","level":4,"area_code":"520121000000","town_code":"","country_id":1}
,{"id":2930,"pid":292,"name":"息烽县","level":4,"area_code":"520122000000","town_code":"","country_id":1}
,{"id":2931,"pid":292,"name":"修文县","level":4,"area_code":"520123000000","town_code":"","country_id":1}
,{"id":2932,"pid":292,"name":"清镇市","level":4,"area_code":"520181000000","town_code":"","country_id":1}
,{"id":2933,"pid":293,"name":"钟山区","level":4,"area_code":"520201000000","town_code":"","country_id":1}
,{"id":2934,"pid":293,"name":"六枝特区","level":4,"area_code":"520203000000","town_code":"","country_id":1}
,{"id":2935,"pid":293,"name":"水城区","level":4,"area_code":"520204000000","town_code":"","country_id":1}
,{"id":2936,"pid":293,"name":"盘州市","level":4,"area_code":"520281000000","town_code":"","country_id":1}
,{"id":2937,"pid":294,"name":"市辖区","level":4,"area_code":"520301000000","town_code":"","country_id":1}
,{"id":2938,"pid":294,"name":"红花岗区","level":4,"area_code":"520302000000","town_code":"","country_id":1}
,{"id":2939,"pid":294,"name":"汇川区","level":4,"area_code":"520303000000","town_code":"","country_id":1}
,{"id":2940,"pid":294,"name":"播州区","level":4,"area_code":"520304000000","town_code":"","country_id":1}
,{"id":2941,"pid":294,"name":"桐梓县","level":4,"area_code":"520322000000","town_code":"","country_id":1}
,{"id":2942,"pid":294,"name":"绥阳县","level":4,"area_code":"520323000000","town_code":"","country_id":1}
,{"id":2943,"pid":294,"name":"正安县","level":4,"area_code":"520324000000","town_code":"","country_id":1}
,{"id":2944,"pid":294,"name":"道真仡佬族苗族自治县","level":4,"area_code":"520325000000","town_code":"","country_id":1}
,{"id":2945,"pid":294,"name":"务川仡佬族苗族自治县","level":4,"area_code":"520326000000","town_code":"","country_id":1}
,{"id":2946,"pid":294,"name":"凤冈县","level":4,"area_code":"520327000000","town_code":"","country_id":1}
,{"id":2947,"pid":294,"name":"湄潭县","level":4,"area_code":"520328000000","town_code":"","country_id":1}
,{"id":2948,"pid":294,"name":"余庆县","level":4,"area_code":"520329000000","town_code":"","country_id":1}
,{"id":2949,"pid":294,"name":"习水县","level":4,"area_code":"520330000000","town_code":"","country_id":1}
,{"id":2950,"pid":294,"name":"赤水市","level":4,"area_code":"520381000000","town_code":"","country_id":1}
,{"id":2951,"pid":294,"name":"仁怀市","level":4,"area_code":"520382000000","town_code":"","country_id":1}
,{"id":2952,"pid":295,"name":"市辖区","level":4,"area_code":"520401000000","town_code":"","country_id":1}
,{"id":2953,"pid":295,"name":"西秀区","level":4,"area_code":"520402000000","town_code":"","country_id":1}
,{"id":2954,"pid":295,"name":"平坝区","level":4,"area_code":"520403000000","town_code":"","country_id":1}
,{"id":2955,"pid":295,"name":"普定县","level":4,"area_code":"520422000000","town_code":"","country_id":1}
,{"id":2956,"pid":295,"name":"镇宁布依族苗族自治县","level":4,"area_code":"520423000000","town_code":"","country_id":1}
,{"id":2957,"pid":295,"name":"关岭布依族苗族自治县","level":4,"area_code":"520424000000","town_code":"","country_id":1}
,{"id":2958,"pid":295,"name":"紫云苗族布依族自治县","level":4,"area_code":"520425000000","town_code":"","country_id":1}
,{"id":2959,"pid":296,"name":"市辖区","level":4,"area_code":"520501000000","town_code":"","country_id":1}
,{"id":2960,"pid":296,"name":"七星关区","level":4,"area_code":"520502000000","town_code":"","country_id":1}
,{"id":2961,"pid":296,"name":"大方县","level":4,"area_code":"520521000000","town_code":"","country_id":1}
,{"id":2962,"pid":296,"name":"金沙县","level":4,"area_code":"520523000000","town_code":"","country_id":1}
,{"id":2963,"pid":296,"name":"织金县","level":4,"area_code":"520524000000","town_code":"","country_id":1}
,{"id":2964,"pid":296,"name":"纳雍县","level":4,"area_code":"520525000000","town_code":"","country_id":1}
,{"id":2965,"pid":296,"name":"威宁彝族回族苗族自治县","level":4,"area_code":"520526000000","town_code":"","country_id":1}
,{"id":2966,"pid":296,"name":"赫章县","level":4,"area_code":"520527000000","town_code":"","country_id":1}
,{"id":2967,"pid":296,"name":"黔西市","level":4,"area_code":"520581000000","town_code":"","country_id":1}
,{"id":2968,"pid":297,"name":"市辖区","level":4,"area_code":"520601000000","town_code":"","country_id":1}
,{"id":2969,"pid":297,"name":"碧江区","level":4,"area_code":"520602000000","town_code":"","country_id":1}
,{"id":2970,"pid":297,"name":"万山区","level":4,"area_code":"520603000000","town_code":"","country_id":1}
,{"id":2971,"pid":297,"name":"江口县","level":4,"area_code":"520621000000","town_code":"","country_id":1}
,{"id":2972,"pid":297,"name":"玉屏侗族自治县","level":4,"area_code":"520622000000","town_code":"","country_id":1}
,{"id":2973,"pid":297,"name":"石阡县","level":4,"area_code":"520623000000","town_code":"","country_id":1}
,{"id":2974,"pid":297,"name":"思南县","level":4,"area_code":"520624000000","town_code":"","country_id":1}
,{"id":2975,"pid":297,"name":"印江土家族苗族自治县","level":4,"area_code":"520625000000","town_code":"","country_id":1}
,{"id":2976,"pid":297,"name":"德江县","level":4,"area_code":"520626000000","town_code":"","country_id":1}
,{"id":2977,"pid":297,"name":"沿河土家族自治县","level":4,"area_code":"520627000000","town_code":"","country_id":1}
,{"id":2978,"pid":297,"name":"松桃苗族自治县","level":4,"area_code":"520628000000","town_code":"","country_id":1}
,{"id":2979,"pid":298,"name":"兴义市","level":4,"area_code":"522301000000","town_code":"","country_id":1}
,{"id":2980,"pid":298,"name":"兴仁市","level":4,"area_code":"522302000000","town_code":"","country_id":1}
,{"id":2981,"pid":298,"name":"普安县","level":4,"area_code":"522323000000","town_code":"","country_id":1}
,{"id":2982,"pid":298,"name":"晴隆县","level":4,"area_code":"522324000000","town_code":"","country_id":1}
,{"id":2983,"pid":298,"name":"贞丰县","level":4,"area_code":"522325000000","town_code":"","country_id":1}
,{"id":2984,"pid":298,"name":"望谟县","level":4,"area_code":"522326000000","town_code":"","country_id":1}
,{"id":2985,"pid":298,"name":"册亨县","level":4,"area_code":"522327000000","town_code":"","country_id":1}
,{"id":2986,"pid":298,"name":"安龙县","level":4,"area_code":"522328000000","town_code":"","country_id":1}
,{"id":2987,"pid":299,"name":"凯里市","level":4,"area_code":"522601000000","town_code":"","country_id":1}
,{"id":2988,"pid":299,"name":"黄平县","level":4,"area_code":"522622000000","town_code":"","country_id":1}
,{"id":2989,"pid":299,"name":"施秉县","level":4,"area_code":"522623000000","town_code":"","country_id":1}
,{"id":2990,"pid":299,"name":"三穗县","level":4,"area_code":"522624000000","town_code":"","country_id":1}
,{"id":2991,"pid":299,"name":"镇远县","level":4,"area_code":"522625000000","town_code":"","country_id":1}
,{"id":2992,"pid":299,"name":"岑巩县","level":4,"area_code":"522626000000","town_code":"","country_id":1}
,{"id":2993,"pid":299,"name":"天柱县","level":4,"area_code":"522627000000","town_code":"","country_id":1}
,{"id":2994,"pid":299,"name":"锦屏县","level":4,"area_code":"522628000000","town_code":"","country_id":1}
,{"id":2995,"pid":299,"name":"剑河县","level":4,"area_code":"522629000000","town_code":"","country_id":1}
,{"id":2996,"pid":299,"name":"台江县","level":4,"area_code":"522630000000","town_code":"","country_id":1}
,{"id":2997,"pid":299,"name":"黎平县","level":4,"area_code":"522631000000","town_code":"","country_id":1}
,{"id":2998,"pid":299,"name":"榕江县","level":4,"area_code":"522632000000","town_code":"","country_id":1}
,{"id":2999,"pid":299,"name":"从江县","level":4,"area_code":"522633000000","town_code":"","country_id":1}
,{"id":3000,"pid":299,"name":"雷山县","level":4,"area_code":"522634000000","town_code":"","country_id":1}
,{"id":3001,"pid":299,"name":"麻江县","level":4,"area_code":"522635000000","town_code":"","country_id":1}
,{"id":3002,"pid":299,"name":"丹寨县","level":4,"area_code":"522636000000","town_code":"","country_id":1}
,{"id":3003,"pid":300,"name":"都匀市","level":4,"area_code":"522701000000","town_code":"","country_id":1}
,{"id":3004,"pid":300,"name":"福泉市","level":4,"area_code":"522702000000","town_code":"","country_id":1}
,{"id":3005,"pid":300,"name":"荔波县","level":4,"area_code":"522722000000","town_code":"","country_id":1}
,{"id":3006,"pid":300,"name":"贵定县","level":4,"area_code":"522723000000","town_code":"","country_id":1}
,{"id":3007,"pid":300,"name":"瓮安县","level":4,"area_code":"522725000000","town_code":"","country_id":1}
,{"id":3008,"pid":300,"name":"独山县","level":4,"area_code":"522726000000","town_code":"","country_id":1}
,{"id":3009,"pid":300,"name":"平塘县","level":4,"area_code":"522727000000","town_code":"","country_id":1}
,{"id":3010,"pid":300,"name":"罗甸县","level":4,"area_code":"522728000000","town_code":"","country_id":1}
,{"id":3011,"pid":300,"name":"长顺县","level":4,"area_code":"522729000000","town_code":"","country_id":1}
,{"id":3012,"pid":300,"name":"龙里县","level":4,"area_code":"522730000000","town_code":"","country_id":1}
,{"id":3013,"pid":300,"name":"惠水县","level":4,"area_code":"522731000000","town_code":"","country_id":1}
,{"id":3014,"pid":300,"name":"三都水族自治县","level":4,"area_code":"522732000000","town_code":"","country_id":1}
,{"id":3015,"pid":301,"name":"市辖区","level":4,"area_code":"530101000000","town_code":"","country_id":1}
,{"id":3016,"pid":301,"name":"五华区","level":4,"area_code":"530102000000","town_code":"","country_id":1}
,{"id":3017,"pid":301,"name":"盘龙区","level":4,"area_code":"530103000000","town_code":"","country_id":1}
,{"id":3018,"pid":301,"name":"官渡区","level":4,"area_code":"530111000000","town_code":"","country_id":1}
,{"id":3019,"pid":301,"name":"西山区","level":4,"area_code":"530112000000","town_code":"","country_id":1}
,{"id":3020,"pid":301,"name":"东川区","level":4,"area_code":"530113000000","town_code":"","country_id":1}
,{"id":3021,"pid":301,"name":"呈贡区","level":4,"area_code":"530114000000","town_code":"","country_id":1}
,{"id":3022,"pid":301,"name":"晋宁区","level":4,"area_code":"530115000000","town_code":"","country_id":1}
,{"id":3023,"pid":301,"name":"富民县","level":4,"area_code":"530124000000","town_code":"","country_id":1}
,{"id":3024,"pid":301,"name":"宜良县","level":4,"area_code":"530125000000","town_code":"","country_id":1}
,{"id":3025,"pid":301,"name":"石林彝族自治县","level":4,"area_code":"530126000000","town_code":"","country_id":1}
,{"id":3026,"pid":301,"name":"嵩明县","level":4,"area_code":"530127000000","town_code":"","country_id":1}
,{"id":3027,"pid":301,"name":"禄劝彝族苗族自治县","level":4,"area_code":"530128000000","town_code":"","country_id":1}
,{"id":3028,"pid":301,"name":"寻甸回族彝族自治县","level":4,"area_code":"530129000000","town_code":"","country_id":1}
,{"id":3029,"pid":301,"name":"安宁市","level":4,"area_code":"530181000000","town_code":"","country_id":1}
,{"id":3030,"pid":302,"name":"市辖区","level":4,"area_code":"530301000000","town_code":"","country_id":1}
,{"id":3031,"pid":302,"name":"麒麟区","level":4,"area_code":"530302000000","town_code":"","country_id":1}
,{"id":3032,"pid":302,"name":"沾益区","level":4,"area_code":"530303000000","town_code":"","country_id":1}
,{"id":3033,"pid":302,"name":"马龙区","level":4,"area_code":"530304000000","town_code":"","country_id":1}
,{"id":3034,"pid":302,"name":"陆良县","level":4,"area_code":"530322000000","town_code":"","country_id":1}
,{"id":3035,"pid":302,"name":"师宗县","level":4,"area_code":"530323000000","town_code":"","country_id":1}
,{"id":3036,"pid":302,"name":"罗平县","level":4,"area_code":"530324000000","town_code":"","country_id":1}
,{"id":3037,"pid":302,"name":"富源县","level":4,"area_code":"530325000000","town_code":"","country_id":1}
,{"id":3038,"pid":302,"name":"会泽县","level":4,"area_code":"530326000000","town_code":"","country_id":1}
,{"id":3039,"pid":302,"name":"宣威市","level":4,"area_code":"530381000000","town_code":"","country_id":1}
,{"id":3040,"pid":303,"name":"市辖区","level":4,"area_code":"530401000000","town_code":"","country_id":1}
,{"id":3041,"pid":303,"name":"红塔区","level":4,"area_code":"530402000000","town_code":"","country_id":1}
,{"id":3042,"pid":303,"name":"江川区","level":4,"area_code":"530403000000","town_code":"","country_id":1}
,{"id":3043,"pid":303,"name":"通海县","level":4,"area_code":"530423000000","town_code":"","country_id":1}
,{"id":3044,"pid":303,"name":"华宁县","level":4,"area_code":"530424000000","town_code":"","country_id":1}
,{"id":3045,"pid":303,"name":"易门县","level":4,"area_code":"530425000000","town_code":"","country_id":1}
,{"id":3046,"pid":303,"name":"峨山彝族自治县","level":4,"area_code":"530426000000","town_code":"","country_id":1}
,{"id":3047,"pid":303,"name":"新平彝族傣族自治县","level":4,"area_code":"530427000000","town_code":"","country_id":1}
,{"id":3048,"pid":303,"name":"元江哈尼族彝族傣族自治县","level":4,"area_code":"530428000000","town_code":"","country_id":1}
,{"id":3049,"pid":303,"name":"澄江市","level":4,"area_code":"530481000000","town_code":"","country_id":1}
,{"id":3050,"pid":304,"name":"市辖区","level":4,"area_code":"530501000000","town_code":"","country_id":1}
,{"id":3051,"pid":304,"name":"隆阳区","level":4,"area_code":"530502000000","town_code":"","country_id":1}
,{"id":3052,"pid":304,"name":"施甸县","level":4,"area_code":"530521000000","town_code":"","country_id":1}
,{"id":3053,"pid":304,"name":"龙陵县","level":4,"area_code":"530523000000","town_code":"","country_id":1}
,{"id":3054,"pid":304,"name":"昌宁县","level":4,"area_code":"530524000000","town_code":"","country_id":1}
,{"id":3055,"pid":304,"name":"腾冲市","level":4,"area_code":"530581000000","town_code":"","country_id":1}
,{"id":3056,"pid":305,"name":"市辖区","level":4,"area_code":"530601000000","town_code":"","country_id":1}
,{"id":3057,"pid":305,"name":"昭阳区","level":4,"area_code":"530602000000","town_code":"","country_id":1}
,{"id":3058,"pid":305,"name":"鲁甸县","level":4,"area_code":"530621000000","town_code":"","country_id":1}
,{"id":3059,"pid":305,"name":"巧家县","level":4,"area_code":"530622000000","town_code":"","country_id":1}
,{"id":3060,"pid":305,"name":"盐津县","level":4,"area_code":"530623000000","town_code":"","country_id":1}
,{"id":3061,"pid":305,"name":"大关县","level":4,"area_code":"530624000000","town_code":"","country_id":1}
,{"id":3062,"pid":305,"name":"永善县","level":4,"area_code":"530625000000","town_code":"","country_id":1}
,{"id":3063,"pid":305,"name":"绥江县","level":4,"area_code":"530626000000","town_code":"","country_id":1}
,{"id":3064,"pid":305,"name":"镇雄县","level":4,"area_code":"530627000000","town_code":"","country_id":1}
,{"id":3065,"pid":305,"name":"彝良县","level":4,"area_code":"530628000000","town_code":"","country_id":1}
,{"id":3066,"pid":305,"name":"威信县","level":4,"area_code":"530629000000","town_code":"","country_id":1}
,{"id":3067,"pid":305,"name":"水富市","level":4,"area_code":"530681000000","town_code":"","country_id":1}
,{"id":3068,"pid":306,"name":"市辖区","level":4,"area_code":"530701000000","town_code":"","country_id":1}
,{"id":3069,"pid":306,"name":"古城区","level":4,"area_code":"530702000000","town_code":"","country_id":1}
,{"id":3070,"pid":306,"name":"玉龙纳西族自治县","level":4,"area_code":"530721000000","town_code":"","country_id":1}
,{"id":3071,"pid":306,"name":"永胜县","level":4,"area_code":"530722000000","town_code":"","country_id":1}
,{"id":3072,"pid":306,"name":"华坪县","level":4,"area_code":"530723000000","town_code":"","country_id":1}
,{"id":3073,"pid":306,"name":"宁蒗彝族自治县","level":4,"area_code":"530724000000","town_code":"","country_id":1}
,{"id":3074,"pid":307,"name":"市辖区","level":4,"area_code":"530801000000","town_code":"","country_id":1}
,{"id":3075,"pid":307,"name":"思茅区","level":4,"area_code":"530802000000","town_code":"","country_id":1}
,{"id":3076,"pid":307,"name":"宁洱哈尼族彝族自治县","level":4,"area_code":"530821000000","town_code":"","country_id":1}
,{"id":3077,"pid":307,"name":"墨江哈尼族自治县","level":4,"area_code":"530822000000","town_code":"","country_id":1}
,{"id":3078,"pid":307,"name":"景东彝族自治县","level":4,"area_code":"530823000000","town_code":"","country_id":1}
,{"id":3079,"pid":307,"name":"景谷傣族彝族自治县","level":4,"area_code":"530824000000","town_code":"","country_id":1}
,{"id":3080,"pid":307,"name":"镇沅彝族哈尼族拉祜族自治县","level":4,"area_code":"530825000000","town_code":"","country_id":1}
,{"id":3081,"pid":307,"name":"江城哈尼族彝族自治县","level":4,"area_code":"530826000000","town_code":"","country_id":1}
,{"id":3082,"pid":307,"name":"孟连傣族拉祜族佤族自治县","level":4,"area_code":"530827000000","town_code":"","country_id":1}
,{"id":3083,"pid":307,"name":"澜沧拉祜族自治县","level":4,"area_code":"530828000000","town_code":"","country_id":1}
,{"id":3084,"pid":307,"name":"西盟佤族自治县","level":4,"area_code":"530829000000","town_code":"","country_id":1}
,{"id":3085,"pid":308,"name":"市辖区","level":4,"area_code":"530901000000","town_code":"","country_id":1}
,{"id":3086,"pid":308,"name":"临翔区","level":4,"area_code":"530902000000","town_code":"","country_id":1}
,{"id":3087,"pid":308,"name":"凤庆县","level":4,"area_code":"530921000000","town_code":"","country_id":1}
,{"id":3088,"pid":308,"name":"云县","level":4,"area_code":"530922000000","town_code":"","country_id":1}
,{"id":3089,"pid":308,"name":"永德县","level":4,"area_code":"530923000000","town_code":"","country_id":1}
,{"id":3090,"pid":308,"name":"镇康县","level":4,"area_code":"530924000000","town_code":"","country_id":1}
,{"id":3091,"pid":308,"name":"双江拉祜族佤族布朗族傣族自治县","level":4,"area_code":"530925000000","town_code":"","country_id":1}
,{"id":3092,"pid":308,"name":"耿马傣族佤族自治县","level":4,"area_code":"530926000000","town_code":"","country_id":1}
,{"id":3093,"pid":308,"name":"沧源佤族自治县","level":4,"area_code":"530927000000","town_code":"","country_id":1}
,{"id":3094,"pid":309,"name":"楚雄市","level":4,"area_code":"532301000000","town_code":"","country_id":1}
,{"id":3095,"pid":309,"name":"禄丰市","level":4,"area_code":"532302000000","town_code":"","country_id":1}
,{"id":3096,"pid":309,"name":"双柏县","level":4,"area_code":"532322000000","town_code":"","country_id":1}
,{"id":3097,"pid":309,"name":"牟定县","level":4,"area_code":"532323000000","town_code":"","country_id":1}
,{"id":3098,"pid":309,"name":"南华县","level":4,"area_code":"532324000000","town_code":"","country_id":1}
,{"id":3099,"pid":309,"name":"姚安县","level":4,"area_code":"532325000000","town_code":"","country_id":1}
,{"id":3100,"pid":309,"name":"大姚县","level":4,"area_code":"532326000000","town_code":"","country_id":1}
,{"id":3101,"pid":309,"name":"永仁县","level":4,"area_code":"532327000000","town_code":"","country_id":1}
,{"id":3102,"pid":309,"name":"元谋县","level":4,"area_code":"532328000000","town_code":"","country_id":1}
,{"id":3103,"pid":309,"name":"武定县","level":4,"area_code":"532329000000","town_code":"","country_id":1}
,{"id":3104,"pid":310,"name":"个旧市","level":4,"area_code":"532501000000","town_code":"","country_id":1}
,{"id":3105,"pid":310,"name":"开远市","level":4,"area_code":"532502000000","town_code":"","country_id":1}
,{"id":3106,"pid":310,"name":"蒙自市","level":4,"area_code":"532503000000","town_code":"","country_id":1}
,{"id":3107,"pid":310,"name":"弥勒市","level":4,"area_code":"532504000000","town_code":"","country_id":1}
,{"id":3108,"pid":310,"name":"屏边苗族自治县","level":4,"area_code":"532523000000","town_code":"","country_id":1}
,{"id":3109,"pid":310,"name":"建水县","level":4,"area_code":"532524000000","town_code":"","country_id":1}
,{"id":3110,"pid":310,"name":"石屏县","level":4,"area_code":"532525000000","town_code":"","country_id":1}
,{"id":3111,"pid":310,"name":"泸西县","level":4,"area_code":"532527000000","town_code":"","country_id":1}
,{"id":3112,"pid":310,"name":"元阳县","level":4,"area_code":"532528000000","town_code":"","country_id":1}
,{"id":3113,"pid":310,"name":"红河县","level":4,"area_code":"532529000000","town_code":"","country_id":1}
,{"id":3114,"pid":310,"name":"金平苗族瑶族傣族自治县","level":4,"area_code":"532530000000","town_code":"","country_id":1}
,{"id":3115,"pid":310,"name":"绿春县","level":4,"area_code":"532531000000","town_code":"","country_id":1}
,{"id":3116,"pid":310,"name":"河口瑶族自治县","level":4,"area_code":"532532000000","town_code":"","country_id":1}
,{"id":3117,"pid":311,"name":"文山市","level":4,"area_code":"532601000000","town_code":"","country_id":1}
,{"id":3118,"pid":311,"name":"砚山县","level":4,"area_code":"532622000000","town_code":"","country_id":1}
,{"id":3119,"pid":311,"name":"西畴县","level":4,"area_code":"532623000000","town_code":"","country_id":1}
,{"id":3120,"pid":311,"name":"麻栗坡县","level":4,"area_code":"532624000000","town_code":"","country_id":1}
,{"id":3121,"pid":311,"name":"马关县","level":4,"area_code":"532625000000","town_code":"","country_id":1}
,{"id":3122,"pid":311,"name":"丘北县","level":4,"area_code":"532626000000","town_code":"","country_id":1}
,{"id":3123,"pid":311,"name":"广南县","level":4,"area_code":"532627000000","town_code":"","country_id":1}
,{"id":3124,"pid":311,"name":"富宁县","level":4,"area_code":"532628000000","town_code":"","country_id":1}
,{"id":3125,"pid":312,"name":"景洪市","level":4,"area_code":"532801000000","town_code":"","country_id":1}
,{"id":3126,"pid":312,"name":"勐海县","level":4,"area_code":"532822000000","town_code":"","country_id":1}
,{"id":3127,"pid":312,"name":"勐腊县","level":4,"area_code":"532823000000","town_code":"","country_id":1}
,{"id":3128,"pid":313,"name":"大理市","level":4,"area_code":"532901000000","town_code":"","country_id":1}
,{"id":3129,"pid":313,"name":"漾濞彝族自治县","level":4,"area_code":"532922000000","town_code":"","country_id":1}
,{"id":3130,"pid":313,"name":"祥云县","level":4,"area_code":"532923000000","town_code":"","country_id":1}
,{"id":3131,"pid":313,"name":"宾川县","level":4,"area_code":"532924000000","town_code":"","country_id":1}
,{"id":3132,"pid":313,"name":"弥渡县","level":4,"area_code":"532925000000","town_code":"","country_id":1}
,{"id":3133,"pid":313,"name":"南涧彝族自治县","level":4,"area_code":"532926000000","town_code":"","country_id":1}
,{"id":3134,"pid":313,"name":"巍山彝族回族自治县","level":4,"area_code":"532927000000","town_code":"","country_id":1}
,{"id":3135,"pid":313,"name":"永平县","level":4,"area_code":"532928000000","town_code":"","country_id":1}
,{"id":3136,"pid":313,"name":"云龙县","level":4,"area_code":"532929000000","town_code":"","country_id":1}
,{"id":3137,"pid":313,"name":"洱源县","level":4,"area_code":"532930000000","town_code":"","country_id":1}
,{"id":3138,"pid":313,"name":"剑川县","level":4,"area_code":"532931000000","town_code":"","country_id":1}
,{"id":3139,"pid":313,"name":"鹤庆县","level":4,"area_code":"532932000000","town_code":"","country_id":1}
,{"id":3140,"pid":314,"name":"瑞丽市","level":4,"area_code":"533102000000","town_code":"","country_id":1}
,{"id":3141,"pid":314,"name":"芒市","level":4,"area_code":"533103000000","town_code":"","country_id":1}
,{"id":3142,"pid":314,"name":"梁河县","level":4,"area_code":"533122000000","town_code":"","country_id":1}
,{"id":3143,"pid":314,"name":"盈江县","level":4,"area_code":"533123000000","town_code":"","country_id":1}
,{"id":3144,"pid":314,"name":"陇川县","level":4,"area_code":"533124000000","town_code":"","country_id":1}
,{"id":3145,"pid":315,"name":"泸水市","level":4,"area_code":"533301000000","town_code":"","country_id":1}
,{"id":3146,"pid":315,"name":"福贡县","level":4,"area_code":"533323000000","town_code":"","country_id":1}
,{"id":3147,"pid":315,"name":"贡山独龙族怒族自治县","level":4,"area_code":"533324000000","town_code":"","country_id":1}
,{"id":3148,"pid":315,"name":"兰坪白族普米族自治县","level":4,"area_code":"533325000000","town_code":"","country_id":1}
,{"id":3149,"pid":316,"name":"香格里拉市","level":4,"area_code":"533401000000","town_code":"","country_id":1}
,{"id":3150,"pid":316,"name":"德钦县","level":4,"area_code":"533422000000","town_code":"","country_id":1}
,{"id":3151,"pid":316,"name":"维西傈僳族自治县","level":4,"area_code":"533423000000","town_code":"","country_id":1}
,{"id":3152,"pid":317,"name":"市辖区","level":4,"area_code":"540101000000","town_code":"","country_id":1}
,{"id":3153,"pid":317,"name":"城关区","level":4,"area_code":"540102000000","town_code":"","country_id":1}
,{"id":3154,"pid":317,"name":"堆龙德庆区","level":4,"area_code":"540103000000","town_code":"","country_id":1}
,{"id":3155,"pid":317,"name":"达孜区","level":4,"area_code":"540104000000","town_code":"","country_id":1}
,{"id":3156,"pid":317,"name":"林周县","level":4,"area_code":"540121000000","town_code":"","country_id":1}
,{"id":3157,"pid":317,"name":"当雄县","level":4,"area_code":"540122000000","town_code":"","country_id":1}
,{"id":3158,"pid":317,"name":"尼木县","level":4,"area_code":"540123000000","town_code":"","country_id":1}
,{"id":3159,"pid":317,"name":"曲水县","level":4,"area_code":"540124000000","town_code":"","country_id":1}
,{"id":3160,"pid":317,"name":"墨竹工卡县","level":4,"area_code":"540127000000","town_code":"","country_id":1}
,{"id":3161,"pid":317,"name":"格尔木藏青工业园区","level":4,"area_code":"540171000000","town_code":"","country_id":1}
,{"id":3162,"pid":317,"name":"拉萨经济技术开发区","level":4,"area_code":"540172000000","town_code":"","country_id":1}
,{"id":3163,"pid":317,"name":"西藏文化旅游创意园区","level":4,"area_code":"540173000000","town_code":"","country_id":1}
,{"id":3164,"pid":317,"name":"达孜工业园区","level":4,"area_code":"540174000000","town_code":"","country_id":1}
,{"id":3165,"pid":318,"name":"桑珠孜区","level":4,"area_code":"540202000000","town_code":"","country_id":1}
,{"id":3166,"pid":318,"name":"南木林县","level":4,"area_code":"540221000000","town_code":"","country_id":1}
,{"id":3167,"pid":318,"name":"江孜县","level":4,"area_code":"540222000000","town_code":"","country_id":1}
,{"id":3168,"pid":318,"name":"定日县","level":4,"area_code":"540223000000","town_code":"","country_id":1}
,{"id":3169,"pid":318,"name":"萨迦县","level":4,"area_code":"540224000000","town_code":"","country_id":1}
,{"id":3170,"pid":318,"name":"拉孜县","level":4,"area_code":"540225000000","town_code":"","country_id":1}
,{"id":3171,"pid":318,"name":"昂仁县","level":4,"area_code":"540226000000","town_code":"","country_id":1}
,{"id":3172,"pid":318,"name":"谢通门县","level":4,"area_code":"540227000000","town_code":"","country_id":1}
,{"id":3173,"pid":318,"name":"白朗县","level":4,"area_code":"540228000000","town_code":"","country_id":1}
,{"id":3174,"pid":318,"name":"仁布县","level":4,"area_code":"540229000000","town_code":"","country_id":1}
,{"id":3175,"pid":318,"name":"康马县","level":4,"area_code":"540230000000","town_code":"","country_id":1}
,{"id":3176,"pid":318,"name":"定结县","level":4,"area_code":"540231000000","town_code":"","country_id":1}
,{"id":3177,"pid":318,"name":"仲巴县","level":4,"area_code":"540232000000","town_code":"","country_id":1}
,{"id":3178,"pid":318,"name":"亚东县","level":4,"area_code":"540233000000","town_code":"","country_id":1}
,{"id":3179,"pid":318,"name":"吉隆县","level":4,"area_code":"540234000000","town_code":"","country_id":1}
,{"id":3180,"pid":318,"name":"聂拉木县","level":4,"area_code":"540235000000","town_code":"","country_id":1}
,{"id":3181,"pid":318,"name":"萨嘎县","level":4,"area_code":"540236000000","town_code":"","country_id":1}
,{"id":3182,"pid":318,"name":"岗巴县","level":4,"area_code":"540237000000","town_code":"","country_id":1}
,{"id":3183,"pid":319,"name":"卡若区","level":4,"area_code":"540302000000","town_code":"","country_id":1}
,{"id":3184,"pid":319,"name":"江达县","level":4,"area_code":"540321000000","town_code":"","country_id":1}
,{"id":3185,"pid":319,"name":"贡觉县","level":4,"area_code":"540322000000","town_code":"","country_id":1}
,{"id":3186,"pid":319,"name":"类乌齐县","level":4,"area_code":"540323000000","town_code":"","country_id":1}
,{"id":3187,"pid":319,"name":"丁青县","level":4,"area_code":"540324000000","town_code":"","country_id":1}
,{"id":3188,"pid":319,"name":"察雅县","level":4,"area_code":"540325000000","town_code":"","country_id":1}
,{"id":3189,"pid":319,"name":"八宿县","level":4,"area_code":"540326000000","town_code":"","country_id":1}
,{"id":3190,"pid":319,"name":"左贡县","level":4,"area_code":"540327000000","town_code":"","country_id":1}
,{"id":3191,"pid":319,"name":"芒康县","level":4,"area_code":"540328000000","town_code":"","country_id":1}
,{"id":3192,"pid":319,"name":"洛隆县","level":4,"area_code":"540329000000","town_code":"","country_id":1}
,{"id":3193,"pid":319,"name":"边坝县","level":4,"area_code":"540330000000","town_code":"","country_id":1}
,{"id":3194,"pid":320,"name":"巴宜区","level":4,"area_code":"540402000000","town_code":"","country_id":1}
,{"id":3195,"pid":320,"name":"工布江达县","level":4,"area_code":"540421000000","town_code":"","country_id":1}
,{"id":3196,"pid":320,"name":"墨脱县","level":4,"area_code":"540423000000","town_code":"","country_id":1}
,{"id":3197,"pid":320,"name":"波密县","level":4,"area_code":"540424000000","town_code":"","country_id":1}
,{"id":3198,"pid":320,"name":"察隅县","level":4,"area_code":"540425000000","town_code":"","country_id":1}
,{"id":3199,"pid":320,"name":"朗县","level":4,"area_code":"540426000000","town_code":"","country_id":1}
,{"id":3200,"pid":320,"name":"米林市","level":4,"area_code":"540481000000","town_code":"","country_id":1}
,{"id":3201,"pid":321,"name":"市辖区","level":4,"area_code":"540501000000","town_code":"","country_id":1}
,{"id":3202,"pid":321,"name":"乃东区","level":4,"area_code":"540502000000","town_code":"","country_id":1}
,{"id":3203,"pid":321,"name":"扎囊县","level":4,"area_code":"540521000000","town_code":"","country_id":1}
,{"id":3204,"pid":321,"name":"贡嘎县","level":4,"area_code":"540522000000","town_code":"","country_id":1}
,{"id":3205,"pid":321,"name":"桑日县","level":4,"area_code":"540523000000","town_code":"","country_id":1}
,{"id":3206,"pid":321,"name":"琼结县","level":4,"area_code":"540524000000","town_code":"","country_id":1}
,{"id":3207,"pid":321,"name":"曲松县","level":4,"area_code":"540525000000","town_code":"","country_id":1}
,{"id":3208,"pid":321,"name":"措美县","level":4,"area_code":"540526000000","town_code":"","country_id":1}
,{"id":3209,"pid":321,"name":"洛扎县","level":4,"area_code":"540527000000","town_code":"","country_id":1}
,{"id":3210,"pid":321,"name":"加查县","level":4,"area_code":"540528000000","town_code":"","country_id":1}
,{"id":3211,"pid":321,"name":"隆子县","level":4,"area_code":"540529000000","town_code":"","country_id":1}
,{"id":3212,"pid":321,"name":"浪卡子县","level":4,"area_code":"540531000000","town_code":"","country_id":1}
,{"id":3213,"pid":321,"name":"错那市","level":4,"area_code":"540581000000","town_code":"","country_id":1}
,{"id":3214,"pid":322,"name":"色尼区","level":4,"area_code":"540602000000","town_code":"","country_id":1}
,{"id":3215,"pid":322,"name":"嘉黎县","level":4,"area_code":"540621000000","town_code":"","country_id":1}
,{"id":3216,"pid":322,"name":"比如县","level":4,"area_code":"540622000000","town_code":"","country_id":1}
,{"id":3217,"pid":322,"name":"聂荣县","level":4,"area_code":"540623000000","town_code":"","country_id":1}
,{"id":3218,"pid":322,"name":"安多县","level":4,"area_code":"540624000000","town_code":"","country_id":1}
,{"id":3219,"pid":322,"name":"申扎县","level":4,"area_code":"540625000000","town_code":"","country_id":1}
,{"id":3220,"pid":322,"name":"索县","level":4,"area_code":"540626000000","town_code":"","country_id":1}
,{"id":3221,"pid":322,"name":"班戈县","level":4,"area_code":"540627000000","town_code":"","country_id":1}
,{"id":3222,"pid":322,"name":"巴青县","level":4,"area_code":"540628000000","town_code":"","country_id":1}
,{"id":3223,"pid":322,"name":"尼玛县","level":4,"area_code":"540629000000","town_code":"","country_id":1}
,{"id":3224,"pid":322,"name":"双湖县","level":4,"area_code":"540630000000","town_code":"","country_id":1}
,{"id":3225,"pid":323,"name":"普兰县","level":4,"area_code":"542521000000","town_code":"","country_id":1}
,{"id":3226,"pid":323,"name":"札达县","level":4,"area_code":"542522000000","town_code":"","country_id":1}
,{"id":3227,"pid":323,"name":"噶尔县","level":4,"area_code":"542523000000","town_code":"","country_id":1}
,{"id":3228,"pid":323,"name":"日土县","level":4,"area_code":"542524000000","town_code":"","country_id":1}
,{"id":3229,"pid":323,"name":"革吉县","level":4,"area_code":"542525000000","town_code":"","country_id":1}
,{"id":3230,"pid":323,"name":"改则县","level":4,"area_code":"542526000000","town_code":"","country_id":1}
,{"id":3231,"pid":323,"name":"措勤县","level":4,"area_code":"542527000000","town_code":"","country_id":1}
,{"id":3232,"pid":324,"name":"市辖区","level":4,"area_code":"610101000000","town_code":"","country_id":1}
,{"id":3233,"pid":324,"name":"新城区","level":4,"area_code":"610102000000","town_code":"","country_id":1}
,{"id":3234,"pid":324,"name":"碑林区","level":4,"area_code":"610103000000","town_code":"","country_id":1}
,{"id":3235,"pid":324,"name":"莲湖区","level":4,"area_code":"610104000000","town_code":"","country_id":1}
,{"id":3236,"pid":324,"name":"灞桥区","level":4,"area_code":"610111000000","town_code":"","country_id":1}
,{"id":3237,"pid":324,"name":"未央区","level":4,"area_code":"610112000000","town_code":"","country_id":1}
,{"id":3238,"pid":324,"name":"雁塔区","level":4,"area_code":"610113000000","town_code":"","country_id":1}
,{"id":3239,"pid":324,"name":"阎良区","level":4,"area_code":"610114000000","town_code":"","country_id":1}
,{"id":3240,"pid":324,"name":"临潼区","level":4,"area_code":"610115000000","town_code":"","country_id":1}
,{"id":3241,"pid":324,"name":"长安区","level":4,"area_code":"610116000000","town_code":"","country_id":1}
,{"id":3242,"pid":324,"name":"高陵区","level":4,"area_code":"610117000000","town_code":"","country_id":1}
,{"id":3243,"pid":324,"name":"鄠邑区","level":4,"area_code":"610118000000","town_code":"","country_id":1}
,{"id":3244,"pid":324,"name":"蓝田县","level":4,"area_code":"610122000000","town_code":"","country_id":1}
,{"id":3245,"pid":324,"name":"周至县","level":4,"area_code":"610124000000","town_code":"","country_id":1}
,{"id":3246,"pid":325,"name":"市辖区","level":4,"area_code":"610201000000","town_code":"","country_id":1}
,{"id":3247,"pid":325,"name":"王益区","level":4,"area_code":"610202000000","town_code":"","country_id":1}
,{"id":3248,"pid":325,"name":"印台区","level":4,"area_code":"610203000000","town_code":"","country_id":1}
,{"id":3249,"pid":325,"name":"耀州区","level":4,"area_code":"610204000000","town_code":"","country_id":1}
,{"id":3250,"pid":325,"name":"宜君县","level":4,"area_code":"610222000000","town_code":"","country_id":1}
,{"id":3251,"pid":326,"name":"市辖区","level":4,"area_code":"610301000000","town_code":"","country_id":1}
,{"id":3252,"pid":326,"name":"渭滨区","level":4,"area_code":"610302000000","town_code":"","country_id":1}
,{"id":3253,"pid":326,"name":"金台区","level":4,"area_code":"610303000000","town_code":"","country_id":1}
,{"id":3254,"pid":326,"name":"陈仓区","level":4,"area_code":"610304000000","town_code":"","country_id":1}
,{"id":3255,"pid":326,"name":"凤翔区","level":4,"area_code":"610305000000","town_code":"","country_id":1}
,{"id":3256,"pid":326,"name":"岐山县","level":4,"area_code":"610323000000","town_code":"","country_id":1}
,{"id":3257,"pid":326,"name":"扶风县","level":4,"area_code":"610324000000","town_code":"","country_id":1}
,{"id":3258,"pid":326,"name":"眉县","level":4,"area_code":"610326000000","town_code":"","country_id":1}
,{"id":3259,"pid":326,"name":"陇县","level":4,"area_code":"610327000000","town_code":"","country_id":1}
,{"id":3260,"pid":326,"name":"千阳县","level":4,"area_code":"610328000000","town_code":"","country_id":1}
,{"id":3261,"pid":326,"name":"麟游县","level":4,"area_code":"610329000000","town_code":"","country_id":1}
,{"id":3262,"pid":326,"name":"凤县","level":4,"area_code":"610330000000","town_code":"","country_id":1}
,{"id":3263,"pid":326,"name":"太白县","level":4,"area_code":"610331000000","town_code":"","country_id":1}
,{"id":3264,"pid":327,"name":"市辖区","level":4,"area_code":"610401000000","town_code":"","country_id":1}
,{"id":3265,"pid":327,"name":"秦都区","level":4,"area_code":"610402000000","town_code":"","country_id":1}
,{"id":3266,"pid":327,"name":"杨陵区","level":4,"area_code":"610403000000","town_code":"","country_id":1}
,{"id":3267,"pid":327,"name":"渭城区","level":4,"area_code":"610404000000","town_code":"","country_id":1}
,{"id":3268,"pid":327,"name":"三原县","level":4,"area_code":"610422000000","town_code":"","country_id":1}
,{"id":3269,"pid":327,"name":"泾阳县","level":4,"area_code":"610423000000","town_code":"","country_id":1}
,{"id":3270,"pid":327,"name":"乾县","level":4,"area_code":"610424000000","town_code":"","country_id":1}
,{"id":3271,"pid":327,"name":"礼泉县","level":4,"area_code":"610425000000","town_code":"","country_id":1}
,{"id":3272,"pid":327,"name":"永寿县","level":4,"area_code":"610426000000","town_code":"","country_id":1}
,{"id":3273,"pid":327,"name":"长武县","level":4,"area_code":"610428000000","town_code":"","country_id":1}
,{"id":3274,"pid":327,"name":"旬邑县","level":4,"area_code":"610429000000","town_code":"","country_id":1}
,{"id":3275,"pid":327,"name":"淳化县","level":4,"area_code":"610430000000","town_code":"","country_id":1}
,{"id":3276,"pid":327,"name":"武功县","level":4,"area_code":"610431000000","town_code":"","country_id":1}
,{"id":3277,"pid":327,"name":"兴平市","level":4,"area_code":"610481000000","town_code":"","country_id":1}
,{"id":3278,"pid":327,"name":"彬州市","level":4,"area_code":"610482000000","town_code":"","country_id":1}
,{"id":3279,"pid":328,"name":"市辖区","level":4,"area_code":"610501000000","town_code":"","country_id":1}
,{"id":3280,"pid":328,"name":"临渭区","level":4,"area_code":"610502000000","town_code":"","country_id":1}
,{"id":3281,"pid":328,"name":"华州区","level":4,"area_code":"610503000000","town_code":"","country_id":1}
,{"id":3282,"pid":328,"name":"潼关县","level":4,"area_code":"610522000000","town_code":"","country_id":1}
,{"id":3283,"pid":328,"name":"大荔县","level":4,"area_code":"610523000000","town_code":"","country_id":1}
,{"id":3284,"pid":328,"name":"合阳县","level":4,"area_code":"610524000000","town_code":"","country_id":1}
,{"id":3285,"pid":328,"name":"澄城县","level":4,"area_code":"610525000000","town_code":"","country_id":1}
,{"id":3286,"pid":328,"name":"蒲城县","level":4,"area_code":"610526000000","town_code":"","country_id":1}
,{"id":3287,"pid":328,"name":"白水县","level":4,"area_code":"610527000000","town_code":"","country_id":1}
,{"id":3288,"pid":328,"name":"富平县","level":4,"area_code":"610528000000","town_code":"","country_id":1}
,{"id":3289,"pid":328,"name":"韩城市","level":4,"area_code":"610581000000","town_code":"","country_id":1}
,{"id":3290,"pid":328,"name":"华阴市","level":4,"area_code":"610582000000","town_code":"","country_id":1}
,{"id":3291,"pid":329,"name":"市辖区","level":4,"area_code":"610601000000","town_code":"","country_id":1}
,{"id":3292,"pid":329,"name":"宝塔区","level":4,"area_code":"610602000000","town_code":"","country_id":1}
,{"id":3293,"pid":329,"name":"安塞区","level":4,"area_code":"610603000000","town_code":"","country_id":1}
,{"id":3294,"pid":329,"name":"延长县","level":4,"area_code":"610621000000","town_code":"","country_id":1}
,{"id":3295,"pid":329,"name":"延川县","level":4,"area_code":"610622000000","town_code":"","country_id":1}
,{"id":3296,"pid":329,"name":"志丹县","level":4,"area_code":"610625000000","town_code":"","country_id":1}
,{"id":3297,"pid":329,"name":"吴起县","level":4,"area_code":"610626000000","town_code":"","country_id":1}
,{"id":3298,"pid":329,"name":"甘泉县","level":4,"area_code":"610627000000","town_code":"","country_id":1}
,{"id":3299,"pid":329,"name":"富县","level":4,"area_code":"610628000000","town_code":"","country_id":1}
,{"id":3300,"pid":329,"name":"洛川县","level":4,"area_code":"610629000000","town_code":"","country_id":1}
,{"id":3301,"pid":329,"name":"宜川县","level":4,"area_code":"610630000000","town_code":"","country_id":1}
,{"id":3302,"pid":329,"name":"黄龙县","level":4,"area_code":"610631000000","town_code":"","country_id":1}
,{"id":3303,"pid":329,"name":"黄陵县","level":4,"area_code":"610632000000","town_code":"","country_id":1}
,{"id":3304,"pid":329,"name":"子长市","level":4,"area_code":"610681000000","town_code":"","country_id":1}
,{"id":3305,"pid":330,"name":"市辖区","level":4,"area_code":"610701000000","town_code":"","country_id":1}
,{"id":3306,"pid":330,"name":"汉台区","level":4,"area_code":"610702000000","town_code":"","country_id":1}
,{"id":3307,"pid":330,"name":"南郑区","level":4,"area_code":"610703000000","town_code":"","country_id":1}
,{"id":3308,"pid":330,"name":"城固县","level":4,"area_code":"610722000000","town_code":"","country_id":1}
,{"id":3309,"pid":330,"name":"洋县","level":4,"area_code":"610723000000","town_code":"","country_id":1}
,{"id":3310,"pid":330,"name":"西乡县","level":4,"area_code":"610724000000","town_code":"","country_id":1}
,{"id":3311,"pid":330,"name":"勉县","level":4,"area_code":"610725000000","town_code":"","country_id":1}
,{"id":3312,"pid":330,"name":"宁强县","level":4,"area_code":"610726000000","town_code":"","country_id":1}
,{"id":3313,"pid":330,"name":"略阳县","level":4,"area_code":"610727000000","town_code":"","country_id":1}
,{"id":3314,"pid":330,"name":"镇巴县","level":4,"area_code":"610728000000","town_code":"","country_id":1}
,{"id":3315,"pid":330,"name":"留坝县","level":4,"area_code":"610729000000","town_code":"","country_id":1}
,{"id":3316,"pid":330,"name":"佛坪县","level":4,"area_code":"610730000000","town_code":"","country_id":1}
,{"id":3317,"pid":331,"name":"市辖区","level":4,"area_code":"610801000000","town_code":"","country_id":1}
,{"id":3318,"pid":331,"name":"榆阳区","level":4,"area_code":"610802000000","town_code":"","country_id":1}
,{"id":3319,"pid":331,"name":"横山区","level":4,"area_code":"610803000000","town_code":"","country_id":1}
,{"id":3320,"pid":331,"name":"府谷县","level":4,"area_code":"610822000000","town_code":"","country_id":1}
,{"id":3321,"pid":331,"name":"靖边县","level":4,"area_code":"610824000000","town_code":"","country_id":1}
,{"id":3322,"pid":331,"name":"定边县","level":4,"area_code":"610825000000","town_code":"","country_id":1}
,{"id":3323,"pid":331,"name":"绥德县","level":4,"area_code":"610826000000","town_code":"","country_id":1}
,{"id":3324,"pid":331,"name":"米脂县","level":4,"area_code":"610827000000","town_code":"","country_id":1}
,{"id":3325,"pid":331,"name":"佳县","level":4,"area_code":"610828000000","town_code":"","country_id":1}
,{"id":3326,"pid":331,"name":"吴堡县","level":4,"area_code":"610829000000","town_code":"","country_id":1}
,{"id":3327,"pid":331,"name":"清涧县","level":4,"area_code":"610830000000","town_code":"","country_id":1}
,{"id":3328,"pid":331,"name":"子洲县","level":4,"area_code":"610831000000","town_code":"","country_id":1}
,{"id":3329,"pid":331,"name":"神木市","level":4,"area_code":"610881000000","town_code":"","country_id":1}
,{"id":3330,"pid":332,"name":"市辖区","level":4,"area_code":"610901000000","town_code":"","country_id":1}
,{"id":3331,"pid":332,"name":"汉滨区","level":4,"area_code":"610902000000","town_code":"","country_id":1}
,{"id":3332,"pid":332,"name":"汉阴县","level":4,"area_code":"610921000000","town_code":"","country_id":1}
,{"id":3333,"pid":332,"name":"石泉县","level":4,"area_code":"610922000000","town_code":"","country_id":1}
,{"id":3334,"pid":332,"name":"宁陕县","level":4,"area_code":"610923000000","town_code":"","country_id":1}
,{"id":3335,"pid":332,"name":"紫阳县","level":4,"area_code":"610924000000","town_code":"","country_id":1}
,{"id":3336,"pid":332,"name":"岚皋县","level":4,"area_code":"610925000000","town_code":"","country_id":1}
,{"id":3337,"pid":332,"name":"平利县","level":4,"area_code":"610926000000","town_code":"","country_id":1}
,{"id":3338,"pid":332,"name":"镇坪县","level":4,"area_code":"610927000000","town_code":"","country_id":1}
,{"id":3339,"pid":332,"name":"白河县","level":4,"area_code":"610929000000","town_code":"","country_id":1}
,{"id":3340,"pid":332,"name":"旬阳市","level":4,"area_code":"610981000000","town_code":"","country_id":1}
,{"id":3341,"pid":333,"name":"市辖区","level":4,"area_code":"611001000000","town_code":"","country_id":1}
,{"id":3342,"pid":333,"name":"商州区","level":4,"area_code":"611002000000","town_code":"","country_id":1}
,{"id":3343,"pid":333,"name":"洛南县","level":4,"area_code":"611021000000","town_code":"","country_id":1}
,{"id":3344,"pid":333,"name":"丹凤县","level":4,"area_code":"611022000000","town_code":"","country_id":1}
,{"id":3345,"pid":333,"name":"商南县","level":4,"area_code":"611023000000","town_code":"","country_id":1}
,{"id":3346,"pid":333,"name":"山阳县","level":4,"area_code":"611024000000","town_code":"","country_id":1}
,{"id":3347,"pid":333,"name":"镇安县","level":4,"area_code":"611025000000","town_code":"","country_id":1}
,{"id":3348,"pid":333,"name":"柞水县","level":4,"area_code":"611026000000","town_code":"","country_id":1}
,{"id":3349,"pid":334,"name":"市辖区","level":4,"area_code":"620101000000","town_code":"","country_id":1}
,{"id":3350,"pid":334,"name":"城关区","level":4,"area_code":"620102000000","town_code":"","country_id":1}
,{"id":3351,"pid":334,"name":"七里河区","level":4,"area_code":"620103000000","town_code":"","country_id":1}
,{"id":3352,"pid":334,"name":"西固区","level":4,"area_code":"620104000000","town_code":"","country_id":1}
,{"id":3353,"pid":334,"name":"安宁区","level":4,"area_code":"620105000000","town_code":"","country_id":1}
,{"id":3354,"pid":334,"name":"红古区","level":4,"area_code":"620111000000","town_code":"","country_id":1}
,{"id":3355,"pid":334,"name":"永登县","level":4,"area_code":"620121000000","town_code":"","country_id":1}
,{"id":3356,"pid":334,"name":"皋兰县","level":4,"area_code":"620122000000","town_code":"","country_id":1}
,{"id":3357,"pid":334,"name":"榆中县","level":4,"area_code":"620123000000","town_code":"","country_id":1}
,{"id":3358,"pid":334,"name":"兰州新区","level":4,"area_code":"620171000000","town_code":"","country_id":1}
,{"id":3359,"pid":335,"name":"市辖区","level":4,"area_code":"620201000000","town_code":"","country_id":1}
,{"id":3360,"pid":336,"name":"市辖区","level":4,"area_code":"620301000000","town_code":"","country_id":1}
,{"id":3361,"pid":336,"name":"金川区","level":4,"area_code":"620302000000","town_code":"","country_id":1}
,{"id":3362,"pid":336,"name":"永昌县","level":4,"area_code":"620321000000","town_code":"","country_id":1}
,{"id":3363,"pid":337,"name":"市辖区","level":4,"area_code":"620401000000","town_code":"","country_id":1}
,{"id":3364,"pid":337,"name":"白银区","level":4,"area_code":"620402000000","town_code":"","country_id":1}
,{"id":3365,"pid":337,"name":"平川区","level":4,"area_code":"620403000000","town_code":"","country_id":1}
,{"id":3366,"pid":337,"name":"靖远县","level":4,"area_code":"620421000000","town_code":"","country_id":1}
,{"id":3367,"pid":337,"name":"会宁县","level":4,"area_code":"620422000000","town_code":"","country_id":1}
,{"id":3368,"pid":337,"name":"景泰县","level":4,"area_code":"620423000000","town_code":"","country_id":1}
,{"id":3369,"pid":338,"name":"市辖区","level":4,"area_code":"620501000000","town_code":"","country_id":1}
,{"id":3370,"pid":338,"name":"秦州区","level":4,"area_code":"620502000000","town_code":"","country_id":1}
,{"id":3371,"pid":338,"name":"麦积区","level":4,"area_code":"620503000000","town_code":"","country_id":1}
,{"id":3372,"pid":338,"name":"清水县","level":4,"area_code":"620521000000","town_code":"","country_id":1}
,{"id":3373,"pid":338,"name":"秦安县","level":4,"area_code":"620522000000","town_code":"","country_id":1}
,{"id":3374,"pid":338,"name":"甘谷县","level":4,"area_code":"620523000000","town_code":"","country_id":1}
,{"id":3375,"pid":338,"name":"武山县","level":4,"area_code":"620524000000","town_code":"","country_id":1}
,{"id":3376,"pid":338,"name":"张家川回族自治县","level":4,"area_code":"620525000000","town_code":"","country_id":1}
,{"id":3377,"pid":339,"name":"市辖区","level":4,"area_code":"620601000000","town_code":"","country_id":1}
,{"id":3378,"pid":339,"name":"凉州区","level":4,"area_code":"620602000000","town_code":"","country_id":1}
,{"id":3379,"pid":339,"name":"民勤县","level":4,"area_code":"620621000000","town_code":"","country_id":1}
,{"id":3380,"pid":339,"name":"古浪县","level":4,"area_code":"620622000000","town_code":"","country_id":1}
,{"id":3381,"pid":339,"name":"天祝藏族自治县","level":4,"area_code":"620623000000","town_code":"","country_id":1}
,{"id":3382,"pid":340,"name":"市辖区","level":4,"area_code":"620701000000","town_code":"","country_id":1}
,{"id":3383,"pid":340,"name":"甘州区","level":4,"area_code":"620702000000","town_code":"","country_id":1}
,{"id":3384,"pid":340,"name":"肃南裕固族自治县","level":4,"area_code":"620721000000","town_code":"","country_id":1}
,{"id":3385,"pid":340,"name":"民乐县","level":4,"area_code":"620722000000","town_code":"","country_id":1}
,{"id":3386,"pid":340,"name":"临泽县","level":4,"area_code":"620723000000","town_code":"","country_id":1}
,{"id":3387,"pid":340,"name":"高台县","level":4,"area_code":"620724000000","town_code":"","country_id":1}
,{"id":3388,"pid":340,"name":"山丹县","level":4,"area_code":"620725000000","town_code":"","country_id":1}
,{"id":3389,"pid":341,"name":"市辖区","level":4,"area_code":"620801000000","town_code":"","country_id":1}
,{"id":3390,"pid":341,"name":"崆峒区","level":4,"area_code":"620802000000","town_code":"","country_id":1}
,{"id":3391,"pid":341,"name":"泾川县","level":4,"area_code":"620821000000","town_code":"","country_id":1}
,{"id":3392,"pid":341,"name":"灵台县","level":4,"area_code":"620822000000","town_code":"","country_id":1}
,{"id":3393,"pid":341,"name":"崇信县","level":4,"area_code":"620823000000","town_code":"","country_id":1}
,{"id":3394,"pid":341,"name":"庄浪县","level":4,"area_code":"620825000000","town_code":"","country_id":1}
,{"id":3395,"pid":341,"name":"静宁县","level":4,"area_code":"620826000000","town_code":"","country_id":1}
,{"id":3396,"pid":341,"name":"华亭市","level":4,"area_code":"620881000000","town_code":"","country_id":1}
,{"id":3397,"pid":342,"name":"市辖区","level":4,"area_code":"620901000000","town_code":"","country_id":1}
,{"id":3398,"pid":342,"name":"肃州区","level":4,"area_code":"620902000000","town_code":"","country_id":1}
,{"id":3399,"pid":342,"name":"金塔县","level":4,"area_code":"620921000000","town_code":"","country_id":1}
,{"id":3400,"pid":342,"name":"瓜州县","level":4,"area_code":"620922000000","town_code":"","country_id":1}
,{"id":3401,"pid":342,"name":"肃北蒙古族自治县","level":4,"area_code":"620923000000","town_code":"","country_id":1}
,{"id":3402,"pid":342,"name":"阿克塞哈萨克族自治县","level":4,"area_code":"620924000000","town_code":"","country_id":1}
,{"id":3403,"pid":342,"name":"玉门市","level":4,"area_code":"620981000000","town_code":"","country_id":1}
,{"id":3404,"pid":342,"name":"敦煌市","level":4,"area_code":"620982000000","town_code":"","country_id":1}
,{"id":3405,"pid":343,"name":"市辖区","level":4,"area_code":"621001000000","town_code":"","country_id":1}
,{"id":3406,"pid":343,"name":"西峰区","level":4,"area_code":"621002000000","town_code":"","country_id":1}
,{"id":3407,"pid":343,"name":"庆城县","level":4,"area_code":"621021000000","town_code":"","country_id":1}
,{"id":3408,"pid":343,"name":"环县","level":4,"area_code":"621022000000","town_code":"","country_id":1}
,{"id":3409,"pid":343,"name":"华池县","level":4,"area_code":"621023000000","town_code":"","country_id":1}
,{"id":3410,"pid":343,"name":"合水县","level":4,"area_code":"621024000000","town_code":"","country_id":1}
,{"id":3411,"pid":343,"name":"正宁县","level":4,"area_code":"621025000000","town_code":"","country_id":1}
,{"id":3412,"pid":343,"name":"宁县","level":4,"area_code":"621026000000","town_code":"","country_id":1}
,{"id":3413,"pid":343,"name":"镇原县","level":4,"area_code":"621027000000","town_code":"","country_id":1}
,{"id":3414,"pid":344,"name":"市辖区","level":4,"area_code":"621101000000","town_code":"","country_id":1}
,{"id":3415,"pid":344,"name":"安定区","level":4,"area_code":"621102000000","town_code":"","country_id":1}
,{"id":3416,"pid":344,"name":"通渭县","level":4,"area_code":"621121000000","town_code":"","country_id":1}
,{"id":3417,"pid":344,"name":"陇西县","level":4,"area_code":"621122000000","town_code":"","country_id":1}
,{"id":3418,"pid":344,"name":"渭源县","level":4,"area_code":"621123000000","town_code":"","country_id":1}
,{"id":3419,"pid":344,"name":"临洮县","level":4,"area_code":"621124000000","town_code":"","country_id":1}
,{"id":3420,"pid":344,"name":"漳县","level":4,"area_code":"621125000000","town_code":"","country_id":1}
,{"id":3421,"pid":344,"name":"岷县","level":4,"area_code":"621126000000","town_code":"","country_id":1}
,{"id":3422,"pid":345,"name":"市辖区","level":4,"area_code":"621201000000","town_code":"","country_id":1}
,{"id":3423,"pid":345,"name":"武都区","level":4,"area_code":"621202000000","town_code":"","country_id":1}
,{"id":3424,"pid":345,"name":"成县","level":4,"area_code":"621221000000","town_code":"","country_id":1}
,{"id":3425,"pid":345,"name":"文县","level":4,"area_code":"621222000000","town_code":"","country_id":1}
,{"id":3426,"pid":345,"name":"宕昌县","level":4,"area_code":"621223000000","town_code":"","country_id":1}
,{"id":3427,"pid":345,"name":"康县","level":4,"area_code":"621224000000","town_code":"","country_id":1}
,{"id":3428,"pid":345,"name":"西和县","level":4,"area_code":"621225000000","town_code":"","country_id":1}
,{"id":3429,"pid":345,"name":"礼县","level":4,"area_code":"621226000000","town_code":"","country_id":1}
,{"id":3430,"pid":345,"name":"徽县","level":4,"area_code":"621227000000","town_code":"","country_id":1}
,{"id":3431,"pid":345,"name":"两当县","level":4,"area_code":"621228000000","town_code":"","country_id":1}
,{"id":3432,"pid":346,"name":"临夏市","level":4,"area_code":"622901000000","town_code":"","country_id":1}
,{"id":3433,"pid":346,"name":"临夏县","level":4,"area_code":"622921000000","town_code":"","country_id":1}
,{"id":3434,"pid":346,"name":"康乐县","level":4,"area_code":"622922000000","town_code":"","country_id":1}
,{"id":3435,"pid":346,"name":"永靖县","level":4,"area_code":"622923000000","town_code":"","country_id":1}
,{"id":3436,"pid":346,"name":"广河县","level":4,"area_code":"622924000000","town_code":"","country_id":1}
,{"id":3437,"pid":346,"name":"和政县","level":4,"area_code":"622925000000","town_code":"","country_id":1}
,{"id":3438,"pid":346,"name":"东乡族自治县","level":4,"area_code":"622926000000","town_code":"","country_id":1}
,{"id":3439,"pid":346,"name":"积石山保安族东乡族撒拉族自治县","level":4,"area_code":"622927000000","town_code":"","country_id":1}
,{"id":3440,"pid":347,"name":"合作市","level":4,"area_code":"623001000000","town_code":"","country_id":1}
,{"id":3441,"pid":347,"name":"临潭县","level":4,"area_code":"623021000000","town_code":"","country_id":1}
,{"id":3442,"pid":347,"name":"卓尼县","level":4,"area_code":"623022000000","town_code":"","country_id":1}
,{"id":3443,"pid":347,"name":"舟曲县","level":4,"area_code":"623023000000","town_code":"","country_id":1}
,{"id":3444,"pid":347,"name":"迭部县","level":4,"area_code":"623024000000","town_code":"","country_id":1}
,{"id":3445,"pid":347,"name":"玛曲县","level":4,"area_code":"623025000000","town_code":"","country_id":1}
,{"id":3446,"pid":347,"name":"碌曲县","level":4,"area_code":"623026000000","town_code":"","country_id":1}
,{"id":3447,"pid":347,"name":"夏河县","level":4,"area_code":"623027000000","town_code":"","country_id":1}
,{"id":3448,"pid":348,"name":"市辖区","level":4,"area_code":"630101000000","town_code":"","country_id":1}
,{"id":3449,"pid":348,"name":"城东区","level":4,"area_code":"630102000000","town_code":"","country_id":1}
,{"id":3450,"pid":348,"name":"城中区","level":4,"area_code":"630103000000","town_code":"","country_id":1}
,{"id":3451,"pid":348,"name":"城西区","level":4,"area_code":"630104000000","town_code":"","country_id":1}
,{"id":3452,"pid":348,"name":"城北区","level":4,"area_code":"630105000000","town_code":"","country_id":1}
,{"id":3453,"pid":348,"name":"湟中区","level":4,"area_code":"630106000000","town_code":"","country_id":1}
,{"id":3454,"pid":348,"name":"大通回族土族自治县","level":4,"area_code":"630121000000","town_code":"","country_id":1}
,{"id":3455,"pid":348,"name":"湟源县","level":4,"area_code":"630123000000","town_code":"","country_id":1}
,{"id":3456,"pid":349,"name":"乐都区","level":4,"area_code":"630202000000","town_code":"","country_id":1}
,{"id":3457,"pid":349,"name":"平安区","level":4,"area_code":"630203000000","town_code":"","country_id":1}
,{"id":3458,"pid":349,"name":"民和回族土族自治县","level":4,"area_code":"630222000000","town_code":"","country_id":1}
,{"id":3459,"pid":349,"name":"互助土族自治县","level":4,"area_code":"630223000000","town_code":"","country_id":1}
,{"id":3460,"pid":349,"name":"化隆回族自治县","level":4,"area_code":"630224000000","town_code":"","country_id":1}
,{"id":3461,"pid":349,"name":"循化撒拉族自治县","level":4,"area_code":"630225000000","town_code":"","country_id":1}
,{"id":3462,"pid":350,"name":"门源回族自治县","level":4,"area_code":"632221000000","town_code":"","country_id":1}
,{"id":3463,"pid":350,"name":"祁连县","level":4,"area_code":"632222000000","town_code":"","country_id":1}
,{"id":3464,"pid":350,"name":"海晏县","level":4,"area_code":"632223000000","town_code":"","country_id":1}
,{"id":3465,"pid":350,"name":"刚察县","level":4,"area_code":"632224000000","town_code":"","country_id":1}
,{"id":3466,"pid":351,"name":"同仁市","level":4,"area_code":"632301000000","town_code":"","country_id":1}
,{"id":3467,"pid":351,"name":"尖扎县","level":4,"area_code":"632322000000","town_code":"","country_id":1}
,{"id":3468,"pid":351,"name":"泽库县","level":4,"area_code":"632323000000","town_code":"","country_id":1}
,{"id":3469,"pid":351,"name":"河南蒙古族自治县","level":4,"area_code":"632324000000","town_code":"","country_id":1}
,{"id":3470,"pid":352,"name":"共和县","level":4,"area_code":"632521000000","town_code":"","country_id":1}
,{"id":3471,"pid":352,"name":"同德县","level":4,"area_code":"632522000000","town_code":"","country_id":1}
,{"id":3472,"pid":352,"name":"贵德县","level":4,"area_code":"632523000000","town_code":"","country_id":1}
,{"id":3473,"pid":352,"name":"兴海县","level":4,"area_code":"632524000000","town_code":"","country_id":1}
,{"id":3474,"pid":352,"name":"贵南县","level":4,"area_code":"632525000000","town_code":"","country_id":1}
,{"id":3475,"pid":353,"name":"玛沁县","level":4,"area_code":"632621000000","town_code":"","country_id":1}
,{"id":3476,"pid":353,"name":"班玛县","level":4,"area_code":"632622000000","town_code":"","country_id":1}
,{"id":3477,"pid":353,"name":"甘德县","level":4,"area_code":"632623000000","town_code":"","country_id":1}
,{"id":3478,"pid":353,"name":"达日县","level":4,"area_code":"632624000000","town_code":"","country_id":1}
,{"id":3479,"pid":353,"name":"久治县","level":4,"area_code":"632625000000","town_code":"","country_id":1}
,{"id":3480,"pid":353,"name":"玛多县","level":4,"area_code":"632626000000","town_code":"","country_id":1}
,{"id":3481,"pid":354,"name":"玉树市","level":4,"area_code":"632701000000","town_code":"","country_id":1}
,{"id":3482,"pid":354,"name":"杂多县","level":4,"area_code":"632722000000","town_code":"","country_id":1}
,{"id":3483,"pid":354,"name":"称多县","level":4,"area_code":"632723000000","town_code":"","country_id":1}
,{"id":3484,"pid":354,"name":"治多县","level":4,"area_code":"632724000000","town_code":"","country_id":1}
,{"id":3485,"pid":354,"name":"囊谦县","level":4,"area_code":"632725000000","town_code":"","country_id":1}
,{"id":3486,"pid":354,"name":"曲麻莱县","level":4,"area_code":"632726000000","town_code":"","country_id":1}
,{"id":3487,"pid":355,"name":"格尔木市","level":4,"area_code":"632801000000","town_code":"","country_id":1}
,{"id":3488,"pid":355,"name":"德令哈市","level":4,"area_code":"632802000000","town_code":"","country_id":1}
,{"id":3489,"pid":355,"name":"茫崖市","level":4,"area_code":"632803000000","town_code":"","country_id":1}
,{"id":3490,"pid":355,"name":"乌兰县","level":4,"area_code":"632821000000","town_code":"","country_id":1}
,{"id":3491,"pid":355,"name":"都兰县","level":4,"area_code":"632822000000","town_code":"","country_id":1}
,{"id":3492,"pid":355,"name":"天峻县","level":4,"area_code":"632823000000","town_code":"","country_id":1}
,{"id":3493,"pid":355,"name":"大柴旦行政委员会","level":4,"area_code":"632857000000","town_code":"","country_id":1}
,{"id":3494,"pid":356,"name":"市辖区","level":4,"area_code":"640101000000","town_code":"","country_id":1}
,{"id":3495,"pid":356,"name":"兴庆区","level":4,"area_code":"640104000000","town_code":"","country_id":1}
,{"id":3496,"pid":356,"name":"西夏区","level":4,"area_code":"640105000000","town_code":"","country_id":1}
,{"id":3497,"pid":356,"name":"金凤区","level":4,"area_code":"640106000000","town_code":"","country_id":1}
,{"id":3498,"pid":356,"name":"永宁县","level":4,"area_code":"640121000000","town_code":"","country_id":1}
,{"id":3499,"pid":356,"name":"贺兰县","level":4,"area_code":"640122000000","town_code":"","country_id":1}
,{"id":3500,"pid":356,"name":"灵武市","level":4,"area_code":"640181000000","town_code":"","country_id":1}
,{"id":3501,"pid":357,"name":"市辖区","level":4,"area_code":"640201000000","town_code":"","country_id":1}
,{"id":3502,"pid":357,"name":"大武口区","level":4,"area_code":"640202000000","town_code":"","country_id":1}
,{"id":3503,"pid":357,"name":"惠农区","level":4,"area_code":"640205000000","town_code":"","country_id":1}
,{"id":3504,"pid":357,"name":"平罗县","level":4,"area_code":"640221000000","town_code":"","country_id":1}
,{"id":3505,"pid":358,"name":"市辖区","level":4,"area_code":"640301000000","town_code":"","country_id":1}
,{"id":3506,"pid":358,"name":"利通区","level":4,"area_code":"640302000000","town_code":"","country_id":1}
,{"id":3507,"pid":358,"name":"红寺堡区","level":4,"area_code":"640303000000","town_code":"","country_id":1}
,{"id":3508,"pid":358,"name":"盐池县","level":4,"area_code":"640323000000","town_code":"","country_id":1}
,{"id":3509,"pid":358,"name":"同心县","level":4,"area_code":"640324000000","town_code":"","country_id":1}
,{"id":3510,"pid":358,"name":"青铜峡市","level":4,"area_code":"640381000000","town_code":"","country_id":1}
,{"id":3511,"pid":359,"name":"市辖区","level":4,"area_code":"640401000000","town_code":"","country_id":1}
,{"id":3512,"pid":359,"name":"原州区","level":4,"area_code":"640402000000","town_code":"","country_id":1}
,{"id":3513,"pid":359,"name":"西吉县","level":4,"area_code":"640422000000","town_code":"","country_id":1}
,{"id":3514,"pid":359,"name":"隆德县","level":4,"area_code":"640423000000","town_code":"","country_id":1}
,{"id":3515,"pid":359,"name":"泾源县","level":4,"area_code":"640424000000","town_code":"","country_id":1}
,{"id":3516,"pid":359,"name":"彭阳县","level":4,"area_code":"640425000000","town_code":"","country_id":1}
,{"id":3517,"pid":360,"name":"市辖区","level":4,"area_code":"640501000000","town_code":"","country_id":1}
,{"id":3518,"pid":360,"name":"沙坡头区","level":4,"area_code":"640502000000","town_code":"","country_id":1}
,{"id":3519,"pid":360,"name":"中宁县","level":4,"area_code":"640521000000","town_code":"","country_id":1}
,{"id":3520,"pid":360,"name":"海原县","level":4,"area_code":"640522000000","town_code":"","country_id":1}
,{"id":3521,"pid":361,"name":"市辖区","level":4,"area_code":"650101000000","town_code":"","country_id":1}
,{"id":3522,"pid":361,"name":"天山区","level":4,"area_code":"650102000000","town_code":"","country_id":1}
,{"id":3523,"pid":361,"name":"沙依巴克区","level":4,"area_code":"650103000000","town_code":"","country_id":1}
,{"id":3524,"pid":361,"name":"新市区","level":4,"area_code":"650104000000","town_code":"","country_id":1}
,{"id":3525,"pid":361,"name":"水磨沟区","level":4,"area_code":"650105000000","town_code":"","country_id":1}
,{"id":3526,"pid":361,"name":"头屯河区","level":4,"area_code":"650106000000","town_code":"","country_id":1}
,{"id":3527,"pid":361,"name":"达坂城区","level":4,"area_code":"650107000000","town_code":"","country_id":1}
,{"id":3528,"pid":361,"name":"米东区","level":4,"area_code":"650109000000","town_code":"","country_id":1}
,{"id":3529,"pid":361,"name":"乌鲁木齐县","level":4,"area_code":"650121000000","town_code":"","country_id":1}
,{"id":3530,"pid":362,"name":"市辖区","level":4,"area_code":"650201000000","town_code":"","country_id":1}
,{"id":3531,"pid":362,"name":"独山子区","level":4,"area_code":"650202000000","town_code":"","country_id":1}
,{"id":3532,"pid":362,"name":"克拉玛依区","level":4,"area_code":"650203000000","town_code":"","country_id":1}
,{"id":3533,"pid":362,"name":"白碱滩区","level":4,"area_code":"650204000000","town_code":"","country_id":1}
,{"id":3534,"pid":362,"name":"乌尔禾区","level":4,"area_code":"650205000000","town_code":"","country_id":1}
,{"id":3535,"pid":363,"name":"高昌区","level":4,"area_code":"650402000000","town_code":"","country_id":1}
,{"id":3536,"pid":363,"name":"鄯善县","level":4,"area_code":"650421000000","town_code":"","country_id":1}
,{"id":3537,"pid":363,"name":"托克逊县","level":4,"area_code":"650422000000","town_code":"","country_id":1}
,{"id":3538,"pid":364,"name":"伊州区","level":4,"area_code":"650502000000","town_code":"","country_id":1}
,{"id":3539,"pid":364,"name":"巴里坤哈萨克自治县","level":4,"area_code":"650521000000","town_code":"","country_id":1}
,{"id":3540,"pid":364,"name":"伊吾县","level":4,"area_code":"650522000000","town_code":"","country_id":1}
,{"id":3541,"pid":365,"name":"昌吉市","level":4,"area_code":"652301000000","town_code":"","country_id":1}
,{"id":3542,"pid":365,"name":"阜康市","level":4,"area_code":"652302000000","town_code":"","country_id":1}
,{"id":3543,"pid":365,"name":"呼图壁县","level":4,"area_code":"652323000000","town_code":"","country_id":1}
,{"id":3544,"pid":365,"name":"玛纳斯县","level":4,"area_code":"652324000000","town_code":"","country_id":1}
,{"id":3545,"pid":365,"name":"奇台县","level":4,"area_code":"652325000000","town_code":"","country_id":1}
,{"id":3546,"pid":365,"name":"吉木萨尔县","level":4,"area_code":"652327000000","town_code":"","country_id":1}
,{"id":3547,"pid":365,"name":"木垒哈萨克自治县","level":4,"area_code":"652328000000","town_code":"","country_id":1}
,{"id":3548,"pid":366,"name":"博乐市","level":4,"area_code":"652701000000","town_code":"","country_id":1}
,{"id":3549,"pid":366,"name":"阿拉山口市","level":4,"area_code":"652702000000","town_code":"","country_id":1}
,{"id":3550,"pid":366,"name":"精河县","level":4,"area_code":"652722000000","town_code":"","country_id":1}
,{"id":3551,"pid":366,"name":"温泉县","level":4,"area_code":"652723000000","town_code":"","country_id":1}
,{"id":3552,"pid":367,"name":"库尔勒市","level":4,"area_code":"652801000000","town_code":"","country_id":1}
,{"id":3553,"pid":367,"name":"轮台县","level":4,"area_code":"652822000000","town_code":"","country_id":1}
,{"id":3554,"pid":367,"name":"尉犁县","level":4,"area_code":"652823000000","town_code":"","country_id":1}
,{"id":3555,"pid":367,"name":"若羌县","level":4,"area_code":"652824000000","town_code":"","country_id":1}
,{"id":3556,"pid":367,"name":"且末县","level":4,"area_code":"652825000000","town_code":"","country_id":1}
,{"id":3557,"pid":367,"name":"焉耆回族自治县","level":4,"area_code":"652826000000","town_code":"","country_id":1}
,{"id":3558,"pid":367,"name":"和静县","level":4,"area_code":"652827000000","town_code":"","country_id":1}
,{"id":3559,"pid":367,"name":"和硕县","level":4,"area_code":"652828000000","town_code":"","country_id":1}
,{"id":3560,"pid":367,"name":"博湖县","level":4,"area_code":"652829000000","town_code":"","country_id":1}
,{"id":3561,"pid":368,"name":"阿克苏市","level":4,"area_code":"652901000000","town_code":"","country_id":1}
,{"id":3562,"pid":368,"name":"库车市","level":4,"area_code":"652902000000","town_code":"","country_id":1}
,{"id":3563,"pid":368,"name":"温宿县","level":4,"area_code":"652922000000","town_code":"","country_id":1}
,{"id":3564,"pid":368,"name":"沙雅县","level":4,"area_code":"652924000000","town_code":"","country_id":1}
,{"id":3565,"pid":368,"name":"新和县","level":4,"area_code":"652925000000","town_code":"","country_id":1}
,{"id":3566,"pid":368,"name":"拜城县","level":4,"area_code":"652926000000","town_code":"","country_id":1}
,{"id":3567,"pid":368,"name":"乌什县","level":4,"area_code":"652927000000","town_code":"","country_id":1}
,{"id":3568,"pid":368,"name":"阿瓦提县","level":4,"area_code":"652928000000","town_code":"","country_id":1}
,{"id":3569,"pid":368,"name":"柯坪县","level":4,"area_code":"652929000000","town_code":"","country_id":1}
,{"id":3570,"pid":369,"name":"阿图什市","level":4,"area_code":"653001000000","town_code":"","country_id":1}
,{"id":3571,"pid":369,"name":"阿克陶县","level":4,"area_code":"653022000000","town_code":"","country_id":1}
,{"id":3572,"pid":369,"name":"阿合奇县","level":4,"area_code":"653023000000","town_code":"","country_id":1}
,{"id":3573,"pid":369,"name":"乌恰县","level":4,"area_code":"653024000000","town_code":"","country_id":1}
,{"id":3574,"pid":370,"name":"喀什市","level":4,"area_code":"653101000000","town_code":"","country_id":1}
,{"id":3575,"pid":370,"name":"疏附县","level":4,"area_code":"653121000000","town_code":"","country_id":1}
,{"id":3576,"pid":370,"name":"疏勒县","level":4,"area_code":"653122000000","town_code":"","country_id":1}
,{"id":3577,"pid":370,"name":"英吉沙县","level":4,"area_code":"653123000000","town_code":"","country_id":1}
,{"id":3578,"pid":370,"name":"泽普县","level":4,"area_code":"653124000000","town_code":"","country_id":1}
,{"id":3579,"pid":370,"name":"莎车县","level":4,"area_code":"653125000000","town_code":"","country_id":1}
,{"id":3580,"pid":370,"name":"叶城县","level":4,"area_code":"653126000000","town_code":"","country_id":1}
,{"id":3581,"pid":370,"name":"麦盖提县","level":4,"area_code":"653127000000","town_code":"","country_id":1}
,{"id":3582,"pid":370,"name":"岳普湖县","level":4,"area_code":"653128000000","town_code":"","country_id":1}
,{"id":3583,"pid":370,"name":"伽师县","level":4,"area_code":"653129000000","town_code":"","country_id":1}
,{"id":3584,"pid":370,"name":"巴楚县","level":4,"area_code":"653130000000","town_code":"","country_id":1}
,{"id":3585,"pid":370,"name":"塔什库尔干塔吉克自治县","level":4,"area_code":"653131000000","town_code":"","country_id":1}
,{"id":3586,"pid":371,"name":"和田市","level":4,"area_code":"653201000000","town_code":"","country_id":1}
,{"id":3587,"pid":371,"name":"和田县","level":4,"area_code":"653221000000","town_code":"","country_id":1}
,{"id":3588,"pid":371,"name":"墨玉县","level":4,"area_code":"653222000000","town_code":"","country_id":1}
,{"id":3589,"pid":371,"name":"皮山县","level":4,"area_code":"653223000000","town_code":"","country_id":1}
,{"id":3590,"pid":371,"name":"洛浦县","level":4,"area_code":"653224000000","town_code":"","country_id":1}
,{"id":3591,"pid":371,"name":"策勒县","level":4,"area_code":"653225000000","town_code":"","country_id":1}
,{"id":3592,"pid":371,"name":"于田县","level":4,"area_code":"653226000000","town_code":"","country_id":1}
,{"id":3593,"pid":371,"name":"民丰县","level":4,"area_code":"653227000000","town_code":"","country_id":1}
,{"id":3594,"pid":372,"name":"伊宁市","level":4,"area_code":"654002000000","town_code":"","country_id":1}
,{"id":3595,"pid":372,"name":"奎屯市","level":4,"area_code":"654003000000","town_code":"","country_id":1}
,{"id":3596,"pid":372,"name":"霍尔果斯市","level":4,"area_code":"654004000000","town_code":"","country_id":1}
,{"id":3597,"pid":372,"name":"伊宁县","level":4,"area_code":"654021000000","town_code":"","country_id":1}
,{"id":3598,"pid":372,"name":"察布查尔锡伯自治县","level":4,"area_code":"654022000000","town_code":"","country_id":1}
,{"id":3599,"pid":372,"name":"霍城县","level":4,"area_code":"654023000000","town_code":"","country_id":1}
,{"id":3600,"pid":372,"name":"巩留县","level":4,"area_code":"654024000000","town_code":"","country_id":1}
,{"id":3601,"pid":372,"name":"新源县","level":4,"area_code":"654025000000","town_code":"","country_id":1}
,{"id":3602,"pid":372,"name":"昭苏县","level":4,"area_code":"654026000000","town_code":"","country_id":1}
,{"id":3603,"pid":372,"name":"特克斯县","level":4,"area_code":"654027000000","town_code":"","country_id":1}
,{"id":3604,"pid":372,"name":"尼勒克县","level":4,"area_code":"654028000000","town_code":"","country_id":1}
,{"id":3605,"pid":373,"name":"塔城市","level":4,"area_code":"654201000000","town_code":"","country_id":1}
,{"id":3606,"pid":373,"name":"乌苏市","level":4,"area_code":"654202000000","town_code":"","country_id":1}
,{"id":3607,"pid":373,"name":"沙湾市","level":4,"area_code":"654203000000","town_code":"","country_id":1}
,{"id":3608,"pid":373,"name":"额敏县","level":4,"area_code":"654221000000","town_code":"","country_id":1}
,{"id":3609,"pid":373,"name":"托里县","level":4,"area_code":"654224000000","town_code":"","country_id":1}
,{"id":3610,"pid":373,"name":"裕民县","level":4,"area_code":"654225000000","town_code":"","country_id":1}
,{"id":3611,"pid":373,"name":"和布克赛尔蒙古自治县","level":4,"area_code":"654226000000","town_code":"","country_id":1}
,{"id":3612,"pid":374,"name":"阿勒泰市","level":4,"area_code":"654301000000","town_code":"","country_id":1}
,{"id":3613,"pid":374,"name":"布尔津县","level":4,"area_code":"654321000000","town_code":"","country_id":1}
,{"id":3614,"pid":374,"name":"富蕴县","level":4,"area_code":"654322000000","town_code":"","country_id":1}
,{"id":3615,"pid":374,"name":"福海县","level":4,"area_code":"654323000000","town_code":"","country_id":1}
,{"id":3616,"pid":374,"name":"哈巴河县","level":4,"area_code":"654324000000","town_code":"","country_id":1}
,{"id":3617,"pid":374,"name":"青河县","level":4,"area_code":"654325000000","town_code":"","country_id":1}
,{"id":3618,"pid":374,"name":"吉木乃县","level":4,"area_code":"654326000000","town_code":"","country_id":1}
,{"id":3619,"pid":375,"name":"石河子市","level":4,"area_code":"659001000000","town_code":"","country_id":1}
,{"id":3620,"pid":375,"name":"阿拉尔市","level":4,"area_code":"659002000000","town_code":"","country_id":1}
,{"id":3621,"pid":375,"name":"图木舒克市","level":4,"area_code":"659003000000","town_code":"","country_id":1}
,{"id":3622,"pid":375,"name":"五家渠市","level":4,"area_code":"659004000000","town_code":"","country_id":1}
,{"id":3623,"pid":375,"name":"北屯市","level":4,"area_code":"659005000000","town_code":"","country_id":1}
,{"id":3624,"pid":375,"name":"铁门关市","level":4,"area_code":"659006000000","town_code":"","country_id":1}
,{"id":3625,"pid":375,"name":"双河市","level":4,"area_code":"659007000000","town_code":"","country_id":1}
,{"id":3626,"pid":375,"name":"可克达拉市","level":4,"area_code":"659008000000","town_code":"","country_id":1}
,{"id":3627,"pid":375,"name":"昆玉市","level":4,"area_code":"659009000000","town_code":"","country_id":1}
,{"id":3628,"pid":375,"name":"胡杨河市","level":4,"area_code":"659010000000","town_code":"","country_id":1}
,{"id":3629,"pid":375,"name":"新星市","level":4,"area_code":"659011000000","town_code":"","country_id":1}
,{"id":3630,"pid":375,"name":"白杨市","level":4,"area_code":"659012000000","town_code":"","country_id":1}
]`
