// Package backend -----------------------------
// @file      : menuStruct.go
// @author    : JJXu
// @contact   : wavingbear@163.com
// @time      : 2023/3/1 14:46
// -------------------------------------------
package backend

import (
	"encoding/json"
	"github.com/gin-gonic/gin"
)

func MenusGet(c *gin.Context) {
	var tempRouters = []byte(`
{
    "AllMenus": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 199,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝画家",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
            "Url": "/paintersideartist",
            "Method": "*",
            "Weigh": 44,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 200,
            "Type": "menu",
            "Pid": 234,
            "Title": "基本画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
            "Url": "/paintersideartwork",
            "Method": "*",
            "Weigh": 43,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 220,
            "Type": "menu",
            "Pid": 234,
            "Title": "画作补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
            "Url": "/paintersideextraartwork",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 215,
            "Type": "menu",
            "Pid": 234,
            "Title": "视频资料",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
            "Url": "/paintersideextravideo",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 219,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
            "Url": "/paintersideextraartist",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 216,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家指数",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
            "Url": "/paintersideextraissue",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 201,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝合同",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
            "Url": "/paintersidecontract",
            "Method": "*",
            "Weigh": 40,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 214,
            "Type": "menu",
            "Pid": 234,
            "Title": "合同画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
            "Url": "/paintersideconartwork",
            "Method": "*",
            "Weigh": 39,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 221,
            "Type": "menu",
            "Pid": 234,
            "Title": "版权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
            "Url": "/paintersidereceiptcopy",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 209,
            "Type": "menu",
            "Pid": 234,
            "Title": "物权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
            "Url": "/paintersidereceipt",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 217,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请关系",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
            "Url": "/inviteindex",
            "Method": "*",
            "Weigh": 37,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 218,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请人",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
            "Url": "/inviteperindex",
            "Method": "*",
            "Weigh": 36,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 194,
            "Type": "menu",
            "Pid": 238,
            "Title": "销售情况",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
            "Url": "sale",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 190,
            "Type": "menu",
            "Pid": 238,
            "Title": "品牌方加入",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
            "Url": "/brandentry",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 191,
            "Type": "menu",
            "Pid": 238,
            "Title": "系列发布",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
            "Url": "/seriesrelease",
            "Method": "*",
            "Weigh": 23,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 180,
            "Type": "menu",
            "Pid": 239,
            "Title": "出纳管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
            "Url": "/safecashiers",
            "Method": "*",
            "Weigh": 20,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 181,
            "Type": "menu",
            "Pid": 239,
            "Title": "内控管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
            "Url": "/safecontrol",
            "Method": "*",
            "Weigh": 19,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 182,
            "Type": "menu",
            "Pid": 239,
            "Title": "财务管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
            "Url": "/safefinance",
            "Method": "*",
            "Weigh": 17,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 143,
            "Type": "menu",
            "Pid": 239,
            "Title": "销售宝列表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
            "Url": "/salebot",
            "Method": "*",
            "Weigh": 15,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        }
    ],
    "AllRules": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 199,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝画家",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
            "Url": "/paintersideartist",
            "Method": "*",
            "Weigh": 44,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 200,
            "Type": "menu",
            "Pid": 234,
            "Title": "基本画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
            "Url": "/paintersideartwork",
            "Method": "*",
            "Weigh": 43,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 220,
            "Type": "menu",
            "Pid": 234,
            "Title": "画作补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
            "Url": "/paintersideextraartwork",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 215,
            "Type": "menu",
            "Pid": 234,
            "Title": "视频资料",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
            "Url": "/paintersideextravideo",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 219,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
            "Url": "/paintersideextraartist",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 216,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家指数",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
            "Url": "/paintersideextraissue",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 201,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝合同",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
            "Url": "/paintersidecontract",
            "Method": "*",
            "Weigh": 40,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 214,
            "Type": "menu",
            "Pid": 234,
            "Title": "合同画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
            "Url": "/paintersideconartwork",
            "Method": "*",
            "Weigh": 39,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 221,
            "Type": "menu",
            "Pid": 234,
            "Title": "版权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
            "Url": "/paintersidereceiptcopy",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 209,
            "Type": "menu",
            "Pid": 234,
            "Title": "物权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
            "Url": "/paintersidereceipt",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 217,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请关系",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
            "Url": "/inviteindex",
            "Method": "*",
            "Weigh": 37,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 218,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请人",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
            "Url": "/inviteperindex",
            "Method": "*",
            "Weigh": 36,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 194,
            "Type": "menu",
            "Pid": 238,
            "Title": "销售情况",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
            "Url": "sale",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 190,
            "Type": "menu",
            "Pid": 238,
            "Title": "品牌方加入",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
            "Url": "/brandentry",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 191,
            "Type": "menu",
            "Pid": 238,
            "Title": "系列发布",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
            "Url": "/seriesrelease",
            "Method": "*",
            "Weigh": 23,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 180,
            "Type": "menu",
            "Pid": 239,
            "Title": "出纳管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
            "Url": "/safecashiers",
            "Method": "*",
            "Weigh": 20,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 181,
            "Type": "menu",
            "Pid": 239,
            "Title": "内控管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
            "Url": "/safecontrol",
            "Method": "*",
            "Weigh": 19,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 182,
            "Type": "menu",
            "Pid": 239,
            "Title": "财务管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
            "Url": "/safefinance",
            "Method": "*",
            "Weigh": 17,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 143,
            "Type": "menu",
            "Pid": 239,
            "Title": "销售宝列表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
            "Url": "/salebot",
            "Method": "*",
            "Weigh": 15,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 252,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 完成",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_finish",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 251,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 确认",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_confirm",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 250,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 导出",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 247,
            "Type": "button",
            "Pid": 53,
            "Title": "下载证书权限",
            "Icon": "",
            "Url": "quick-work-download",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 246,
            "Type": "button",
            "Pid": 53,
            "Title": "澄信链上链权限",
            "Icon": "",
            "Url": "chengxin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 245,
            "Type": "button",
            "Pid": 53,
            "Title": "超级链上链权限",
            "Icon": "",
            "Url": "chaoji",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 244,
            "Type": "button",
            "Pid": 53,
            "Title": "梧桐链上链权限",
            "Icon": "",
            "Url": "wutong",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 243,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包审批权限",
            "Icon": "",
            "Url": "exhibition_show_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 242,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包内部权限",
            "Icon": "",
            "Url": "exhibition_inside_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 241,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包底价权限",
            "Icon": "",
            "Url": "art_package_price",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 240,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 下载导入模板",
            "Icon": "",
            "Url": "safecontrol_btn_down_exportexcel",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 228,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifyedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 227,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifydelete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 226,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 验证",
            "Icon": "",
            "Url": "r_artwork_view_verify_page",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 225,
            "Type": "button",
            "Pid": 51,
            "Title": "首页下方查看权限",
            "Icon": "",
            "Url": "home_bottom",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 224,
            "Type": "button",
            "Pid": 51,
            "Title": "首页上方查看权限",
            "Icon": "",
            "Url": "home_top",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 223,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 画作名称字端",
            "Icon": "",
            "Url": "r_artwork_view_field_ArtworkName",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 222,
            "Type": "button",
            "Pid": 56,
            "Title": "部门主管权限",
            "Icon": "",
            "Url": "department_boss_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 213,
            "Type": "interface",
            "Pid": 51,
            "Title": "首页待办事项已阅api",
            "Icon": "",
            "Url": "workbench/schedule-read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "[\"*\"]"
                    ],
                    "Name": "首页待办事项已阅api",
                    "ID": 17
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 212,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 已阅读",
            "Icon": "",
            "Url": "r_home_todo_api_read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 211,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 编辑",
            "Icon": "",
            "Url": "r_home_todo_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 210,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 创建",
            "Icon": "",
            "Url": "r_home_todo_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 208,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 删除",
            "Icon": "",
            "Url": "r_shopitem_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 207,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 编辑",
            "Icon": "",
            "Url": "r_shopitem_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 206,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 创建",
            "Icon": "",
            "Url": "r_shopitem_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 205,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 删除",
            "Icon": "",
            "Url": "r_series_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 204,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 编辑",
            "Icon": "",
            "Url": "r_series_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 203,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 删除",
            "Icon": "",
            "Url": "r_brand_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 202,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 编辑",
            "Icon": "",
            "Url": "r_brand_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 197,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 创建",
            "Icon": "",
            "Url": "r_brand_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 195,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 创建",
            "Icon": "",
            "Url": "r_series_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 193,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 导入",
            "Icon": "",
            "Url": "safecontrol_btn_exportin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 189,
            "Type": "button",
            "Pid": 182,
            "Title": "财务确认",
            "Icon": "",
            "Url": "safefinance_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 188,
            "Type": "button",
            "Pid": 181,
            "Title": "内控确认",
            "Icon": "",
            "Url": "safecontrol_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 187,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包润格编辑权限",
            "Icon": "",
            "Url": "art_package_reward",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 186,
            "Type": "button",
            "Pid": 182,
            "Title": "财务导出",
            "Icon": "",
            "Url": "safefinance_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 185,
            "Type": "button",
            "Pid": 182,
            "Title": "财务批量编辑",
            "Icon": "",
            "Url": "safefinance_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 184,
            "Type": "button",
            "Pid": 181,
            "Title": "内控批量编辑",
            "Icon": "",
            "Url": "safecontrol_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 183,
            "Type": "button",
            "Pid": 180,
            "Title": "出纳确认",
            "Icon": "",
            "Url": "safecashiers_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 179,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情_画展资料",
            "Icon": "",
            "Url": "artist_artExhibition",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 178,
            "Type": "button",
            "Pid": 52,
            "Title": "画家_导出图片等资源",
            "Icon": "",
            "Url": "artist_downloadExport",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 177,
            "Type": "button",
            "Pid": 67,
            "Title": "司机权限",
            "Icon": "",
            "Url": "ge_diver_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 176,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链抽奖 创建",
            "Icon": "",
            "Url": "r_salebot_index_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 175,
            "Type": "interface",
            "Pid": 55,
            "Title": "测试1",
            "Icon": "",
            "Url": "/test/test",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试1",
                    "ID": 15
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试2",
                    "ID": 16
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 141,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表阅读查看详情",
            "Icon": "",
            "Url": "approval_table_read_detail_btn",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 174,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链 下载证书",
            "Icon": "",
            "Url": "r_salebot_index_btn_cert_down",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 173,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-员工",
            "Icon": "",
            "Url": "seller_mobile_staff_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 172,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-总监",
            "Icon": "",
            "Url": "seller_mobile_boss_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 171,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 标签",
            "Icon": "",
            "Url": "r_artwork_view_copy_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 170,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_copyrightedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 168,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 导出画作数据",
            "Icon": "",
            "Url": "r_artwork_export_artwork",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 166,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 导出站点数据",
            "Icon": "",
            "Url": "r_salebot_btn_site_export",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 165,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 查看报表",
            "Icon": "",
            "Url": "r_salebot_index_btn_site",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 164,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 留言板",
            "Icon": "",
            "Url": "r_artwork_view_message",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 163,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 日志",
            "Icon": "",
            "Url": "r_artwork_view_log",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 162,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 仓储信息",
            "Icon": "",
            "Url": "r_artwork_view_ware_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 161,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 鉴证信息",
            "Icon": "",
            "Url": "r_artwork_view_auth_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 160,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 标签信息",
            "Icon": "",
            "Url": "r_artwork_view_tag_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 159,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 数字化信息",
            "Icon": "",
            "Url": "r_artwork_view_digit_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 158,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 市场信息",
            "Icon": "",
            "Url": "r_artwork_view_market_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 157,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 补充信息",
            "Icon": "",
            "Url": "r_artwork_view_extra_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 156,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 基本信息",
            "Icon": "",
            "Url": "r_artwork_view_basic_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 155,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包查看",
            "Icon": "",
            "Url": "artExhibition_see",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 154,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包生成",
            "Icon": "",
            "Url": "artExhibition_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 153,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包分配权限",
            "Icon": "",
            "Url": "artExhibition_give",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 152,
            "Type": "button",
            "Pid": 52,
            "Title": "查看画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_check",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 151,
            "Type": "button",
            "Pid": 52,
            "Title": "复制画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_copy",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 150,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 149,
            "Type": "button",
            "Pid": 52,
            "Title": "修改画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_update",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 148,
            "Type": "button",
            "Pid": 52,
            "Title": "添加画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_add",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 147,
            "Type": "button",
            "Pid": 52,
            "Title": "导出画家基本信息",
            "Icon": "",
            "Url": "artist_downloadExcel",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 146,
            "Type": "button",
            "Pid": 51,
            "Title": "仓库货架权限",
            "Icon": "",
            "Url": "storeBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 145,
            "Type": "button",
            "Pid": 51,
            "Title": "主管工作台权限",
            "Icon": "",
            "Url": "masterBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 144,
            "Type": "button",
            "Pid": 51,
            "Title": "快速工作台权限",
            "Icon": "",
            "Url": "fastBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 142,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 发起公告",
            "Icon": "",
            "Url": "r_artwork_view_btn_createnote",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 140,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表删除按钮权限",
            "Icon": "",
            "Url": "approval_table_del_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 139,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表详情按钮权限",
            "Icon": "",
            "Url": "approval_table_detail_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 138,
            "Type": "button",
            "Pid": 54,
            "Title": "删除类目",
            "Icon": "",
            "Url": "del_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 137,
            "Type": "button",
            "Pid": 54,
            "Title": "编辑类目",
            "Icon": "",
            "Url": "edit_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 136,
            "Type": "button",
            "Pid": 54,
            "Title": "添加新的类目按钮",
            "Icon": "",
            "Url": "add_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 135,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 134,
            "Type": "button",
            "Pid": 54,
            "Title": "审批提交按钮权限",
            "Icon": "",
            "Url": "approval_submit_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 133,
            "Type": "button",
            "Pid": 54,
            "Title": "画作分配按钮权限",
            "Icon": "",
            "Url": "artwork_distribute_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 132,
            "Type": "button",
            "Pid": 54,
            "Title": "审批类型按钮权限",
            "Icon": "",
            "Url": "approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 131,
            "Type": "button",
            "Pid": 54,
            "Title": "设置审批人按钮权限",
            "Icon": "",
            "Url": "approval_set_per_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 130,
            "Type": "button",
            "Pid": 54,
            "Title": "审批按钮",
            "Icon": "",
            "Url": "approval_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 129,
            "Type": "button",
            "Pid": 54,
            "Title": "未通过审批跳转按钮",
            "Icon": "",
            "Url": "not_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 128,
            "Type": "button",
            "Pid": 54,
            "Title": "审批完成跳转按钮",
            "Icon": "",
            "Url": "complted_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 127,
            "Type": "button",
            "Pid": 54,
            "Title": "正在审批跳转按钮",
            "Icon": "",
            "Url": "is_approvaling_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 126,
            "Type": "button",
            "Pid": 54,
            "Title": "已提交审批跳转按钮",
            "Icon": "",
            "Url": "has_approvaled_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 125,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_waredelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 124,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_wareedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 123,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_warecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 122,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_authdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 121,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_authedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 119,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 118,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 117,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 116,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 115,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 114,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 113,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 112,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 111,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 110,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_extradelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 109,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_extraedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 108,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_extracreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 107,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_basedelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 106,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_baseedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 105,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_basecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 104,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 批量上传",
            "Icon": "",
            "Url": "r_artwork_index_btn_batchupload",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 103,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 创建",
            "Icon": "",
            "Url": "r_artwork_index_btn_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 102,
            "Type": "interface",
            "Pid": 54,
            "Title": "审批信息",
            "Icon": "",
            "Url": "/approval/information",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "所有",
                    "ID": 13
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 100,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 99,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 98,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 97,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 96,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 95,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 94,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 92,
            "Type": "button",
            "Pid": 67,
            "Title": "设置v2",
            "Icon": "",
            "Url": "设置v2",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 90,
            "Type": "interface",
            "Pid": 55,
            "Title": "操作日志表格时间段列",
            "Icon": "",
            "Url": "/log/loglist",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "DepartmentName",
                        "Domain",
                        "LogGrade",
                        "LogId",
                        "Method",
                        "Name",
                        "PositionName",
                        "Url"
                    ],
                    "Name": "没有时间",
                    "ID": 10
                },
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "全部",
                    "ID": 11
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 87,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 86,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 85,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 82,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 80,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家",
            "Icon": "",
            "Url": "artist_list_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 79,
            "Type": "button",
            "Pid": 51,
            "Title": "工作台权限",
            "Icon": "",
            "Url": "workBentch",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 76,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情",
            "Icon": "",
            "Url": "artist_list_detail",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 75,
            "Type": "button",
            "Pid": 52,
            "Title": "画家列表搜索",
            "Icon": "",
            "Url": "artist_list_search",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 73,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格数据详情",
            "Icon": "",
            "Url": "r_artwork_index_btn_view",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 72,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格单行删除",
            "Icon": "",
            "Url": "r_artwork_index_btn_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 71,
            "Type": "button",
            "Pid": 56,
            "Title": "新增员工",
            "Icon": "",
            "Url": "addUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 70,
            "Type": "button",
            "Pid": 56,
            "Title": "新增岗位",
            "Icon": "",
            "Url": "addPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 69,
            "Type": "button",
            "Pid": 56,
            "Title": "创建部门",
            "Icon": "",
            "Url": "createDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 66,
            "Type": "interface",
            "Pid": 52,
            "Title": "画家列表",
            "Icon": "",
            "Url": "/asArtist/list",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName",
                        "BankNum",
                        "Seqnum",
                        "Num",
                        "Address",
                        "Student",
                        "StyleFaction"
                    ],
                    "Name": "管理层",
                    "ID": 7
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName"
                    ],
                    "Name": "员工层",
                    "ID": 8
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 65,
            "Type": "interface",
            "Pid": 13,
            "Title": "部门删除2221222",
            "Icon": "image",
            "Url": "/department/Remove121",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "click-share-button",
            "RuleData": [
                {
                    "DataField": [
                        "id",
                        "name"
                    ],
                    "Name": "管理权限",
                    "ID": 5
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "权限",
                    "ID": 6
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 64,
            "Type": "interface",
            "Pid": 52,
            "Title": "测试列表",
            "Icon": "",
            "Url": "/asArtist/list222",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email"
                    ],
                    "Name": "仓库查看字段",
                    "ID": 3
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "Num"
                    ],
                    "Name": "数字化查看字段",
                    "ID": 4
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 62,
            "Type": "button",
            "Pid": 56,
            "Title": "查看日志",
            "Icon": "",
            "Url": "checkLog",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 61,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑员工",
            "Icon": "",
            "Url": "editUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 60,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑岗位",
            "Icon": "",
            "Url": "editPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 59,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑部门",
            "Icon": "",
            "Url": "editDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 58,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑权限",
            "Icon": "",
            "Url": "editRule",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        }
    ],
    "AllInterfaceRules": [
        {
            "ID": 213,
            "Type": "interface",
            "Pid": 51,
            "Title": "首页待办事项已阅api",
            "Icon": "",
            "Url": "workbench/schedule-read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "[\"*\"]"
                    ],
                    "Name": "首页待办事项已阅api",
                    "ID": 17
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 175,
            "Type": "interface",
            "Pid": 55,
            "Title": "测试1",
            "Icon": "",
            "Url": "/test/test",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试1",
                    "ID": 15
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试2",
                    "ID": 16
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 102,
            "Type": "interface",
            "Pid": 54,
            "Title": "审批信息",
            "Icon": "",
            "Url": "/approval/information",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "所有",
                    "ID": 13
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 90,
            "Type": "interface",
            "Pid": 55,
            "Title": "操作日志表格时间段列",
            "Icon": "",
            "Url": "/log/loglist",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "DepartmentName",
                        "Domain",
                        "LogGrade",
                        "LogId",
                        "Method",
                        "Name",
                        "PositionName",
                        "Url"
                    ],
                    "Name": "没有时间",
                    "ID": 10
                },
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "全部",
                    "ID": 11
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 66,
            "Type": "interface",
            "Pid": 52,
            "Title": "画家列表",
            "Icon": "",
            "Url": "/asArtist/list",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName",
                        "BankNum",
                        "Seqnum",
                        "Num",
                        "Address",
                        "Student",
                        "StyleFaction"
                    ],
                    "Name": "管理层",
                    "ID": 7
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName"
                    ],
                    "Name": "员工层",
                    "ID": 8
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 65,
            "Type": "interface",
            "Pid": 13,
            "Title": "部门删除2221222",
            "Icon": "image",
            "Url": "/department/Remove121",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "click-share-button",
            "RuleData": [
                {
                    "DataField": [
                        "id",
                        "name"
                    ],
                    "Name": "管理权限",
                    "ID": 5
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "权限",
                    "ID": 6
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 64,
            "Type": "interface",
            "Pid": 52,
            "Title": "测试列表",
            "Icon": "",
            "Url": "/asArtist/list222",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email"
                    ],
                    "Name": "仓库查看字段",
                    "ID": 3
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "Num"
                    ],
                    "Name": "数字化查看字段",
                    "ID": 4
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        }
    ],
    "MyMenuAuths": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 194,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "销售情况",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
                    "Url": "sale",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 190,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "品牌方加入",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
                    "Url": "/brandentry",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 191,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "系列发布",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
                    "Url": "/seriesrelease",
                    "Method": "*",
                    "Weigh": 23,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 199,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝画家",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
                    "Url": "/paintersideartist",
                    "Method": "*",
                    "Weigh": 44,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 200,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "基本画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
                    "Url": "/paintersideartwork",
                    "Method": "*",
                    "Weigh": 43,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 220,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画作补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
                    "Url": "/paintersideextraartwork",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 215,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "视频资料",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
                    "Url": "/paintersideextravideo",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 219,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
                    "Url": "/paintersideextraartist",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 216,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家指数",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
                    "Url": "/paintersideextraissue",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 201,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝合同",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
                    "Url": "/paintersidecontract",
                    "Method": "*",
                    "Weigh": 40,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 214,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "合同画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
                    "Url": "/paintersideconartwork",
                    "Method": "*",
                    "Weigh": 39,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 221,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "版权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
                    "Url": "/paintersidereceiptcopy",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 209,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "物权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
                    "Url": "/paintersidereceipt",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 217,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请关系",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
                    "Url": "/inviteindex",
                    "Method": "*",
                    "Weigh": 37,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 218,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请人",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
                    "Url": "/inviteperindex",
                    "Method": "*",
                    "Weigh": 36,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 180,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "出纳管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
                    "Url": "/safecashiers",
                    "Method": "*",
                    "Weigh": 20,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 181,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "内控管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
                    "Url": "/safecontrol",
                    "Method": "*",
                    "Weigh": 19,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 182,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "财务管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
                    "Url": "/safefinance",
                    "Method": "*",
                    "Weigh": 17,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 143,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "销售宝列表",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
                    "Url": "/salebot",
                    "Method": "*",
                    "Weigh": 15,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        }
    ],
    "MyRules": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 58,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑权限",
            "Icon": "",
            "Url": "editRule",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 59,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑部门",
            "Icon": "",
            "Url": "editDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 60,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑岗位",
            "Icon": "",
            "Url": "editPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 61,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑员工",
            "Icon": "",
            "Url": "editUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 62,
            "Type": "button",
            "Pid": 56,
            "Title": "查看日志",
            "Icon": "",
            "Url": "checkLog",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 64,
            "Type": "interface",
            "Pid": 52,
            "Title": "测试列表",
            "Icon": "",
            "Url": "/asArtist/list222",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 65,
            "Type": "interface",
            "Pid": 13,
            "Title": "部门删除2221222",
            "Icon": "image",
            "Url": "/department/Remove121",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "click-share-button",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 66,
            "Type": "interface",
            "Pid": 52,
            "Title": "画家列表",
            "Icon": "",
            "Url": "/asArtist/list",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 69,
            "Type": "button",
            "Pid": 56,
            "Title": "创建部门",
            "Icon": "",
            "Url": "createDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 70,
            "Type": "button",
            "Pid": 56,
            "Title": "新增岗位",
            "Icon": "",
            "Url": "addPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 71,
            "Type": "button",
            "Pid": 56,
            "Title": "新增员工",
            "Icon": "",
            "Url": "addUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 72,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格单行删除",
            "Icon": "",
            "Url": "r_artwork_index_btn_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 73,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格数据详情",
            "Icon": "",
            "Url": "r_artwork_index_btn_view",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 75,
            "Type": "button",
            "Pid": 52,
            "Title": "画家列表搜索",
            "Icon": "",
            "Url": "artist_list_search",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 76,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情",
            "Icon": "",
            "Url": "artist_list_detail",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 79,
            "Type": "button",
            "Pid": 51,
            "Title": "工作台权限",
            "Icon": "",
            "Url": "workBentch",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 80,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家",
            "Icon": "",
            "Url": "artist_list_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 82,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 85,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 86,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 87,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 90,
            "Type": "interface",
            "Pid": 55,
            "Title": "操作日志表格时间段列",
            "Icon": "",
            "Url": "/log/loglist",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 92,
            "Type": "button",
            "Pid": 67,
            "Title": "设置v2",
            "Icon": "",
            "Url": "设置v2",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 94,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 95,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 96,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 97,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 98,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 99,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 100,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 102,
            "Type": "interface",
            "Pid": 54,
            "Title": "审批信息",
            "Icon": "",
            "Url": "/approval/information",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 103,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 创建",
            "Icon": "",
            "Url": "r_artwork_index_btn_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 104,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 批量上传",
            "Icon": "",
            "Url": "r_artwork_index_btn_batchupload",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 105,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_basecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 106,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_baseedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 107,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_basedelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 108,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_extracreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 109,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_extraedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 110,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_extradelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 111,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 112,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 113,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 114,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 115,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 116,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 117,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 118,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 119,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 121,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_authedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 122,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_authdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 123,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_warecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 124,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_wareedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 125,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_waredelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 126,
            "Type": "button",
            "Pid": 54,
            "Title": "已提交审批跳转按钮",
            "Icon": "",
            "Url": "has_approvaled_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 127,
            "Type": "button",
            "Pid": 54,
            "Title": "正在审批跳转按钮",
            "Icon": "",
            "Url": "is_approvaling_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 128,
            "Type": "button",
            "Pid": 54,
            "Title": "审批完成跳转按钮",
            "Icon": "",
            "Url": "complted_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 129,
            "Type": "button",
            "Pid": 54,
            "Title": "未通过审批跳转按钮",
            "Icon": "",
            "Url": "not_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 130,
            "Type": "button",
            "Pid": 54,
            "Title": "审批按钮",
            "Icon": "",
            "Url": "approval_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 131,
            "Type": "button",
            "Pid": 54,
            "Title": "设置审批人按钮权限",
            "Icon": "",
            "Url": "approval_set_per_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 132,
            "Type": "button",
            "Pid": 54,
            "Title": "审批类型按钮权限",
            "Icon": "",
            "Url": "approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 133,
            "Type": "button",
            "Pid": 54,
            "Title": "画作分配按钮权限",
            "Icon": "",
            "Url": "artwork_distribute_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 134,
            "Type": "button",
            "Pid": 54,
            "Title": "审批提交按钮权限",
            "Icon": "",
            "Url": "approval_submit_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 135,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 136,
            "Type": "button",
            "Pid": 54,
            "Title": "添加新的类目按钮",
            "Icon": "",
            "Url": "add_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 137,
            "Type": "button",
            "Pid": 54,
            "Title": "编辑类目",
            "Icon": "",
            "Url": "edit_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 138,
            "Type": "button",
            "Pid": 54,
            "Title": "删除类目",
            "Icon": "",
            "Url": "del_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 139,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表详情按钮权限",
            "Icon": "",
            "Url": "approval_table_detail_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 140,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表删除按钮权限",
            "Icon": "",
            "Url": "approval_table_del_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 141,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表阅读查看详情",
            "Icon": "",
            "Url": "approval_table_read_detail_btn",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 142,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 发起公告",
            "Icon": "",
            "Url": "r_artwork_view_btn_createnote",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 143,
            "Type": "menu",
            "Pid": 239,
            "Title": "销售宝列表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
            "Url": "/salebot",
            "Method": "*",
            "Weigh": 15,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 144,
            "Type": "button",
            "Pid": 51,
            "Title": "快速工作台权限",
            "Icon": "",
            "Url": "fastBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 145,
            "Type": "button",
            "Pid": 51,
            "Title": "主管工作台权限",
            "Icon": "",
            "Url": "masterBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 146,
            "Type": "button",
            "Pid": 51,
            "Title": "仓库货架权限",
            "Icon": "",
            "Url": "storeBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 147,
            "Type": "button",
            "Pid": 52,
            "Title": "导出画家基本信息",
            "Icon": "",
            "Url": "artist_downloadExcel",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 148,
            "Type": "button",
            "Pid": 52,
            "Title": "添加画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_add",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 149,
            "Type": "button",
            "Pid": 52,
            "Title": "修改画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_update",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 150,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 151,
            "Type": "button",
            "Pid": 52,
            "Title": "复制画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_copy",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 152,
            "Type": "button",
            "Pid": 52,
            "Title": "查看画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_check",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 153,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包分配权限",
            "Icon": "",
            "Url": "artExhibition_give",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 154,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包生成",
            "Icon": "",
            "Url": "artExhibition_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 155,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包查看",
            "Icon": "",
            "Url": "artExhibition_see",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 156,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 基本信息",
            "Icon": "",
            "Url": "r_artwork_view_basic_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 157,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 补充信息",
            "Icon": "",
            "Url": "r_artwork_view_extra_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 158,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 市场信息",
            "Icon": "",
            "Url": "r_artwork_view_market_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 159,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 数字化信息",
            "Icon": "",
            "Url": "r_artwork_view_digit_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 160,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 标签信息",
            "Icon": "",
            "Url": "r_artwork_view_tag_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 161,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 鉴证信息",
            "Icon": "",
            "Url": "r_artwork_view_auth_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 162,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 仓储信息",
            "Icon": "",
            "Url": "r_artwork_view_ware_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 163,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 日志",
            "Icon": "",
            "Url": "r_artwork_view_log",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 164,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 留言板",
            "Icon": "",
            "Url": "r_artwork_view_message",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 165,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 查看报表",
            "Icon": "",
            "Url": "r_salebot_index_btn_site",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 166,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 导出站点数据",
            "Icon": "",
            "Url": "r_salebot_btn_site_export",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 168,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 导出画作数据",
            "Icon": "",
            "Url": "r_artwork_export_artwork",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 170,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_copyrightedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 171,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 标签",
            "Icon": "",
            "Url": "r_artwork_view_copy_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 172,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-总监",
            "Icon": "",
            "Url": "seller_mobile_boss_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 173,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-员工",
            "Icon": "",
            "Url": "seller_mobile_staff_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 174,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链 下载证书",
            "Icon": "",
            "Url": "r_salebot_index_btn_cert_down",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 175,
            "Type": "interface",
            "Pid": 55,
            "Title": "测试1",
            "Icon": "",
            "Url": "/test/test",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 176,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链抽奖 创建",
            "Icon": "",
            "Url": "r_salebot_index_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 177,
            "Type": "button",
            "Pid": 67,
            "Title": "司机权限",
            "Icon": "",
            "Url": "ge_diver_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 178,
            "Type": "button",
            "Pid": 52,
            "Title": "画家_导出图片等资源",
            "Icon": "",
            "Url": "artist_downloadExport",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 179,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情_画展资料",
            "Icon": "",
            "Url": "artist_artExhibition",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 180,
            "Type": "menu",
            "Pid": 239,
            "Title": "出纳管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
            "Url": "/safecashiers",
            "Method": "*",
            "Weigh": 20,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 181,
            "Type": "menu",
            "Pid": 239,
            "Title": "内控管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
            "Url": "/safecontrol",
            "Method": "*",
            "Weigh": 19,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 182,
            "Type": "menu",
            "Pid": 239,
            "Title": "财务管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
            "Url": "/safefinance",
            "Method": "*",
            "Weigh": 17,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 183,
            "Type": "button",
            "Pid": 180,
            "Title": "出纳确认",
            "Icon": "",
            "Url": "safecashiers_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 184,
            "Type": "button",
            "Pid": 181,
            "Title": "内控批量编辑",
            "Icon": "",
            "Url": "safecontrol_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 185,
            "Type": "button",
            "Pid": 182,
            "Title": "财务批量编辑",
            "Icon": "",
            "Url": "safefinance_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 186,
            "Type": "button",
            "Pid": 182,
            "Title": "财务导出",
            "Icon": "",
            "Url": "safefinance_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 187,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包润格编辑权限",
            "Icon": "",
            "Url": "art_package_reward",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 188,
            "Type": "button",
            "Pid": 181,
            "Title": "内控确认",
            "Icon": "",
            "Url": "safecontrol_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 189,
            "Type": "button",
            "Pid": 182,
            "Title": "财务确认",
            "Icon": "",
            "Url": "safefinance_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 190,
            "Type": "menu",
            "Pid": 238,
            "Title": "品牌方加入",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
            "Url": "/brandentry",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 191,
            "Type": "menu",
            "Pid": 238,
            "Title": "系列发布",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
            "Url": "/seriesrelease",
            "Method": "*",
            "Weigh": 23,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 193,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 导入",
            "Icon": "",
            "Url": "safecontrol_btn_exportin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 194,
            "Type": "menu",
            "Pid": 238,
            "Title": "销售情况",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
            "Url": "sale",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 195,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 创建",
            "Icon": "",
            "Url": "r_series_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 197,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 创建",
            "Icon": "",
            "Url": "r_brand_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 199,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝画家",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
            "Url": "/paintersideartist",
            "Method": "*",
            "Weigh": 44,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 200,
            "Type": "menu",
            "Pid": 234,
            "Title": "基本画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
            "Url": "/paintersideartwork",
            "Method": "*",
            "Weigh": 43,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 201,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝合同",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
            "Url": "/paintersidecontract",
            "Method": "*",
            "Weigh": 40,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 202,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 编辑",
            "Icon": "",
            "Url": "r_brand_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 203,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 删除",
            "Icon": "",
            "Url": "r_brand_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 204,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 编辑",
            "Icon": "",
            "Url": "r_series_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 205,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 删除",
            "Icon": "",
            "Url": "r_series_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 206,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 创建",
            "Icon": "",
            "Url": "r_shopitem_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 207,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 编辑",
            "Icon": "",
            "Url": "r_shopitem_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 208,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 删除",
            "Icon": "",
            "Url": "r_shopitem_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 209,
            "Type": "menu",
            "Pid": 234,
            "Title": "物权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
            "Url": "/paintersidereceipt",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 210,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 创建",
            "Icon": "",
            "Url": "r_home_todo_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 211,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 编辑",
            "Icon": "",
            "Url": "r_home_todo_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 212,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 已阅读",
            "Icon": "",
            "Url": "r_home_todo_api_read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 213,
            "Type": "interface",
            "Pid": 51,
            "Title": "首页待办事项已阅api",
            "Icon": "",
            "Url": "workbench/schedule-read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 214,
            "Type": "menu",
            "Pid": 234,
            "Title": "合同画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
            "Url": "/paintersideconartwork",
            "Method": "*",
            "Weigh": 39,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 215,
            "Type": "menu",
            "Pid": 234,
            "Title": "视频资料",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
            "Url": "/paintersideextravideo",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 216,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家指数",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
            "Url": "/paintersideextraissue",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 217,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请关系",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
            "Url": "/inviteindex",
            "Method": "*",
            "Weigh": 37,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 218,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请人",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
            "Url": "/inviteperindex",
            "Method": "*",
            "Weigh": 36,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 219,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
            "Url": "/paintersideextraartist",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 220,
            "Type": "menu",
            "Pid": 234,
            "Title": "画作补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
            "Url": "/paintersideextraartwork",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 221,
            "Type": "menu",
            "Pid": 234,
            "Title": "版权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
            "Url": "/paintersidereceiptcopy",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 222,
            "Type": "button",
            "Pid": 56,
            "Title": "部门主管权限",
            "Icon": "",
            "Url": "department_boss_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 223,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 画作名称字端",
            "Icon": "",
            "Url": "r_artwork_view_field_ArtworkName",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 224,
            "Type": "button",
            "Pid": 51,
            "Title": "首页上方查看权限",
            "Icon": "",
            "Url": "home_top",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 225,
            "Type": "button",
            "Pid": 51,
            "Title": "首页下方查看权限",
            "Icon": "",
            "Url": "home_bottom",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 226,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 验证",
            "Icon": "",
            "Url": "r_artwork_view_verify_page",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 227,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifydelete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 228,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifyedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 240,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 下载导入模板",
            "Icon": "",
            "Url": "safecontrol_btn_down_exportexcel",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 241,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包底价权限",
            "Icon": "",
            "Url": "art_package_price",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 242,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包内部权限",
            "Icon": "",
            "Url": "exhibition_inside_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 243,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包审批权限",
            "Icon": "",
            "Url": "exhibition_show_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 244,
            "Type": "button",
            "Pid": 53,
            "Title": "梧桐链上链权限",
            "Icon": "",
            "Url": "wutong",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 245,
            "Type": "button",
            "Pid": 53,
            "Title": "超级链上链权限",
            "Icon": "",
            "Url": "chaoji",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 246,
            "Type": "button",
            "Pid": 53,
            "Title": "澄信链上链权限",
            "Icon": "",
            "Url": "chengxin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 247,
            "Type": "button",
            "Pid": 53,
            "Title": "下载证书权限",
            "Icon": "",
            "Url": "quick-work-download",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 250,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 导出",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 251,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 确认",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_confirm",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 252,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 完成",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_finish",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        }
    ],
    "MyButtonAuths": [
        {
            "ID": 252,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 完成",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_finish",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 251,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 确认",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_confirm",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 250,
            "Type": "button",
            "Pid": 249,
            "Title": "画展包审核 导出",
            "Icon": "",
            "Url": "r_artexhapprove_index_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 247,
            "Type": "button",
            "Pid": 53,
            "Title": "下载证书权限",
            "Icon": "",
            "Url": "quick-work-download",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 246,
            "Type": "button",
            "Pid": 53,
            "Title": "澄信链上链权限",
            "Icon": "",
            "Url": "chengxin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 245,
            "Type": "button",
            "Pid": 53,
            "Title": "超级链上链权限",
            "Icon": "",
            "Url": "chaoji",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 244,
            "Type": "button",
            "Pid": 53,
            "Title": "梧桐链上链权限",
            "Icon": "",
            "Url": "wutong",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 243,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包审批权限",
            "Icon": "",
            "Url": "exhibition_show_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 242,
            "Type": "button",
            "Pid": 51,
            "Title": "画展包内部权限",
            "Icon": "",
            "Url": "exhibition_inside_key",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 241,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包底价权限",
            "Icon": "",
            "Url": "art_package_price",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 240,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 下载导入模板",
            "Icon": "",
            "Url": "safecontrol_btn_down_exportexcel",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 228,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifyedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 227,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 验证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_verifydelete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 226,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 验证",
            "Icon": "",
            "Url": "r_artwork_view_verify_page",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 225,
            "Type": "button",
            "Pid": 51,
            "Title": "首页下方查看权限",
            "Icon": "",
            "Url": "home_bottom",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 224,
            "Type": "button",
            "Pid": 51,
            "Title": "首页上方查看权限",
            "Icon": "",
            "Url": "home_top",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 223,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 画作名称字端",
            "Icon": "",
            "Url": "r_artwork_view_field_ArtworkName",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 222,
            "Type": "button",
            "Pid": 56,
            "Title": "部门主管权限",
            "Icon": "",
            "Url": "department_boss_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 212,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 已阅读",
            "Icon": "",
            "Url": "r_home_todo_api_read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 211,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 编辑",
            "Icon": "",
            "Url": "r_home_todo_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 210,
            "Type": "button",
            "Pid": 51,
            "Title": "首页待办事项 创建",
            "Icon": "",
            "Url": "r_home_todo_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 208,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 删除",
            "Icon": "",
            "Url": "r_shopitem_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 207,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 编辑",
            "Icon": "",
            "Url": "r_shopitem_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 206,
            "Type": "button",
            "Pid": 191,
            "Title": "藏品 创建",
            "Icon": "",
            "Url": "r_shopitem_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 205,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 删除",
            "Icon": "",
            "Url": "r_series_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 204,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 编辑",
            "Icon": "",
            "Url": "r_series_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 203,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 删除",
            "Icon": "",
            "Url": "r_brand_btn_delete",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 202,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 编辑",
            "Icon": "",
            "Url": "r_brand_btn_edit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 197,
            "Type": "button",
            "Pid": 190,
            "Title": "品牌方加入 创建",
            "Icon": "",
            "Url": "r_brand_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 195,
            "Type": "button",
            "Pid": 191,
            "Title": "系列发布 创建",
            "Icon": "",
            "Url": "r_series_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 193,
            "Type": "button",
            "Pid": 181,
            "Title": "内控 导入",
            "Icon": "",
            "Url": "safecontrol_btn_exportin",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 189,
            "Type": "button",
            "Pid": 182,
            "Title": "财务确认",
            "Icon": "",
            "Url": "safefinance_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 188,
            "Type": "button",
            "Pid": 181,
            "Title": "内控确认",
            "Icon": "",
            "Url": "safecontrol_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 187,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包润格编辑权限",
            "Icon": "",
            "Url": "art_package_reward",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 186,
            "Type": "button",
            "Pid": 182,
            "Title": "财务导出",
            "Icon": "",
            "Url": "safefinance_btn_export",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 185,
            "Type": "button",
            "Pid": 182,
            "Title": "财务批量编辑",
            "Icon": "",
            "Url": "safefinance_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 184,
            "Type": "button",
            "Pid": 181,
            "Title": "内控批量编辑",
            "Icon": "",
            "Url": "safecontrol_btn_batchedit",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 183,
            "Type": "button",
            "Pid": 180,
            "Title": "出纳确认",
            "Icon": "",
            "Url": "safecashiers_btn_sure",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 179,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情_画展资料",
            "Icon": "",
            "Url": "artist_artExhibition",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 178,
            "Type": "button",
            "Pid": 52,
            "Title": "画家_导出图片等资源",
            "Icon": "",
            "Url": "artist_downloadExport",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 177,
            "Type": "button",
            "Pid": 67,
            "Title": "司机权限",
            "Icon": "",
            "Url": "ge_diver_auth",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 176,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链抽奖 创建",
            "Icon": "",
            "Url": "r_salebot_index_btn_create",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 141,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表阅读查看详情",
            "Icon": "",
            "Url": "approval_table_read_detail_btn",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 174,
            "Type": "button",
            "Pid": 169,
            "Title": "区块链 下载证书",
            "Icon": "",
            "Url": "r_salebot_index_btn_cert_down",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 173,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-员工",
            "Icon": "",
            "Url": "seller_mobile_staff_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 172,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝移动端权限-总监",
            "Icon": "",
            "Url": "seller_mobile_boss_auth",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 171,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 标签",
            "Icon": "",
            "Url": "r_artwork_view_copy_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 170,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 版权 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_copyrightedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 168,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 导出画作数据",
            "Icon": "",
            "Url": "r_artwork_export_artwork",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 166,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 导出站点数据",
            "Icon": "",
            "Url": "r_salebot_btn_site_export",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 165,
            "Type": "button",
            "Pid": 143,
            "Title": "销售宝 查看报表",
            "Icon": "",
            "Url": "r_salebot_index_btn_site",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 164,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 留言板",
            "Icon": "",
            "Url": "r_artwork_view_message",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 163,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 日志",
            "Icon": "",
            "Url": "r_artwork_view_log",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 162,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 仓储信息",
            "Icon": "",
            "Url": "r_artwork_view_ware_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 161,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 鉴证信息",
            "Icon": "",
            "Url": "r_artwork_view_auth_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 160,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 标签信息",
            "Icon": "",
            "Url": "r_artwork_view_tag_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 159,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 数字化信息",
            "Icon": "",
            "Url": "r_artwork_view_digit_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 158,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 市场信息",
            "Icon": "",
            "Url": "r_artwork_view_market_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 157,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 补充信息",
            "Icon": "",
            "Url": "r_artwork_view_extra_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 156,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 基本信息",
            "Icon": "",
            "Url": "r_artwork_view_basic_page",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 155,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包查看",
            "Icon": "",
            "Url": "artExhibition_see",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 154,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包生成",
            "Icon": "",
            "Url": "artExhibition_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 153,
            "Type": "button",
            "Pid": 57,
            "Title": "画展包分配权限",
            "Icon": "",
            "Url": "artExhibition_give",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 152,
            "Type": "button",
            "Pid": 52,
            "Title": "查看画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_check",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 151,
            "Type": "button",
            "Pid": 52,
            "Title": "复制画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_copy",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 150,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 149,
            "Type": "button",
            "Pid": 52,
            "Title": "修改画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_update",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 148,
            "Type": "button",
            "Pid": 52,
            "Title": "添加画家邀请函",
            "Icon": "",
            "Url": "artist_InviteList_add",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 147,
            "Type": "button",
            "Pid": 52,
            "Title": "导出画家基本信息",
            "Icon": "",
            "Url": "artist_downloadExcel",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 146,
            "Type": "button",
            "Pid": 51,
            "Title": "仓库货架权限",
            "Icon": "",
            "Url": "storeBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 145,
            "Type": "button",
            "Pid": 51,
            "Title": "主管工作台权限",
            "Icon": "",
            "Url": "masterBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 144,
            "Type": "button",
            "Pid": 51,
            "Title": "快速工作台权限",
            "Icon": "",
            "Url": "fastBench",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 142,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 详情 发起公告",
            "Icon": "",
            "Url": "r_artwork_view_btn_createnote",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 140,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表删除按钮权限",
            "Icon": "",
            "Url": "approval_table_del_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 139,
            "Type": "button",
            "Pid": 54,
            "Title": "审批列表详情按钮权限",
            "Icon": "",
            "Url": "approval_table_detail_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 138,
            "Type": "button",
            "Pid": 54,
            "Title": "删除类目",
            "Icon": "",
            "Url": "del_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 137,
            "Type": "button",
            "Pid": 54,
            "Title": "编辑类目",
            "Icon": "",
            "Url": "edit_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 136,
            "Type": "button",
            "Pid": 54,
            "Title": "添加新的类目按钮",
            "Icon": "",
            "Url": "add_approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 135,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 134,
            "Type": "button",
            "Pid": 54,
            "Title": "审批提交按钮权限",
            "Icon": "",
            "Url": "approval_submit_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 133,
            "Type": "button",
            "Pid": 54,
            "Title": "画作分配按钮权限",
            "Icon": "",
            "Url": "artwork_distribute_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 132,
            "Type": "button",
            "Pid": 54,
            "Title": "审批类型按钮权限",
            "Icon": "",
            "Url": "approval_type_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 131,
            "Type": "button",
            "Pid": 54,
            "Title": "设置审批人按钮权限",
            "Icon": "",
            "Url": "approval_set_per_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 130,
            "Type": "button",
            "Pid": 54,
            "Title": "审批按钮",
            "Icon": "",
            "Url": "approval_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 129,
            "Type": "button",
            "Pid": 54,
            "Title": "未通过审批跳转按钮",
            "Icon": "",
            "Url": "not_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 128,
            "Type": "button",
            "Pid": 54,
            "Title": "审批完成跳转按钮",
            "Icon": "",
            "Url": "complted_approvale_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 127,
            "Type": "button",
            "Pid": 54,
            "Title": "正在审批跳转按钮",
            "Icon": "",
            "Url": "is_approvaling_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 126,
            "Type": "button",
            "Pid": 54,
            "Title": "已提交审批跳转按钮",
            "Icon": "",
            "Url": "has_approvaled_jump_btn",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 125,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_waredelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 124,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_wareedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 123,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 仓储 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_warecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 122,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_authdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 121,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 鉴证 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_authedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 119,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 118,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 117,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 标签 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_tagcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 116,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 115,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 114,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 数字化 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_digetcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 113,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketdelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 112,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 111,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 市场 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_marketcreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 110,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_extradelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 109,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_extraedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 108,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 补充信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_extracreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 107,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 删除",
            "Icon": "",
            "Url": "r_artwork_view_btn_basedelete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 106,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 编辑",
            "Icon": "",
            "Url": "r_artwork_view_btn_baseedit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 105,
            "Type": "button",
            "Pid": 53,
            "Title": "画作 基础信息 创建",
            "Icon": "",
            "Url": "r_artwork_view_btn_basecreate",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 104,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 批量上传",
            "Icon": "",
            "Url": "r_artwork_index_btn_batchupload",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 103,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 创建",
            "Icon": "",
            "Url": "r_artwork_index_btn_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 100,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 99,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 98,
            "Type": "button",
            "Pid": 52,
            "Title": "编辑画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_edit",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 97,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 96,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 95,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 94,
            "Type": "button",
            "Pid": 52,
            "Title": "创建画家-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo_create",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 92,
            "Type": "button",
            "Pid": 67,
            "Title": "设置v2",
            "Icon": "",
            "Url": "设置v2",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 87,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-合同数据",
            "Icon": "",
            "Url": "artist_contractInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 86,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-个人荣誉",
            "Icon": "",
            "Url": "artist_honorInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 85,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-图像资料",
            "Icon": "",
            "Url": "artist_photoInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 82,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情-基础资料",
            "Icon": "",
            "Url": "artist_basicInfo",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 80,
            "Type": "button",
            "Pid": 52,
            "Title": "删除画家",
            "Icon": "",
            "Url": "artist_list_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 79,
            "Type": "button",
            "Pid": 51,
            "Title": "工作台权限",
            "Icon": "",
            "Url": "workBentch",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 76,
            "Type": "button",
            "Pid": 52,
            "Title": "画家详情",
            "Icon": "",
            "Url": "artist_list_detail",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 75,
            "Type": "button",
            "Pid": 52,
            "Title": "画家列表搜索",
            "Icon": "",
            "Url": "artist_list_search",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 73,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格数据详情",
            "Icon": "",
            "Url": "r_artwork_index_btn_view",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 72,
            "Type": "button",
            "Pid": 53,
            "Title": "画作列表 表格单行删除",
            "Icon": "",
            "Url": "r_artwork_index_btn_delete",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 71,
            "Type": "button",
            "Pid": 56,
            "Title": "新增员工",
            "Icon": "",
            "Url": "addUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 70,
            "Type": "button",
            "Pid": 56,
            "Title": "新增岗位",
            "Icon": "",
            "Url": "addPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 69,
            "Type": "button",
            "Pid": 56,
            "Title": "创建部门",
            "Icon": "",
            "Url": "createDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 62,
            "Type": "button",
            "Pid": 56,
            "Title": "查看日志",
            "Icon": "",
            "Url": "checkLog",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 61,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑员工",
            "Icon": "",
            "Url": "editUser",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 60,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑岗位",
            "Icon": "",
            "Url": "editPosition",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 59,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑部门",
            "Icon": "",
            "Url": "editDepart",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 58,
            "Type": "button",
            "Pid": 56,
            "Title": "编辑权限",
            "Icon": "",
            "Url": "editRule",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        }
    ],
    "MyInterFaceAuths": [
        {
            "ID": 213,
            "Type": "interface",
            "Pid": 51,
            "Title": "首页待办事项已阅api",
            "Icon": "",
            "Url": "workbench/schedule-read",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "[\"*\"]"
                    ],
                    "Name": "首页待办事项已阅api",
                    "ID": 17
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 175,
            "Type": "interface",
            "Pid": 55,
            "Title": "测试1",
            "Icon": "",
            "Url": "/test/test",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试1",
                    "ID": 15
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "测试2",
                    "ID": 16
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 102,
            "Type": "interface",
            "Pid": 54,
            "Title": "审批信息",
            "Icon": "",
            "Url": "/approval/information",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "所有",
                    "ID": 13
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 90,
            "Type": "interface",
            "Pid": 55,
            "Title": "操作日志表格时间段列",
            "Icon": "",
            "Url": "/log/loglist",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "DepartmentName",
                        "Domain",
                        "LogGrade",
                        "LogId",
                        "Method",
                        "Name",
                        "PositionName",
                        "Url"
                    ],
                    "Name": "没有时间",
                    "ID": 10
                },
                {
                    "DataField": [
                        "*"
                    ],
                    "Name": "全部",
                    "ID": 11
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 66,
            "Type": "interface",
            "Pid": 52,
            "Title": "画家列表",
            "Icon": "",
            "Url": "/asArtist/list",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName",
                        "BankNum",
                        "Seqnum",
                        "Num",
                        "Address",
                        "Student",
                        "StyleFaction"
                    ],
                    "Name": "管理层",
                    "ID": 7
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Gender",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "CardId",
                        "BankName"
                    ],
                    "Name": "员工层",
                    "ID": 8
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 65,
            "Type": "interface",
            "Pid": 13,
            "Title": "部门删除2221222",
            "Icon": "image",
            "Url": "/department/Remove121",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "click-share-button",
            "RuleData": [
                {
                    "DataField": [
                        "id",
                        "name"
                    ],
                    "Name": "管理权限",
                    "ID": 5
                },
                {
                    "DataField": [
                        "id"
                    ],
                    "Name": "权限",
                    "ID": 6
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        },
        {
            "ID": 64,
            "Type": "interface",
            "Pid": 52,
            "Title": "测试列表",
            "Icon": "",
            "Url": "/asArtist/list222",
            "Method": "*",
            "Weigh": 0,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": [
                {
                    "DataField": [
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email"
                    ],
                    "Name": "仓库查看字段",
                    "ID": 3
                },
                {
                    "DataField": [
                        "Uid",
                        "Name",
                        "PenName",
                        "Age",
                        "NativePlace",
                        "Phone",
                        "Email",
                        "Num"
                    ],
                    "Name": "数字化查看字段",
                    "ID": 4
                }
            ],
            "Son": null,
            "CanJump": 1,
            "MenuType": ""
        }
    ],
    "PositionUsers": [
        {
            "PositionID": 1,
            "PositionName": "运维",
            "DepartmentId": 2,
            "DepartmentCode": "admin",
            "DepartmentName": "系统管理",
            "UserId": 40,
            "UserName": "超级管理"
        }
    ],
    "DepartmentLeaders": null,
    "AllTreeRule": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 243,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包审批权限",
                    "Icon": "",
                    "Url": "exhibition_show_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 242,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包内部权限",
                    "Icon": "",
                    "Url": "exhibition_inside_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 225,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页下方查看权限",
                    "Icon": "",
                    "Url": "home_bottom",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 224,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页上方查看权限",
                    "Icon": "",
                    "Url": "home_top",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 213,
                    "Type": "interface",
                    "Pid": 51,
                    "Title": "首页待办事项已阅api",
                    "Icon": "",
                    "Url": "workbench/schedule-read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "[\"*\"]"
                            ],
                            "Name": "首页待办事项已阅api",
                            "ID": 17
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 212,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 已阅读",
                    "Icon": "",
                    "Url": "r_home_todo_api_read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 211,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 编辑",
                    "Icon": "",
                    "Url": "r_home_todo_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 210,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 创建",
                    "Icon": "",
                    "Url": "r_home_todo_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 146,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "仓库货架权限",
                    "Icon": "",
                    "Url": "storeBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 145,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "主管工作台权限",
                    "Icon": "",
                    "Url": "masterBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 144,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "快速工作台权限",
                    "Icon": "",
                    "Url": "fastBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 79,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "工作台权限",
                    "Icon": "",
                    "Url": "workBentch",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 179,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情_画展资料",
                    "Icon": "",
                    "Url": "artist_artExhibition",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 178,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家_导出图片等资源",
                    "Icon": "",
                    "Url": "artist_downloadExport",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 152,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "查看画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_check",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 151,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "复制画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_copy",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 150,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 149,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "修改画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_update",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 148,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "添加画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_add",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 147,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "导出画家基本信息",
                    "Icon": "",
                    "Url": "artist_downloadExcel",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 135,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 100,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 99,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 98,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 97,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 96,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 95,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 94,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 87,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 86,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 85,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 82,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 80,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家",
                    "Icon": "",
                    "Url": "artist_list_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 76,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情",
                    "Icon": "",
                    "Url": "artist_list_detail",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 75,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家列表搜索",
                    "Icon": "",
                    "Url": "artist_list_search",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 66,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "画家列表",
                    "Icon": "",
                    "Url": "/asArtist/list",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Gender",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "CardId",
                                "BankName",
                                "BankNum",
                                "Seqnum",
                                "Num",
                                "Address",
                                "Student",
                                "StyleFaction"
                            ],
                            "Name": "管理层",
                            "ID": 7
                        },
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Gender",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "CardId",
                                "BankName"
                            ],
                            "Name": "员工层",
                            "ID": 8
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 64,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "测试列表",
                    "Icon": "",
                    "Url": "/asArtist/list222",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "Name",
                                "PenName",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email"
                            ],
                            "Name": "仓库查看字段",
                            "ID": 3
                        },
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "Num"
                            ],
                            "Name": "数字化查看字段",
                            "ID": 4
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 247,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "下载证书权限",
                    "Icon": "",
                    "Url": "quick-work-download",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 246,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "澄信链上链权限",
                    "Icon": "",
                    "Url": "chengxin",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 245,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "超级链上链权限",
                    "Icon": "",
                    "Url": "chaoji",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 244,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "梧桐链上链权限",
                    "Icon": "",
                    "Url": "wutong",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 228,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifyedit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 227,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifydelete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 226,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 验证",
                    "Icon": "",
                    "Url": "r_artwork_view_verify_page",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 223,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 画作名称字端",
                    "Icon": "",
                    "Url": "r_artwork_view_field_ArtworkName",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 171,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 标签",
                    "Icon": "",
                    "Url": "r_artwork_view_copy_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 170,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_copyrightedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 168,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 导出画作数据",
                    "Icon": "",
                    "Url": "r_artwork_export_artwork",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 164,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 留言板",
                    "Icon": "",
                    "Url": "r_artwork_view_message",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 163,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 日志",
                    "Icon": "",
                    "Url": "r_artwork_view_log",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 162,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 仓储信息",
                    "Icon": "",
                    "Url": "r_artwork_view_ware_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 161,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 鉴证信息",
                    "Icon": "",
                    "Url": "r_artwork_view_auth_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 160,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 标签信息",
                    "Icon": "",
                    "Url": "r_artwork_view_tag_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 159,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 数字化信息",
                    "Icon": "",
                    "Url": "r_artwork_view_digit_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 158,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 市场信息",
                    "Icon": "",
                    "Url": "r_artwork_view_market_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 157,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 补充信息",
                    "Icon": "",
                    "Url": "r_artwork_view_extra_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 156,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 基本信息",
                    "Icon": "",
                    "Url": "r_artwork_view_basic_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 142,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 发起公告",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_createnote",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 125,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_waredelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 124,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_wareedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 123,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_warecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 122,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 121,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 119,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 118,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 117,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 116,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 115,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 114,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 113,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 112,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 111,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 110,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extradelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 109,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extraedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 108,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extracreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 107,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basedelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 106,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_baseedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 105,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 104,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 批量上传",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_batchupload",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 103,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 创建",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 73,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格数据详情",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_view",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 72,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格单行删除",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 141,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表阅读查看详情",
                    "Icon": "",
                    "Url": "approval_table_read_detail_btn",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 140,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表删除按钮权限",
                    "Icon": "",
                    "Url": "approval_table_del_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 139,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表详情按钮权限",
                    "Icon": "",
                    "Url": "approval_table_detail_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 138,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "删除类目",
                    "Icon": "",
                    "Url": "del_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 137,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "编辑类目",
                    "Icon": "",
                    "Url": "edit_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 136,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "添加新的类目按钮",
                    "Icon": "",
                    "Url": "add_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 134,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批提交按钮权限",
                    "Icon": "",
                    "Url": "approval_submit_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 133,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "画作分配按钮权限",
                    "Icon": "",
                    "Url": "artwork_distribute_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 132,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批类型按钮权限",
                    "Icon": "",
                    "Url": "approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 131,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "设置审批人按钮权限",
                    "Icon": "",
                    "Url": "approval_set_per_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 130,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批按钮",
                    "Icon": "",
                    "Url": "approval_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 129,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "未通过审批跳转按钮",
                    "Icon": "",
                    "Url": "not_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 128,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批完成跳转按钮",
                    "Icon": "",
                    "Url": "complted_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 127,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "正在审批跳转按钮",
                    "Icon": "",
                    "Url": "is_approvaling_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 126,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "已提交审批跳转按钮",
                    "Icon": "",
                    "Url": "has_approvaled_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 102,
                    "Type": "interface",
                    "Pid": 54,
                    "Title": "审批信息",
                    "Icon": "",
                    "Url": "/approval/information",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "*"
                            ],
                            "Name": "所有",
                            "ID": 13
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 175,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "测试1",
                    "Icon": "",
                    "Url": "/test/test",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "id"
                            ],
                            "Name": "测试1",
                            "ID": 15
                        },
                        {
                            "DataField": [
                                "id"
                            ],
                            "Name": "测试2",
                            "ID": 16
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 90,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "操作日志表格时间段列",
                    "Icon": "",
                    "Url": "/log/loglist",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "DepartmentName",
                                "Domain",
                                "LogGrade",
                                "LogId",
                                "Method",
                                "Name",
                                "PositionName",
                                "Url"
                            ],
                            "Name": "没有时间",
                            "ID": 10
                        },
                        {
                            "DataField": [
                                "*"
                            ],
                            "Name": "全部",
                            "ID": 11
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 241,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包底价权限",
                    "Icon": "",
                    "Url": "art_package_price",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 187,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包润格编辑权限",
                    "Icon": "",
                    "Url": "art_package_reward",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 155,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包查看",
                    "Icon": "",
                    "Url": "artExhibition_see",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 154,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包生成",
                    "Icon": "",
                    "Url": "artExhibition_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 153,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包分配权限",
                    "Icon": "",
                    "Url": "artExhibition_give",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 194,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "销售情况",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
                    "Url": "sale",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 190,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "品牌方加入",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
                    "Url": "/brandentry",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 203,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 删除",
                            "Icon": "",
                            "Url": "r_brand_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 202,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 编辑",
                            "Icon": "",
                            "Url": "r_brand_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 197,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 创建",
                            "Icon": "",
                            "Url": "r_brand_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 191,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "系列发布",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
                    "Url": "/seriesrelease",
                    "Method": "*",
                    "Weigh": 23,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 208,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 删除",
                            "Icon": "",
                            "Url": "r_shopitem_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 207,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 编辑",
                            "Icon": "",
                            "Url": "r_shopitem_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 206,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 创建",
                            "Icon": "",
                            "Url": "r_shopitem_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 205,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 删除",
                            "Icon": "",
                            "Url": "r_series_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 204,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 编辑",
                            "Icon": "",
                            "Url": "r_series_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 195,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 创建",
                            "Icon": "",
                            "Url": "r_series_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 199,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝画家",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
                    "Url": "/paintersideartist",
                    "Method": "*",
                    "Weigh": 44,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 200,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "基本画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
                    "Url": "/paintersideartwork",
                    "Method": "*",
                    "Weigh": 43,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 220,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画作补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
                    "Url": "/paintersideextraartwork",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 215,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "视频资料",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
                    "Url": "/paintersideextravideo",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 219,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
                    "Url": "/paintersideextraartist",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 216,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家指数",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
                    "Url": "/paintersideextraissue",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 201,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝合同",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
                    "Url": "/paintersidecontract",
                    "Method": "*",
                    "Weigh": 40,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 214,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "合同画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
                    "Url": "/paintersideconartwork",
                    "Method": "*",
                    "Weigh": 39,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 221,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "版权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
                    "Url": "/paintersidereceiptcopy",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 209,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "物权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
                    "Url": "/paintersidereceipt",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 217,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请关系",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
                    "Url": "/inviteindex",
                    "Method": "*",
                    "Weigh": 37,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 218,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请人",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
                    "Url": "/inviteperindex",
                    "Method": "*",
                    "Weigh": 36,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 180,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "出纳管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
                    "Url": "/safecashiers",
                    "Method": "*",
                    "Weigh": 20,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 183,
                            "Type": "button",
                            "Pid": 180,
                            "Title": "出纳确认",
                            "Icon": "",
                            "Url": "safecashiers_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 181,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "内控管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
                    "Url": "/safecontrol",
                    "Method": "*",
                    "Weigh": 19,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 240,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控 下载导入模板",
                            "Icon": "",
                            "Url": "safecontrol_btn_down_exportexcel",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 193,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控 导入",
                            "Icon": "",
                            "Url": "safecontrol_btn_exportin",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 188,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控确认",
                            "Icon": "",
                            "Url": "safecontrol_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 184,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控批量编辑",
                            "Icon": "",
                            "Url": "safecontrol_btn_batchedit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 182,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "财务管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
                    "Url": "/safefinance",
                    "Method": "*",
                    "Weigh": 17,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 189,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务确认",
                            "Icon": "",
                            "Url": "safefinance_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 186,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务导出",
                            "Icon": "",
                            "Url": "safefinance_btn_export",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 185,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务批量编辑",
                            "Icon": "",
                            "Url": "safefinance_btn_batchedit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 143,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "销售宝列表",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
                    "Url": "/salebot",
                    "Method": "*",
                    "Weigh": 15,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 173,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝移动端权限-员工",
                            "Icon": "",
                            "Url": "seller_mobile_staff_auth",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 172,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝移动端权限-总监",
                            "Icon": "",
                            "Url": "seller_mobile_boss_auth",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 166,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝 导出站点数据",
                            "Icon": "",
                            "Url": "r_salebot_btn_site_export",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 165,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝 查看报表",
                            "Icon": "",
                            "Url": "r_salebot_index_btn_site",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 176,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链抽奖 创建",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 174,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链 下载证书",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_cert_down",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 252,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 完成",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_finish",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 251,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 确认",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_confirm",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 250,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 导出",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_export",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 222,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "部门主管权限",
                    "Icon": "",
                    "Url": "department_boss_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 71,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增员工",
                    "Icon": "",
                    "Url": "addUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 70,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增岗位",
                    "Icon": "",
                    "Url": "addPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 69,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "创建部门",
                    "Icon": "",
                    "Url": "createDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 62,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "查看日志",
                    "Icon": "",
                    "Url": "checkLog",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 61,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑员工",
                    "Icon": "",
                    "Url": "editUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 60,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑岗位",
                    "Icon": "",
                    "Url": "editPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 59,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑部门",
                    "Icon": "",
                    "Url": "editDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 58,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑权限",
                    "Icon": "",
                    "Url": "editRule",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 177,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "司机权限",
                    "Icon": "",
                    "Url": "ge_diver_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 92,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "设置v2",
                    "Icon": "",
                    "Url": "设置v2",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        }
    ],
    "MyTreeRule": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 79,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "工作台权限",
                    "Icon": "",
                    "Url": "workBentch",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 144,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "快速工作台权限",
                    "Icon": "",
                    "Url": "fastBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 145,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "主管工作台权限",
                    "Icon": "",
                    "Url": "masterBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 146,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "仓库货架权限",
                    "Icon": "",
                    "Url": "storeBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 210,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 创建",
                    "Icon": "",
                    "Url": "r_home_todo_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 211,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 编辑",
                    "Icon": "",
                    "Url": "r_home_todo_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 212,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 已阅读",
                    "Icon": "",
                    "Url": "r_home_todo_api_read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 213,
                    "Type": "interface",
                    "Pid": 51,
                    "Title": "首页待办事项已阅api",
                    "Icon": "",
                    "Url": "workbench/schedule-read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 224,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页上方查看权限",
                    "Icon": "",
                    "Url": "home_top",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 225,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页下方查看权限",
                    "Icon": "",
                    "Url": "home_bottom",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 242,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包内部权限",
                    "Icon": "",
                    "Url": "exhibition_inside_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 243,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包审批权限",
                    "Icon": "",
                    "Url": "exhibition_show_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 64,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "测试列表",
                    "Icon": "",
                    "Url": "/asArtist/list222",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 66,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "画家列表",
                    "Icon": "",
                    "Url": "/asArtist/list",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 75,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家列表搜索",
                    "Icon": "",
                    "Url": "artist_list_search",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 76,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情",
                    "Icon": "",
                    "Url": "artist_list_detail",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 80,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家",
                    "Icon": "",
                    "Url": "artist_list_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 82,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 85,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 86,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 87,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 94,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 95,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 96,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 97,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 98,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 99,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 100,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 135,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 147,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "导出画家基本信息",
                    "Icon": "",
                    "Url": "artist_downloadExcel",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 148,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "添加画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_add",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 149,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "修改画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_update",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 150,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 151,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "复制画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_copy",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 152,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "查看画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_check",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 178,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家_导出图片等资源",
                    "Icon": "",
                    "Url": "artist_downloadExport",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 179,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情_画展资料",
                    "Icon": "",
                    "Url": "artist_artExhibition",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 72,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格单行删除",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 73,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格数据详情",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_view",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 103,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 创建",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 104,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 批量上传",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_batchupload",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 105,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 106,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_baseedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 107,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basedelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 108,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extracreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 109,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extraedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 110,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extradelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 111,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 112,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 113,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 114,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 115,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 116,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 117,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 118,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 119,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 121,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 122,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 123,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_warecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 124,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_wareedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 125,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_waredelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 142,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 发起公告",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_createnote",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 156,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 基本信息",
                    "Icon": "",
                    "Url": "r_artwork_view_basic_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 157,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 补充信息",
                    "Icon": "",
                    "Url": "r_artwork_view_extra_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 158,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 市场信息",
                    "Icon": "",
                    "Url": "r_artwork_view_market_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 159,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 数字化信息",
                    "Icon": "",
                    "Url": "r_artwork_view_digit_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 160,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 标签信息",
                    "Icon": "",
                    "Url": "r_artwork_view_tag_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 161,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 鉴证信息",
                    "Icon": "",
                    "Url": "r_artwork_view_auth_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 162,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 仓储信息",
                    "Icon": "",
                    "Url": "r_artwork_view_ware_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 163,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 日志",
                    "Icon": "",
                    "Url": "r_artwork_view_log",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 164,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 留言板",
                    "Icon": "",
                    "Url": "r_artwork_view_message",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 168,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 导出画作数据",
                    "Icon": "",
                    "Url": "r_artwork_export_artwork",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 170,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_copyrightedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 171,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 标签",
                    "Icon": "",
                    "Url": "r_artwork_view_copy_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 223,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 画作名称字端",
                    "Icon": "",
                    "Url": "r_artwork_view_field_ArtworkName",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 226,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 验证",
                    "Icon": "",
                    "Url": "r_artwork_view_verify_page",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 227,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifydelete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 228,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifyedit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 244,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "梧桐链上链权限",
                    "Icon": "",
                    "Url": "wutong",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 245,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "超级链上链权限",
                    "Icon": "",
                    "Url": "chaoji",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 246,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "澄信链上链权限",
                    "Icon": "",
                    "Url": "chengxin",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 247,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "下载证书权限",
                    "Icon": "",
                    "Url": "quick-work-download",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 102,
                    "Type": "interface",
                    "Pid": 54,
                    "Title": "审批信息",
                    "Icon": "",
                    "Url": "/approval/information",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 126,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "已提交审批跳转按钮",
                    "Icon": "",
                    "Url": "has_approvaled_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 127,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "正在审批跳转按钮",
                    "Icon": "",
                    "Url": "is_approvaling_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 128,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批完成跳转按钮",
                    "Icon": "",
                    "Url": "complted_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 129,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "未通过审批跳转按钮",
                    "Icon": "",
                    "Url": "not_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 130,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批按钮",
                    "Icon": "",
                    "Url": "approval_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 131,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "设置审批人按钮权限",
                    "Icon": "",
                    "Url": "approval_set_per_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 132,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批类型按钮权限",
                    "Icon": "",
                    "Url": "approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 133,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "画作分配按钮权限",
                    "Icon": "",
                    "Url": "artwork_distribute_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 134,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批提交按钮权限",
                    "Icon": "",
                    "Url": "approval_submit_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 136,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "添加新的类目按钮",
                    "Icon": "",
                    "Url": "add_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 137,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "编辑类目",
                    "Icon": "",
                    "Url": "edit_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 138,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "删除类目",
                    "Icon": "",
                    "Url": "del_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 139,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表详情按钮权限",
                    "Icon": "",
                    "Url": "approval_table_detail_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 140,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表删除按钮权限",
                    "Icon": "",
                    "Url": "approval_table_del_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 141,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表阅读查看详情",
                    "Icon": "",
                    "Url": "approval_table_read_detail_btn",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 90,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "操作日志表格时间段列",
                    "Icon": "",
                    "Url": "/log/loglist",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 175,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "测试1",
                    "Icon": "",
                    "Url": "/test/test",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 58,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑权限",
                    "Icon": "",
                    "Url": "editRule",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 59,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑部门",
                    "Icon": "",
                    "Url": "editDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 60,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑岗位",
                    "Icon": "",
                    "Url": "editPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 61,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑员工",
                    "Icon": "",
                    "Url": "editUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 62,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "查看日志",
                    "Icon": "",
                    "Url": "checkLog",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 69,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "创建部门",
                    "Icon": "",
                    "Url": "createDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 70,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增岗位",
                    "Icon": "",
                    "Url": "addPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 71,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增员工",
                    "Icon": "",
                    "Url": "addUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 222,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "部门主管权限",
                    "Icon": "",
                    "Url": "department_boss_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 153,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包分配权限",
                    "Icon": "",
                    "Url": "artExhibition_give",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 154,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包生成",
                    "Icon": "",
                    "Url": "artExhibition_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 155,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包查看",
                    "Icon": "",
                    "Url": "artExhibition_see",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 187,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包润格编辑权限",
                    "Icon": "",
                    "Url": "art_package_reward",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 241,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包底价权限",
                    "Icon": "",
                    "Url": "art_package_price",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 92,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "设置v2",
                    "Icon": "",
                    "Url": "设置v2",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 177,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "司机权限",
                    "Icon": "",
                    "Url": "ge_diver_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 174,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链 下载证书",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_cert_down",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 176,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链抽奖 创建",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 234,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/ff0f7156-a651-4aaa-a943-f7a20eed57c0.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 199,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝画家",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
                    "Url": "/paintersideartist",
                    "Method": "*",
                    "Weigh": 44,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 200,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "基本画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
                    "Url": "/paintersideartwork",
                    "Method": "*",
                    "Weigh": 43,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 201,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家宝合同",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
                    "Url": "/paintersidecontract",
                    "Method": "*",
                    "Weigh": 40,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 209,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "物权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
                    "Url": "/paintersidereceipt",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 214,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "合同画作",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
                    "Url": "/paintersideconartwork",
                    "Method": "*",
                    "Weigh": 39,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 215,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "视频资料",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
                    "Url": "/paintersideextravideo",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 216,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家指数",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
                    "Url": "/paintersideextraissue",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 217,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请关系",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
                    "Url": "/inviteindex",
                    "Method": "*",
                    "Weigh": 37,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 218,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "邀请人",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
                    "Url": "/inviteperindex",
                    "Method": "*",
                    "Weigh": 36,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 219,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画家补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
                    "Url": "/paintersideextraartist",
                    "Method": "*",
                    "Weigh": 41,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 220,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "画作补充",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
                    "Url": "/paintersideextraartwork",
                    "Method": "*",
                    "Weigh": 42,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 221,
                    "Type": "menu",
                    "Pid": 234,
                    "Title": "版权对账",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
                    "Url": "/paintersidereceiptcopy",
                    "Method": "*",
                    "Weigh": 38,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 238,
            "Type": "menu",
            "Pid": 0,
            "Title": "艺树商城",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/488d18f2-33bc-40ec-a666-3215b5282599.png",
            "Url": "",
            "Method": "*",
            "Weigh": 86,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 190,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "品牌方加入",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
                    "Url": "/brandentry",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 197,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 创建",
                            "Icon": "",
                            "Url": "r_brand_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 202,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 编辑",
                            "Icon": "",
                            "Url": "r_brand_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 203,
                            "Type": "button",
                            "Pid": 190,
                            "Title": "品牌方加入 删除",
                            "Icon": "",
                            "Url": "r_brand_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 191,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "系列发布",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
                    "Url": "/seriesrelease",
                    "Method": "*",
                    "Weigh": 23,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 195,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 创建",
                            "Icon": "",
                            "Url": "r_series_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 204,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 编辑",
                            "Icon": "",
                            "Url": "r_series_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 205,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "系列发布 删除",
                            "Icon": "",
                            "Url": "r_series_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 206,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 创建",
                            "Icon": "",
                            "Url": "r_shopitem_btn_create",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 207,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 编辑",
                            "Icon": "",
                            "Url": "r_shopitem_btn_edit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 208,
                            "Type": "button",
                            "Pid": 191,
                            "Title": "藏品 删除",
                            "Icon": "",
                            "Url": "r_shopitem_btn_delete",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 194,
                    "Type": "menu",
                    "Pid": 238,
                    "Title": "销售情况",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
                    "Url": "sale",
                    "Method": "*",
                    "Weigh": 24,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 239,
            "Type": "menu",
            "Pid": 0,
            "Title": "销售宝",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/6d021b7f-9836-4886-a888-1246aa9025ab.png",
            "Url": "",
            "Method": "*",
            "Weigh": 79,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 143,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "销售宝列表",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
                    "Url": "/salebot",
                    "Method": "*",
                    "Weigh": 15,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 165,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝 查看报表",
                            "Icon": "",
                            "Url": "r_salebot_index_btn_site",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 166,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝 导出站点数据",
                            "Icon": "",
                            "Url": "r_salebot_btn_site_export",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 172,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝移动端权限-总监",
                            "Icon": "",
                            "Url": "seller_mobile_boss_auth",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 173,
                            "Type": "button",
                            "Pid": 143,
                            "Title": "销售宝移动端权限-员工",
                            "Icon": "",
                            "Url": "seller_mobile_staff_auth",
                            "Method": "*",
                            "Weigh": 0,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 180,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "出纳管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
                    "Url": "/safecashiers",
                    "Method": "*",
                    "Weigh": 20,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 183,
                            "Type": "button",
                            "Pid": 180,
                            "Title": "出纳确认",
                            "Icon": "",
                            "Url": "safecashiers_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 181,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "内控管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
                    "Url": "/safecontrol",
                    "Method": "*",
                    "Weigh": 19,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 184,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控批量编辑",
                            "Icon": "",
                            "Url": "safecontrol_btn_batchedit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 188,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控确认",
                            "Icon": "",
                            "Url": "safecontrol_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 193,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控 导入",
                            "Icon": "",
                            "Url": "safecontrol_btn_exportin",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 240,
                            "Type": "button",
                            "Pid": 181,
                            "Title": "内控 下载导入模板",
                            "Icon": "",
                            "Url": "safecontrol_btn_down_exportexcel",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                },
                {
                    "ID": 182,
                    "Type": "menu",
                    "Pid": 239,
                    "Title": "财务管理",
                    "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
                    "Url": "/safefinance",
                    "Method": "*",
                    "Weigh": 17,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": [
                        {
                            "ID": 185,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务批量编辑",
                            "Icon": "",
                            "Url": "safefinance_btn_batchedit",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 186,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务导出",
                            "Icon": "",
                            "Url": "safefinance_btn_export",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        },
                        {
                            "ID": 189,
                            "Type": "button",
                            "Pid": 182,
                            "Title": "财务确认",
                            "Icon": "",
                            "Url": "safefinance_btn_sure",
                            "Method": "*",
                            "Weigh": 1,
                            "Status": "",
                            "Remark": "",
                            "Extend": "",
                            "RuleData": null,
                            "Son": null,
                            "CanJump": 1,
                            "MenuType": ""
                        }
                    ],
                    "CanJump": 1,
                    "MenuType": "2"
                }
            ],
            "CanJump": 2,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 250,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 导出",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_export",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 251,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 确认",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_confirm",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 252,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 完成",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_finish",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        }
    ],
    "MySecondRule": [
        {
            "ID": 51,
            "Type": "menu",
            "Pid": 0,
            "Title": "首页",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/431a56ff-0fcb-4cb8-89f5-63a04e74246f.png",
            "Url": "/home",
            "Method": "*",
            "Weigh": 100,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 243,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包审批权限",
                    "Icon": "",
                    "Url": "exhibition_show_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 242,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "画展包内部权限",
                    "Icon": "",
                    "Url": "exhibition_inside_key",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 225,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页下方查看权限",
                    "Icon": "",
                    "Url": "home_bottom",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 224,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页上方查看权限",
                    "Icon": "",
                    "Url": "home_top",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 213,
                    "Type": "interface",
                    "Pid": 51,
                    "Title": "首页待办事项已阅api",
                    "Icon": "",
                    "Url": "workbench/schedule-read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "[\"*\"]"
                            ],
                            "Name": "首页待办事项已阅api",
                            "ID": 17
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 212,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 已阅读",
                    "Icon": "",
                    "Url": "r_home_todo_api_read",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 211,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 编辑",
                    "Icon": "",
                    "Url": "r_home_todo_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 210,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "首页待办事项 创建",
                    "Icon": "",
                    "Url": "r_home_todo_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 146,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "仓库货架权限",
                    "Icon": "",
                    "Url": "storeBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 145,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "主管工作台权限",
                    "Icon": "",
                    "Url": "masterBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 144,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "快速工作台权限",
                    "Icon": "",
                    "Url": "fastBench",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 79,
                    "Type": "button",
                    "Pid": 51,
                    "Title": "工作台权限",
                    "Icon": "",
                    "Url": "workBentch",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 52,
            "Type": "menu",
            "Pid": 0,
            "Title": "画家管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/cce3d3f9-196c-456c-b338-bc406c4e27db.png",
            "Url": "/asArtist",
            "Method": "*",
            "Weigh": 99,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 179,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情_画展资料",
                    "Icon": "",
                    "Url": "artist_artExhibition",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 178,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家_导出图片等资源",
                    "Icon": "",
                    "Url": "artist_downloadExport",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 152,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "查看画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_check",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 151,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "复制画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_copy",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 150,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 149,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "修改画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_update",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 148,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "添加画家邀请函",
                    "Icon": "",
                    "Url": "artist_InviteList_add",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 147,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "导出画家基本信息",
                    "Icon": "",
                    "Url": "artist_downloadExcel",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 135,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 100,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 99,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 98,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "编辑画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_edit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 97,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 96,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 95,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 94,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "创建画家-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 87,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-合同数据",
                    "Icon": "",
                    "Url": "artist_contractInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 86,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-个人荣誉",
                    "Icon": "",
                    "Url": "artist_honorInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 85,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-图像资料",
                    "Icon": "",
                    "Url": "artist_photoInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 82,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情-基础资料",
                    "Icon": "",
                    "Url": "artist_basicInfo",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 80,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "删除画家",
                    "Icon": "",
                    "Url": "artist_list_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 76,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家详情",
                    "Icon": "",
                    "Url": "artist_list_detail",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 75,
                    "Type": "button",
                    "Pid": 52,
                    "Title": "画家列表搜索",
                    "Icon": "",
                    "Url": "artist_list_search",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 66,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "画家列表",
                    "Icon": "",
                    "Url": "/asArtist/list",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Gender",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "CardId",
                                "BankName",
                                "BankNum",
                                "Seqnum",
                                "Num",
                                "Address",
                                "Student",
                                "StyleFaction"
                            ],
                            "Name": "管理层",
                            "ID": 7
                        },
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Gender",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "CardId",
                                "BankName"
                            ],
                            "Name": "员工层",
                            "ID": 8
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 64,
                    "Type": "interface",
                    "Pid": 52,
                    "Title": "测试列表",
                    "Icon": "",
                    "Url": "/asArtist/list222",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "Name",
                                "PenName",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email"
                            ],
                            "Name": "仓库查看字段",
                            "ID": 3
                        },
                        {
                            "DataField": [
                                "Uid",
                                "Name",
                                "PenName",
                                "Age",
                                "NativePlace",
                                "Phone",
                                "Email",
                                "Num"
                            ],
                            "Name": "数字化查看字段",
                            "ID": 4
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 53,
            "Type": "menu",
            "Pid": 0,
            "Title": "画作系统",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/aac72df9-c936-4e55-ab9a-e6ecdbdc6f11.png",
            "Url": "/asArtwork",
            "Method": "*",
            "Weigh": 98,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 247,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "下载证书权限",
                    "Icon": "",
                    "Url": "quick-work-download",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 246,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "澄信链上链权限",
                    "Icon": "",
                    "Url": "chengxin",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 245,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "超级链上链权限",
                    "Icon": "",
                    "Url": "chaoji",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 244,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "梧桐链上链权限",
                    "Icon": "",
                    "Url": "wutong",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 228,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifyedit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 227,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 验证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_verifydelete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 226,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 验证",
                    "Icon": "",
                    "Url": "r_artwork_view_verify_page",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 223,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 画作名称字端",
                    "Icon": "",
                    "Url": "r_artwork_view_field_ArtworkName",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 171,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 标签",
                    "Icon": "",
                    "Url": "r_artwork_view_copy_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 170,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 版权 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_copyrightedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 168,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 导出画作数据",
                    "Icon": "",
                    "Url": "r_artwork_export_artwork",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 164,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 留言板",
                    "Icon": "",
                    "Url": "r_artwork_view_message",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 163,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 日志",
                    "Icon": "",
                    "Url": "r_artwork_view_log",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 162,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 仓储信息",
                    "Icon": "",
                    "Url": "r_artwork_view_ware_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 161,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 鉴证信息",
                    "Icon": "",
                    "Url": "r_artwork_view_auth_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 160,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 标签信息",
                    "Icon": "",
                    "Url": "r_artwork_view_tag_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 159,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 数字化信息",
                    "Icon": "",
                    "Url": "r_artwork_view_digit_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 158,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 市场信息",
                    "Icon": "",
                    "Url": "r_artwork_view_market_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 157,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 补充信息",
                    "Icon": "",
                    "Url": "r_artwork_view_extra_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 156,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 基本信息",
                    "Icon": "",
                    "Url": "r_artwork_view_basic_page",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 142,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 详情 发起公告",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_createnote",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 125,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_waredelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 124,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_wareedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 123,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 仓储 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_warecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 122,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 121,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 鉴证 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_authedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 119,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 118,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 117,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 标签 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_tagcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 116,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 115,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 114,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 数字化 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_digetcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 113,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketdelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 112,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 111,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 市场 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_marketcreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 110,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extradelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 109,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extraedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 108,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 补充信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_extracreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 107,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 删除",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basedelete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 106,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 编辑",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_baseedit",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 105,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作 基础信息 创建",
                    "Icon": "",
                    "Url": "r_artwork_view_btn_basecreate",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 104,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 批量上传",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_batchupload",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 103,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 创建",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 73,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格数据详情",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_view",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 72,
                    "Type": "button",
                    "Pid": 53,
                    "Title": "画作列表 表格单行删除",
                    "Icon": "",
                    "Url": "r_artwork_index_btn_delete",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 54,
            "Type": "menu",
            "Pid": 0,
            "Title": "审批申请",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/09291748-6cd8-4de9-acf2-8d902247a8c7.png",
            "Url": "/approval",
            "Method": "*",
            "Weigh": 97,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 141,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表阅读查看详情",
                    "Icon": "",
                    "Url": "approval_table_read_detail_btn",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 140,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表删除按钮权限",
                    "Icon": "",
                    "Url": "approval_table_del_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 139,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批列表详情按钮权限",
                    "Icon": "",
                    "Url": "approval_table_detail_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 138,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "删除类目",
                    "Icon": "",
                    "Url": "del_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 137,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "编辑类目",
                    "Icon": "",
                    "Url": "edit_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 136,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "添加新的类目按钮",
                    "Icon": "",
                    "Url": "add_approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 134,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批提交按钮权限",
                    "Icon": "",
                    "Url": "approval_submit_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 133,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "画作分配按钮权限",
                    "Icon": "",
                    "Url": "artwork_distribute_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 132,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批类型按钮权限",
                    "Icon": "",
                    "Url": "approval_type_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 131,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "设置审批人按钮权限",
                    "Icon": "",
                    "Url": "approval_set_per_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 130,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批按钮",
                    "Icon": "",
                    "Url": "approval_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 129,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "未通过审批跳转按钮",
                    "Icon": "",
                    "Url": "not_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 128,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "审批完成跳转按钮",
                    "Icon": "",
                    "Url": "complted_approvale_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 127,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "正在审批跳转按钮",
                    "Icon": "",
                    "Url": "is_approvaling_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 126,
                    "Type": "button",
                    "Pid": 54,
                    "Title": "已提交审批跳转按钮",
                    "Icon": "",
                    "Url": "has_approvaled_jump_btn",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 102,
                    "Type": "interface",
                    "Pid": 54,
                    "Title": "审批信息",
                    "Icon": "",
                    "Url": "/approval/information",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "*"
                            ],
                            "Name": "所有",
                            "ID": 13
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 55,
            "Type": "menu",
            "Pid": 0,
            "Title": "操作日志",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/88fdbe39-1a87-4f4d-829b-77f9d191d4f2.png",
            "Url": "/operation",
            "Method": "*",
            "Weigh": 96,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 175,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "测试1",
                    "Icon": "",
                    "Url": "/test/test",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "id"
                            ],
                            "Name": "测试1",
                            "ID": 15
                        },
                        {
                            "DataField": [
                                "id"
                            ],
                            "Name": "测试2",
                            "ID": 16
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 90,
                    "Type": "interface",
                    "Pid": 55,
                    "Title": "操作日志表格时间段列",
                    "Icon": "",
                    "Url": "/log/loglist",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": [
                        {
                            "DataField": [
                                "DepartmentName",
                                "Domain",
                                "LogGrade",
                                "LogId",
                                "Method",
                                "Name",
                                "PositionName",
                                "Url"
                            ],
                            "Name": "没有时间",
                            "ID": 10
                        },
                        {
                            "DataField": [
                                "*"
                            ],
                            "Name": "全部",
                            "ID": 11
                        }
                    ],
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 57,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/65015403-f999-4772-a328-c4afd5ae5f7d.png",
            "Url": "/artExhibition",
            "Method": "*",
            "Weigh": 95,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 241,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包底价权限",
                    "Icon": "",
                    "Url": "art_package_price",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 187,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包润格编辑权限",
                    "Icon": "",
                    "Url": "art_package_reward",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 155,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包查看",
                    "Icon": "",
                    "Url": "artExhibition_see",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 154,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包生成",
                    "Icon": "",
                    "Url": "artExhibition_create",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 153,
                    "Type": "button",
                    "Pid": 57,
                    "Title": "画展包分配权限",
                    "Icon": "",
                    "Url": "artExhibition_give",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 199,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝画家",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/f4917016-5cb9-4f15-b4ab-0217f52a7fc8.png",
            "Url": "/paintersideartist",
            "Method": "*",
            "Weigh": 44,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 200,
            "Type": "menu",
            "Pid": 234,
            "Title": "基本画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/a3d31c16-53f1-4811-a763-bb271c933cd4.png",
            "Url": "/paintersideartwork",
            "Method": "*",
            "Weigh": 43,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 220,
            "Type": "menu",
            "Pid": 234,
            "Title": "画作补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/887b5aa7-9aff-4abb-867a-b37ca70a3d6d.png",
            "Url": "/paintersideextraartwork",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 215,
            "Type": "menu",
            "Pid": 234,
            "Title": "视频资料",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/cd8f81e0-5416-4625-a15b-37ede65dbc75.png",
            "Url": "/paintersideextravideo",
            "Method": "*",
            "Weigh": 42,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 219,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家补充",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/dd4a3142-3b56-40a7-af2b-dd477a26df46.png",
            "Url": "/paintersideextraartist",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 216,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家指数",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/85707c50-33f7-4bbe-9058-9999802213a7.png",
            "Url": "/paintersideextraissue",
            "Method": "*",
            "Weigh": 41,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 201,
            "Type": "menu",
            "Pid": 234,
            "Title": "画家宝合同",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/86571797-1202-40aa-a95a-829cb27e351f.png",
            "Url": "/paintersidecontract",
            "Method": "*",
            "Weigh": 40,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 214,
            "Type": "menu",
            "Pid": 234,
            "Title": "合同画作",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2885febd-2848-4193-8771-275d2d479d02.png",
            "Url": "/paintersideconartwork",
            "Method": "*",
            "Weigh": 39,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 221,
            "Type": "menu",
            "Pid": 234,
            "Title": "版权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/2ad64f9f-42a1-43b4-974a-45097ca90a75.png",
            "Url": "/paintersidereceiptcopy",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 209,
            "Type": "menu",
            "Pid": 234,
            "Title": "物权对账",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/3df69ba3-edc1-49f1-be28-ff59ef9fa249.png",
            "Url": "/paintersidereceipt",
            "Method": "*",
            "Weigh": 38,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 217,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请关系",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/291c8026-8759-4ee5-93e7-3728e03f4d0c.png",
            "Url": "/inviteindex",
            "Method": "*",
            "Weigh": 37,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 218,
            "Type": "menu",
            "Pid": 234,
            "Title": "邀请人",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/c2ec0b16-f5cd-4833-948a-45a87fcd3ac5.png",
            "Url": "/inviteperindex",
            "Method": "*",
            "Weigh": 36,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 194,
            "Type": "menu",
            "Pid": 238,
            "Title": "销售情况",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/88b00b46-accd-4964-a35c-cafc3889c107.png",
            "Url": "sale",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 190,
            "Type": "menu",
            "Pid": 238,
            "Title": "品牌方加入",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/406a2f85-d559-441b-afaa-291ba507bb98.png",
            "Url": "/brandentry",
            "Method": "*",
            "Weigh": 24,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 203,
                    "Type": "button",
                    "Pid": 190,
                    "Title": "品牌方加入 删除",
                    "Icon": "",
                    "Url": "r_brand_btn_delete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 202,
                    "Type": "button",
                    "Pid": 190,
                    "Title": "品牌方加入 编辑",
                    "Icon": "",
                    "Url": "r_brand_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 197,
                    "Type": "button",
                    "Pid": 190,
                    "Title": "品牌方加入 创建",
                    "Icon": "",
                    "Url": "r_brand_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 191,
            "Type": "menu",
            "Pid": 238,
            "Title": "系列发布",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/e00b9263-c6e5-49fe-9c8f-de6ab7b62e07.png",
            "Url": "/seriesrelease",
            "Method": "*",
            "Weigh": 23,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 208,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "藏品 删除",
                    "Icon": "",
                    "Url": "r_shopitem_btn_delete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 207,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "藏品 编辑",
                    "Icon": "",
                    "Url": "r_shopitem_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 206,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "藏品 创建",
                    "Icon": "",
                    "Url": "r_shopitem_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 205,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "系列发布 删除",
                    "Icon": "",
                    "Url": "r_series_btn_delete",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 204,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "系列发布 编辑",
                    "Icon": "",
                    "Url": "r_series_btn_edit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 195,
                    "Type": "button",
                    "Pid": 191,
                    "Title": "系列发布 创建",
                    "Icon": "",
                    "Url": "r_series_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 180,
            "Type": "menu",
            "Pid": 239,
            "Title": "出纳管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f76bf9b5-34da-4908-9c23-f4aa8f5893e3.png",
            "Url": "/safecashiers",
            "Method": "*",
            "Weigh": 20,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 183,
                    "Type": "button",
                    "Pid": 180,
                    "Title": "出纳确认",
                    "Icon": "",
                    "Url": "safecashiers_btn_sure",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 181,
            "Type": "menu",
            "Pid": 239,
            "Title": "内控管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/f9f58cd7-3774-486e-bd3d-6f3543ef5288.png",
            "Url": "/safecontrol",
            "Method": "*",
            "Weigh": 19,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 240,
                    "Type": "button",
                    "Pid": 181,
                    "Title": "内控 下载导入模板",
                    "Icon": "",
                    "Url": "safecontrol_btn_down_exportexcel",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 193,
                    "Type": "button",
                    "Pid": 181,
                    "Title": "内控 导入",
                    "Icon": "",
                    "Url": "safecontrol_btn_exportin",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 188,
                    "Type": "button",
                    "Pid": 181,
                    "Title": "内控确认",
                    "Icon": "",
                    "Url": "safecontrol_btn_sure",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 184,
                    "Type": "button",
                    "Pid": 181,
                    "Title": "内控批量编辑",
                    "Icon": "",
                    "Url": "safecontrol_btn_batchedit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 182,
            "Type": "menu",
            "Pid": 239,
            "Title": "财务管理",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/ee74351f-777d-4ed3-b417-b965e0c3f7be.png",
            "Url": "/safefinance",
            "Method": "*",
            "Weigh": 17,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 189,
                    "Type": "button",
                    "Pid": 182,
                    "Title": "财务确认",
                    "Icon": "",
                    "Url": "safefinance_btn_sure",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 186,
                    "Type": "button",
                    "Pid": 182,
                    "Title": "财务导出",
                    "Icon": "",
                    "Url": "safefinance_btn_export",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 185,
                    "Type": "button",
                    "Pid": 182,
                    "Title": "财务批量编辑",
                    "Icon": "",
                    "Url": "safefinance_btn_batchedit",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 143,
            "Type": "menu",
            "Pid": 239,
            "Title": "销售宝列表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/935425de-375f-4867-ac96-1a2b5b251a62.png",
            "Url": "/salebot",
            "Method": "*",
            "Weigh": 15,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 173,
                    "Type": "button",
                    "Pid": 143,
                    "Title": "销售宝移动端权限-员工",
                    "Icon": "",
                    "Url": "seller_mobile_staff_auth",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 172,
                    "Type": "button",
                    "Pid": 143,
                    "Title": "销售宝移动端权限-总监",
                    "Icon": "",
                    "Url": "seller_mobile_boss_auth",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 166,
                    "Type": "button",
                    "Pid": 143,
                    "Title": "销售宝 导出站点数据",
                    "Icon": "",
                    "Url": "r_salebot_btn_site_export",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 165,
                    "Type": "button",
                    "Pid": 143,
                    "Title": "销售宝 查看报表",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_site",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "2"
        },
        {
            "ID": 169,
            "Type": "menu",
            "Pid": 0,
            "Title": "区块链抽奖",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/792d0540-7a8b-4de1-8c67-420bb6fb809e.png",
            "Url": "/certmsg",
            "Method": "*",
            "Weigh": 10,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 176,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链抽奖 创建",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_create",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 174,
                    "Type": "button",
                    "Pid": 169,
                    "Title": "区块链 下载证书",
                    "Icon": "",
                    "Url": "r_salebot_index_btn_cert_down",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 248,
            "Type": "menu",
            "Pid": 0,
            "Title": "会场签到",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/9a4833d1-d780-4c5d-88ab-3a94fb491352.png",
            "Url": "/checkindex",
            "Method": "*",
            "Weigh": 9,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": null,
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 249,
            "Type": "menu",
            "Pid": 0,
            "Title": "画展包审核表",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/image/undefined/undefined/d5f28ebb-5792-4e14-974c-66199c93f0e0.png",
            "Url": "/artexhapprove",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 252,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 完成",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_finish",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 251,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 确认",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_confirm",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 250,
                    "Type": "button",
                    "Pid": 249,
                    "Title": "画展包审核 导出",
                    "Icon": "",
                    "Url": "r_artexhapprove_index_btn_export",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 56,
            "Type": "menu",
            "Pid": 0,
            "Title": "权限设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/1c7ffc96-e42f-4429-b42d-0b873c0f238d.png",
            "Url": "/permission",
            "Method": "*",
            "Weigh": 8,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 222,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "部门主管权限",
                    "Icon": "",
                    "Url": "department_boss_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 71,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增员工",
                    "Icon": "",
                    "Url": "addUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 70,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "新增岗位",
                    "Icon": "",
                    "Url": "addPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 69,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "创建部门",
                    "Icon": "",
                    "Url": "createDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 62,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "查看日志",
                    "Icon": "",
                    "Url": "checkLog",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 61,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑员工",
                    "Icon": "",
                    "Url": "editUser",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 60,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑岗位",
                    "Icon": "",
                    "Url": "editPosition",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 59,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑部门",
                    "Icon": "",
                    "Url": "editDepart",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 58,
                    "Type": "button",
                    "Pid": 56,
                    "Title": "编辑权限",
                    "Icon": "",
                    "Url": "editRule",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        },
        {
            "ID": 67,
            "Type": "menu",
            "Pid": 0,
            "Title": "设置",
            "Icon": "https://dci-file.bj.bcebos.com/fonchain-main/test/runtime/image/undefined/undefined/91bdf052-5bd0-46a6-b6d8-15197a8ddc46.png",
            "Url": "/setting",
            "Method": "*",
            "Weigh": 1,
            "Status": "",
            "Remark": "",
            "Extend": "",
            "RuleData": null,
            "Son": [
                {
                    "ID": 177,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "司机权限",
                    "Icon": "",
                    "Url": "ge_diver_auth",
                    "Method": "*",
                    "Weigh": 1,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                },
                {
                    "ID": 92,
                    "Type": "button",
                    "Pid": 67,
                    "Title": "设置v2",
                    "Icon": "",
                    "Url": "设置v2",
                    "Method": "*",
                    "Weigh": 0,
                    "Status": "",
                    "Remark": "",
                    "Extend": "",
                    "RuleData": null,
                    "Son": null,
                    "CanJump": 1,
                    "MenuType": ""
                }
            ],
            "CanJump": 1,
            "MenuType": "1"
        }
    ]
}
`)

	var returnDatas = MenuDatas{}
	json.Unmarshal(tempRouters, &returnDatas)
	c.JSON(200, returnDatas)
}

type MenuDatas struct {
	AllMenus []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"AllMenus"`
	AllRules []struct {
		ID       int    `json:"ID"`
		Type     string `json:"Type"`
		Pid      int    `json:"Pid"`
		Title    string `json:"Title"`
		Icon     string `json:"Icon"`
		Url      string `json:"Url"`
		Method   string `json:"Method"`
		Weigh    int    `json:"Weigh"`
		Status   string `json:"Status"`
		Remark   string `json:"Remark"`
		Extend   string `json:"Extend"`
		RuleData []struct {
			DataField []string `json:"DataField"`
			Name      string   `json:"Name"`
			ID        int      `json:"ID"`
		} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"AllRules"`
	AllInterfaceRules []struct {
		ID       int    `json:"ID"`
		Type     string `json:"Type"`
		Pid      int    `json:"Pid"`
		Title    string `json:"Title"`
		Icon     string `json:"Icon"`
		Url      string `json:"Url"`
		Method   string `json:"Method"`
		Weigh    int    `json:"Weigh"`
		Status   string `json:"Status"`
		Remark   string `json:"Remark"`
		Extend   string `json:"Extend"`
		RuleData []struct {
			DataField []string `json:"DataField"`
			Name      string   `json:"Name"`
			ID        int      `json:"ID"`
		} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"AllInterfaceRules"`
	MyMenuAuths []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      []struct {
			ID       int         `json:"ID"`
			Type     string      `json:"Type"`
			Pid      int         `json:"Pid"`
			Title    string      `json:"Title"`
			Icon     string      `json:"Icon"`
			Url      string      `json:"Url"`
			Method   string      `json:"Method"`
			Weigh    int         `json:"Weigh"`
			Status   string      `json:"Status"`
			Remark   string      `json:"Remark"`
			Extend   string      `json:"Extend"`
			RuleData interface{} `json:"RuleData"`
			Son      interface{} `json:"Son"`
			CanJump  int         `json:"CanJump"`
			MenuType string      `json:"MenuType"`
		} `json:"Son"`
		CanJump  int    `json:"CanJump"`
		MenuType string `json:"MenuType"`
	} `json:"MyMenuAuths"`
	MyRules []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"MyRules"`
	MyButtonAuths []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"MyButtonAuths"`
	MyInterFaceAuths []struct {
		ID       int    `json:"ID"`
		Type     string `json:"Type"`
		Pid      int    `json:"Pid"`
		Title    string `json:"Title"`
		Icon     string `json:"Icon"`
		Url      string `json:"Url"`
		Method   string `json:"Method"`
		Weigh    int    `json:"Weigh"`
		Status   string `json:"Status"`
		Remark   string `json:"Remark"`
		Extend   string `json:"Extend"`
		RuleData []struct {
			DataField []string `json:"DataField"`
			Name      string   `json:"Name"`
			ID        int      `json:"ID"`
		} `json:"RuleData"`
		Son      interface{} `json:"Son"`
		CanJump  int         `json:"CanJump"`
		MenuType string      `json:"MenuType"`
	} `json:"MyInterFaceAuths"`
	PositionUsers []struct {
		PositionID     int    `json:"PositionID"`
		PositionName   string `json:"PositionName"`
		DepartmentId   int    `json:"DepartmentId"`
		DepartmentCode string `json:"DepartmentCode"`
		DepartmentName string `json:"DepartmentName"`
		UserId         int    `json:"UserId"`
		UserName       string `json:"UserName"`
	} `json:"PositionUsers"`
	DepartmentLeaders interface{} `json:"DepartmentLeaders"`
	AllTreeRule       []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      []struct {
			ID       int    `json:"ID"`
			Type     string `json:"Type"`
			Pid      int    `json:"Pid"`
			Title    string `json:"Title"`
			Icon     string `json:"Icon"`
			Url      string `json:"Url"`
			Method   string `json:"Method"`
			Weigh    int    `json:"Weigh"`
			Status   string `json:"Status"`
			Remark   string `json:"Remark"`
			Extend   string `json:"Extend"`
			RuleData []struct {
				DataField []string `json:"DataField"`
				Name      string   `json:"Name"`
				ID        int      `json:"ID"`
			} `json:"RuleData"`
			Son []struct {
				ID       int         `json:"ID"`
				Type     string      `json:"Type"`
				Pid      int         `json:"Pid"`
				Title    string      `json:"Title"`
				Icon     string      `json:"Icon"`
				Url      string      `json:"Url"`
				Method   string      `json:"Method"`
				Weigh    int         `json:"Weigh"`
				Status   string      `json:"Status"`
				Remark   string      `json:"Remark"`
				Extend   string      `json:"Extend"`
				RuleData interface{} `json:"RuleData"`
				Son      interface{} `json:"Son"`
				CanJump  int         `json:"CanJump"`
				MenuType string      `json:"MenuType"`
			} `json:"Son"`
			CanJump  int    `json:"CanJump"`
			MenuType string `json:"MenuType"`
		} `json:"Son"`
		CanJump  int    `json:"CanJump"`
		MenuType string `json:"MenuType"`
	} `json:"AllTreeRule"`
	MyTreeRule []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      []struct {
			ID       int         `json:"ID"`
			Type     string      `json:"Type"`
			Pid      int         `json:"Pid"`
			Title    string      `json:"Title"`
			Icon     string      `json:"Icon"`
			Url      string      `json:"Url"`
			Method   string      `json:"Method"`
			Weigh    int         `json:"Weigh"`
			Status   string      `json:"Status"`
			Remark   string      `json:"Remark"`
			Extend   string      `json:"Extend"`
			RuleData interface{} `json:"RuleData"`
			Son      []struct {
				ID       int         `json:"ID"`
				Type     string      `json:"Type"`
				Pid      int         `json:"Pid"`
				Title    string      `json:"Title"`
				Icon     string      `json:"Icon"`
				Url      string      `json:"Url"`
				Method   string      `json:"Method"`
				Weigh    int         `json:"Weigh"`
				Status   string      `json:"Status"`
				Remark   string      `json:"Remark"`
				Extend   string      `json:"Extend"`
				RuleData interface{} `json:"RuleData"`
				Son      interface{} `json:"Son"`
				CanJump  int         `json:"CanJump"`
				MenuType string      `json:"MenuType"`
			} `json:"Son"`
			CanJump  int    `json:"CanJump"`
			MenuType string `json:"MenuType"`
		} `json:"Son"`
		CanJump  int    `json:"CanJump"`
		MenuType string `json:"MenuType"`
	} `json:"MyTreeRule"`
	MySecondRule []struct {
		ID       int         `json:"ID"`
		Type     string      `json:"Type"`
		Pid      int         `json:"Pid"`
		Title    string      `json:"Title"`
		Icon     string      `json:"Icon"`
		Url      string      `json:"Url"`
		Method   string      `json:"Method"`
		Weigh    int         `json:"Weigh"`
		Status   string      `json:"Status"`
		Remark   string      `json:"Remark"`
		Extend   string      `json:"Extend"`
		RuleData interface{} `json:"RuleData"`
		Son      []struct {
			ID       int    `json:"ID"`
			Type     string `json:"Type"`
			Pid      int    `json:"Pid"`
			Title    string `json:"Title"`
			Icon     string `json:"Icon"`
			Url      string `json:"Url"`
			Method   string `json:"Method"`
			Weigh    int    `json:"Weigh"`
			Status   string `json:"Status"`
			Remark   string `json:"Remark"`
			Extend   string `json:"Extend"`
			RuleData []struct {
				DataField []string `json:"DataField"`
				Name      string   `json:"Name"`
				ID        int      `json:"ID"`
			} `json:"RuleData"`
			Son      interface{} `json:"Son"`
			CanJump  int         `json:"CanJump"`
			MenuType string      `json:"MenuType"`
		} `json:"Son"`
		CanJump  int    `json:"CanJump"`
		MenuType string `json:"MenuType"`
	} `json:"MySecondRule"`
}
